/**********************************************************
 * This file has been created with PowerVR Exporter v3.4
 * Date: 17 December 2004   Time: 10:56
 * Original File: FiveSpheres.max
 *
 * Options:
 *
 *   Meshes        = ON
 *   Mesh Anim     = OFF
 *   Materials     = OFF
 *   Cameras       = OFF
 *   Camera Anim   = OFF
 *   Lights        = OFF
 *   Paths         = OFF
 *   Bones         = OFF
 *
 *   UVs           = ON
 *   UVs Layer2    = OFF
 *   Normals       = ON
 *   Colors        = OFF
 *   Materials     = OFF
 *   Weights       = OFF
 *
 *   Strips        = ON
 *   No Face-list  = ON
 *   DWORD List    = OFF
 *   Packed Format = OFF
 *   OpenGL Format = ON
 *   Transform UVs = OFF
 *   Vertex Format = FIXED
 *
 *   Patches       = OFF
 *   PatchTriToQuad= OFF
 *   Patch Mesh    = OFF
 *   Patch UVs     = OFF
 *
 **********************************************************/

typedef int fixed_16;

#define STRUCT_MESH_DEFINED

typedef struct { unsigned int      nNumVertex;
                 unsigned int      nNumFaces;
                 unsigned int      nNumStrips;
                 unsigned int      nFlags;
                 int               nMaterial;
                 fixed_16      fCenter[3];
                 const fixed_16      *pVertex;
                 const fixed_16      *pUV;
                 const fixed_16      *pNormals;
                 const fixed_16      *pPackedVertex;
                 const unsigned int      *pVertexColor;
                 const unsigned int      *pVertexMaterial;
                 const unsigned short    *pFaces;
                 const unsigned short    *pStrips;
                 const unsigned short    *pStripLength;
                 struct
                 {
                     unsigned int  nType;
                     unsigned int  nNumPatches;
                     unsigned int  nNumVertices;
                     unsigned int  nNumSubdivisions;
                     const fixed_16  *pControlPoints;
                     const fixed_16  *pUVs;
                 } Patch;
               }   Struct_Mesh;


/**********************************************************
 * GENERAL DEFINITIONS
 **********************************************************/

#ifndef _NULL_
#define _NULL_ 0
#endif

#define NUM_MESHES     5
#define NUM_BONES	   0
#define NUM_MATERIALS  0
#define NUM_LIGHTS     0
#define NUM_CAMERAS    0
#define NUM_PATHS      0
#define NUM_FRAMES     0

/* MESH FLAGS */

#ifndef MF_MATERIAL
#define MF_MATERIAL        1
#define MF_UV              2
#define MF_NORMALS         4
#define MF_VERTEXCOLOR     8
#define MF_VERTEXMATERIAL  16
#define MF_STRIPS          32
#define MF_NOFACELIST      64
#define MF_UV2             128
#define MF_VERTEXWEIGHTS   256

#define MF_NOPATCH         0
#define MF_RECTPATCH       1
#define MF_TRIPATCH        2
#define MF_MIXPATCH        3

#endif


/* MESHES */
#define M_SPHERE01  0
#define M_SPHERE02  1
#define M_SPHERE03  2
#define M_SPHERE04  3
#define M_SPHERE05  4


/**********************************************************
 * MESHES DATA
 **********************************************************/

/* MESH 0 */

#define sphere01_NumVertex  268
#define sphere01_NumFaces   224
#define sphere01_NumStrips  22
#define sphere01_Flags      0x00020066
#define sphere01_Material   -1

const fixed_16 sphere01_Vertices[] = {
	-2439823,4563196,16014, -2439823,4411576,778256, -2731520,4411576,720234, -2978810,3979800,1317243, -3435741,3979800,1011932,
	-3741052,3333602,1317243, -4139961,3333602,720234, -4280039,2571360,778256, -4431659,2571360,16014, -4280039,1809117,16014,
	-4139961,1809117,-688206, -3741052,1162919,-522972, -3435740,1162919,-979903, -2978809,731143,-522972, -2731520,731143,-688206,
	-2439823,579524,16014, -2439823,4563196,16014, -2731520,4411576,720234, -2978810,4411576,555001, -3435741,3979800,1011932,
	-3741052,3979800,555001, -4139961,3333602,720234, -4280039,3333602,16014, -4431659,2571360,16014, -4280039,2571360,-746228,
	-4139961,1809117,-688206, -3741052,1809117,-1285215, -3435740,1162919,-979903, -2978809,1162919,-1285215, -2731520,731143,-688206,
	-2439823,731143,-746228, -2439823,579524,16014, -2439823,4563196,16014, -2978810,4411576,555001, -3144043,4411576,307711,
	-3741052,3979800,555001, -3848263,3979800,16014, -4280039,3333602,16014, -4139961,3333602,-688206, -4280039,2571360,-746228,
	-3848263,2571360,-1392426, -3741052,1809117,-1285215, -3144043,1809117,-1684124, -2978809,1162919,-1285215, -2439822,1162919,-1392426,
	-2439823,731143,-746228, -2148125,731143,-688205, -2439823,579524,16014, -2439823,4563196,16014, -3144043,4411576,307711,
	-3202065,4411576,16014, -3848263,3979800,16014, -3741052,3979800,-522972, -4139961,3333602,-688206, -3741052,3333602,-1285215,
	-3848263,2571360,-1392426, -3202065,2571360,-1824202, -3144043,1809117,-1684124, -2439822,1809117,-1824202, -2439822,1162919,-1392426,
	-1900836,1162919,-1285215, -2148125,731143,-688205, -1900836,731143,-522972, -2439823,579524,16014, -2439823,4563196,16014,
	-3202065,4411576,16014, -3144043,4411576,-275683, -3741052,3979800,-522972, -3435741,3979800,-979903, -3741052,3333602,-1285215,
	-3144043,3333602,-1684124, -3202065,2571360,-1824202, -2439822,2571360,-1975821, -2439822,1809117,-1824202, -1735602,1809117,-1684124,
	-1900836,1162919,-1285215, -1443905,1162919,-979903, -1900836,731143,-522972, -1735602,731143,-275683, -2439823,579524,16014,
	-2439823,4563196,16014, -3144043,4411576,-275683, -2978810,4411576,-522972, -3435741,3979800,-979903, -2978809,3979800,-1285215,
	-3144043,3333602,-1684124, -2439822,3333602,-1824202, -2439822,2571360,-1975821, -1677580,2571360,-1824202, -1735602,1809117,-1684124,
	-1138593,1809117,-1285215, -1443905,1162919,-979903, -1138593,1162919,-522972, -1735602,731143,-275683, -1677580,731143,16014,
	-2439823,579524,16014, -2439823,4563196,16014, -2978810,4411576,-522972, -2731520,4411576,-688206, -2978809,3979800,-1285215,
	-2439822,3979800,-1392426, -2439822,3333602,-1824202, -1735602,3333602,-1684124, -1677580,2571360,-1824202, -1031382,2571360,-1392426,
	-1138593,1809117,-1285215, -739684,1809117,-688205, -1138593,1162919,-522972, -1031382,1162919,16014, -1677580,731143,16014,
	-1735602,731143,307711, -2439823,579524,16014, -2439823,4563196,16014, -2731520,4411576,-688206, -2439823,4411576,-746228,
	-2439822,3979800,-1392426, -1900835,3979800,-1285215, -1735602,3333602,-1684124, -1138593,3333602,-1285215, -1031382,2571360,-1392426,
	-599606,2571360,-746228, -739684,1809117,-688205, -599606,1809117,16014, -1031382,1162919,16014, -1138593,1162919,555001,
	-1735602,731143,307711, -1900836,731143,555001, -2439823,579524,16014, -2439823,4563196,16014, -2439823,4411576,-746228,
	-2148125,4411576,-688206, -1900835,3979800,-1285215, -1443904,3979800,-979903, -1138593,3333602,-1285215, -739684,3333602,-688205,
	-599606,2571360,-746228, -447987,2571360,16014, -599606,1809117,16014, -739684,1809117,720234, -1138593,1162919,555001,
	-1443905,1162919,1011932, -1900836,731143,555001, -2148125,731143,720234, -2439823,579524,16014, -2439823,4563196,16014,
	-2148125,4411576,-688206, -1900836,4411576,-522972, -1443904,3979800,-979903, -1138593,3979800,-522972, -739684,3333602,-688205,
	-599606,3333602,16014, -447987,2571360,16014, -599606,2571360,778257, -739684,1809117,720234, -1138593,1809117,1317244,
	-1443905,1162919,1011932, -1900836,1162919,1317243, -2148125,731143,720234, -2439823,731143,778256, -2439823,579524,16014,
	-2439823,4563196,16014, -1900836,4411576,-522972, -1735602,4411576,-275683, -1138593,3979800,-522972, -1031382,3979800,16014,
	-599606,3333602,16014, -739684,3333602,720234, -599606,2571360,778257, -1031382,2571360,1424455, -1138593,1809117,1317244,
	-1735603,1809117,1716152, -1900836,1162919,1317243, -2439823,1162919,1424454, -2439823,731143,778256, -2439823,4563196,16014,
	-1735602,4411576,-275683, -1677580,4411576,16014, -1031382,3979800,16014, -1138593,3979800,555001, -739684,3333602,720234,
	-1138593,3333602,1317244, -1031382,2571360,1424455, -1677580,2571360,1856230, -1735603,1809117,1716152, -2439823,1809117,1856230,
	-2439823,1162919,1424454, -2439823,4563196,16014, -1677580,4411576,16014, -1735602,4411576,307712, -1138593,3979800,555001,
	-1443905,3979800,1011932, -1138593,3333602,1317244, -1735603,3333602,1716152, -1677580,2571360,1856230, -2439823,2571360,2007850,
	-2439823,1809117,1856230, -2439823,4563196,16014, -1735602,4411576,307712, -1900836,4411576,555001, -1443905,3979800,1011932,
	-1900836,3979800,1317244, -1735603,3333602,1716152, -2439823,3333602,1856230, -2439823,2571360,2007850, -2439823,4563196,16014,
	-1900836,4411576,555001, -2148125,4411576,720234, -1900836,3979800,1317244, -2439823,3979800,1424455, -2439823,3333602,1856230,
	-2439823,4411576,778256, -2439823,3979800,1424455, -2978810,3979800,1317243, -3144043,3333602,1716152, -3741052,3333602,1317243,
	-3848264,2571360,1424454, -4280039,2571360,778256, -4139961,1809117,720234, -4280039,1809117,16014, -3848263,1162919,16014,
	-3741052,1162919,-522972, -3144043,731143,-275683, -2978809,731143,-522972, -2439823,579524,16014, -2439823,3979800,1424455,
	-2439823,3333602,1856230, -3144043,3333602,1716152, -3202065,2571360,1856230, -3848264,2571360,1424454, -3741052,1809117,1317243,
	-4139961,1809117,720234, -3741052,1162919,555001, -3848263,1162919,16014, -3202065,731143,16014, -3144043,731143,-275683,
	-2439823,579524,16014, -2439823,3333602,1856230, -2439823,2571360,2007850, -3202065,2571360,1856230, -3144043,1809117,1716152,
	-3741052,1809117,1317243, -3435741,1162919,1011932, -3741052,1162919,555001, -3144043,731143,307711, -3202065,731143,16014,
	-2439823,579524,16014, -2439823,2571360,2007850, -2439823,1809117,1856230, -3144043,1809117,1716152, -2978810,1162919,1317243,
	-3435741,1162919,1011932, -2978810,731143,555001, -3144043,731143,307711, -2439823,579524,16014, -2439823,1809117,1856230,
	-2439823,1162919,1424454, -2978810,1162919,1317243, -2731520,731143,720234, -2978810,731143,555001, -2439823,579524,16014,
	-2439823,579524,16014, -2731520,731143,720234, -2439823,731143,778256, -2439823,1162919,1424454, -2439823,3979800,1424455,
	-2439823,4411576,778256, -2148125,4411576,720234, -2439823,4563196,16014,
_NULL_ }; /* End of sphere01_Vertices */

const fixed_16 sphere01_UV[] = {
	0,1, 0,-8191, 4096,-8191, 4096,-16383, 8192,-16383, 8192,-24575, 12288,-24575, 12288,-32767, 16384,-32767, 16384,-40959, 20480,-40959, 20480,-49151, 24576,-49151, 24576,-57343, 28672,-57343,
	24576,-65535, 4096,1, 4096,-8191, 8192,-8191, 8192,-16383, 12288,-16383, 12288,-24575, 16384,-24575, 16384,-32767, 20480,-32767, 20480,-40959, 24576,-40959, 24576,-49151, 28672,-49151, 28672,-57343,
	32768,-57343, 28672,-65535, 8192,1, 8192,-8191, 12288,-8191, 12288,-16383, 16384,-16383, 16384,-24575, 20480,-24575, 20480,-32767, 24576,-32767, 24576,-40959, 28672,-40959, 28672,-49151, 32768,-49151,
	32768,-57343, 36864,-57343, 32768,-65535, 12288,1, 12288,-8191, 16384,-8191, 16384,-16383, 20480,-16383, 20480,-24575, 24576,-24575, 24576,-32767, 28672,-32767, 28672,-40959, 32768,-40959, 32768,-49151,
	36864,-49151, 36864,-57343, 40960,-57343, 36864,-65535, 16384,1, 16384,-8191, 20480,-8191, 20480,-16383, 24576,-16383, 24576,-24575, 28672,-24575, 28672,-32767, 32768,-32767, 32768,-40959, 36864,-40959,
	36864,-49151, 40960,-49151, 40960,-57343, 45056,-57343, 40960,-65535, 20480,1, 20480,-8191, 24576,-8191, 24576,-16383, 28672,-16383, 28672,-24575, 32768,-24575, 32768,-32767, 36864,-32767, 36864,-40959,
	40960,-40959, 40960,-49151, 45056,-49151, 45056,-57343, 49152,-57343, 45056,-65535, 24576,1, 24576,-8191, 28672,-8191, 28672,-16383, 32768,-16383, 32768,-24575, 36864,-24575, 36864,-32767, 40960,-32767,
	40960,-40959, 45056,-40959, 45056,-49151, 49152,-49151, 49152,-57343, 53248,-57343, 49152,-65535, 28672,1, 28672,-8191, 32768,-8191, 32768,-16383, 36864,-16383, 36864,-24575, 40960,-24575, 40960,-32767,
	45056,-32767, 45056,-40959, 49152,-40959, 49152,-49151, 53248,-49151, 53248,-57343, 57344,-57343, 53248,-65535, 32768,1, 32768,-8191, 36864,-8191, 36864,-16383, 40960,-16383, 40960,-24575, 45056,-24575,
	45056,-32767, 49152,-32767, 49152,-40959, 53248,-40959, 53248,-49151, 57344,-49151, 57344,-57343, 61440,-57343, 57344,-65535, 36864,1, 36864,-8191, 40960,-8191, 40960,-16383, 45056,-16383, 45056,-24575,
	49152,-24575, 49152,-32767, 53248,-32767, 53248,-40959, 57344,-40959, 57344,-49151, 61440,-49151, 61440,-57343, 65536,-57343, 61440,-65535, 40960,1, 40960,-8191, 45056,-8191, 45056,-16383, 49152,-16383,
	49152,-24575, 53248,-24575, 53248,-32767, 57344,-32767, 57344,-40959, 61440,-40959, 61440,-49151, 65536,-49151, 65536,-57343, 45056,1, 45056,-8191, 49152,-8191, 49152,-16383, 53248,-16383, 53248,-24575,
	57344,-24575, 57344,-32767, 61440,-32767, 61440,-40959, 65536,-40959, 65536,-49151, 49152,1, 49152,-8191, 53248,-8191, 53248,-16383, 57344,-16383, 57344,-24575, 61440,-24575, 61440,-32767, 65536,-32767,
	65536,-40959, 53248,1, 53248,-8191, 57344,-8191, 57344,-16383, 61440,-16383, 61440,-24575, 65536,-24575, 65536,-32767, 57344,1, 57344,-8191, 61440,-8191, 61440,-16383, 65536,-16383, 65536,-24575,
	0,-8191, 0,-16383, 4096,-16383, 4096,-24575, 8192,-24575, 8192,-32767, 12288,-32767, 12288,-40959, 16384,-40959, 16384,-49151, 20480,-49151, 20480,-57343, 24576,-57343, 20480,-65535, 0,-16383,
	0,-24575, 4096,-24575, 4096,-32767, 8192,-32767, 8192,-40959, 12288,-40959, 12288,-49151, 16384,-49151, 16384,-57343, 20480,-57343, 16384,-65535, 0,-24575, 0,-32767, 4096,-32767, 4096,-40959,
	8192,-40959, 8192,-49151, 12288,-49151, 12288,-57343, 16384,-57343, 12288,-65535, 0,-32767, 0,-40959, 4096,-40959, 4096,-49151, 8192,-49151, 8192,-57343, 12288,-57343, 8192,-65535, 0,-40959,
	0,-49151, 4096,-49151, 4096,-57343, 8192,-57343, 4096,-65535, 0,-65535, 4096,-57343, 0,-57343, 0,-49151, 65536,-16383, 65536,-8191, 61440,-8191, 61440,1,
_NULL_ }; /* End of sphere01_UV */

const fixed_16 sphere01_Normals[] = {
	0,65536,0, 0,59975,26417, -10109,59975,24406, -18028,45557,43524, -33312,45557,33312, -42971,24534,42971, -56144,24534,23255, -60547,0,25079, -65536,0,0, -60770,-24534,0, -56144,-24534,-23255, -43524,-45557,-18028, -33312,-45557,-33312, -18679,-59975,-18679, -10109,-59975,-24406,
	0,-65536,0, 0,65536,0, -10109,59975,24406, -18679,59975,18679, -33312,45557,33312, -43524,45557,18028, -56144,24534,23255, -60770,24534,0, -65536,0,0, -60547,0,-25079, -56144,-24534,-23255, -42971,-24534,-42971, -33312,-45557,-33312, -18028,-45557,-43524, -10109,-59975,-24406,
	0,-59975,-26417, 0,-65536,0, 0,65536,0, -18679,59975,18679, -24406,59975,10109, -43524,45557,18028, -47111,45557,0, -60770,24534,0, -56144,24534,-23255, -60547,0,-25079, -46340,0,-46340, -42971,-24534,-42971, -23255,-24534,-56144, -18028,-45557,-43524, 0,-45557,-47111,
	0,-59975,-26417, 10109,-59975,-24406, 0,-65536,0, 0,65536,0, -24406,59975,10109, -26417,59975,0, -47111,45557,0, -43524,45557,-18028, -56144,24534,-23255, -42971,24534,-42971, -46340,0,-46340, -25079,0,-60547, -23255,-24534,-56144, 0,-24534,-60770, 0,-45557,-47111,
	18028,-45557,-43524, 10109,-59975,-24406, 18679,-59975,-18679, 0,-65536,0, 0,65536,0, -26417,59975,0, -24406,59975,-10109, -43524,45557,-18028, -33312,45557,-33312, -42971,24534,-42971, -23255,24534,-56144, -25079,0,-60547, 0,0,-65536, 0,-24534,-60770, 23255,-24534,-56144,
	18028,-45557,-43524, 33312,-45557,-33312, 18679,-59975,-18679, 24406,-59975,-10109, 0,-65536,0, 0,65536,0, -24406,59975,-10109, -18679,59975,-18679, -33312,45557,-33312, -18028,45557,-43524, -23255,24534,-56144, 0,24534,-60770, 0,0,-65536, 25079,0,-60547, 23255,-24534,-56144,
	42971,-24534,-42971, 33312,-45557,-33312, 43524,-45557,-18028, 24406,-59975,-10109, 26417,-59975,0, 0,-65536,0, 0,65536,0, -18679,59975,-18679, -10109,59975,-24406, -18028,45557,-43524, 0,45557,-47111, 0,24534,-60770, 23255,24534,-56144, 25079,0,-60547, 46340,0,-46340,
	42971,-24534,-42971, 56144,-24534,-23255, 43524,-45557,-18028, 47111,-45557,0, 26417,-59975,0, 24406,-59975,10109, 0,-65536,0, 0,65536,0, -10109,59975,-24406, 0,59975,-26417, 0,45557,-47111, 18028,45557,-43524, 23255,24534,-56144, 42971,24534,-42971, 46340,0,-46340,
	60547,0,-25079, 56144,-24534,-23255, 60770,-24534,0, 47111,-45557,0, 43524,-45557,18028, 24406,-59975,10109, 18679,-59975,18679, 0,-65536,0, 0,65536,0, 0,59975,-26417, 10109,59975,-24406, 18028,45557,-43524, 33312,45557,-33312, 42971,24534,-42971, 56144,24534,-23255,
	60547,0,-25079, 65536,0,0, 60770,-24534,0, 56144,-24534,23255, 43524,-45557,18028, 33312,-45557,33312, 18679,-59975,18679, 10109,-59975,24406, 0,-65536,0, 0,65536,0, 10109,59975,-24406, 18679,59975,-18679, 33312,45557,-33312, 43524,45557,-18028, 56144,24534,-23255,
	60770,24534,0, 65536,0,0, 60547,0,25079, 56144,-24534,23255, 42971,-24534,42971, 33312,-45557,33312, 18028,-45557,43524, 10109,-59975,24406, 0,-59975,26417, 0,-65536,0, 0,65536,0, 18679,59975,-18679, 24406,59975,-10109, 43524,45557,-18028, 47111,45557,0,
	60770,24534,0, 56144,24534,23255, 60547,0,25079, 46340,0,46340, 42971,-24534,42971, 23255,-24534,56144, 18028,-45557,43524, 0,-45557,47111, 0,-59975,26417, 0,65536,0, 24406,59975,-10109, 26417,59975,0, 47111,45557,0, 43524,45557,18028, 56144,24534,23255,
	42971,24534,42971, 46340,0,46340, 25079,0,60547, 23255,-24534,56144, 0,-24534,60770, 0,-45557,47111, 0,65536,0, 26417,59975,0, 24406,59975,10109, 43524,45557,18028, 33312,45557,33312, 42971,24534,42971, 23255,24534,56144, 25079,0,60547, 0,0,65536,
	0,-24534,60770, 0,65536,0, 24406,59975,10109, 18679,59975,18679, 33312,45557,33312, 18028,45557,43524, 23255,24534,56144, 0,24534,60770, 0,0,65536, 0,65536,0, 18679,59975,18679, 10109,59975,24406, 18028,45557,43524, 0,45557,47111, 0,24534,60770,
	0,59975,26417, 0,45557,47111, -18028,45557,43524, -23255,24534,56144, -42971,24534,42971, -46340,0,46340, -60547,0,25079, -56144,-24534,23255, -60770,-24534,0, -47111,-45557,0, -43524,-45557,-18028, -24406,-59975,-10109, -18679,-59975,-18679, 0,-65536,0, 0,45557,47111,
	0,24534,60770, -23255,24534,56144, -25079,0,60547, -46340,0,46340, -42971,-24534,42971, -56144,-24534,23255, -43524,-45557,18028, -47111,-45557,0, -26417,-59975,0, -24406,-59975,-10109, 0,-65536,0, 0,24534,60770, 0,0,65536, -25079,0,60547, -23255,-24534,56144,
	-42971,-24534,42971, -33312,-45557,33312, -43524,-45557,18028, -24406,-59975,10109, -26417,-59975,0, 0,-65536,0, 0,0,65536, 0,-24534,60770, -23255,-24534,56144, -18028,-45557,43524, -33312,-45557,33312, -18679,-59975,18679, -24406,-59975,10109, 0,-65536,0, 0,-24534,60770,
	0,-45557,47111, -18028,-45557,43524, -10109,-59975,24406, -18679,-59975,18679, 0,-65536,0, 0,-65536,0, -10109,-59975,24406, 0,-59975,26417, 0,-45557,47111, 0,45557,47111, 0,59975,26417, 10109,59975,24406, 0,65536,0,
_NULL_ }; /* End of sphere01_Normals */

const unsigned short sphere01_StripLength[] = {
	14,14,14, 14,14,14, 14,14,14, 14,12,10, 8,6,4, 12,10,8, 6,4,2, 2,
_NULL_ }; /* End of sphere01_pStripLength */


/* MESH 1 */

#define sphere02_NumVertex  268
#define sphere02_NumFaces   224
#define sphere02_NumStrips  22
#define sphere02_Flags      0x00020066
#define sphere02_Material   -1

const fixed_16 sphere02_Vertices[] = {
	2597478,4564406,16014, 2597478,4412786,778256, 2305780,4412786,720234, 2058491,3981010,1317243, 1601560,3981010,1011932,
	1296248,3334812,1317243, 897340,3334812,720234, 757261,2572570,778256, 605642,2572570,16014, 757262,1810327,16014,
	897340,1810327,-688206, 1296249,1164129,-522972, 1601560,1164129,-979903, 2058491,732353,-522972, 2305781,732353,-688206,
	2597478,580734,16014, 2597478,4564406,16014, 2305780,4412786,720234, 2058491,4412786,555001, 1601560,3981010,1011932,
	1296248,3981010,555001, 897340,3334812,720234, 757262,3334812,16014, 605642,2572570,16014, 757262,2572570,-746228,
	897340,1810327,-688206, 1296249,1810327,-1285215, 1601560,1164129,-979903, 2058491,1164129,-1285215, 2305781,732353,-688206,
	2597478,732353,-746228, 2597478,580734,16014, 2597478,4564406,16014, 2058491,4412786,555001, 1893258,4412786,307711,
	1296248,3981010,555001, 1189037,3981010,16014, 757262,3334812,16014, 897340,3334812,-688206, 757262,2572570,-746228,
	1189037,2572570,-1392426, 1296249,1810327,-1285215, 1893258,1810327,-1684124, 2058491,1164129,-1285215, 2597478,1164129,-1392426,
	2597478,732353,-746228, 2889176,732353,-688205, 2597478,580734,16014, 2597478,4564406,16014, 1893258,4412786,307711,
	1835235,4412786,16014, 1189037,3981010,16014, 1296249,3981010,-522972, 897340,3334812,-688206, 1296249,3334812,-1285215,
	1189037,2572570,-1392426, 1835236,2572570,-1824202, 1893258,1810327,-1684124, 2597478,1810327,-1824202, 2597478,1164129,-1392426,
	3136465,1164129,-1285215, 2889176,732353,-688205, 3136465,732353,-522972, 2597478,580734,16014, 2597478,4564406,16014,
	1835235,4412786,16014, 1893258,4412786,-275683, 1296249,3981010,-522972, 1601560,3981010,-979903, 1296249,3334812,-1285215,
	1893258,3334812,-1684124, 1835236,2572570,-1824202, 2597478,2572570,-1975821, 2597478,1810327,-1824202, 3301699,1810327,-1684124,
	3136465,1164129,-1285215, 3593396,1164129,-979903, 3136465,732353,-522972, 3301698,732353,-275683, 2597478,580734,16014,
	2597478,4564406,16014, 1893258,4412786,-275683, 2058491,4412786,-522972, 1601560,3981010,-979903, 2058491,3981010,-1285215,
	1893258,3334812,-1684124, 2597478,3334812,-1824202, 2597478,2572570,-1975821, 3359721,2572570,-1824202, 3301699,1810327,-1684124,
	3898708,1810327,-1285215, 3593396,1164129,-979903, 3898708,1164129,-522972, 3301698,732353,-275683, 3359721,732353,16014,
	2597478,580734,16014, 2597478,4564406,16014, 2058491,4412786,-522972, 2305781,4412786,-688206, 2058491,3981010,-1285215,
	2597478,3981010,-1392426, 2597478,3334812,-1824202, 3301699,3334812,-1684124, 3359721,2572570,-1824202, 4005919,2572570,-1392426,
	3898708,1810327,-1285215, 4297617,1810327,-688205, 3898708,1164129,-522972, 4005919,1164129,16014, 3359721,732353,16014,
	3301698,732353,307711, 2597478,580734,16014, 2597478,4564406,16014, 2305781,4412786,-688206, 2597478,4412786,-746228,
	2597478,3981010,-1392426, 3136465,3981010,-1285215, 3301699,3334812,-1684124, 3898708,3334812,-1285215, 4005919,2572570,-1392426,
	4437695,2572570,-746228, 4297617,1810327,-688205, 4437695,1810327,16014, 4005919,1164129,16014, 3898708,1164129,555001,
	3301698,732353,307711, 3136465,732353,555001, 2597478,580734,16014, 2597478,4564406,16014, 2597478,4412786,-746228,
	2889176,4412786,-688206, 3136465,3981010,-1285215, 3593396,3981010,-979903, 3898708,3334812,-1285215, 4297617,3334812,-688205,
	4437695,2572570,-746228, 4589314,2572570,16014, 4437695,1810327,16014, 4297617,1810327,720234, 3898708,1164129,555001,
	3593396,1164129,1011932, 3136465,732353,555001, 2889176,732353,720234, 2597478,580734,16014, 2597478,4564406,16014,
	2889176,4412786,-688206, 3136465,4412786,-522972, 3593396,3981010,-979903, 3898708,3981010,-522972, 4297617,3334812,-688205,
	4437695,3334812,16014, 4589314,2572570,16014, 4437695,2572570,778257, 4297617,1810327,720234, 3898707,1810327,1317244,
	3593396,1164129,1011932, 3136465,1164129,1317243, 2889176,732353,720234, 2597478,732353,778256, 2597478,580734,16014,
	2597478,4564406,16014, 3136465,4412786,-522972, 3301699,4412786,-275683, 3898708,3981010,-522972, 4005919,3981010,16014,
	4437695,3334812,16014, 4297617,3334812,720234, 4437695,2572570,778257, 4005919,2572570,1424455, 3898707,1810327,1317244,
	3301698,1810327,1716152, 3136465,1164129,1317243, 2597478,1164129,1424454, 2597478,732353,778256, 2597478,4564406,16014,
	3301699,4412786,-275683, 3359721,4412786,16014, 4005919,3981010,16014, 3898708,3981010,555001, 4297617,3334812,720234,
	3898707,3334812,1317244, 4005919,2572570,1424455, 3359720,2572570,1856230, 3301698,1810327,1716152, 2597478,1810327,1856230,
	2597478,1164129,1424454, 2597478,4564406,16014, 3359721,4412786,16014, 3301699,4412786,307712, 3898708,3981010,555001,
	3593396,3981010,1011932, 3898707,3334812,1317244, 3301698,3334812,1716152, 3359720,2572570,1856230, 2597478,2572570,2007850,
	2597478,1810327,1856230, 2597478,4564406,16014, 3301699,4412786,307712, 3136465,4412786,555001, 3593396,3981010,1011932,
	3136465,3981010,1317244, 3301698,3334812,1716152, 2597478,3334812,1856230, 2597478,2572570,2007850, 2597478,4564406,16014,
	3136465,4412786,555001, 2889176,4412786,720234, 3136465,3981010,1317244, 2597478,3981010,1424455, 2597478,3334812,1856230,
	2597478,4412786,778256, 2597478,3981010,1424455, 2058491,3981010,1317243, 1893258,3334812,1716152, 1296248,3334812,1317243,
	1189037,2572570,1424454, 757261,2572570,778256, 897340,1810327,720234, 757262,1810327,16014, 1189037,1164129,16014,
	1296249,1164129,-522972, 1893258,732353,-275683, 2058491,732353,-522972, 2597478,580734,16014, 2597478,3981010,1424455,
	2597478,3334812,1856230, 1893258,3334812,1716152, 1835235,2572570,1856230, 1189037,2572570,1424454, 1296248,1810327,1317243,
	897340,1810327,720234, 1296249,1164129,555001, 1189037,1164129,16014, 1835236,732353,16014, 1893258,732353,-275683,
	2597478,580734,16014, 2597478,3334812,1856230, 2597478,2572570,2007850, 1835235,2572570,1856230, 1893258,1810327,1716152,
	1296248,1810327,1317243, 1601560,1164129,1011932, 1296249,1164129,555001, 1893258,732353,307711, 1835236,732353,16014,
	2597478,580734,16014, 2597478,2572570,2007850, 2597478,1810327,1856230, 1893258,1810327,1716152, 2058491,1164129,1317243,
	1601560,1164129,1011932, 2058491,732353,555001, 1893258,732353,307711, 2597478,580734,16014, 2597478,1810327,1856230,
	2597478,1164129,1424454, 2058491,1164129,1317243, 2305781,732353,720234, 2058491,732353,555001, 2597478,580734,16014,
	2597478,580734,16014, 2305781,732353,720234, 2597478,732353,778256, 2597478,1164129,1424454, 2597478,3981010,1424455,
	2597478,4412786,778256, 2889176,4412786,720234, 2597478,4564406,16014,
_NULL_ }; /* End of sphere02_Vertices */

const fixed_16 sphere02_UV[] = {
	0,1, 0,-8191, 4096,-8191, 4096,-16383, 8192,-16383, 8192,-24575, 12288,-24575, 12288,-32767, 16384,-32767, 16384,-40959, 20480,-40959, 20480,-49151, 24576,-49151, 24576,-57343, 28672,-57343,
	24576,-65535, 4096,1, 4096,-8191, 8192,-8191, 8192,-16383, 12288,-16383, 12288,-24575, 16384,-24575, 16384,-32767, 20480,-32767, 20480,-40959, 24576,-40959, 24576,-49151, 28672,-49151, 28672,-57343,
	32768,-57343, 28672,-65535, 8192,1, 8192,-8191, 12288,-8191, 12288,-16383, 16384,-16383, 16384,-24575, 20480,-24575, 20480,-32767, 24576,-32767, 24576,-40959, 28672,-40959, 28672,-49151, 32768,-49151,
	32768,-57343, 36864,-57343, 32768,-65535, 12288,1, 12288,-8191, 16384,-8191, 16384,-16383, 20480,-16383, 20480,-24575, 24576,-24575, 24576,-32767, 28672,-32767, 28672,-40959, 32768,-40959, 32768,-49151,
	36864,-49151, 36864,-57343, 40960,-57343, 36864,-65535, 16384,1, 16384,-8191, 20480,-8191, 20480,-16383, 24576,-16383, 24576,-24575, 28672,-24575, 28672,-32767, 32768,-32767, 32768,-40959, 36864,-40959,
	36864,-49151, 40960,-49151, 40960,-57343, 45056,-57343, 40960,-65535, 20480,1, 20480,-8191, 24576,-8191, 24576,-16383, 28672,-16383, 28672,-24575, 32768,-24575, 32768,-32767, 36864,-32767, 36864,-40959,
	40960,-40959, 40960,-49151, 45056,-49151, 45056,-57343, 49152,-57343, 45056,-65535, 24576,1, 24576,-8191, 28672,-8191, 28672,-16383, 32768,-16383, 32768,-24575, 36864,-24575, 36864,-32767, 40960,-32767,
	40960,-40959, 45056,-40959, 45056,-49151, 49152,-49151, 49152,-57343, 53248,-57343, 49152,-65535, 28672,1, 28672,-8191, 32768,-8191, 32768,-16383, 36864,-16383, 36864,-24575, 40960,-24575, 40960,-32767,
	45056,-32767, 45056,-40959, 49152,-40959, 49152,-49151, 53248,-49151, 53248,-57343, 57344,-57343, 53248,-65535, 32768,1, 32768,-8191, 36864,-8191, 36864,-16383, 40960,-16383, 40960,-24575, 45056,-24575,
	45056,-32767, 49152,-32767, 49152,-40959, 53248,-40959, 53248,-49151, 57344,-49151, 57344,-57343, 61440,-57343, 57344,-65535, 36864,1, 36864,-8191, 40960,-8191, 40960,-16383, 45056,-16383, 45056,-24575,
	49152,-24575, 49152,-32767, 53248,-32767, 53248,-40959, 57344,-40959, 57344,-49151, 61440,-49151, 61440,-57343, 65536,-57343, 61440,-65535, 40960,1, 40960,-8191, 45056,-8191, 45056,-16383, 49152,-16383,
	49152,-24575, 53248,-24575, 53248,-32767, 57344,-32767, 57344,-40959, 61440,-40959, 61440,-49151, 65536,-49151, 65536,-57343, 45056,1, 45056,-8191, 49152,-8191, 49152,-16383, 53248,-16383, 53248,-24575,
	57344,-24575, 57344,-32767, 61440,-32767, 61440,-40959, 65536,-40959, 65536,-49151, 49152,1, 49152,-8191, 53248,-8191, 53248,-16383, 57344,-16383, 57344,-24575, 61440,-24575, 61440,-32767, 65536,-32767,
	65536,-40959, 53248,1, 53248,-8191, 57344,-8191, 57344,-16383, 61440,-16383, 61440,-24575, 65536,-24575, 65536,-32767, 57344,1, 57344,-8191, 61440,-8191, 61440,-16383, 65536,-16383, 65536,-24575,
	0,-8191, 0,-16383, 4096,-16383, 4096,-24575, 8192,-24575, 8192,-32767, 12288,-32767, 12288,-40959, 16384,-40959, 16384,-49151, 20480,-49151, 20480,-57343, 24576,-57343, 20480,-65535, 0,-16383,
	0,-24575, 4096,-24575, 4096,-32767, 8192,-32767, 8192,-40959, 12288,-40959, 12288,-49151, 16384,-49151, 16384,-57343, 20480,-57343, 16384,-65535, 0,-24575, 0,-32767, 4096,-32767, 4096,-40959,
	8192,-40959, 8192,-49151, 12288,-49151, 12288,-57343, 16384,-57343, 12288,-65535, 0,-32767, 0,-40959, 4096,-40959, 4096,-49151, 8192,-49151, 8192,-57343, 12288,-57343, 8192,-65535, 0,-40959,
	0,-49151, 4096,-49151, 4096,-57343, 8192,-57343, 4096,-65535, 0,-65535, 4096,-57343, 0,-57343, 0,-49151, 65536,-16383, 65536,-8191, 61440,-8191, 61440,1,
_NULL_ }; /* End of sphere02_UV */

const fixed_16 sphere02_Normals[] = {
	0,65536,0, 0,59975,26417, -10109,59975,24406, -18028,45557,43524, -33312,45557,33312, -42971,24534,42971, -56144,24534,23255, -60547,0,25079, -65536,0,0, -60770,-24534,0, -56144,-24534,-23255, -43524,-45557,-18028, -33312,-45557,-33312, -18679,-59975,-18679, -10109,-59975,-24406,
	0,-65536,0, 0,65536,0, -10109,59975,24406, -18679,59975,18679, -33312,45557,33312, -43524,45557,18028, -56144,24534,23255, -60770,24534,0, -65536,0,0, -60547,0,-25079, -56144,-24534,-23255, -42971,-24534,-42971, -33312,-45557,-33312, -18028,-45557,-43524, -10109,-59975,-24406,
	0,-59975,-26417, 0,-65536,0, 0,65536,0, -18679,59975,18679, -24406,59975,10109, -43524,45557,18028, -47111,45557,0, -60770,24534,0, -56144,24534,-23255, -60547,0,-25079, -46340,0,-46340, -42971,-24534,-42971, -23255,-24534,-56144, -18028,-45557,-43524, 0,-45557,-47111,
	0,-59975,-26417, 10109,-59975,-24406, 0,-65536,0, 0,65536,0, -24406,59975,10109, -26417,59975,0, -47111,45557,0, -43524,45557,-18028, -56144,24534,-23255, -42971,24534,-42971, -46340,0,-46340, -25079,0,-60547, -23255,-24534,-56144, 0,-24534,-60770, 0,-45557,-47111,
	18028,-45557,-43524, 10109,-59975,-24406, 18679,-59975,-18679, 0,-65536,0, 0,65536,0, -26417,59975,0, -24406,59975,-10109, -43524,45557,-18028, -33312,45557,-33312, -42971,24534,-42971, -23255,24534,-56144, -25079,0,-60547, 0,0,-65536, 0,-24534,-60770, 23255,-24534,-56144,
	18028,-45557,-43524, 33312,-45557,-33312, 18679,-59975,-18679, 24406,-59975,-10109, 0,-65536,0, 0,65536,0, -24406,59975,-10109, -18679,59975,-18679, -33312,45557,-33312, -18028,45557,-43524, -23255,24534,-56144, 0,24534,-60770, 0,0,-65536, 25079,0,-60547, 23255,-24534,-56144,
	42971,-24534,-42971, 33312,-45557,-33312, 43524,-45557,-18028, 24406,-59975,-10109, 26417,-59975,0, 0,-65536,0, 0,65536,0, -18679,59975,-18679, -10109,59975,-24406, -18028,45557,-43524, 0,45557,-47111, 0,24534,-60770, 23255,24534,-56144, 25079,0,-60547, 46340,0,-46340,
	42971,-24534,-42971, 56144,-24534,-23255, 43524,-45557,-18028, 47111,-45557,0, 26417,-59975,0, 24406,-59975,10109, 0,-65536,0, 0,65536,0, -10109,59975,-24406, 0,59975,-26417, 0,45557,-47111, 18028,45557,-43524, 23255,24534,-56144, 42971,24534,-42971, 46340,0,-46340,
	60547,0,-25079, 56144,-24534,-23255, 60770,-24534,0, 47111,-45557,0, 43524,-45557,18028, 24406,-59975,10109, 18679,-59975,18679, 0,-65536,0, 0,65536,0, 0,59975,-26417, 10109,59975,-24406, 18028,45557,-43524, 33312,45557,-33312, 42971,24534,-42971, 56144,24534,-23255,
	60547,0,-25079, 65536,0,0, 60770,-24534,0, 56144,-24534,23255, 43524,-45557,18028, 33312,-45557,33312, 18679,-59975,18679, 10109,-59975,24406, 0,-65536,0, 0,65536,0, 10109,59975,-24406, 18679,59975,-18679, 33312,45557,-33312, 43524,45557,-18028, 56144,24534,-23255,
	60770,24534,0, 65536,0,0, 60547,0,25079, 56144,-24534,23255, 42971,-24534,42971, 33312,-45557,33312, 18028,-45557,43524, 10109,-59975,24406, 0,-59975,26417, 0,-65536,0, 0,65536,0, 18679,59975,-18679, 24406,59975,-10109, 43524,45557,-18028, 47111,45557,0,
	60770,24534,0, 56144,24534,23255, 60547,0,25079, 46340,0,46340, 42971,-24534,42971, 23255,-24534,56144, 18028,-45557,43524, 0,-45557,47111, 0,-59975,26417, 0,65536,0, 24406,59975,-10109, 26417,59975,0, 47111,45557,0, 43524,45557,18028, 56144,24534,23255,
	42971,24534,42971, 46340,0,46340, 25079,0,60547, 23255,-24534,56144, 0,-24534,60770, 0,-45557,47111, 0,65536,0, 26417,59975,0, 24406,59975,10109, 43524,45557,18028, 33312,45557,33312, 42971,24534,42971, 23255,24534,56144, 25079,0,60547, 0,0,65536,
	0,-24534,60770, 0,65536,0, 24406,59975,10109, 18679,59975,18679, 33312,45557,33312, 18028,45557,43524, 23255,24534,56144, 0,24534,60770, 0,0,65536, 0,65536,0, 18679,59975,18679, 10109,59975,24406, 18028,45557,43524, 0,45557,47111, 0,24534,60770,
	0,59975,26417, 0,45557,47111, -18028,45557,43524, -23255,24534,56144, -42971,24534,42971, -46340,0,46340, -60547,0,25079, -56144,-24534,23255, -60770,-24534,0, -47111,-45557,0, -43524,-45557,-18028, -24406,-59975,-10109, -18679,-59975,-18679, 0,-65536,0, 0,45557,47111,
	0,24534,60770, -23255,24534,56144, -25079,0,60547, -46340,0,46340, -42971,-24534,42971, -56144,-24534,23255, -43524,-45557,18028, -47111,-45557,0, -26417,-59975,0, -24406,-59975,-10109, 0,-65536,0, 0,24534,60770, 0,0,65536, -25079,0,60547, -23255,-24534,56144,
	-42971,-24534,42971, -33312,-45557,33312, -43524,-45557,18028, -24406,-59975,10109, -26417,-59975,0, 0,-65536,0, 0,0,65536, 0,-24534,60770, -23255,-24534,56144, -18028,-45557,43524, -33312,-45557,33312, -18679,-59975,18679, -24406,-59975,10109, 0,-65536,0, 0,-24534,60770,
	0,-45557,47111, -18028,-45557,43524, -10109,-59975,24406, -18679,-59975,18679, 0,-65536,0, 0,-65536,0, -10109,-59975,24406, 0,-59975,26417, 0,-45557,47111, 0,45557,47111, 0,59975,26417, 10109,59975,24406, 0,65536,0,
_NULL_ }; /* End of sphere02_Normals */

const unsigned short sphere02_StripLength[] = {
	14,14,14, 14,14,14, 14,14,14, 14,12,10, 8,6,4, 12,10,8, 6,4,2, 2,
_NULL_ }; /* End of sphere02_pStripLength */


/* MESH 2 */

#define sphere03_NumVertex  268
#define sphere03_NumFaces   224
#define sphere03_NumStrips  22
#define sphere03_Flags      0x00020066
#define sphere03_Material   -1

const fixed_16 sphere03_Vertices[] = {
	-5046418,-77525,16013, -5046418,-229144,778256, -5338116,-229144,720234, -5585405,-660920,1317243, -6042336,-660920,1011931,
	-6347648,-1307118,1317243, -6746557,-1307118,720234, -6886635,-2069361,778256, -7038254,-2069361,16013, -6886635,-2831603,16013,
	-6746557,-2831603,-688206, -6347648,-3477802,-522973, -6042336,-3477802,-979904, -5585405,-3909577,-522973, -5338116,-3909577,-688206,
	-5046418,-4061197,16013, -5046418,-77525,16013, -5338116,-229144,720234, -5585405,-229144,555000, -6042336,-660920,1011931,
	-6347648,-660920,555000, -6746557,-1307118,720234, -6886635,-1307118,16013, -7038254,-2069361,16013, -6886635,-2069361,-746229,
	-6746557,-2831603,-688206, -6347648,-2831603,-1285216, -6042336,-3477802,-979904, -5585405,-3477802,-1285215, -5338116,-3909577,-688206,
	-5046418,-3909577,-746228, -5046418,-4061197,16013, -5046418,-77525,16013, -5585405,-229144,555000, -5750639,-229144,307711,
	-6347648,-660920,555000, -6454859,-660920,16013, -6886635,-1307118,16013, -6746557,-1307118,-688206, -6886635,-2069361,-746229,
	-6454859,-2069361,-1392427, -6347648,-2831603,-1285216, -5750638,-2831603,-1684124, -5585405,-3477802,-1285215, -5046418,-3477802,-1392426,
	-5046418,-3909577,-746228, -4754721,-3909577,-688206, -5046418,-4061197,16013, -5046418,-77525,16013, -5750639,-229144,307711,
	-5808661,-229144,16013, -6454859,-660920,16013, -6347648,-660920,-522973, -6746557,-1307118,-688206, -6347648,-1307118,-1285216,
	-6454859,-2069361,-1392427, -5808661,-2069361,-1824202, -5750638,-2831603,-1684124, -5046418,-2831603,-1824202, -5046418,-3477802,-1392426,
	-4507431,-3477802,-1285215, -4754721,-3909577,-688206, -4507431,-3909577,-522973, -5046418,-4061197,16013, -5046418,-77525,16013,
	-5808661,-229144,16013, -5750639,-229144,-275683, -6347648,-660920,-522973, -6042336,-660920,-979904, -6347648,-1307118,-1285216,
	-5750638,-1307118,-1684124, -5808661,-2069361,-1824202, -5046418,-2069361,-1975822, -5046418,-2831603,-1824202, -4342198,-2831603,-1684124,
	-4507431,-3477802,-1285215, -4050500,-3477802,-979904, -4507431,-3909577,-522973, -4342198,-3909577,-275683, -5046418,-4061197,16013,
	-5046418,-77525,16013, -5750639,-229144,-275683, -5585405,-229144,-522973, -6042336,-660920,-979904, -5585405,-660920,-1285215,
	-5750638,-1307118,-1684124, -5046418,-1307118,-1824202, -5046418,-2069361,-1975822, -4284175,-2069361,-1824202, -4342198,-2831603,-1684124,
	-3745188,-2831603,-1285215, -4050500,-3477802,-979904, -3745189,-3477802,-522972, -4342198,-3909577,-275683, -4284176,-3909577,16013,
	-5046418,-4061197,16013, -5046418,-77525,16013, -5585405,-229144,-522973, -5338116,-229144,-688206, -5585405,-660920,-1285215,
	-5046418,-660920,-1392427, -5046418,-1307118,-1824202, -4342198,-1307118,-1684124, -4284175,-2069361,-1824202, -3637977,-2069361,-1392426,
	-3745188,-2831603,-1285215, -3346280,-2831603,-688206, -3745189,-3477802,-522972, -3637978,-3477802,16013, -4284176,-3909577,16013,
	-4342198,-3909577,307711, -5046418,-4061197,16013, -5046418,-77525,16013, -5338116,-229144,-688206, -5046418,-229144,-746228,
	-5046418,-660920,-1392427, -4507431,-660920,-1285215, -4342198,-1307118,-1684124, -3745188,-1307118,-1285215, -3637977,-2069361,-1392426,
	-3206202,-2069361,-746228, -3346280,-2831603,-688206, -3206202,-2831603,16014, -3637978,-3477802,16013, -3745189,-3477802,555000,
	-4342198,-3909577,307711, -4507432,-3909577,555000, -5046418,-4061197,16013, -5046418,-77525,16013, -5046418,-229144,-746228,
	-4754721,-229144,-688206, -4507431,-660920,-1285215, -4050500,-660920,-979904, -3745188,-1307118,-1285215, -3346280,-1307118,-688206,
	-3206202,-2069361,-746228, -3054582,-2069361,16014, -3206202,-2831603,16014, -3346280,-2831603,720234, -3745189,-3477802,555000,
	-4050500,-3477802,1011931, -4507432,-3909577,555000, -4754721,-3909577,720234, -5046418,-4061197,16013, -5046418,-77525,16013,
	-4754721,-229144,-688206, -4507431,-229144,-522973, -4050500,-660920,-979904, -3745189,-660920,-522973, -3346280,-1307118,-688206,
	-3206202,-1307118,16014, -3054582,-2069361,16014, -3206202,-2069361,778256, -3346280,-2831603,720234, -3745189,-2831603,1317243,
	-4050500,-3477802,1011931, -4507432,-3477802,1317243, -4754721,-3909577,720234, -5046418,-3909577,778256, -5046418,-4061197,16013,
	-5046418,-77525,16013, -4507431,-229144,-522973, -4342198,-229144,-275683, -3745189,-660920,-522973, -3637977,-660920,16013,
	-3206202,-1307118,16014, -3346280,-1307118,720234, -3206202,-2069361,778256, -3637978,-2069361,1424454, -3745189,-2831603,1317243,
	-4342198,-2831603,1716152, -4507432,-3477802,1317243, -5046418,-3477802,1424454, -5046418,-3909577,778256, -5046418,-77525,16013,
	-4342198,-229144,-275683, -4284176,-229144,16013, -3637977,-660920,16013, -3745189,-660920,555000, -3346280,-1307118,720234,
	-3745189,-1307118,1317243, -3637978,-2069361,1424454, -4284176,-2069361,1856230, -4342198,-2831603,1716152, -5046418,-2831603,1856230,
	-5046418,-3477802,1424454, -5046418,-77525,16013, -4284176,-229144,16013, -4342198,-229144,307711, -3745189,-660920,555000,
	-4050500,-660920,1011931, -3745189,-1307118,1317243, -4342198,-1307118,1716152, -4284176,-2069361,1856230, -5046418,-2069361,2007849,
	-5046418,-2831603,1856230, -5046418,-77525,16013, -4342198,-229144,307711, -4507431,-229144,555000, -4050500,-660920,1011931,
	-4507432,-660920,1317243, -4342198,-1307118,1716152, -5046418,-1307118,1856230, -5046418,-2069361,2007849, -5046418,-77525,16013,
	-4507431,-229144,555000, -4754721,-229144,720234, -4507432,-660920,1317243, -5046418,-660920,1424454, -5046418,-1307118,1856230,
	-5046418,-229144,778256, -5046418,-660920,1424454, -5585405,-660920,1317243, -5750639,-1307118,1716152, -6347648,-1307118,1317243,
	-6454859,-2069361,1424454, -6886635,-2069361,778256, -6746557,-2831603,720234, -6886635,-2831603,16013, -6454859,-3477802,16013,
	-6347648,-3477802,-522973, -5750638,-3909577,-275683, -5585405,-3909577,-522973, -5046418,-4061197,16013, -5046418,-660920,1424454,
	-5046418,-1307118,1856230, -5750639,-1307118,1716152, -5808661,-2069361,1856230, -6454859,-2069361,1424454, -6347648,-2831603,1317243,
	-6746557,-2831603,720234, -6347648,-3477802,555000, -6454859,-3477802,16013, -5808661,-3909577,16013, -5750638,-3909577,-275683,
	-5046418,-4061197,16013, -5046418,-1307118,1856230, -5046418,-2069361,2007849, -5808661,-2069361,1856230, -5750639,-2831603,1716152,
	-6347648,-2831603,1317243, -6042336,-3477802,1011931, -6347648,-3477802,555000, -5750639,-3909577,307711, -5808661,-3909577,16013,
	-5046418,-4061197,16013, -5046418,-2069361,2007849, -5046418,-2831603,1856230, -5750639,-2831603,1716152, -5585405,-3477802,1317243,
	-6042336,-3477802,1011931, -5585405,-3909577,555000, -5750639,-3909577,307711, -5046418,-4061197,16013, -5046418,-2831603,1856230,
	-5046418,-3477802,1424454, -5585405,-3477802,1317243, -5338116,-3909577,720234, -5585405,-3909577,555000, -5046418,-4061197,16013,
	-5046418,-4061197,16013, -5338116,-3909577,720234, -5046418,-3909577,778256, -5046418,-3477802,1424454, -5046418,-660920,1424454,
	-5046418,-229144,778256, -4754721,-229144,720234, -5046418,-77525,16013,
_NULL_ }; /* End of sphere03_Vertices */

const fixed_16 sphere03_UV[] = {
	0,1, 0,-8191, 4096,-8191, 4096,-16383, 8192,-16383, 8192,-24575, 12288,-24575, 12288,-32767, 16384,-32767, 16384,-40959, 20480,-40959, 20480,-49151, 24576,-49151, 24576,-57343, 28672,-57343,
	24576,-65535, 4096,1, 4096,-8191, 8192,-8191, 8192,-16383, 12288,-16383, 12288,-24575, 16384,-24575, 16384,-32767, 20480,-32767, 20480,-40959, 24576,-40959, 24576,-49151, 28672,-49151, 28672,-57343,
	32768,-57343, 28672,-65535, 8192,1, 8192,-8191, 12288,-8191, 12288,-16383, 16384,-16383, 16384,-24575, 20480,-24575, 20480,-32767, 24576,-32767, 24576,-40959, 28672,-40959, 28672,-49151, 32768,-49151,
	32768,-57343, 36864,-57343, 32768,-65535, 12288,1, 12288,-8191, 16384,-8191, 16384,-16383, 20480,-16383, 20480,-24575, 24576,-24575, 24576,-32767, 28672,-32767, 28672,-40959, 32768,-40959, 32768,-49151,
	36864,-49151, 36864,-57343, 40960,-57343, 36864,-65535, 16384,1, 16384,-8191, 20480,-8191, 20480,-16383, 24576,-16383, 24576,-24575, 28672,-24575, 28672,-32767, 32768,-32767, 32768,-40959, 36864,-40959,
	36864,-49151, 40960,-49151, 40960,-57343, 45056,-57343, 40960,-65535, 20480,1, 20480,-8191, 24576,-8191, 24576,-16383, 28672,-16383, 28672,-24575, 32768,-24575, 32768,-32767, 36864,-32767, 36864,-40959,
	40960,-40959, 40960,-49151, 45056,-49151, 45056,-57343, 49152,-57343, 45056,-65535, 24576,1, 24576,-8191, 28672,-8191, 28672,-16383, 32768,-16383, 32768,-24575, 36864,-24575, 36864,-32767, 40960,-32767,
	40960,-40959, 45056,-40959, 45056,-49151, 49152,-49151, 49152,-57343, 53248,-57343, 49152,-65535, 28672,1, 28672,-8191, 32768,-8191, 32768,-16383, 36864,-16383, 36864,-24575, 40960,-24575, 40960,-32767,
	45056,-32767, 45056,-40959, 49152,-40959, 49152,-49151, 53248,-49151, 53248,-57343, 57344,-57343, 53248,-65535, 32768,1, 32768,-8191, 36864,-8191, 36864,-16383, 40960,-16383, 40960,-24575, 45056,-24575,
	45056,-32767, 49152,-32767, 49152,-40959, 53248,-40959, 53248,-49151, 57344,-49151, 57344,-57343, 61440,-57343, 57344,-65535, 36864,1, 36864,-8191, 40960,-8191, 40960,-16383, 45056,-16383, 45056,-24575,
	49152,-24575, 49152,-32767, 53248,-32767, 53248,-40959, 57344,-40959, 57344,-49151, 61440,-49151, 61440,-57343, 65536,-57343, 61440,-65535, 40960,1, 40960,-8191, 45056,-8191, 45056,-16383, 49152,-16383,
	49152,-24575, 53248,-24575, 53248,-32767, 57344,-32767, 57344,-40959, 61440,-40959, 61440,-49151, 65536,-49151, 65536,-57343, 45056,1, 45056,-8191, 49152,-8191, 49152,-16383, 53248,-16383, 53248,-24575,
	57344,-24575, 57344,-32767, 61440,-32767, 61440,-40959, 65536,-40959, 65536,-49151, 49152,1, 49152,-8191, 53248,-8191, 53248,-16383, 57344,-16383, 57344,-24575, 61440,-24575, 61440,-32767, 65536,-32767,
	65536,-40959, 53248,1, 53248,-8191, 57344,-8191, 57344,-16383, 61440,-16383, 61440,-24575, 65536,-24575, 65536,-32767, 57344,1, 57344,-8191, 61440,-8191, 61440,-16383, 65536,-16383, 65536,-24575,
	0,-8191, 0,-16383, 4096,-16383, 4096,-24575, 8192,-24575, 8192,-32767, 12288,-32767, 12288,-40959, 16384,-40959, 16384,-49151, 20480,-49151, 20480,-57343, 24576,-57343, 20480,-65535, 0,-16383,
	0,-24575, 4096,-24575, 4096,-32767, 8192,-32767, 8192,-40959, 12288,-40959, 12288,-49151, 16384,-49151, 16384,-57343, 20480,-57343, 16384,-65535, 0,-24575, 0,-32767, 4096,-32767, 4096,-40959,
	8192,-40959, 8192,-49151, 12288,-49151, 12288,-57343, 16384,-57343, 12288,-65535, 0,-32767, 0,-40959, 4096,-40959, 4096,-49151, 8192,-49151, 8192,-57343, 12288,-57343, 8192,-65535, 0,-40959,
	0,-49151, 4096,-49151, 4096,-57343, 8192,-57343, 4096,-65535, 0,-65535, 4096,-57343, 0,-57343, 0,-49151, 65536,-16383, 65536,-8191, 61440,-8191, 61440,1,
_NULL_ }; /* End of sphere03_UV */

const fixed_16 sphere03_Normals[] = {
	0,65536,0, 0,59975,26417, -10109,59975,24406, -18028,45557,43524, -33312,45557,33312, -42971,24534,42971, -56144,24534,23255, -60547,0,25079, -65536,0,0, -60770,-24534,0, -56144,-24534,-23255, -43524,-45557,-18028, -33312,-45557,-33312, -18679,-59975,-18679, -10109,-59975,-24406,
	0,-65536,0, 0,65536,0, -10109,59975,24406, -18679,59975,18679, -33312,45557,33312, -43524,45557,18028, -56144,24534,23255, -60770,24534,0, -65536,0,0, -60547,0,-25079, -56144,-24534,-23255, -42971,-24534,-42971, -33312,-45557,-33312, -18028,-45557,-43524, -10109,-59975,-24406,
	0,-59975,-26417, 0,-65536,0, 0,65536,0, -18679,59975,18679, -24406,59975,10109, -43524,45557,18028, -47111,45557,0, -60770,24534,0, -56144,24534,-23255, -60547,0,-25079, -46340,0,-46340, -42971,-24534,-42971, -23255,-24534,-56144, -18028,-45557,-43524, 0,-45557,-47111,
	0,-59975,-26417, 10109,-59975,-24406, 0,-65536,0, 0,65536,0, -24406,59975,10109, -26417,59975,0, -47111,45557,0, -43524,45557,-18028, -56144,24534,-23255, -42971,24534,-42971, -46340,0,-46340, -25079,0,-60547, -23255,-24534,-56144, 0,-24534,-60770, 0,-45557,-47111,
	18028,-45557,-43524, 10109,-59975,-24406, 18679,-59975,-18679, 0,-65536,0, 0,65536,0, -26417,59975,0, -24406,59975,-10109, -43524,45557,-18028, -33312,45557,-33312, -42971,24534,-42971, -23255,24534,-56144, -25079,0,-60547, 0,0,-65536, 0,-24534,-60770, 23255,-24534,-56144,
	18028,-45557,-43524, 33312,-45557,-33312, 18679,-59975,-18679, 24406,-59975,-10109, 0,-65536,0, 0,65536,0, -24406,59975,-10109, -18679,59975,-18679, -33312,45557,-33312, -18028,45557,-43524, -23255,24534,-56144, 0,24534,-60770, 0,0,-65536, 25079,0,-60547, 23255,-24534,-56144,
	42971,-24534,-42971, 33312,-45557,-33312, 43524,-45557,-18028, 24406,-59975,-10109, 26417,-59975,0, 0,-65536,0, 0,65536,0, -18679,59975,-18679, -10109,59975,-24406, -18028,45557,-43524, 0,45557,-47111, 0,24534,-60770, 23255,24534,-56144, 25079,0,-60547, 46340,0,-46340,
	42971,-24534,-42971, 56144,-24534,-23255, 43524,-45557,-18028, 47111,-45557,0, 26417,-59975,0, 24406,-59975,10109, 0,-65536,0, 0,65536,0, -10109,59975,-24406, 0,59975,-26417, 0,45557,-47111, 18028,45557,-43524, 23255,24534,-56144, 42971,24534,-42971, 46340,0,-46340,
	60547,0,-25079, 56144,-24534,-23255, 60770,-24534,0, 47111,-45557,0, 43524,-45557,18028, 24406,-59975,10109, 18679,-59975,18679, 0,-65536,0, 0,65536,0, 0,59975,-26417, 10109,59975,-24406, 18028,45557,-43524, 33312,45557,-33312, 42971,24534,-42971, 56144,24534,-23255,
	60547,0,-25079, 65536,0,0, 60770,-24534,0, 56144,-24534,23255, 43524,-45557,18028, 33312,-45557,33312, 18679,-59975,18679, 10109,-59975,24406, 0,-65536,0, 0,65536,0, 10109,59975,-24406, 18679,59975,-18679, 33312,45557,-33312, 43524,45557,-18028, 56144,24534,-23255,
	60770,24534,0, 65536,0,0, 60547,0,25079, 56144,-24534,23255, 42971,-24534,42971, 33312,-45557,33312, 18028,-45557,43524, 10109,-59975,24406, 0,-59975,26417, 0,-65536,0, 0,65536,0, 18679,59975,-18679, 24406,59975,-10109, 43524,45557,-18028, 47111,45557,0,
	60770,24534,0, 56144,24534,23255, 60547,0,25079, 46340,0,46340, 42971,-24534,42971, 23255,-24534,56144, 18028,-45557,43524, 0,-45557,47111, 0,-59975,26417, 0,65536,0, 24406,59975,-10109, 26417,59975,0, 47111,45557,0, 43524,45557,18028, 56144,24534,23255,
	42971,24534,42971, 46340,0,46340, 25079,0,60547, 23255,-24534,56144, 0,-24534,60770, 0,-45557,47111, 0,65536,0, 26417,59975,0, 24406,59975,10109, 43524,45557,18028, 33312,45557,33312, 42971,24534,42971, 23255,24534,56144, 25079,0,60547, 0,0,65536,
	0,-24534,60770, 0,65536,0, 24406,59975,10109, 18679,59975,18679, 33312,45557,33312, 18028,45557,43524, 23255,24534,56144, 0,24534,60770, 0,0,65536, 0,65536,0, 18679,59975,18679, 10109,59975,24406, 18028,45557,43524, 0,45557,47111, 0,24534,60770,
	0,59975,26417, 0,45557,47111, -18028,45557,43524, -23255,24534,56144, -42971,24534,42971, -46340,0,46340, -60547,0,25079, -56144,-24534,23255, -60770,-24534,0, -47111,-45557,0, -43524,-45557,-18028, -24406,-59975,-10109, -18679,-59975,-18679, 0,-65536,0, 0,45557,47111,
	0,24534,60770, -23255,24534,56144, -25079,0,60547, -46340,0,46340, -42971,-24534,42971, -56144,-24534,23255, -43524,-45557,18028, -47111,-45557,0, -26417,-59975,0, -24406,-59975,-10109, 0,-65536,0, 0,24534,60770, 0,0,65536, -25079,0,60547, -23255,-24534,56144,
	-42971,-24534,42971, -33312,-45557,33312, -43524,-45557,18028, -24406,-59975,10109, -26417,-59975,0, 0,-65536,0, 0,0,65536, 0,-24534,60770, -23255,-24534,56144, -18028,-45557,43524, -33312,-45557,33312, -18679,-59975,18679, -24406,-59975,10109, 0,-65536,0, 0,-24534,60770,
	0,-45557,47111, -18028,-45557,43524, -10109,-59975,24406, -18679,-59975,18679, 0,-65536,0, 0,-65536,0, -10109,-59975,24406, 0,-59975,26417, 0,-45557,47111, 0,45557,47111, 0,59975,26417, 10109,59975,24406, 0,65536,0,
_NULL_ }; /* End of sphere03_Normals */

const unsigned short sphere03_StripLength[] = {
	14,14,14, 14,14,14, 14,14,14, 14,12,10, 8,6,4, 12,10,8, 6,4,2, 2,
_NULL_ }; /* End of sphere03_pStripLength */


/* MESH 3 */

#define sphere04_NumVertex  268
#define sphere04_NumFaces   224
#define sphere04_NumStrips  22
#define sphere04_Flags      0x00020066
#define sphere04_Material   -1

const fixed_16 sphere04_Vertices[] = {
	44057,-64994,16013, 44057,-216613,778256, -247639,-216613,720234, -494929,-648389,1317243, -951860,-648389,1011931,
	-1257171,-1294587,1317243, -1656080,-1294587,720234, -1796158,-2056830,778256, -1947778,-2056830,16013, -1796158,-2819072,16013,
	-1656080,-2819072,-688206, -1257171,-3465271,-522973, -951860,-3465271,-979904, -494929,-3897046,-522973, -247639,-3897046,-688206,
	44057,-4048666,16013, 44057,-64994,16013, -247639,-216613,720234, -494929,-216613,555000, -951860,-648389,1011931,
	-1257171,-648389,555000, -1656080,-1294587,720234, -1796158,-1294587,16013, -1947778,-2056830,16013, -1796158,-2056830,-746229,
	-1656080,-2819072,-688206, -1257171,-2819072,-1285216, -951860,-3465271,-979904, -494929,-3465271,-1285215, -247639,-3897046,-688206,
	44057,-3897046,-746228, 44057,-4048666,16013, 44057,-64994,16013, -494929,-216613,555000, -660162,-216613,307711,
	-1257171,-648389,555000, -1364383,-648389,16013, -1796158,-1294587,16013, -1656080,-1294587,-688206, -1796158,-2056830,-746229,
	-1364382,-2056830,-1392427, -1257171,-2819072,-1285216, -660162,-2819072,-1684124, -494929,-3465271,-1285215, 44057,-3465271,-1392426,
	44057,-3897046,-746228, 335755,-3897046,-688206, 44057,-4048666,16013, 44057,-64994,16013, -660162,-216613,307711,
	-718184,-216613,16013, -1364383,-648389,16013, -1257171,-648389,-522973, -1656080,-1294587,-688206, -1257171,-1294587,-1285216,
	-1364382,-2056830,-1392427, -718184,-2056830,-1824202, -660162,-2819072,-1684124, 44057,-2819072,-1824202, 44057,-3465271,-1392426,
	583044,-3465271,-1285215, 335755,-3897046,-688206, 583044,-3897046,-522973, 44057,-4048666,16013, 44057,-64994,16013,
	-718184,-216613,16013, -660162,-216613,-275683, -1257171,-648389,-522973, -951860,-648389,-979904, -1257171,-1294587,-1285216,
	-660162,-1294587,-1684124, -718184,-2056830,-1824202, 44058,-2056830,-1975822, 44057,-2819072,-1824202, 748278,-2819072,-1684124,
	583044,-3465271,-1285215, 1039975,-3465271,-979904, 583044,-3897046,-522973, 748278,-3897046,-275683, 44057,-4048666,16013,
	44057,-64994,16013, -660162,-216613,-275683, -494929,-216613,-522973, -951860,-648389,-979904, -494929,-648389,-1285215,
	-660162,-1294587,-1684124, 44057,-1294587,-1824202, 44058,-2056830,-1975822, 806300,-2056830,-1824202, 748278,-2819072,-1684124,
	1345287,-2819072,-1285215, 1039975,-3465271,-979904, 1345287,-3465271,-522972, 748278,-3897046,-275683, 806300,-3897046,16013,
	44057,-4048666,16013, 44057,-64994,16013, -494929,-216613,-522973, -247639,-216613,-688206, -494929,-648389,-1285215,
	44057,-648389,-1392427, 44057,-1294587,-1824202, 748278,-1294587,-1684124, 806300,-2056830,-1824202, 1452498,-2056830,-1392426,
	1345287,-2819072,-1285215, 1744196,-2819072,-688206, 1345287,-3465271,-522972, 1452498,-3465271,16013, 806300,-3897046,16013,
	748277,-3897046,307711, 44057,-4048666,16013, 44057,-64994,16013, -247639,-216613,-688206, 44057,-216613,-746228,
	44057,-648389,-1392427, 583044,-648389,-1285215, 748278,-1294587,-1684124, 1345287,-1294587,-1285215, 1452498,-2056830,-1392426,
	1884274,-2056830,-746228, 1744196,-2819072,-688206, 1884274,-2819072,16014, 1452498,-3465271,16013, 1345287,-3465271,555000,
	748277,-3897046,307711, 583044,-3897046,555000, 44057,-4048666,16013, 44057,-64994,16013, 44057,-216613,-746228,
	335755,-216613,-688206, 583044,-648389,-1285215, 1039975,-648389,-979904, 1345287,-1294587,-1285215, 1744196,-1294587,-688206,
	1884274,-2056830,-746228, 2035893,-2056830,16014, 1884274,-2819072,16014, 1744196,-2819072,720234, 1345287,-3465271,555000,
	1039975,-3465271,1011931, 583044,-3897046,555000, 335755,-3897046,720234, 44057,-4048666,16013, 44057,-64994,16013,
	335755,-216613,-688206, 583044,-216613,-522973, 1039975,-648389,-979904, 1345287,-648389,-522973, 1744196,-1294587,-688206,
	1884274,-1294587,16014, 2035893,-2056830,16014, 1884274,-2056830,778256, 1744196,-2819072,720234, 1345287,-2819072,1317243,
	1039975,-3465271,1011931, 583044,-3465271,1317243, 335755,-3897046,720234, 44057,-3897046,778256, 44057,-4048666,16013,
	44057,-64994,16013, 583044,-216613,-522973, 748278,-216613,-275683, 1345287,-648389,-522973, 1452498,-648389,16013,
	1884274,-1294587,16014, 1744196,-1294587,720234, 1884274,-2056830,778256, 1452498,-2056830,1424454, 1345287,-2819072,1317243,
	748277,-2819072,1716152, 583044,-3465271,1317243, 44057,-3465271,1424454, 44057,-3897046,778256, 44057,-64994,16013,
	748278,-216613,-275683, 806300,-216613,16013, 1452498,-648389,16013, 1345287,-648389,555000, 1744196,-1294587,720234,
	1345287,-1294587,1317243, 1452498,-2056830,1424454, 806300,-2056830,1856230, 748277,-2819072,1716152, 44057,-2819072,1856230,
	44057,-3465271,1424454, 44057,-64994,16013, 806300,-216613,16013, 748278,-216613,307711, 1345287,-648389,555000,
	1039975,-648389,1011931, 1345287,-1294587,1317243, 748277,-1294587,1716152, 806300,-2056830,1856230, 44057,-2056830,2007849,
	44057,-2819072,1856230, 44057,-64994,16013, 748278,-216613,307711, 583044,-216613,555000, 1039975,-648389,1011931,
	583044,-648389,1317243, 748277,-1294587,1716152, 44057,-1294587,1856230, 44057,-2056830,2007849, 44057,-64994,16013,
	583044,-216613,555000, 335755,-216613,720234, 583044,-648389,1317243, 44057,-648389,1424454, 44057,-1294587,1856230,
	44057,-216613,778256, 44057,-648389,1424454, -494929,-648389,1317243, -660162,-1294587,1716152, -1257171,-1294587,1317243,
	-1364383,-2056830,1424454, -1796158,-2056830,778256, -1656080,-2819072,720234, -1796158,-2819072,16013, -1364382,-3465271,16013,
	-1257171,-3465271,-522973, -660162,-3897046,-275683, -494929,-3897046,-522973, 44057,-4048666,16013, 44057,-648389,1424454,
	44057,-1294587,1856230, -660162,-1294587,1716152, -718185,-2056830,1856230, -1364383,-2056830,1424454, -1257171,-2819072,1317243,
	-1656080,-2819072,720234, -1257171,-3465271,555000, -1364382,-3465271,16013, -718184,-3897046,16013, -660162,-3897046,-275683,
	44057,-4048666,16013, 44057,-1294587,1856230, 44057,-2056830,2007849, -718185,-2056830,1856230, -660162,-2819072,1716152,
	-1257171,-2819072,1317243, -951860,-3465271,1011931, -1257171,-3465271,555000, -660162,-3897046,307711, -718184,-3897046,16013,
	44057,-4048666,16013, 44057,-2056830,2007849, 44057,-2819072,1856230, -660162,-2819072,1716152, -494929,-3465271,1317243,
	-951860,-3465271,1011931, -494929,-3897046,555000, -660162,-3897046,307711, 44057,-4048666,16013, 44057,-2819072,1856230,
	44057,-3465271,1424454, -494929,-3465271,1317243, -247639,-3897046,720234, -494929,-3897046,555000, 44057,-4048666,16013,
	44057,-4048666,16013, -247639,-3897046,720234, 44057,-3897046,778256, 44057,-3465271,1424454, 44057,-648389,1424454,
	44057,-216613,778256, 335755,-216613,720234, 44057,-64994,16013,
_NULL_ }; /* End of sphere04_Vertices */

const fixed_16 sphere04_UV[] = {
	0,1, 0,-8191, 4096,-8191, 4096,-16383, 8192,-16383, 8192,-24575, 12288,-24575, 12288,-32767, 16384,-32767, 16384,-40959, 20480,-40959, 20480,-49151, 24576,-49151, 24576,-57343, 28672,-57343,
	24576,-65535, 4096,1, 4096,-8191, 8192,-8191, 8192,-16383, 12288,-16383, 12288,-24575, 16384,-24575, 16384,-32767, 20480,-32767, 20480,-40959, 24576,-40959, 24576,-49151, 28672,-49151, 28672,-57343,
	32768,-57343, 28672,-65535, 8192,1, 8192,-8191, 12288,-8191, 12288,-16383, 16384,-16383, 16384,-24575, 20480,-24575, 20480,-32767, 24576,-32767, 24576,-40959, 28672,-40959, 28672,-49151, 32768,-49151,
	32768,-57343, 36864,-57343, 32768,-65535, 12288,1, 12288,-8191, 16384,-8191, 16384,-16383, 20480,-16383, 20480,-24575, 24576,-24575, 24576,-32767, 28672,-32767, 28672,-40959, 32768,-40959, 32768,-49151,
	36864,-49151, 36864,-57343, 40960,-57343, 36864,-65535, 16384,1, 16384,-8191, 20480,-8191, 20480,-16383, 24576,-16383, 24576,-24575, 28672,-24575, 28672,-32767, 32768,-32767, 32768,-40959, 36864,-40959,
	36864,-49151, 40960,-49151, 40960,-57343, 45056,-57343, 40960,-65535, 20480,1, 20480,-8191, 24576,-8191, 24576,-16383, 28672,-16383, 28672,-24575, 32768,-24575, 32768,-32767, 36864,-32767, 36864,-40959,
	40960,-40959, 40960,-49151, 45056,-49151, 45056,-57343, 49152,-57343, 45056,-65535, 24576,1, 24576,-8191, 28672,-8191, 28672,-16383, 32768,-16383, 32768,-24575, 36864,-24575, 36864,-32767, 40960,-32767,
	40960,-40959, 45056,-40959, 45056,-49151, 49152,-49151, 49152,-57343, 53248,-57343, 49152,-65535, 28672,1, 28672,-8191, 32768,-8191, 32768,-16383, 36864,-16383, 36864,-24575, 40960,-24575, 40960,-32767,
	45056,-32767, 45056,-40959, 49152,-40959, 49152,-49151, 53248,-49151, 53248,-57343, 57344,-57343, 53248,-65535, 32768,1, 32768,-8191, 36864,-8191, 36864,-16383, 40960,-16383, 40960,-24575, 45056,-24575,
	45056,-32767, 49152,-32767, 49152,-40959, 53248,-40959, 53248,-49151, 57344,-49151, 57344,-57343, 61440,-57343, 57344,-65535, 36864,1, 36864,-8191, 40960,-8191, 40960,-16383, 45056,-16383, 45056,-24575,
	49152,-24575, 49152,-32767, 53248,-32767, 53248,-40959, 57344,-40959, 57344,-49151, 61440,-49151, 61440,-57343, 65536,-57343, 61440,-65535, 40960,1, 40960,-8191, 45056,-8191, 45056,-16383, 49152,-16383,
	49152,-24575, 53248,-24575, 53248,-32767, 57344,-32767, 57344,-40959, 61440,-40959, 61440,-49151, 65536,-49151, 65536,-57343, 45056,1, 45056,-8191, 49152,-8191, 49152,-16383, 53248,-16383, 53248,-24575,
	57344,-24575, 57344,-32767, 61440,-32767, 61440,-40959, 65536,-40959, 65536,-49151, 49152,1, 49152,-8191, 53248,-8191, 53248,-16383, 57344,-16383, 57344,-24575, 61440,-24575, 61440,-32767, 65536,-32767,
	65536,-40959, 53248,1, 53248,-8191, 57344,-8191, 57344,-16383, 61440,-16383, 61440,-24575, 65536,-24575, 65536,-32767, 57344,1, 57344,-8191, 61440,-8191, 61440,-16383, 65536,-16383, 65536,-24575,
	0,-8191, 0,-16383, 4096,-16383, 4096,-24575, 8192,-24575, 8192,-32767, 12288,-32767, 12288,-40959, 16384,-40959, 16384,-49151, 20480,-49151, 20480,-57343, 24576,-57343, 20480,-65535, 0,-16383,
	0,-24575, 4096,-24575, 4096,-32767, 8192,-32767, 8192,-40959, 12288,-40959, 12288,-49151, 16384,-49151, 16384,-57343, 20480,-57343, 16384,-65535, 0,-24575, 0,-32767, 4096,-32767, 4096,-40959,
	8192,-40959, 8192,-49151, 12288,-49151, 12288,-57343, 16384,-57343, 12288,-65535, 0,-32767, 0,-40959, 4096,-40959, 4096,-49151, 8192,-49151, 8192,-57343, 12288,-57343, 8192,-65535, 0,-40959,
	0,-49151, 4096,-49151, 4096,-57343, 8192,-57343, 4096,-65535, 0,-65535, 4096,-57343, 0,-57343, 0,-49151, 65536,-16383, 65536,-8191, 61440,-8191, 61440,1,
_NULL_ }; /* End of sphere04_UV */

const fixed_16 sphere04_Normals[] = {
	0,65536,0, 0,59975,26417, -10109,59975,24406, -18028,45557,43524, -33312,45557,33312, -42971,24534,42971, -56144,24534,23255, -60547,0,25079, -65536,0,0, -60770,-24534,0, -56144,-24534,-23255, -43524,-45557,-18028, -33312,-45557,-33312, -18679,-59975,-18679, -10109,-59975,-24406,
	0,-65536,0, 0,65536,0, -10109,59975,24406, -18679,59975,18679, -33312,45557,33312, -43524,45557,18028, -56144,24534,23255, -60770,24534,0, -65536,0,0, -60547,0,-25079, -56144,-24534,-23255, -42971,-24534,-42971, -33312,-45557,-33312, -18028,-45557,-43524, -10109,-59975,-24406,
	0,-59975,-26417, 0,-65536,0, 0,65536,0, -18679,59975,18679, -24406,59975,10109, -43524,45557,18028, -47111,45557,0, -60770,24534,0, -56144,24534,-23255, -60547,0,-25079, -46340,0,-46340, -42971,-24534,-42971, -23255,-24534,-56144, -18028,-45557,-43524, 0,-45557,-47111,
	0,-59975,-26417, 10109,-59975,-24406, 0,-65536,0, 0,65536,0, -24406,59975,10109, -26417,59975,0, -47111,45557,0, -43524,45557,-18028, -56144,24534,-23255, -42971,24534,-42971, -46340,0,-46340, -25079,0,-60547, -23255,-24534,-56144, 0,-24534,-60770, 0,-45557,-47111,
	18028,-45557,-43524, 10109,-59975,-24406, 18679,-59975,-18679, 0,-65536,0, 0,65536,0, -26417,59975,0, -24406,59975,-10109, -43524,45557,-18028, -33312,45557,-33312, -42971,24534,-42971, -23255,24534,-56144, -25079,0,-60547, 0,0,-65536, 0,-24534,-60770, 23255,-24534,-56144,
	18028,-45557,-43524, 33312,-45557,-33312, 18679,-59975,-18679, 24406,-59975,-10109, 0,-65536,0, 0,65536,0, -24406,59975,-10109, -18679,59975,-18679, -33312,45557,-33312, -18028,45557,-43524, -23255,24534,-56144, 0,24534,-60770, 0,0,-65536, 25079,0,-60547, 23255,-24534,-56144,
	42971,-24534,-42971, 33312,-45557,-33312, 43524,-45557,-18028, 24406,-59975,-10109, 26417,-59975,0, 0,-65536,0, 0,65536,0, -18679,59975,-18679, -10109,59975,-24406, -18028,45557,-43524, 0,45557,-47111, 0,24534,-60770, 23255,24534,-56144, 25079,0,-60547, 46340,0,-46340,
	42971,-24534,-42971, 56144,-24534,-23255, 43524,-45557,-18028, 47111,-45557,0, 26417,-59975,0, 24406,-59975,10109, 0,-65536,0, 0,65536,0, -10109,59975,-24406, 0,59975,-26417, 0,45557,-47111, 18028,45557,-43524, 23255,24534,-56144, 42971,24534,-42971, 46340,0,-46340,
	60547,0,-25079, 56144,-24534,-23255, 60770,-24534,0, 47111,-45557,0, 43524,-45557,18028, 24406,-59975,10109, 18679,-59975,18679, 0,-65536,0, 0,65536,0, 0,59975,-26417, 10109,59975,-24406, 18028,45557,-43524, 33312,45557,-33312, 42971,24534,-42971, 56144,24534,-23255,
	60547,0,-25079, 65536,0,0, 60770,-24534,0, 56144,-24534,23255, 43524,-45557,18028, 33312,-45557,33312, 18679,-59975,18679, 10109,-59975,24406, 0,-65536,0, 0,65536,0, 10109,59975,-24406, 18679,59975,-18679, 33312,45557,-33312, 43524,45557,-18028, 56144,24534,-23255,
	60770,24534,0, 65536,0,0, 60547,0,25079, 56144,-24534,23255, 42971,-24534,42971, 33312,-45557,33312, 18028,-45557,43524, 10109,-59975,24406, 0,-59975,26417, 0,-65536,0, 0,65536,0, 18679,59975,-18679, 24406,59975,-10109, 43524,45557,-18028, 47111,45557,0,
	60770,24534,0, 56144,24534,23255, 60547,0,25079, 46340,0,46340, 42971,-24534,42971, 23255,-24534,56144, 18028,-45557,43524, 0,-45557,47111, 0,-59975,26417, 0,65536,0, 24406,59975,-10109, 26417,59975,0, 47111,45557,0, 43524,45557,18028, 56144,24534,23255,
	42971,24534,42971, 46340,0,46340, 25079,0,60547, 23255,-24534,56144, 0,-24534,60770, 0,-45557,47111, 0,65536,0, 26417,59975,0, 24406,59975,10109, 43524,45557,18028, 33312,45557,33312, 42971,24534,42971, 23255,24534,56144, 25079,0,60547, 0,0,65536,
	0,-24534,60770, 0,65536,0, 24406,59975,10109, 18679,59975,18679, 33312,45557,33312, 18028,45557,43524, 23255,24534,56144, 0,24534,60770, 0,0,65536, 0,65536,0, 18679,59975,18679, 10109,59975,24406, 18028,45557,43524, 0,45557,47111, 0,24534,60770,
	0,59975,26417, 0,45557,47111, -18028,45557,43524, -23255,24534,56144, -42971,24534,42971, -46340,0,46340, -60547,0,25079, -56144,-24534,23255, -60770,-24534,0, -47111,-45557,0, -43524,-45557,-18028, -24406,-59975,-10109, -18679,-59975,-18679, 0,-65536,0, 0,45557,47111,
	0,24534,60770, -23255,24534,56144, -25079,0,60547, -46340,0,46340, -42971,-24534,42971, -56144,-24534,23255, -43524,-45557,18028, -47111,-45557,0, -26417,-59975,0, -24406,-59975,-10109, 0,-65536,0, 0,24534,60770, 0,0,65536, -25079,0,60547, -23255,-24534,56144,
	-42971,-24534,42971, -33312,-45557,33312, -43524,-45557,18028, -24406,-59975,10109, -26417,-59975,0, 0,-65536,0, 0,0,65536, 0,-24534,60770, -23255,-24534,56144, -18028,-45557,43524, -33312,-45557,33312, -18679,-59975,18679, -24406,-59975,10109, 0,-65536,0, 0,-24534,60770,
	0,-45557,47111, -18028,-45557,43524, -10109,-59975,24406, -18679,-59975,18679, 0,-65536,0, 0,-65536,0, -10109,-59975,24406, 0,-59975,26417, 0,-45557,47111, 0,45557,47111, 0,59975,26417, 10109,59975,24406, 0,65536,0,
_NULL_ }; /* End of sphere04_Normals */

const unsigned short sphere04_StripLength[] = {
	14,14,14, 14,14,14, 14,14,14, 14,12,10, 8,6,4, 12,10,8, 6,4,2, 2,
_NULL_ }; /* End of sphere04_pStripLength */


/* MESH 4 */

#define sphere05_NumVertex  268
#define sphere05_NumFaces   224
#define sphere05_NumStrips  22
#define sphere05_Flags      0x00020066
#define sphere05_Material   -1

const fixed_16 sphere05_Vertices[] = {
	5028409,-4127,16013, 5028409,-155747,778256, 4736712,-155747,720234, 4489422,-587522,1317243, 4032491,-587522,1011931,
	3727180,-1233721,1317243, 3328271,-1233721,720234, 3188193,-1995963,778256, 3036573,-1995963,16013, 3188193,-2758206,16013,
	3328271,-2758206,-688206, 3727180,-3404404,-522973, 4032491,-3404404,-979904, 4489422,-3836180,-522973, 4736712,-3836180,-688206,
	5028409,-3987799,16013, 5028409,-4127,16013, 4736712,-155747,720234, 4489422,-155747,555000, 4032491,-587522,1011931,
	3727180,-587522,555000, 3328271,-1233721,720234, 3188193,-1233721,16013, 3036573,-1995963,16013, 3188193,-1995963,-746229,
	3328271,-2758206,-688206, 3727180,-2758206,-1285216, 4032491,-3404404,-979904, 4489423,-3404404,-1285215, 4736712,-3836180,-688206,
	5028409,-3836180,-746228, 5028409,-3987799,16013, 5028409,-4127,16013, 4489422,-155747,555000, 4324189,-155747,307711,
	3727180,-587522,555000, 3619968,-587522,16013, 3188193,-1233721,16013, 3328271,-1233721,-688206, 3188193,-1995963,-746229,
	3619969,-1995963,-1392427, 3727180,-2758206,-1285216, 4324189,-2758206,-1684124, 4489423,-3404404,-1285215, 5028409,-3404404,-1392426,
	5028409,-3836180,-746228, 5320107,-3836180,-688206, 5028409,-3987799,16013, 5028409,-4127,16013, 4324189,-155747,307711,
	4266167,-155747,16013, 3619968,-587522,16013, 3727180,-587522,-522973, 3328271,-1233721,-688206, 3727180,-1233721,-1285216,
	3619969,-1995963,-1392427, 4266167,-1995963,-1824202, 4324189,-2758206,-1684124, 5028409,-2758206,-1824202, 5028409,-3404404,-1392426,
	5567396,-3404404,-1285215, 5320107,-3836180,-688206, 5567396,-3836180,-522973, 5028409,-3987799,16013, 5028409,-4127,16013,
	4266167,-155747,16013, 4324189,-155747,-275683, 3727180,-587522,-522973, 4032491,-587522,-979904, 3727180,-1233721,-1285216,
	4324189,-1233721,-1684124, 4266167,-1995963,-1824202, 5028410,-1995963,-1975822, 5028409,-2758206,-1824202, 5732630,-2758206,-1684124,
	5567396,-3404404,-1285215, 6024327,-3404404,-979904, 5567396,-3836180,-522973, 5732630,-3836180,-275683, 5028409,-3987799,16013,
	5028409,-4127,16013, 4324189,-155747,-275683, 4489422,-155747,-522973, 4032491,-587522,-979904, 4489422,-587522,-1285215,
	4324189,-1233721,-1684124, 5028409,-1233721,-1824202, 5028410,-1995963,-1975822, 5790652,-1995963,-1824202, 5732630,-2758206,-1684124,
	6329639,-2758206,-1285215, 6024327,-3404404,-979904, 6329639,-3404404,-522972, 5732630,-3836180,-275683, 5790652,-3836180,16013,
	5028409,-3987799,16013, 5028409,-4127,16013, 4489422,-155747,-522973, 4736712,-155747,-688206, 4489422,-587522,-1285215,
	5028409,-587522,-1392427, 5028409,-1233721,-1824202, 5732630,-1233721,-1684124, 5790652,-1995963,-1824202, 6436850,-1995963,-1392426,
	6329639,-2758206,-1285215, 6728548,-2758206,-688206, 6329639,-3404404,-522972, 6436850,-3404404,16013, 5790652,-3836180,16013,
	5732629,-3836180,307711, 5028409,-3987799,16013, 5028409,-4127,16013, 4736712,-155747,-688206, 5028409,-155747,-746228,
	5028409,-587522,-1392427, 5567396,-587522,-1285215, 5732630,-1233721,-1684124, 6329639,-1233721,-1285215, 6436850,-1995963,-1392426,
	6868626,-1995963,-746228, 6728548,-2758206,-688206, 6868626,-2758206,16014, 6436850,-3404404,16013, 6329639,-3404404,555000,
	5732629,-3836180,307711, 5567396,-3836180,555000, 5028409,-3987799,16013, 5028409,-4127,16013, 5028409,-155747,-746228,
	5320107,-155747,-688206, 5567396,-587522,-1285215, 6024327,-587522,-979904, 6329639,-1233721,-1285215, 6728548,-1233721,-688206,
	6868626,-1995963,-746228, 7020245,-1995963,16014, 6868626,-2758206,16014, 6728548,-2758206,720234, 6329639,-3404404,555000,
	6024327,-3404404,1011931, 5567396,-3836180,555000, 5320107,-3836180,720234, 5028409,-3987799,16013, 5028409,-4127,16013,
	5320107,-155747,-688206, 5567396,-155747,-522973, 6024327,-587522,-979904, 6329639,-587522,-522973, 6728548,-1233721,-688206,
	6868626,-1233721,16014, 7020245,-1995963,16014, 6868626,-1995963,778256, 6728548,-2758206,720234, 6329639,-2758206,1317243,
	6024327,-3404404,1011931, 5567396,-3404404,1317243, 5320107,-3836180,720234, 5028409,-3836180,778256, 5028409,-3987799,16013,
	5028409,-4127,16013, 5567396,-155747,-522973, 5732630,-155747,-275683, 6329639,-587522,-522973, 6436850,-587522,16013,
	6868626,-1233721,16014, 6728548,-1233721,720234, 6868626,-1995963,778256, 6436850,-1995963,1424454, 6329639,-2758206,1317243,
	5732629,-2758206,1716152, 5567396,-3404404,1317243, 5028409,-3404404,1424454, 5028409,-3836180,778256, 5028409,-4127,16013,
	5732630,-155747,-275683, 5790652,-155747,16013, 6436850,-587522,16013, 6329639,-587522,555000, 6728548,-1233721,720234,
	6329639,-1233721,1317243, 6436850,-1995963,1424454, 5790652,-1995963,1856230, 5732629,-2758206,1716152, 5028409,-2758206,1856230,
	5028409,-3404404,1424454, 5028409,-4127,16013, 5790652,-155747,16013, 5732630,-155747,307711, 6329639,-587522,555000,
	6024327,-587522,1011931, 6329639,-1233721,1317243, 5732629,-1233721,1716152, 5790652,-1995963,1856230, 5028409,-1995963,2007849,
	5028409,-2758206,1856230, 5028409,-4127,16013, 5732630,-155747,307711, 5567396,-155747,555000, 6024327,-587522,1011931,
	5567396,-587522,1317243, 5732629,-1233721,1716152, 5028409,-1233721,1856230, 5028409,-1995963,2007849, 5028409,-4127,16013,
	5567396,-155747,555000, 5320107,-155747,720234, 5567396,-587522,1317243, 5028409,-587522,1424454, 5028409,-1233721,1856230,
	5028409,-155747,778256, 5028409,-587522,1424454, 4489422,-587522,1317243, 4324189,-1233721,1716152, 3727180,-1233721,1317243,
	3619968,-1995963,1424454, 3188193,-1995963,778256, 3328271,-2758206,720234, 3188193,-2758206,16013, 3619969,-3404404,16013,
	3727180,-3404404,-522973, 4324189,-3836180,-275683, 4489422,-3836180,-522973, 5028409,-3987799,16013, 5028409,-587522,1424454,
	5028409,-1233721,1856230, 4324189,-1233721,1716152, 4266167,-1995963,1856230, 3619968,-1995963,1424454, 3727180,-2758206,1317243,
	3328271,-2758206,720234, 3727180,-3404404,555000, 3619969,-3404404,16013, 4266167,-3836180,16013, 4324189,-3836180,-275683,
	5028409,-3987799,16013, 5028409,-1233721,1856230, 5028409,-1995963,2007849, 4266167,-1995963,1856230, 4324189,-2758206,1716152,
	3727180,-2758206,1317243, 4032491,-3404404,1011931, 3727180,-3404404,555000, 4324189,-3836180,307711, 4266167,-3836180,16013,
	5028409,-3987799,16013, 5028409,-1995963,2007849, 5028409,-2758206,1856230, 4324189,-2758206,1716152, 4489422,-3404404,1317243,
	4032491,-3404404,1011931, 4489422,-3836180,555000, 4324189,-3836180,307711, 5028409,-3987799,16013, 5028409,-2758206,1856230,
	5028409,-3404404,1424454, 4489422,-3404404,1317243, 4736712,-3836180,720234, 4489422,-3836180,555000, 5028409,-3987799,16013,
	5028409,-3987799,16013, 4736712,-3836180,720234, 5028409,-3836180,778256, 5028409,-3404404,1424454, 5028409,-587522,1424454,
	5028409,-155747,778256, 5320107,-155747,720234, 5028409,-4127,16013,
_NULL_ }; /* End of sphere05_Vertices */

const fixed_16 sphere05_UV[] = {
	0,1, 0,-8191, 4096,-8191, 4096,-16383, 8192,-16383, 8192,-24575, 12288,-24575, 12288,-32767, 16384,-32767, 16384,-40959, 20480,-40959, 20480,-49151, 24576,-49151, 24576,-57343, 28672,-57343,
	24576,-65535, 4096,1, 4096,-8191, 8192,-8191, 8192,-16383, 12288,-16383, 12288,-24575, 16384,-24575, 16384,-32767, 20480,-32767, 20480,-40959, 24576,-40959, 24576,-49151, 28672,-49151, 28672,-57343,
	32768,-57343, 28672,-65535, 8192,1, 8192,-8191, 12288,-8191, 12288,-16383, 16384,-16383, 16384,-24575, 20480,-24575, 20480,-32767, 24576,-32767, 24576,-40959, 28672,-40959, 28672,-49151, 32768,-49151,
	32768,-57343, 36864,-57343, 32768,-65535, 12288,1, 12288,-8191, 16384,-8191, 16384,-16383, 20480,-16383, 20480,-24575, 24576,-24575, 24576,-32767, 28672,-32767, 28672,-40959, 32768,-40959, 32768,-49151,
	36864,-49151, 36864,-57343, 40960,-57343, 36864,-65535, 16384,1, 16384,-8191, 20480,-8191, 20480,-16383, 24576,-16383, 24576,-24575, 28672,-24575, 28672,-32767, 32768,-32767, 32768,-40959, 36864,-40959,
	36864,-49151, 40960,-49151, 40960,-57343, 45056,-57343, 40960,-65535, 20480,1, 20480,-8191, 24576,-8191, 24576,-16383, 28672,-16383, 28672,-24575, 32768,-24575, 32768,-32767, 36864,-32767, 36864,-40959,
	40960,-40959, 40960,-49151, 45056,-49151, 45056,-57343, 49152,-57343, 45056,-65535, 24576,1, 24576,-8191, 28672,-8191, 28672,-16383, 32768,-16383, 32768,-24575, 36864,-24575, 36864,-32767, 40960,-32767,
	40960,-40959, 45056,-40959, 45056,-49151, 49152,-49151, 49152,-57343, 53248,-57343, 49152,-65535, 28672,1, 28672,-8191, 32768,-8191, 32768,-16383, 36864,-16383, 36864,-24575, 40960,-24575, 40960,-32767,
	45056,-32767, 45056,-40959, 49152,-40959, 49152,-49151, 53248,-49151, 53248,-57343, 57344,-57343, 53248,-65535, 32768,1, 32768,-8191, 36864,-8191, 36864,-16383, 40960,-16383, 40960,-24575, 45056,-24575,
	45056,-32767, 49152,-32767, 49152,-40959, 53248,-40959, 53248,-49151, 57344,-49151, 57344,-57343, 61440,-57343, 57344,-65535, 36864,1, 36864,-8191, 40960,-8191, 40960,-16383, 45056,-16383, 45056,-24575,
	49152,-24575, 49152,-32767, 53248,-32767, 53248,-40959, 57344,-40959, 57344,-49151, 61440,-49151, 61440,-57343, 65536,-57343, 61440,-65535, 40960,1, 40960,-8191, 45056,-8191, 45056,-16383, 49152,-16383,
	49152,-24575, 53248,-24575, 53248,-32767, 57344,-32767, 57344,-40959, 61440,-40959, 61440,-49151, 65536,-49151, 65536,-57343, 45056,1, 45056,-8191, 49152,-8191, 49152,-16383, 53248,-16383, 53248,-24575,
	57344,-24575, 57344,-32767, 61440,-32767, 61440,-40959, 65536,-40959, 65536,-49151, 49152,1, 49152,-8191, 53248,-8191, 53248,-16383, 57344,-16383, 57344,-24575, 61440,-24575, 61440,-32767, 65536,-32767,
	65536,-40959, 53248,1, 53248,-8191, 57344,-8191, 57344,-16383, 61440,-16383, 61440,-24575, 65536,-24575, 65536,-32767, 57344,1, 57344,-8191, 61440,-8191, 61440,-16383, 65536,-16383, 65536,-24575,
	0,-8191, 0,-16383, 4096,-16383, 4096,-24575, 8192,-24575, 8192,-32767, 12288,-32767, 12288,-40959, 16384,-40959, 16384,-49151, 20480,-49151, 20480,-57343, 24576,-57343, 20480,-65535, 0,-16383,
	0,-24575, 4096,-24575, 4096,-32767, 8192,-32767, 8192,-40959, 12288,-40959, 12288,-49151, 16384,-49151, 16384,-57343, 20480,-57343, 16384,-65535, 0,-24575, 0,-32767, 4096,-32767, 4096,-40959,
	8192,-40959, 8192,-49151, 12288,-49151, 12288,-57343, 16384,-57343, 12288,-65535, 0,-32767, 0,-40959, 4096,-40959, 4096,-49151, 8192,-49151, 8192,-57343, 12288,-57343, 8192,-65535, 0,-40959,
	0,-49151, 4096,-49151, 4096,-57343, 8192,-57343, 4096,-65535, 0,-65535, 4096,-57343, 0,-57343, 0,-49151, 65536,-16383, 65536,-8191, 61440,-8191, 61440,1,
_NULL_ }; /* End of sphere05_UV */

const fixed_16 sphere05_Normals[] = {
	0,65536,0, 0,59975,26417, -10109,59975,24406, -18028,45557,43524, -33312,45557,33312, -42971,24534,42971, -56144,24534,23255, -60547,0,25079, -65536,0,0, -60770,-24534,0, -56144,-24534,-23255, -43524,-45557,-18028, -33312,-45557,-33312, -18679,-59975,-18679, -10109,-59975,-24406,
	0,-65536,0, 0,65536,0, -10109,59975,24406, -18679,59975,18679, -33312,45557,33312, -43524,45557,18028, -56144,24534,23255, -60770,24534,0, -65536,0,0, -60547,0,-25079, -56144,-24534,-23255, -42971,-24534,-42971, -33312,-45557,-33312, -18028,-45557,-43524, -10109,-59975,-24406,
	0,-59975,-26417, 0,-65536,0, 0,65536,0, -18679,59975,18679, -24406,59975,10109, -43524,45557,18028, -47111,45557,0, -60770,24534,0, -56144,24534,-23255, -60547,0,-25079, -46340,0,-46340, -42971,-24534,-42971, -23255,-24534,-56144, -18028,-45557,-43524, 0,-45557,-47111,
	0,-59975,-26417, 10109,-59975,-24406, 0,-65536,0, 0,65536,0, -24406,59975,10109, -26417,59975,0, -47111,45557,0, -43524,45557,-18028, -56144,24534,-23255, -42971,24534,-42971, -46340,0,-46340, -25079,0,-60547, -23255,-24534,-56144, 0,-24534,-60770, 0,-45557,-47111,
	18028,-45557,-43524, 10109,-59975,-24406, 18679,-59975,-18679, 0,-65536,0, 0,65536,0, -26417,59975,0, -24406,59975,-10109, -43524,45557,-18028, -33312,45557,-33312, -42971,24534,-42971, -23255,24534,-56144, -25079,0,-60547, 0,0,-65536, 0,-24534,-60770, 23255,-24534,-56144,
	18028,-45557,-43524, 33312,-45557,-33312, 18679,-59975,-18679, 24406,-59975,-10109, 0,-65536,0, 0,65536,0, -24406,59975,-10109, -18679,59975,-18679, -33312,45557,-33312, -18028,45557,-43524, -23255,24534,-56144, 0,24534,-60770, 0,0,-65536, 25079,0,-60547, 23255,-24534,-56144,
	42971,-24534,-42971, 33312,-45557,-33312, 43524,-45557,-18028, 24406,-59975,-10109, 26417,-59975,0, 0,-65536,0, 0,65536,0, -18679,59975,-18679, -10109,59975,-24406, -18028,45557,-43524, 0,45557,-47111, 0,24534,-60770, 23255,24534,-56144, 25079,0,-60547, 46340,0,-46340,
	42971,-24534,-42971, 56144,-24534,-23255, 43524,-45557,-18028, 47111,-45557,0, 26417,-59975,0, 24406,-59975,10109, 0,-65536,0, 0,65536,0, -10109,59975,-24406, 0,59975,-26417, 0,45557,-47111, 18028,45557,-43524, 23255,24534,-56144, 42971,24534,-42971, 46340,0,-46340,
	60547,0,-25079, 56144,-24534,-23255, 60770,-24534,0, 47111,-45557,0, 43524,-45557,18028, 24406,-59975,10109, 18679,-59975,18679, 0,-65536,0, 0,65536,0, 0,59975,-26417, 10109,59975,-24406, 18028,45557,-43524, 33312,45557,-33312, 42971,24534,-42971, 56144,24534,-23255,
	60547,0,-25079, 65536,0,0, 60770,-24534,0, 56144,-24534,23255, 43524,-45557,18028, 33312,-45557,33312, 18679,-59975,18679, 10109,-59975,24406, 0,-65536,0, 0,65536,0, 10109,59975,-24406, 18679,59975,-18679, 33312,45557,-33312, 43524,45557,-18028, 56144,24534,-23255,
	60770,24534,0, 65536,0,0, 60547,0,25079, 56144,-24534,23255, 42971,-24534,42971, 33312,-45557,33312, 18028,-45557,43524, 10109,-59975,24406, 0,-59975,26417, 0,-65536,0, 0,65536,0, 18679,59975,-18679, 24406,59975,-10109, 43524,45557,-18028, 47111,45557,0,
	60770,24534,0, 56144,24534,23255, 60547,0,25079, 46340,0,46340, 42971,-24534,42971, 23255,-24534,56144, 18028,-45557,43524, 0,-45557,47111, 0,-59975,26417, 0,65536,0, 24406,59975,-10109, 26417,59975,0, 47111,45557,0, 43524,45557,18028, 56144,24534,23255,
	42971,24534,42971, 46340,0,46340, 25079,0,60547, 23255,-24534,56144, 0,-24534,60770, 0,-45557,47111, 0,65536,0, 26417,59975,0, 24406,59975,10109, 43524,45557,18028, 33312,45557,33312, 42971,24534,42971, 23255,24534,56144, 25079,0,60547, 0,0,65536,
	0,-24534,60770, 0,65536,0, 24406,59975,10109, 18679,59975,18679, 33312,45557,33312, 18028,45557,43524, 23255,24534,56144, 0,24534,60770, 0,0,65536, 0,65536,0, 18679,59975,18679, 10109,59975,24406, 18028,45557,43524, 0,45557,47111, 0,24534,60770,
	0,59975,26417, 0,45557,47111, -18028,45557,43524, -23255,24534,56144, -42971,24534,42971, -46340,0,46340, -60547,0,25079, -56144,-24534,23255, -60770,-24534,0, -47111,-45557,0, -43524,-45557,-18028, -24406,-59975,-10109, -18679,-59975,-18679, 0,-65536,0, 0,45557,47111,
	0,24534,60770, -23255,24534,56144, -25079,0,60547, -46340,0,46340, -42971,-24534,42971, -56144,-24534,23255, -43524,-45557,18028, -47111,-45557,0, -26417,-59975,0, -24406,-59975,-10109, 0,-65536,0, 0,24534,60770, 0,0,65536, -25079,0,60547, -23255,-24534,56144,
	-42971,-24534,42971, -33312,-45557,33312, -43524,-45557,18028, -24406,-59975,10109, -26417,-59975,0, 0,-65536,0, 0,0,65536, 0,-24534,60770, -23255,-24534,56144, -18028,-45557,43524, -33312,-45557,33312, -18679,-59975,18679, -24406,-59975,10109, 0,-65536,0, 0,-24534,60770,
	0,-45557,47111, -18028,-45557,43524, -10109,-59975,24406, -18679,-59975,18679, 0,-65536,0, 0,-65536,0, -10109,-59975,24406, 0,-59975,26417, 0,-45557,47111, 0,45557,47111, 0,59975,26417, 10109,59975,24406, 0,65536,0,
_NULL_ }; /* End of sphere05_Normals */

const unsigned short sphere05_StripLength[] = {
	14,14,14, 14,14,14, 14,14,14, 14,12,10, 8,6,4, 12,10,8, 6,4,2, 2,
_NULL_ }; /* End of sphere05_pStripLength */



/**********************************************************
 * MESHES
 **********************************************************/

const Struct_Mesh
   Mesh[NUM_MESHES] = {

/* MESH 0 */
	/* NumVertex      */ sphere01_NumVertex,
	/* NumFaces       */ sphere01_NumFaces,
	/* NumStrips      */ sphere01_NumStrips,
	/* Flags          */ sphere01_Flags,
	/* Material       */ sphere01_Material,
	/* Center         */ -2439823, 2571360, 16014,
	/* Vertices       */ sphere01_Vertices,
	/* UV             */ sphere01_UV,
	/* Normals        */ sphere01_Normals,
	/* Packed Vertices*/ (const fixed_16 *) _NULL_,
	/* VertexColor    */ (const unsigned int *)_NULL_,
	/* VertexMaterial */ (const unsigned int *)_NULL_,
	/* Faces          */ (const unsigned short *)_NULL_,
	/* Strips         */ (const unsigned short *)_NULL_,
	/* StripLength    */ (const unsigned short *)sphere01_StripLength,
	/* Patch type     */ 0,
	/* NumPatches     */ 0,
	/* NumPVertices   */ 0,
	/* NumSubdivisions*/ 0,
	/* ControlPoints  */ _NULL_,
	/* PatchUVs       */ _NULL_,

/* MESH 1 */
	/* NumVertex      */ sphere02_NumVertex,
	/* NumFaces       */ sphere02_NumFaces,
	/* NumStrips      */ sphere02_NumStrips,
	/* Flags          */ sphere02_Flags,
	/* Material       */ sphere02_Material,
	/* Center         */ 2597478, 2572570, 16014,
	/* Vertices       */ sphere02_Vertices,
	/* UV             */ sphere02_UV,
	/* Normals        */ sphere02_Normals,
	/* Packed Vertices*/ (const fixed_16 *) _NULL_,
	/* VertexColor    */ (const unsigned int *)_NULL_,
	/* VertexMaterial */ (const unsigned int *)_NULL_,
	/* Faces          */ (const unsigned short *)_NULL_,
	/* Strips         */ (const unsigned short *)_NULL_,
	/* StripLength    */ (const unsigned short *)sphere02_StripLength,
	/* Patch type     */ 0,
	/* NumPatches     */ 0,
	/* NumPVertices   */ 0,
	/* NumSubdivisions*/ 0,
	/* ControlPoints  */ _NULL_,
	/* PatchUVs       */ _NULL_,

/* MESH 2 */
	/* NumVertex      */ sphere03_NumVertex,
	/* NumFaces       */ sphere03_NumFaces,
	/* NumStrips      */ sphere03_NumStrips,
	/* Flags          */ sphere03_Flags,
	/* Material       */ sphere03_Material,
	/* Center         */ -5046418, -2069361, 16013,
	/* Vertices       */ sphere03_Vertices,
	/* UV             */ sphere03_UV,
	/* Normals        */ sphere03_Normals,
	/* Packed Vertices*/ (const fixed_16 *) _NULL_,
	/* VertexColor    */ (const unsigned int *)_NULL_,
	/* VertexMaterial */ (const unsigned int *)_NULL_,
	/* Faces          */ (const unsigned short *)_NULL_,
	/* Strips         */ (const unsigned short *)_NULL_,
	/* StripLength    */ (const unsigned short *)sphere03_StripLength,
	/* Patch type     */ 0,
	/* NumPatches     */ 0,
	/* NumPVertices   */ 0,
	/* NumSubdivisions*/ 0,
	/* ControlPoints  */ _NULL_,
	/* PatchUVs       */ _NULL_,

/* MESH 3 */
	/* NumVertex      */ sphere04_NumVertex,
	/* NumFaces       */ sphere04_NumFaces,
	/* NumStrips      */ sphere04_NumStrips,
	/* Flags          */ sphere04_Flags,
	/* Material       */ sphere04_Material,
	/* Center         */ 44057, -2056830, 16013,
	/* Vertices       */ sphere04_Vertices,
	/* UV             */ sphere04_UV,
	/* Normals        */ sphere04_Normals,
	/* Packed Vertices*/ (const fixed_16 *) _NULL_,
	/* VertexColor    */ (const unsigned int *)_NULL_,
	/* VertexMaterial */ (const unsigned int *)_NULL_,
	/* Faces          */ (const unsigned short *)_NULL_,
	/* Strips         */ (const unsigned short *)_NULL_,
	/* StripLength    */ (const unsigned short *)sphere04_StripLength,
	/* Patch type     */ 0,
	/* NumPatches     */ 0,
	/* NumPVertices   */ 0,
	/* NumSubdivisions*/ 0,
	/* ControlPoints  */ _NULL_,
	/* PatchUVs       */ _NULL_,

/* MESH 4 */
	/* NumVertex      */ sphere05_NumVertex,
	/* NumFaces       */ sphere05_NumFaces,
	/* NumStrips      */ sphere05_NumStrips,
	/* Flags          */ sphere05_Flags,
	/* Material       */ sphere05_Material,
	/* Center         */ 5028409, -1995963, 16013,
	/* Vertices       */ sphere05_Vertices,
	/* UV             */ sphere05_UV,
	/* Normals        */ sphere05_Normals,
	/* Packed Vertices*/ (const fixed_16 *) _NULL_,
	/* VertexColor    */ (const unsigned int *)_NULL_,
	/* VertexMaterial */ (const unsigned int *)_NULL_,
	/* Faces          */ (const unsigned short *)_NULL_,
	/* Strips         */ (const unsigned short *)_NULL_,
	/* StripLength    */ (const unsigned short *)sphere05_StripLength,
	/* Patch type     */ 0,
	/* NumPatches     */ 0,
	/* NumPVertices   */ 0,
	/* NumSubdivisions*/ 0,
	/* ControlPoints  */ _NULL_,
	/* PatchUVs       */ _NULL_

	}; /* End of Meshes */
