/******************************************************************************

 @File         Polybump_head.h

 @Title        Demonstrates MBX's DOT3 lighting

 @Copyright    Copyright (C) 2004 - 2006 by Imagination Technologies Limited.

 @Platform     Independant

 @Description  companies supliying tools and plug-ins to compute these maps.

******************************************************************************/
#define STRUCT_MESH_DEFINED 

typedef struct { unsigned int      nNumVertex;
                 unsigned int      nNumFaces;
                 unsigned int      nNumStrips;
                 unsigned int      nFlags;
                 int               nMaterial;
                 float             fCenter[3];
                 const float             *pVertex;
                 const float             *pUV;
                 const float             *pNormals;
                 const float             *pPackedVertex;
                 const unsigned int      *pVertexColor;
                 const unsigned int      *pVertexMaterial;
                 const unsigned short    *pFaces;
                 const unsigned short    *pStrips;
                 const unsigned short    *pStripLength;
                 struct
                 {
                     unsigned int  nType;
                     unsigned int  nNumPatches;
                     unsigned int  nNumVertices;
                     unsigned int  nNumSubdivisions;
                     const float         *pControlPoints;
                     const float         *pUVs;
                 } Patch;
               }   Struct_Mesh;


/**********************************************************
 * GENERAL DEFINITIONS
 **********************************************************/

#ifndef _NULL_
#define _NULL_ 0
#endif

#define NUM_MESHES     1
#define NUM_BONES	   0
#define NUM_MATERIALS  1
#define NUM_LIGHTS     0
#define NUM_CAMERAS    0
#define NUM_PATHS      0
#define NUM_FRAMES     0

/* MESH FLAGS */

#ifndef MF_MATERIAL
#define MF_MATERIAL        1
#define MF_UV              2
#define MF_NORMALS         4
#define MF_VERTEXCOLOR     8
#define MF_VERTEXMATERIAL  16
#define MF_STRIPS          32
#define MF_NOFACELIST      64
#define MF_UV2             128
#define MF_VERTEXWEIGHTS   256

#define MF_NOPATCH         0
#define MF_RECTPATCH       1
#define MF_TRIPATCH        2
#define MF_MIXPATCH        3

#endif


/* MESHES */
#define M_HEAD03_LOW01  0


/**********************************************************
 * MESHES DATA 
 **********************************************************/

/* MESH 0 */

#define head03_low01_NumVertex  153
#define head03_low01_NumFaces   276
#define head03_low01_NumStrips  0
#define head03_low01_Flags      0x00020006
#define head03_low01_Material   0

const float head03_low01_Vertices[] = {
	42.1967f,120.4116f,-37.7676f, 35.2611f,107.7513f,-43.5975f, 45.3434f,117.6611f,-31.6515f, -64.0441f,111.6750f,-28.5004f, -42.4244f,80.5130f,-39.3321f, 
	-49.8341f,111.9264f,-47.7361f, -8.8581f,98.4547f,49.7858f, 3.6913f,84.3026f,44.4648f, -10.0170f,97.9369f,47.2661f, -42.4244f,80.5130f,39.3322f, 
	-60.1487f,111.6750f,28.5005f, -49.8341f,111.9264f,47.7361f, -17.0401f,121.8202f,52.4516f, -17.0728f,142.5620f,54.2554f, 4.0456f,120.2846f,47.6158f, 
	69.5853f,78.3341f,3.8948f, 57.7653f,73.1747f,23.1905f, 61.9306f,86.7537f,10.1000f, 11.0742f,88.8667f,-47.8218f, 13.4193f,115.3664f,-50.7414f, 
	-17.0728f,142.5620f,-54.2554f, -17.0401f,121.8202f,-52.4516f, 4.0456f,120.2846f,-47.6158f, 13.2989f,62.8653f,-44.3913f, 54.1464f,39.9277f,-0.0000f, 
	57.4791f,44.5077f,17.6182f, 65.7718f,54.2895f,-0.0000f, 49.5015f,153.8644f,-31.7059f, 62.8075f,129.4568f,-19.5109f, 63.7901f,135.0982f,0.0000f, 
	62.8075f,129.4568f,19.5110f, 55.6645f,122.2703f,17.2711f, 54.8888f,121.4633f,25.8895f, 13.4193f,115.3664f,52.7500f, -5.8525f,96.0121f,56.4924f, 
	5.9431f,120.8803f,56.6757f, 55.8366f,80.5347f,22.9293f, 19.4368f,158.7045f,-44.9248f, -16.8478f,164.9025f,-50.3869f, 57.1617f,130.8528f,-30.6626f, 
	3.8804f,62.3185f,-41.9120f, -10.0170f,97.9369f,-47.2660f, 56.6360f,69.0742f,-20.7791f, 57.4791f,44.5077f,-17.6182f, 66.6977f,83.5648f,0.0000f, 
	69.5853f,78.3341f,-3.8948f, 69.4472f,77.1479f,0.0000f, -59.9239f,77.5758f,0.0000f, -51.4915f,143.8327f,48.6758f, -78.6654f,146.6637f,0.0000f, 
	-71.4343f,172.8535f,0.0000f, 62.0665f,121.9164f,0.0000f, 55.3462f,118.1910f,-9.4922f, 79.3773f,94.7410f,0.0000f, 63.1990f,93.3539f,-11.4220f, 
	3.6913f,84.3026f,-46.4593f, -5.8525f,96.0121f,-56.4924f, 24.5385f,38.2949f,0.0000f, 14.8343f,41.9999f,17.2345f, 11.0742f,88.8667f,47.8219f, 
	13.2989f,62.8653f,44.3913f, 3.8804f,62.3185f,41.9120f, 55.9071f,116.0621f,18.3229f, 54.6694f,116.9854f,25.2996f, -5.3133f,119.6550f,-52.3302f, 
	-11.9728f,125.1905f,-61.5467f, -10.6887f,116.3606f,-63.1983f, 5.9431f,120.8803f,-56.6757f, -2.5894f,128.1926f,57.1881f, -5.3132f,119.6550f,52.3302f, 
	-10.6887f,116.3606f,63.1983f, -11.9728f,125.1905f,61.5467f, 22.0411f,-0.2542f,22.1176f, -4.9971f,-0.2542f,39.4638f, 28.2776f,192.1568f,0.0000f, 
	20.5280f,186.8145f,-28.1392f, 50.8426f,174.5990f,0.0000f, -51.4915f,143.8327f,-48.6758f, -46.7463f,180.2693f,-31.2962f, 63.4618f,62.9808f,-8.8532f, 
	64.9612f,66.7506f,-10.5838f, 66.1749f,73.5926f,-8.1481f, 59.8834f,72.5001f,-16.1532f, 19.4368f,158.7045f,44.9248f, -16.8478f,164.9025f,50.3870f, 
	20.5280f,186.8145f,28.1392f, 55.9071f,116.0621f,-18.3229f, 49.5879f,95.4260f,-31.5405f, 61.9306f,86.7537f,-10.1000f, 55.3462f,118.1910f,9.4923f, 
	63.1990f,93.3539f,11.4220f, 49.5879f,95.4260f,31.5405f, 55.6645f,122.2704f,-17.2711f, 54.8888f,121.4633f,-25.8895f, -8.8581f,98.4547f,-49.7858f, 
	5.1125f,80.5228f,47.8291f, -12.3025f,93.2197f,52.9783f, 35.2611f,107.7513f,43.5976f, 57.7652f,73.1747f,-23.1905f, 55.8366f,80.5347f,-22.9293f, 
	-12.3025f,93.2197f,-52.9783f, 3.1421f,85.7485f,-56.3548f, 59.8834f,72.5001f,16.1532f, 66.1749f,73.5926f,8.1481f, 64.9612f,66.7506f,10.5838f, 
	-68.1612f,-0.2542f,0.0000f, 57.1617f,130.8528f,30.6626f, 42.1967f,120.4116f,37.7676f, 45.3434f,117.6611f,31.6515f, -77.2161f,114.7851f,0.0000f, 
	-45.5729f,180.7428f,32.3262f, -16.9647f,193.0126f,29.2500f, -16.9647f,193.0126f,-29.2500f, -51.8362f,191.2592f,0.0000f, 63.4618f,62.9808f,8.8532f, 
	68.7123f,68.7238f,0.0000f, 49.5015f,153.8644f,31.7059f, 14.8343f,41.9999f,-17.2345f, 66.1688f,72.1962f,0.0000f, 67.9966f,74.3707f,-6.6209f, 
	75.8787f,86.1333f,0.0000f, 70.0389f,88.4681f,-10.1735f, 78.7095f,89.8414f,0.0000f, -21.8152f,200.7002f,0.0000f, 70.0389f,88.4681f,10.1735f, 
	55.3462f,118.1910f,9.4923f, -16.0818f,107.1930f,-56.2681f, -16.0818f,107.1930f,56.2681f, 3.1421f,85.7485f,56.3549f, 54.6694f,116.9854f,-25.2996f, 
	22.0411f,-0.2542f,-22.1176f, 5.1125f,80.5228f,-50.2486f, -0.4565f,81.8727f,-51.6763f, 56.6360f,69.0742f,20.7791f, -50.4317f,-0.2542f,36.6225f, 
	-50.4317f,-0.2542f,-36.6224f, -2.5894f,128.1926f,-57.1881f, 67.1024f,71.8391f,0.0000f, -21.8152f,200.7002f,0.0000f, 67.6149f,65.9745f,-0.0000f, 
	63.3335f,62.9277f,0.0000f, -71.4343f,172.8535f,0.0000f, 29.7869f,-0.2542f,-0.0000f, 67.9966f,74.3707f,6.6209f, 68.3550f,73.6796f,0.0000f, 
	-78.6654f,146.6637f,0.0000f, -77.2161f,114.7851f,0.0000f, -59.9239f,77.5758f,0.0000f, 55.3462f,118.1910f,-9.4922f, -4.9971f,-0.2542f,-39.4638f, 
	-0.4565f,81.8727f,49.4655f, -51.8362f,191.2592f,0.0000f, -68.1612f,-0.2542f,0.0000f, 
_NULL_ }; /* End of head03_low01_Vertices */

const float head03_low01_UV[] = {
	0.6167f,0.6036f,0.6456f,0.5394f,0.5972f,0.5936f,0.9307f,0.5569f,0.8671f,0.3929f,0.8770f,0.5850f,0.1830f,0.4701f,0.2492f,0.3979f,0.1749f,0.4619f,0.1320f,0.3930f,0.0684f,0.5569f,0.1221f,0.5851f,0.1617f,0.6343f,0.2054f,0.7045f,0.2566f,0.6159f,
	0.4878f,0.3926f,0.4218f,0.3642f,0.4440f,0.4253f,0.7234f,0.4499f,0.7193f,0.5684f,0.7937f,0.7044f,0.8390f,0.6321f,0.7401f,0.6106f,0.7232f,0.3127f,0.4995f,0.2069f,0.4387f,0.2231f,0.4995f,0.2646f,0.6019f,0.7666f,0.5573f,0.6522f,0.4995f,0.6733f,
	0.4418f,0.6523f,0.4394f,0.6051f,0.4244f,0.6037f,0.2798f,0.5685f,0.2218f,0.4987f,0.2479f,0.5964f,0.4197f,0.4008f,0.6939f,0.7907f,0.7953f,0.8215f,0.5873f,0.6502f,0.7447f,0.2883f,0.8242f,0.4619f,0.5689f,0.3426f,0.5604f,0.2231f,0.4995f,0.4195f,
	0.5113f,0.3925f,0.4995f,0.3908f,-0.0003f,0.3874f,0.1275f,0.7168f,-0.0003f,0.7309f,0.0355f,0.8429f,0.4995f,0.6078f,0.5316f,0.5874f,0.4995f,0.4729f,0.5453f,0.4667f,0.7498f,0.3979f,0.7773f,0.4986f,0.4995f,0.1221f,0.3275f,0.1820f,0.2757f,0.4500f,
	0.2759f,0.3128f,0.2544f,0.2884f,0.4370f,0.5834f,0.4220f,0.5843f,0.8169f,0.6207f,0.8004f,0.5996f,0.7953f,0.5622f,0.7512f,0.5964f,0.2240f,0.6095f,0.1830f,0.6136f,0.2020f,0.5623f,0.1969f,0.5997f,0.3274f,0.0005f,0.2307f,0.0005f,0.4995f,0.9269f,
	0.6139f,0.9260f,0.4995f,0.8557f,0.8716f,0.7167f,0.8766f,0.9203f,0.5254f,0.3045f,0.5281f,0.3168f,0.5191f,0.3417f,0.5491f,0.3578f,0.3052f,0.7907f,0.2038f,0.8215f,0.3852f,0.9261f,0.5620f,0.5838f,0.6111f,0.4758f,0.5496f,0.4223f,0.4692f,0.5872f,
	0.4469f,0.4672f,0.3880f,0.4759f,0.5598f,0.6044f,0.5740f,0.6030f,0.8161f,0.4700f,0.2512f,0.4149f,0.1962f,0.4770f,0.3535f,0.5395f,0.5773f,0.3641f,0.5794f,0.4007f,0.8029f,0.4769f,0.7595f,0.4538f,0.4500f,0.3579f,0.4800f,0.3418f,0.4710f,0.3169f,
	-0.0003f,0.0005f,0.4118f,0.6503f,0.3824f,0.6036f,0.3999f,0.5937f,-0.0003f,0.5724f,0.1225f,0.9204f,0.2134f,0.9599f,0.7857f,0.9598f,0.9230f,0.9498f,0.4737f,0.3045f,0.4995f,0.3311f,0.3972f,0.7667f,0.6716f,0.1819f,0.4995f,0.3637f,0.5218f,0.3767f,
	0.4995f,0.4439f,0.5292f,0.4510f,0.4995f,0.4577f,0.7165f,0.9902f,0.4698f,0.4510f,0.4700f,0.5872f,0.8122f,0.5290f,0.1851f,0.5291f,0.2396f,0.4539f,0.5763f,0.5846f,0.6717f,0.0004f,0.7479f,0.4149f,0.7624f,0.4423f,0.4302f,0.3426f,0.1103f,0.0005f,
	0.8888f,0.0004f,0.7744f,0.6075f,0.4995f,0.3421f,0.2826f,0.9902f,0.4995f,0.3172f,0.4995f,0.3020f,0.9603f,0.8429f,0.4995f,0.0005f,0.4773f,0.3767f,0.4995f,0.3759f,0.9994f,0.7308f,0.9994f,0.5723f,0.9994f,0.3873f,0.5315f,0.5880f,0.7684f,0.0004f,
	0.2367f,0.4424f,0.0696f,0.9499f,0.9994f,0.0004f,
_NULL_ }; /* End of head03_low01_UV */

const float head03_low01_Normals[] = {
	0.5687f,-0.0946f,-0.8171f, 0.4735f,-0.0073f,-0.8807f, 0.6791f,-0.0946f,-0.7280f, -0.8533f,-0.2077f,-0.4782f, -0.5248f,-0.1927f,-0.8291f, -0.4839f,-0.1968f,-0.8527f, -0.9144f,-0.3229f,-0.2441f, -0.3122f,-0.7101f,0.6312f, -0.4074f,-0.3923f,0.8247f, -0.5420f,-0.1750f,0.8220f, -0.8607f,-0.2097f,0.4639f, -0.5421f,-0.1988f,0.8164f, -0.0174f,-0.0970f,0.9951f, 0.0307f,0.0329f,0.9990f, 0.4063f,0.6596f,0.6324f, 
	0.9675f,0.1553f,0.1997f, 0.6979f,-0.1652f,0.6969f, 0.7554f,-0.1717f,0.6323f, 0.3829f,-0.1539f,-0.9109f, 0.4072f,0.3310f,-0.8513f, 0.0307f,0.0329f,-0.9990f, -0.0174f,-0.0970f,-0.9951f, 0.4194f,0.6543f,-0.6293f, 0.0729f,-0.4471f,-0.8915f, 0.3942f,-0.9190f,-0.0000f, 0.5788f,-0.6176f,0.5325f, 0.9797f,-0.2007f,-0.0000f, 0.6885f,0.3506f,-0.6349f, 0.9538f,-0.1473f,-0.2617f, 0.9871f,0.1600f,-0.0000f, 
	0.9538f,-0.1473f,0.2617f, 0.8849f,-0.4431f,0.1435f, 0.7956f,-0.3589f,0.4881f, 0.3993f,0.3436f,0.8500f, -0.0224f,-0.2285f,0.9733f, 0.6543f,0.4776f,0.5863f, 0.7128f,0.0397f,0.7002f, 0.3070f,0.2565f,-0.9165f, -0.0264f,0.3978f,-0.9171f, 0.7325f,-0.0721f,-0.6769f, 0.0047f,-0.2704f,-0.9627f, -0.4228f,-0.3810f,-0.8222f, 0.6995f,-0.2794f,-0.6577f, 0.5788f,-0.6176f,-0.5325f, 0.9633f,-0.2686f,-0.0000f, 
	0.9675f,0.1553f,-0.1997f, 0.9997f,-0.0234f,0.0000f, -0.9864f,-0.1639f,0.0138f, -0.5692f,0.1345f,0.8111f, -0.9930f,0.1177f,0.0123f, -0.8774f,0.4797f,0.0008f, 0.9993f,-0.0382f,-0.0000f, 0.9268f,-0.0883f,-0.3651f, 0.9687f,0.2482f,-0.0000f, 0.6791f,0.0946f,-0.7280f, -0.2615f,-0.8066f,-0.5302f, -0.0076f,-0.2215f,-0.9751f, 0.7210f,-0.6929f,-0.0000f, 0.7278f,-0.3959f,0.5600f, 0.3762f,-0.1872f,0.9075f, 
	0.0729f,-0.4471f,0.8915f, 0.0044f,-0.2617f,0.9651f, 0.9864f,0.0700f,0.1486f, 0.8701f,-0.0731f,0.4874f, -0.4823f,0.8733f,0.0686f, -0.5996f,0.7060f,-0.3768f, -0.2100f,-0.0570f,-0.9760f, 0.6856f,0.4373f,-0.5820f, 0.0612f,0.9925f,0.1057f, -0.4823f,0.8733f,-0.0686f, -0.2100f,-0.0570f,0.9760f, -0.5996f,0.7060f,0.3768f, 0.8253f,0.0613f,0.5613f, 0.2259f,-0.0701f,0.9716f, 0.4255f,0.9050f,-0.0000f, 
	0.3533f,0.7532f,-0.5549f, 0.8032f,0.5957f,-0.0000f, -0.5535f,0.1544f,-0.8184f, -0.5021f,0.6199f,-0.6030f, 0.9317f,-0.2071f,-0.2983f, 0.8312f,-0.2849f,-0.4774f, 0.4990f,0.8433f,-0.1994f, 0.7527f,-0.4620f,-0.4690f, 0.3070f,0.2565f,0.9165f, -0.0209f,0.3944f,0.9187f, 0.3533f,0.7532f,0.5549f, 0.9864f,0.0700f,-0.1486f, 0.6870f,-0.0850f,-0.7217f, 0.7554f,-0.1717f,-0.6323f, 0.9268f,-0.0883f,0.3651f, 
	0.6791f,0.0946f,0.7280f, 0.6870f,-0.0850f,0.7217f, 0.8849f,-0.4431f,-0.1435f, 0.7956f,-0.3589f,-0.4881f, -0.9111f,-0.3398f,0.2332f, 0.2600f,-0.9464f,-0.1917f, -0.8828f,-0.4678f,0.0424f, 0.4979f,-0.0311f,0.8667f, 0.6979f,-0.1652f,-0.6969f, 0.7128f,0.0397f,-0.7002f, -0.8729f,-0.4876f,-0.0175f, 0.2811f,-0.2266f,-0.9325f, 0.7527f,-0.4620f,0.4690f, 0.4990f,0.8433f,0.1994f, 0.8312f,-0.2849f,0.4774f, 
	-0.9960f,0.0898f,0.0000f, 0.7325f,-0.0721f,0.6769f, 0.5760f,-0.0911f,0.8123f, 0.6791f,-0.0946f,0.7280f, -0.9753f,-0.2149f,0.0510f, -0.4875f,0.6248f,0.6099f, -0.0439f,0.8413f,0.5387f, -0.0502f,0.8389f,-0.5420f, -0.5174f,0.8557f,-0.0009f, 0.9317f,-0.2071f,0.2983f, 0.9998f,-0.0178f,-0.0000f, 0.6885f,0.3506f,0.6349f, 0.7278f,-0.3959f,-0.5600f, 0.5118f,-0.8591f,-0.0000f, 0.7967f,-0.5020f,-0.3366f, 
	0.5964f,-0.8027f,-0.0000f, 0.4593f,-0.3320f,-0.8239f, 0.9414f,-0.3372f,-0.0000f, -0.0873f,0.9962f,0.0000f, 0.4593f,-0.3320f,0.8239f, 0.9268f,-0.0883f,0.3651f, -0.9984f,-0.0293f,0.0489f, -0.9984f,-0.0293f,-0.0489f, 0.2681f,-0.3180f,0.9094f, 0.8701f,-0.0731f,-0.4874f, 0.8253f,0.0613f,-0.5613f, 0.2835f,-0.9574f,0.0542f, -0.5082f,-0.8474f,0.1535f, 0.6995f,-0.2794f,0.6577f, -0.5839f,0.0297f,0.8113f, 
	-0.5839f,0.0297f,-0.8113f, 0.0612f,0.9925f,-0.1057f, 0.7882f,0.6154f,-0.0000f, -0.0873f,0.9962f,0.0000f, 0.7960f,-0.6053f,-0.0000f, 0.9641f,-0.2656f,-0.0000f, -0.8774f,0.4797f,0.0008f, 0.9909f,0.1349f,-0.0000f, 0.7967f,-0.5020f,0.3366f, 0.7960f,-0.6054f,-0.0000f, -0.9930f,0.1177f,0.0123f, -0.9753f,-0.2149f,0.0510f, -0.9864f,-0.1639f,0.0138f, 0.9268f,-0.0883f,-0.3651f, 0.2259f,-0.0701f,-0.9716f, 
	-0.5217f,-0.7883f,-0.3264f, -0.5174f,0.8557f,-0.0009f, -0.9960f,0.0898f,0.0000f, 
_NULL_ }; /* End of head03_low01_Normals */

const unsigned short head03_low01_Faces[] = {
	0, 2, 1, 3, 5, 4, 6, 8, 7, 9, 11, 10, 12, 14, 13, 15, 17, 16, 18, 19, 1, 20, 22, 21, 23, 18, 1, 24, 26, 25, 
	27, 29, 28, 30, 32, 31, 33, 35, 34, 17, 36, 16, 37, 20, 38, 28, 39, 27, 4, 41, 40, 42, 43, 23, 17, 15, 44, 45, 44, 46, 
	10, 47, 9, 48, 50, 49, 51, 53, 52, 54, 52, 53, 55, 40, 41, 18, 56, 19, 57, 25, 58, 59, 61, 60, 62, 32, 63, 59, 33, 34, 
	64, 21, 22, 65, 67, 66, 14, 69, 68, 70, 35, 71, 72, 61, 73, 74, 76, 75, 77, 78, 38, 79, 42, 80, 81, 80, 82, 83, 13, 14, 
	83, 85, 84, 86, 54, 87, 44, 45, 88, 89, 53, 51, 90, 62, 91, 86, 93, 92, 86, 52, 54, 64, 94, 21, 55, 41, 94, 95, 96, 7, 
	96, 6, 7, 97, 33, 59, 97, 59, 60, 98, 42, 23, 99, 98, 23, 55, 94, 100, 56, 18, 101, 2, 0, 39, 20, 37, 22, 102, 104, 103, 
	6, 12, 8, 14, 12, 69, 105, 9, 47, 32, 30, 106, 107, 97, 108, 5, 3, 77, 109, 10, 49, 110, 84, 111, 78, 113, 112, 26, 114, 25, 
	80, 81, 115, 116, 106, 30, 85, 116, 76, 117, 43, 57, 43, 26, 24, 118, 82, 119, 88, 121, 120, 53, 122, 121, 38, 75, 37, 123, 112, 113, 
	124, 122, 53, 36, 17, 90, 23, 87, 99, 99, 87, 54, 92, 93, 28, 31, 89, 30, 31, 62, 125, 66, 126, 65, 56, 100, 126, 127, 96, 34, 
	128, 34, 96, 63, 91, 62, 60, 91, 97, 93, 86, 129, 87, 129, 86, 117, 57, 130, 23, 40, 18, 100, 132, 131, 101, 131, 132, 61, 59, 7, 
	8, 61, 7, 48, 12, 13, 84, 110, 48, 0, 22, 37, 56, 67, 19, 60, 133, 16, 16, 36, 60, 12, 6, 69, 71, 127, 70, 9, 105, 134, 
	134, 61, 9, 83, 14, 107, 97, 107, 33, 4, 40, 135, 39, 28, 93, 2, 39, 93, 41, 21, 94, 41, 4, 21, 128, 59, 34, 59, 95, 7, 
	131, 101, 18, 55, 18, 40, 136, 64, 22, 136, 67, 65, 20, 21, 77, 20, 77, 38, 45, 46, 119, 98, 119, 82, 103, 137, 102, 103, 115, 137, 
	111, 84, 85, 85, 138, 111, 104, 140, 139, 79, 80, 140, 140, 104, 114, 133, 104, 102, 30, 29, 116, 51, 28, 29, 141, 113, 78, 77, 141, 78, 
	72, 57, 58, 142, 130, 57, 15, 16, 143, 46, 143, 144, 120, 44, 88, 17, 44, 120, 76, 27, 75, 27, 37, 75, 3, 146, 145, 4, 147, 3, 
	53, 89, 90, 124, 53, 90, 121, 54, 53, 54, 121, 88, 88, 98, 99, 54, 88, 99, 120, 124, 17, 17, 124, 90, 32, 106, 108, 63, 32, 108, 
	82, 42, 98, 82, 80, 42, 92, 148, 86, 32, 62, 31, 71, 35, 68, 35, 14, 68, 67, 56, 66, 66, 56, 126, 70, 34, 35, 127, 34, 70, 
	91, 60, 36, 90, 91, 36, 129, 87, 1, 1, 87, 23, 83, 106, 116, 85, 83, 116, 108, 97, 63, 91, 63, 97, 129, 2, 93, 1, 2, 129, 
	149, 40, 130, 117, 130, 40, 95, 150, 96, 128, 96, 150, 100, 56, 101, 132, 100, 101, 58, 60, 61, 61, 72, 58, 48, 10, 11, 48, 49, 10, 
	19, 67, 22, 136, 22, 67, 60, 25, 133, 60, 58, 25, 40, 23, 117, 43, 117, 23, 62, 90, 89, 126, 100, 94, 126, 94, 65, 6, 96, 127, 
	71, 6, 127, 12, 9, 8, 9, 61, 8, 28, 52, 92, 28, 51, 52, 14, 35, 33, 33, 107, 14, 19, 0, 1, 22, 0, 19, 61, 134, 73, 
	112, 38, 78, 75, 38, 112, 149, 135, 40, 27, 39, 37, 0, 37, 39, 16, 133, 102, 102, 143, 16, 106, 107, 108, 106, 83, 107, 12, 48, 11, 
	9, 12, 11, 5, 77, 21, 5, 21, 4, 13, 83, 84, 84, 48, 13, 150, 95, 128, 59, 128, 95, 55, 131, 18, 55, 100, 131, 69, 71, 68, 
	69, 6, 71, 136, 65, 64, 65, 94, 64, 145, 77, 3, 77, 145, 141, 119, 98, 45, 45, 98, 88, 137, 115, 81, 82, 137, 81, 42, 79, 43, 
	43, 79, 26, 138, 85, 74, 85, 76, 74, 111, 151, 110, 151, 111, 138, 135, 152, 4, 147, 4, 152, 119, 144, 118, 144, 119, 46, 114, 26, 140, 
	140, 26, 79, 103, 104, 115, 139, 115, 104, 29, 27, 76, 76, 116, 29, 110, 151, 50, 48, 110, 50, 57, 72, 142, 143, 46, 15, 46, 44, 15, 
	120, 121, 122, 122, 124, 120, 74, 75, 123, 112, 123, 75, 43, 24, 57, 57, 24, 25, 143, 102, 118, 118, 144, 143, 146, 3, 147, 47, 10, 109, 
	89, 51, 30, 29, 30, 51, 139, 140, 80, 115, 139, 80, 104, 133, 114, 25, 114, 133, 
_NULL_ }; /* End of head03_low01_Faces */



/**********************************************************
 * MESHES 
 **********************************************************/

const Struct_Mesh 
   Mesh[NUM_MESHES] = {

/* MESH 0 */
	/* NumVertex      */ head03_low01_NumVertex,
	/* NumFaces       */ head03_low01_NumFaces,
	/* NumStrips      */ head03_low01_NumStrips,
	/* Flags          */ head03_low01_Flags,
	/* Material       */ head03_low01_Material,
	/* Center         */  0.000000f, 100.222984f, -0.000004f,
	/* Vertices       */ head03_low01_Vertices,
	/* UV             */ head03_low01_UV,
	/* Normals        */ head03_low01_Normals,
	/* Packed Vertices*/ (const float *) _NULL_,
	/* VertexColor    */ (const unsigned int *)_NULL_,
	/* VertexMaterial */ (const unsigned int *)_NULL_,
	/* Faces          */ (const unsigned short *)head03_low01_Faces,
	/* Strips         */ (const unsigned short *)_NULL_,
	/* StripLength    */ (const unsigned short *)_NULL_,
	/* Patch type     */ 0,
	/* NumPatches     */ 0,
	/* NumPVertices   */ 0,
	/* NumSubdivisions*/ 0,
	/* ControlPoints  */ _NULL_,
	/* PatchUVs       */ _NULL_

	}; /* End of Meshes */
