#--------------------------------------------------------------------------
# Name         : maketex.mak
# Title        : Makefile to build textures
# Author       : PowerVR
# Created      : 24/02/2005
#
# Copyright    : 2005 by Imagination Technologies.  All rights reserved.
#              : No part of this software, either material or conceptual 
#              : may be copied or distributed, transmitted, transcribed,
#              : stored in a retrieval system or translated into any 
#              : human or computer language in any form by any means,
#              : electronic, mechanical, manual or other-wise, or 
#              : disclosed to third parties without the express written
#              : permission of VideoLogic Limited, Unit 8, HomePark
#              : Industrial Estate, King's Langley, Hertfordshire,
#              : WD4 8LZ, U.K.
#
# Description  : Makefile for demos in the PowerVR SDK
#
# Platform     :
#
# $Revision: 1.4 $
#--------------------------------------------------------------------------

#############################################################################
## Variables
#############################################################################

TEXTURESPATH = ./../Media

PVRTEXTURETOOLPATH = ..\..\..\Utilities\PVRTextureTool\PVRTextureTool\Build\WindowsPC\Release\PVRTextureTool.exe

#############################################################################
## Instructions
#############################################################################

all:	balloon.pvr skybox1.pvr skybox2.pvr skybox3.pvr skybox4.pvr skybox5.pvr skybox6.pvr

balloon.pvr : $(TEXTURESPATH)/balloon.bmp
	$(PVRTEXTURETOOLPATH) -i$(TEXTURESPATH)/balloon.bmp -m -p -fOGLPVRTC4

skybox1.pvr skybox2.pvr skybox3.pvr skybox4.pvr skybox5.pvr skybox6.pvr: $(TEXTURESPATH)/skybox1.bmp $(TEXTURESPATH)/skybox2.bmp $(TEXTURESPATH)/skybox3.bmp $(TEXTURESPATH)/skybox4.bmp $(TEXTURESPATH)/skybox5.bmp $(TEXTURESPATH)/skybox6.bmp
	$(PVRTEXTURETOOLPATH) -i$(TEXTURESPATH)/skybox1.bmp -s -m -p -fOGLPVRTC4

############################################################################
# End of file (maketex.mak)
############################################################################


