#--------------------------------------------------------------------------
# Name         : maketex.mak
# Title        : Makefile to build textures
# Author       : PowerVR
# Created      : 12/01/2005
#
# Copyright    : 2005 by Imagination Technologies.  All rights reserved.
#              : No part of this software, either material or conceptual 
#              : may be copied or distributed, transmitted, transcribed,
#              : stored in a retrieval system or translated into any 
#              : human or computer language in any form by any means,
#              : electronic, mechanical, manual or other-wise, or 
#              : disclosed to third parties without the express written
#              : permission of VideoLogic Limited, Unit 8, HomePark
#              : Industrial Estate, King's Langley, Hertfordshire,
#              : WD4 8LZ, U.K.
#
# Description  : Makefile for demos in the PowerVR SDK
#
# Platform     :
#
# $Revision: 1.10 $
#--------------------------------------------------------------------------

#############################################################################
## Variables
#############################################################################

TEXTURESPATH = ./../Media

PVRTEXTURETOOLPATH = ..\..\..\Utilities\PVRTextureTool\PVRTextureTool\Build\WindowsPC\Release\PVRTextureTool.exe

#############################################################################
## Instructions
#############################################################################

all:	o_back.h o_tape.h o_ball.h o_info.h

o_back.h: $(TEXTURESPATH)/Back.bmp
	$(PVRTEXTURETOOLPATH) -h -fOGL565 -nt -i$(TEXTURESPATH)/Back.bmp -oo_back.h

o_tape.h: $(TEXTURESPATH)/Tape.bmp
	$(PVRTEXTURETOOLPATH) -m -h -fOGL565 -nt -i$(TEXTURESPATH)/Tape.bmp -oo_tape.h

o_ball.h: $(TEXTURESPATH)/Ball.bmp $(TEXTURESPATH)/tBall.bmp
	$(PVRTEXTURETOOLPATH) -m -h -fOGL4444 -nt -i$(TEXTURESPATH)/Ball.bmp -a$(TEXTURESPATH)/tBall.bmp -oo_ball.h

o_info.h: $(TEXTURESPATH)/Info.bmp $(TEXTURESPATH)/tInfo.bmp
	$(PVRTEXTURETOOLPATH) -m -h -fOGL4444 -nt -i$(TEXTURESPATH)/Info.bmp -a$(TEXTURESPATH)/tInfo.bmp -oo_info.h

############################################################################
# End of file (maketex.mak)
############################################################################
 
