/******************************************************************************

 @File         PVRShellOS.h

 @Title        

 @Copyright    Copyright (C) 2006 - 2006 by Imagination Technologies Limited.

 @Platform     Support for windowed Symbian UIQ

 @Description  Makes programming for 3D APIs easier by wrapping surface
               initialization, Texture allocation and other functions for use by a demo.

******************************************************************************/
#include <qikcommand.h>
#include <e32cmn.h>
#include <EikStart.h>
#include <qikappui.h>
#include <qikdocument.h>
#include <qikapplication.h>
#include <QikViewBase.h>

#include <gles\egl.h>
#include <gles\gl.h>

#include "PVRShell.h"

/****************************************************************************
 ** DEFINES                                                               **
 ****************************************************************************/

#define _stricmp strcasecmp
#define _strnicmp strncasecmp

/*!***************************************************************************
 @Class CPVRShellView
 @Brief Symbian User Application implementation
*****************************************************************************/
class CPVRShellView : public CQikViewBase{
public:

	CPVRShellView(CQikAppUi* aAppUi);
	static CPVRShellView* NewL(CQikAppUi* aAppUi,const TRect& rect);
	
	// From Class MCoeView
	virtual void ViewActivatedL(const TVwsViewId &aPrevViewId, TUid aCustomMessageId, const TDesC8 &aCustomMessage);
	virtual void ViewDeactivated();
	virtual TVwsViewId ViewId() const;
	TKeyResponse OfferKeyEventL(const TKeyEvent& aKeyEvent,TEventCode aType);

	// From CQikViewBase
	void HandleCommandL(CQikCommand& aCommand);
	virtual void ViewConstructL();
	static TInt DrawCallback( TAny* aInstance );
	virtual ~CPVRShellView();
	void ConstructL(const TRect& rect);

	// Shell classes
	PVRShell*		ipDemo;
	PVRShellInit*	init;

private:

	CPeriodic*       iPeriodic;

};

/*!***************************************************************************
 @Class CShellAppUI
 @Brief Symbian User Application implementation
*****************************************************************************/
class CShellAppUI : public CQikAppUi
	{
public:
	~CShellAppUI() {};
public:
	void ConstructL();
	
private:
	void  HandleCommandL(TInt aCommand);
	
	};

/*!***************************************************************************
 @Class CShellDocument
 @Brief Symbian Document interface
*****************************************************************************/
class CShellDocument : public CQikDocument
	{
public:
	static CShellDocument* NewL(CEikApplication& aApp);
    CShellDocument(CEikApplication& aApp);
	~CShellDocument();

private:
	CQikAppUi* CreateAppUiL();		// Construct an app.user interface
	};

/*!***************************************************************************
 @Class CShellApplication
 @Brief Symbian Application Interface
*****************************************************************************/
class CShellApplication : public CQikApplication {
private:

	TUid          AppDllUid() const; // Returns Uid associated with app
	CApaDocument* CreateDocumentL(); // Construct new document
};

/*!***************************************************************************
 @Class PVRShellInitOS
 @Brief PVRShell Operating System specific code interface.
*****************************************************************************/
class PVRShellInitOS
{
public:
	CPVRShellView		*ShellView;
};

/*****************************************************************************
 End of file (PVRShellOS.h)
*****************************************************************************/
