/******************************************************************************

 @File         OGLESHelloTriangle.h

 @Title        Hello Triangle for OpenGL ES

 @Copyright    Copyright (C) 2006 - 2006 by Imagination Technologies Limited.

 @Platform     Symbian UIQ

 @Description  OpenGL ES Hello triangle app.

******************************************************************************/
#include <qikcommand.h>
#include <e32cmn.h>
#include <EikStart.h>
#include <qikappui.h>
#include <qikdocument.h>
#include <qikapplication.h>
#include <QikViewBase.h>
#include <libc\sys\reent.h>

#include <gles\egl.h>
#include <gles\gl.h>


/*!***************************************************************************
 CAppView
 @Brief Class. Symbian User Application implementation
*****************************************************************************/
class CAppView : public CQikViewBase{
public:

	CAppView(CQikAppUi* aAppUi);
	static CAppView* NewL(CQikAppUi* aAppUi,const TRect& rect);
	
	// From Class MCoeView
	virtual void ViewActivatedL(const TVwsViewId &aPrevViewId, TUid aCustomMessageId, const TDesC8 &aCustomMessage);
	virtual void ViewDeactivated();
	virtual TVwsViewId ViewId() const;
	TKeyResponse OfferKeyEventL(const TKeyEvent& aKeyEvent,TEventCode aType);

	// From CQikViewBase
	void HandleCommandL(CQikCommand& aCommand);
	virtual void ViewConstructL();
	static TInt DrawCallback( TAny* aInstance );
	virtual ~CAppView();
	void ConstructL(const TRect& rect);

	// User
	void draw();

private:
	bool bQuit;
	CPeriodic*       iPeriodic;

	//egl variables:
	EGLDisplay			eglDisplay;
	EGLConfig			eglConfig;
	EGLSurface			eglSurface;
	EGLContext			eglContext;

};

/*!***************************************************************************
 CShellAppUI
 @Brief Class. Symbian User Application implementation
*****************************************************************************/
class CShellAppUI : public CQikAppUi
	{
public:
	~CShellAppUI() {};
public:
	void ConstructL();
	
private:
	void  HandleCommandL(TInt aCommand);
	
	};

/*!***************************************************************************
 CShellDocument
 @Brief Class. Symbian Document interface
*****************************************************************************/
class CShellDocument : public CQikDocument
	{
public:
	static CShellDocument* NewL(CEikApplication& aApp);
    CShellDocument(CEikApplication& aApp);
	~CShellDocument();

private:
	CQikAppUi* CreateAppUiL();		// Construct an app.user interface
	};

/*!***************************************************************************
 CShellApplication
 @Brief Class. Symbian Application Interface
*****************************************************************************/
class CShellApplication : public CQikApplication {
private:

	TUid          AppDllUid() const; // Returns Uid associated with app
	CApaDocument* CreateDocumentL(); // Construct new document
};

/*****************************************************************************
 End of file (OGLESHelloTriangle.h)
*****************************************************************************/
