/**********************************************************
 * This file has been created with PowerVR Exporter v3.4
 * Date: 17 December 2004   Time: 10:57
 * Original File: FiveSpheres.max
 *
 * Options:
 *
 *   Meshes        = ON
 *   Mesh Anim     = OFF
 *   Materials     = OFF
 *   Cameras       = OFF
 *   Camera Anim   = OFF
 *   Lights        = OFF
 *   Paths         = OFF
 *   Bones         = OFF
 *
 *   UVs           = ON
 *   UVs Layer2    = OFF
 *   Normals       = ON
 *   Colors        = OFF
 *   Materials     = OFF
 *   Weights       = OFF
 *
 *   Strips        = ON
 *   No Face-list  = ON
 *   DWORD List    = OFF
 *   Packed Format = OFF
 *   OpenGL Format = ON
 *   Transform UVs = OFF
 *   Vertex Format = FLOAT
 *
 *   Patches       = OFF
 *   PatchTriToQuad= OFF
 *   Patch Mesh    = OFF
 *   Patch UVs     = OFF
 *
 **********************************************************/

#define STRUCT_MESH_DEFINED

typedef struct { unsigned int      nNumVertex;
                 unsigned int      nNumFaces;
                 unsigned int      nNumStrips;
                 unsigned int      nFlags;
                 int               nMaterial;
                 float             fCenter[3];
                 const float             *pVertex;
                 const float             *pUV;
                 const float             *pNormals;
                 const float             *pPackedVertex;
                 const unsigned int      *pVertexColor;
                 const unsigned int      *pVertexMaterial;
                 const unsigned short    *pFaces;
                 const unsigned short    *pStrips;
                 const unsigned short    *pStripLength;
                 struct
                 {
                     unsigned int  nType;
                     unsigned int  nNumPatches;
                     unsigned int  nNumVertices;
                     unsigned int  nNumSubdivisions;
                     const float         *pControlPoints;
                     const float         *pUVs;
                 } Patch;
               }   Struct_Mesh;


/**********************************************************
 * GENERAL DEFINITIONS
 **********************************************************/

#ifndef _NULL_
#define _NULL_ 0
#endif

#define NUM_MESHES     5
#define NUM_BONES	   0
#define NUM_MATERIALS  0
#define NUM_LIGHTS     0
#define NUM_CAMERAS    0
#define NUM_PATHS      0
#define NUM_FRAMES     0

/* MESH FLAGS */

#ifndef MF_MATERIAL
#define MF_MATERIAL        1
#define MF_UV              2
#define MF_NORMALS         4
#define MF_VERTEXCOLOR     8
#define MF_VERTEXMATERIAL  16
#define MF_STRIPS          32
#define MF_NOFACELIST      64
#define MF_UV2             128
#define MF_VERTEXWEIGHTS   256

#define MF_NOPATCH         0
#define MF_RECTPATCH       1
#define MF_TRIPATCH        2
#define MF_MIXPATCH        3

#endif


/* MESHES */
#define M_SPHERE01  0
#define M_SPHERE02  1
#define M_SPHERE03  2
#define M_SPHERE04  3
#define M_SPHERE05  4


/**********************************************************
 * MESHES DATA
 **********************************************************/

/* MESH 0 */

#define sphere01_NumVertex  268
#define sphere01_NumFaces   224
#define sphere01_NumStrips  22
#define sphere01_Flags      0x00020066
#define sphere01_Material   -1

const float sphere01_Vertices[] = {
	-37.2287f,69.6288f,0.2444f, -37.2287f,67.3153f,11.8753f, -41.6797f,67.3153f,10.9899f, -45.4530f,60.7269f,20.0995f, -52.4252f,60.7269f,15.4409f,
	-57.0839f,50.8667f,20.0995f, -63.1708f,50.8667f,10.9899f, -65.3082f,39.2358f,11.8753f, -67.6217f,39.2358f,0.2444f, -65.3082f,27.6049f,0.2444f,
	-63.1708f,27.6049f,-10.5012f, -57.0839f,17.7447f,-7.9799f, -52.4252f,17.7447f,-14.9521f, -45.4530f,11.1564f,-7.9799f, -41.6797f,11.1564f,-10.5012f,
	-37.2287f,8.8428f,0.2444f, -37.2287f,69.6288f,0.2444f, -41.6797f,67.3153f,10.9899f, -45.4530f,67.3153f,8.4686f, -52.4252f,60.7269f,15.4409f,
	-57.0839f,60.7269f,8.4686f, -63.1708f,50.8667f,10.9899f, -65.3082f,50.8667f,0.2444f, -67.6217f,39.2358f,0.2444f, -65.3082f,39.2358f,-11.3865f,
	-63.1708f,27.6049f,-10.5012f, -57.0839f,27.6049f,-19.6108f, -52.4252f,17.7447f,-14.9521f, -45.4530f,17.7447f,-19.6108f, -41.6797f,11.1564f,-10.5012f,
	-37.2287f,11.1564f,-11.3865f, -37.2287f,8.8428f,0.2444f, -37.2287f,69.6288f,0.2444f, -45.4530f,67.3153f,8.4686f, -47.9743f,67.3153f,4.6953f,
	-57.0839f,60.7269f,8.4686f, -58.7198f,60.7269f,0.2444f, -65.3082f,50.8667f,0.2444f, -63.1708f,50.8667f,-10.5012f, -65.3082f,39.2358f,-11.3865f,
	-58.7198f,39.2358f,-21.2467f, -57.0839f,27.6049f,-19.6108f, -47.9743f,27.6049f,-25.6977f, -45.4530f,17.7447f,-19.6108f, -37.2287f,17.7447f,-21.2467f,
	-37.2287f,11.1564f,-11.3865f, -32.7778f,11.1564f,-10.5012f, -37.2287f,8.8428f,0.2444f, -37.2287f,69.6288f,0.2444f, -47.9743f,67.3153f,4.6953f,
	-48.8596f,67.3153f,0.2444f, -58.7198f,60.7269f,0.2444f, -57.0839f,60.7269f,-7.9799f, -63.1708f,50.8667f,-10.5012f, -57.0839f,50.8667f,-19.6108f,
	-58.7198f,39.2358f,-21.2467f, -48.8596f,39.2358f,-27.8351f, -47.9743f,27.6049f,-25.6977f, -37.2287f,27.6049f,-27.8351f, -37.2287f,17.7447f,-21.2467f,
	-29.0045f,17.7447f,-19.6108f, -32.7778f,11.1564f,-10.5012f, -29.0045f,11.1564f,-7.9799f, -37.2287f,8.8428f,0.2444f, -37.2287f,69.6288f,0.2444f,
	-48.8596f,67.3153f,0.2444f, -47.9743f,67.3153f,-4.2066f, -57.0839f,60.7269f,-7.9799f, -52.4252f,60.7269f,-14.9521f, -57.0839f,50.8667f,-19.6108f,
	-47.9743f,50.8667f,-25.6977f, -48.8596f,39.2358f,-27.8351f, -37.2287f,39.2358f,-30.1486f, -37.2287f,27.6049f,-27.8351f, -26.4832f,27.6049f,-25.6977f,
	-29.0045f,17.7447f,-19.6108f, -22.0322f,17.7447f,-14.9521f, -29.0045f,11.1564f,-7.9799f, -26.4832f,11.1564f,-4.2066f, -37.2287f,8.8428f,0.2444f,
	-37.2287f,69.6288f,0.2444f, -47.9743f,67.3153f,-4.2066f, -45.4530f,67.3153f,-7.9799f, -52.4252f,60.7269f,-14.9521f, -45.4530f,60.7269f,-19.6108f,
	-47.9743f,50.8667f,-25.6977f, -37.2287f,50.8667f,-27.8351f, -37.2287f,39.2358f,-30.1486f, -25.5978f,39.2358f,-27.8351f, -26.4832f,27.6049f,-25.6977f,
	-17.3736f,27.6049f,-19.6108f, -22.0322f,17.7447f,-14.9521f, -17.3736f,17.7447f,-7.9799f, -26.4832f,11.1564f,-4.2066f, -25.5978f,11.1564f,0.2444f,
	-37.2287f,8.8428f,0.2444f, -37.2287f,69.6288f,0.2444f, -45.4530f,67.3153f,-7.9799f, -41.6797f,67.3153f,-10.5012f, -45.4530f,60.7269f,-19.6108f,
	-37.2287f,60.7269f,-21.2467f, -37.2287f,50.8667f,-27.8351f, -26.4832f,50.8667f,-25.6977f, -25.5978f,39.2358f,-27.8351f, -15.7376f,39.2358f,-21.2467f,
	-17.3736f,27.6049f,-19.6108f, -11.2867f,27.6049f,-10.5012f, -17.3736f,17.7447f,-7.9799f, -15.7376f,17.7447f,0.2444f, -25.5978f,11.1564f,0.2444f,
	-26.4832f,11.1564f,4.6953f, -37.2287f,8.8428f,0.2444f, -37.2287f,69.6288f,0.2444f, -41.6797f,67.3153f,-10.5012f, -37.2287f,67.3153f,-11.3865f,
	-37.2287f,60.7269f,-21.2467f, -29.0045f,60.7269f,-19.6108f, -26.4832f,50.8667f,-25.6977f, -17.3736f,50.8667f,-19.6108f, -15.7376f,39.2358f,-21.2467f,
	-9.1493f,39.2358f,-11.3865f, -11.2867f,27.6049f,-10.5012f, -9.1493f,27.6049f,0.2444f, -15.7376f,17.7447f,0.2444f, -17.3736f,17.7447f,8.4686f,
	-26.4832f,11.1564f,4.6953f, -29.0045f,11.1564f,8.4686f, -37.2287f,8.8428f,0.2444f, -37.2287f,69.6288f,0.2444f, -37.2287f,67.3153f,-11.3865f,
	-32.7778f,67.3153f,-10.5012f, -29.0045f,60.7269f,-19.6108f, -22.0322f,60.7269f,-14.9521f, -17.3736f,50.8667f,-19.6108f, -11.2867f,50.8667f,-10.5012f,
	-9.1493f,39.2358f,-11.3865f, -6.8357f,39.2358f,0.2444f, -9.1493f,27.6049f,0.2444f, -11.2867f,27.6049f,10.9899f, -17.3736f,17.7447f,8.4686f,
	-22.0322f,17.7447f,15.4409f, -29.0045f,11.1564f,8.4686f, -32.7778f,11.1564f,10.9899f, -37.2287f,8.8428f,0.2444f, -37.2287f,69.6288f,0.2444f,
	-32.7778f,67.3153f,-10.5012f, -29.0045f,67.3153f,-7.9799f, -22.0322f,60.7269f,-14.9521f, -17.3736f,60.7269f,-7.9799f, -11.2867f,50.8667f,-10.5012f,
	-9.1493f,50.8667f,0.2444f, -6.8357f,39.2358f,0.2444f, -9.1493f,39.2358f,11.8753f, -11.2867f,27.6049f,10.9899f, -17.3736f,27.6049f,20.0996f,
	-22.0322f,17.7447f,15.4409f, -29.0045f,17.7447f,20.0995f, -32.7778f,11.1564f,10.9899f, -37.2287f,11.1564f,11.8753f, -37.2287f,8.8428f,0.2444f,
	-37.2287f,69.6288f,0.2444f, -29.0045f,67.3153f,-7.9799f, -26.4832f,67.3153f,-4.2066f, -17.3736f,60.7269f,-7.9799f, -15.7376f,60.7269f,0.2444f,
	-9.1493f,50.8667f,0.2444f, -11.2867f,50.8667f,10.9899f, -9.1493f,39.2358f,11.8753f, -15.7376f,39.2358f,21.7355f, -17.3736f,27.6049f,20.0996f,
	-26.4832f,27.6049f,26.1864f, -29.0045f,17.7447f,20.0995f, -37.2287f,17.7447f,21.7355f, -37.2287f,11.1564f,11.8753f, -37.2287f,69.6288f,0.2444f,
	-26.4832f,67.3153f,-4.2066f, -25.5978f,67.3153f,0.2444f, -15.7376f,60.7269f,0.2444f, -17.3736f,60.7269f,8.4686f, -11.2867f,50.8667f,10.9899f,
	-17.3736f,50.8667f,20.0996f, -15.7376f,39.2358f,21.7355f, -25.5979f,39.2358f,28.3238f, -26.4832f,27.6049f,26.1864f, -37.2287f,27.6049f,28.3238f,
	-37.2287f,17.7447f,21.7355f, -37.2287f,69.6288f,0.2444f, -25.5978f,67.3153f,0.2444f, -26.4832f,67.3153f,4.6953f, -17.3736f,60.7269f,8.4686f,
	-22.0322f,60.7269f,15.4409f, -17.3736f,50.8667f,20.0996f, -26.4832f,50.8667f,26.1864f, -25.5979f,39.2358f,28.3238f, -37.2287f,39.2358f,30.6374f,
	-37.2287f,27.6049f,28.3238f, -37.2287f,69.6288f,0.2444f, -26.4832f,67.3153f,4.6953f, -29.0045f,67.3153f,8.4686f, -22.0322f,60.7269f,15.4409f,
	-29.0045f,60.7269f,20.0995f, -26.4832f,50.8667f,26.1864f, -37.2287f,50.8667f,28.3238f, -37.2287f,39.2358f,30.6374f, -37.2287f,69.6288f,0.2444f,
	-29.0045f,67.3153f,8.4686f, -32.7778f,67.3153f,10.9899f, -29.0045f,60.7269f,20.0995f, -37.2287f,60.7269f,21.7355f, -37.2287f,50.8667f,28.3238f,
	-37.2287f,67.3153f,11.8753f, -37.2287f,60.7269f,21.7355f, -45.4530f,60.7269f,20.0995f, -47.9743f,50.8667f,26.1864f, -57.0839f,50.8667f,20.0995f,
	-58.7198f,39.2358f,21.7355f, -65.3082f,39.2358f,11.8753f, -63.1708f,27.6049f,10.9899f, -65.3082f,27.6049f,0.2444f, -58.7198f,17.7447f,0.2444f,
	-57.0839f,17.7447f,-7.9799f, -47.9743f,11.1564f,-4.2066f, -45.4530f,11.1564f,-7.9799f, -37.2287f,8.8428f,0.2444f, -37.2287f,60.7269f,21.7355f,
	-37.2287f,50.8667f,28.3238f, -47.9743f,50.8667f,26.1864f, -48.8596f,39.2358f,28.3238f, -58.7198f,39.2358f,21.7355f, -57.0839f,27.6049f,20.0995f,
	-63.1708f,27.6049f,10.9899f, -57.0839f,17.7447f,8.4686f, -58.7198f,17.7447f,0.2444f, -48.8596f,11.1564f,0.2444f, -47.9743f,11.1564f,-4.2066f,
	-37.2287f,8.8428f,0.2444f, -37.2287f,50.8667f,28.3238f, -37.2287f,39.2358f,30.6374f, -48.8596f,39.2358f,28.3238f, -47.9743f,27.6049f,26.1864f,
	-57.0839f,27.6049f,20.0995f, -52.4252f,17.7447f,15.4409f, -57.0839f,17.7447f,8.4686f, -47.9743f,11.1564f,4.6953f, -48.8596f,11.1564f,0.2444f,
	-37.2287f,8.8428f,0.2444f, -37.2287f,39.2358f,30.6374f, -37.2287f,27.6049f,28.3238f, -47.9743f,27.6049f,26.1864f, -45.4530f,17.7447f,20.0995f,
	-52.4252f,17.7447f,15.4409f, -45.4530f,11.1564f,8.4686f, -47.9743f,11.1564f,4.6953f, -37.2287f,8.8428f,0.2444f, -37.2287f,27.6049f,28.3238f,
	-37.2287f,17.7447f,21.7355f, -45.4530f,17.7447f,20.0995f, -41.6797f,11.1564f,10.9899f, -45.4530f,11.1564f,8.4686f, -37.2287f,8.8428f,0.2444f,
	-37.2287f,8.8428f,0.2444f, -41.6797f,11.1564f,10.9899f, -37.2287f,11.1564f,11.8753f, -37.2287f,17.7447f,21.7355f, -37.2287f,60.7269f,21.7355f,
	-37.2287f,67.3153f,11.8753f, -32.7778f,67.3153f,10.9899f, -37.2287f,69.6288f,0.2444f,
_NULL_ }; /* End of sphere01_Vertices */

const float sphere01_UV[] = {
	0.0000f,1.0000f, 0.0000f,0.8750f, 0.0625f,0.8750f, 0.0625f,0.7500f, 0.1250f,0.7500f, 0.1250f,0.6250f, 0.1875f,0.6250f, 0.1875f,0.5000f, 0.2500f,0.5000f, 0.2500f,0.3750f, 0.3125f,0.3750f, 0.3125f,0.2500f, 0.3750f,0.2500f, 0.3750f,0.1250f, 0.4375f,0.1250f,
	0.3750f,0.0000f, 0.0625f,1.0000f, 0.0625f,0.8750f, 0.1250f,0.8750f, 0.1250f,0.7500f, 0.1875f,0.7500f, 0.1875f,0.6250f, 0.2500f,0.6250f, 0.2500f,0.5000f, 0.3125f,0.5000f, 0.3125f,0.3750f, 0.3750f,0.3750f, 0.3750f,0.2500f, 0.4375f,0.2500f, 0.4375f,0.1250f,
	0.5000f,0.1250f, 0.4375f,0.0000f, 0.1250f,1.0000f, 0.1250f,0.8750f, 0.1875f,0.8750f, 0.1875f,0.7500f, 0.2500f,0.7500f, 0.2500f,0.6250f, 0.3125f,0.6250f, 0.3125f,0.5000f, 0.3750f,0.5000f, 0.3750f,0.3750f, 0.4375f,0.3750f, 0.4375f,0.2500f, 0.5000f,0.2500f,
	0.5000f,0.1250f, 0.5625f,0.1250f, 0.5000f,0.0000f, 0.1875f,1.0000f, 0.1875f,0.8750f, 0.2500f,0.8750f, 0.2500f,0.7500f, 0.3125f,0.7500f, 0.3125f,0.6250f, 0.3750f,0.6250f, 0.3750f,0.5000f, 0.4375f,0.5000f, 0.4375f,0.3750f, 0.5000f,0.3750f, 0.5000f,0.2500f,
	0.5625f,0.2500f, 0.5625f,0.1250f, 0.6250f,0.1250f, 0.5625f,0.0000f, 0.2500f,1.0000f, 0.2500f,0.8750f, 0.3125f,0.8750f, 0.3125f,0.7500f, 0.3750f,0.7500f, 0.3750f,0.6250f, 0.4375f,0.6250f, 0.4375f,0.5000f, 0.5000f,0.5000f, 0.5000f,0.3750f, 0.5625f,0.3750f,
	0.5625f,0.2500f, 0.6250f,0.2500f, 0.6250f,0.1250f, 0.6875f,0.1250f, 0.6250f,0.0000f, 0.3125f,1.0000f, 0.3125f,0.8750f, 0.3750f,0.8750f, 0.3750f,0.7500f, 0.4375f,0.7500f, 0.4375f,0.6250f, 0.5000f,0.6250f, 0.5000f,0.5000f, 0.5625f,0.5000f, 0.5625f,0.3750f,
	0.6250f,0.3750f, 0.6250f,0.2500f, 0.6875f,0.2500f, 0.6875f,0.1250f, 0.7500f,0.1250f, 0.6875f,0.0000f, 0.3750f,1.0000f, 0.3750f,0.8750f, 0.4375f,0.8750f, 0.4375f,0.7500f, 0.5000f,0.7500f, 0.5000f,0.6250f, 0.5625f,0.6250f, 0.5625f,0.5000f, 0.6250f,0.5000f,
	0.6250f,0.3750f, 0.6875f,0.3750f, 0.6875f,0.2500f, 0.7500f,0.2500f, 0.7500f,0.1250f, 0.8125f,0.1250f, 0.7500f,0.0000f, 0.4375f,1.0000f, 0.4375f,0.8750f, 0.5000f,0.8750f, 0.5000f,0.7500f, 0.5625f,0.7500f, 0.5625f,0.6250f, 0.6250f,0.6250f, 0.6250f,0.5000f,
	0.6875f,0.5000f, 0.6875f,0.3750f, 0.7500f,0.3750f, 0.7500f,0.2500f, 0.8125f,0.2500f, 0.8125f,0.1250f, 0.8750f,0.1250f, 0.8125f,0.0000f, 0.5000f,1.0000f, 0.5000f,0.8750f, 0.5625f,0.8750f, 0.5625f,0.7500f, 0.6250f,0.7500f, 0.6250f,0.6250f, 0.6875f,0.6250f,
	0.6875f,0.5000f, 0.7500f,0.5000f, 0.7500f,0.3750f, 0.8125f,0.3750f, 0.8125f,0.2500f, 0.8750f,0.2500f, 0.8750f,0.1250f, 0.9375f,0.1250f, 0.8750f,0.0000f, 0.5625f,1.0000f, 0.5625f,0.8750f, 0.6250f,0.8750f, 0.6250f,0.7500f, 0.6875f,0.7500f, 0.6875f,0.6250f,
	0.7500f,0.6250f, 0.7500f,0.5000f, 0.8125f,0.5000f, 0.8125f,0.3750f, 0.8750f,0.3750f, 0.8750f,0.2500f, 0.9375f,0.2500f, 0.9375f,0.1250f, 1.0000f,0.1250f, 0.9375f,0.0000f, 0.6250f,1.0000f, 0.6250f,0.8750f, 0.6875f,0.8750f, 0.6875f,0.7500f, 0.7500f,0.7500f,
	0.7500f,0.6250f, 0.8125f,0.6250f, 0.8125f,0.5000f, 0.8750f,0.5000f, 0.8750f,0.3750f, 0.9375f,0.3750f, 0.9375f,0.2500f, 1.0000f,0.2500f, 1.0000f,0.1250f, 0.6875f,1.0000f, 0.6875f,0.8750f, 0.7500f,0.8750f, 0.7500f,0.7500f, 0.8125f,0.7500f, 0.8125f,0.6250f,
	0.8750f,0.6250f, 0.8750f,0.5000f, 0.9375f,0.5000f, 0.9375f,0.3750f, 1.0000f,0.3750f, 1.0000f,0.2500f, 0.7500f,1.0000f, 0.7500f,0.8750f, 0.8125f,0.8750f, 0.8125f,0.7500f, 0.8750f,0.7500f, 0.8750f,0.6250f, 0.9375f,0.6250f, 0.9375f,0.5000f, 1.0000f,0.5000f,
	1.0000f,0.3750f, 0.8125f,1.0000f, 0.8125f,0.8750f, 0.8750f,0.8750f, 0.8750f,0.7500f, 0.9375f,0.7500f, 0.9375f,0.6250f, 1.0000f,0.6250f, 1.0000f,0.5000f, 0.8750f,1.0000f, 0.8750f,0.8750f, 0.9375f,0.8750f, 0.9375f,0.7500f, 1.0000f,0.7500f, 1.0000f,0.6250f,
	0.0000f,0.8750f, 0.0000f,0.7500f, 0.0625f,0.7500f, 0.0625f,0.6250f, 0.1250f,0.6250f, 0.1250f,0.5000f, 0.1875f,0.5000f, 0.1875f,0.3750f, 0.2500f,0.3750f, 0.2500f,0.2500f, 0.3125f,0.2500f, 0.3125f,0.1250f, 0.3750f,0.1250f, 0.3125f,0.0000f, 0.0000f,0.7500f,
	0.0000f,0.6250f, 0.0625f,0.6250f, 0.0625f,0.5000f, 0.1250f,0.5000f, 0.1250f,0.3750f, 0.1875f,0.3750f, 0.1875f,0.2500f, 0.2500f,0.2500f, 0.2500f,0.1250f, 0.3125f,0.1250f, 0.2500f,0.0000f, 0.0000f,0.6250f, 0.0000f,0.5000f, 0.0625f,0.5000f, 0.0625f,0.3750f,
	0.1250f,0.3750f, 0.1250f,0.2500f, 0.1875f,0.2500f, 0.1875f,0.1250f, 0.2500f,0.1250f, 0.1875f,0.0000f, 0.0000f,0.5000f, 0.0000f,0.3750f, 0.0625f,0.3750f, 0.0625f,0.2500f, 0.1250f,0.2500f, 0.1250f,0.1250f, 0.1875f,0.1250f, 0.1250f,0.0000f, 0.0000f,0.3750f,
	0.0000f,0.2500f, 0.0625f,0.2500f, 0.0625f,0.1250f, 0.1250f,0.1250f, 0.0625f,0.0000f, 0.0000f,0.0000f, 0.0625f,0.1250f, 0.0000f,0.1250f, 0.0000f,0.2500f, 1.0000f,0.7500f, 1.0000f,0.8750f, 0.9375f,0.8750f, 0.9375f,1.0000f,
_NULL_ }; /* End of sphere01_UV */

const float sphere01_Normals[] = {
	-0.0000f,1.0000f,0.0000f, -0.0000f,0.9152f,0.4031f, -0.1543f,0.9152f,0.3724f, -0.2751f,0.6952f,0.6641f, -0.5083f,0.6952f,0.5083f, -0.6557f,0.3744f,0.6557f, -0.8567f,0.3744f,0.3549f, -0.9239f,0.0000f,0.3827f, -1.0000f,-0.0000f,-0.0000f, -0.9273f,-0.3744f,-0.0000f, -0.8567f,-0.3744f,-0.3549f, -0.6641f,-0.6952f,-0.2751f, -0.5083f,-0.6952f,-0.5083f, -0.2850f,-0.9152f,-0.2850f, -0.1543f,-0.9152f,-0.3724f,
	-0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.1543f,0.9152f,0.3724f, -0.2850f,0.9152f,0.2850f, -0.5083f,0.6952f,0.5083f, -0.6641f,0.6952f,0.2751f, -0.8567f,0.3744f,0.3549f, -0.9273f,0.3744f,-0.0000f, -1.0000f,-0.0000f,-0.0000f, -0.9239f,-0.0000f,-0.3827f, -0.8567f,-0.3744f,-0.3549f, -0.6557f,-0.3744f,-0.6557f, -0.5083f,-0.6952f,-0.5083f, -0.2751f,-0.6952f,-0.6641f, -0.1543f,-0.9152f,-0.3724f,
	0.0000f,-0.9152f,-0.4031f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.2850f,0.9152f,0.2850f, -0.3724f,0.9152f,0.1543f, -0.6641f,0.6952f,0.2751f, -0.7189f,0.6952f,-0.0000f, -0.9273f,0.3744f,-0.0000f, -0.8567f,0.3744f,-0.3549f, -0.9239f,-0.0000f,-0.3827f, -0.7071f,0.0000f,-0.7071f, -0.6557f,-0.3744f,-0.6557f, -0.3549f,-0.3744f,-0.8567f, -0.2751f,-0.6952f,-0.6641f, 0.0000f,-0.6952f,-0.7189f,
	0.0000f,-0.9152f,-0.4031f, 0.1543f,-0.9152f,-0.3724f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.3724f,0.9152f,0.1543f, -0.4031f,0.9152f,-0.0000f, -0.7189f,0.6952f,-0.0000f, -0.6641f,0.6952f,-0.2751f, -0.8567f,0.3744f,-0.3549f, -0.6557f,0.3744f,-0.6557f, -0.7071f,0.0000f,-0.7071f, -0.3827f,0.0000f,-0.9239f, -0.3549f,-0.3744f,-0.8567f, 0.0000f,-0.3744f,-0.9273f, 0.0000f,-0.6952f,-0.7189f,
	0.2751f,-0.6952f,-0.6641f, 0.1543f,-0.9152f,-0.3724f, 0.2850f,-0.9152f,-0.2850f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.4031f,0.9152f,-0.0000f, -0.3724f,0.9152f,-0.1543f, -0.6641f,0.6952f,-0.2751f, -0.5083f,0.6952f,-0.5083f, -0.6557f,0.3744f,-0.6557f, -0.3549f,0.3744f,-0.8567f, -0.3827f,0.0000f,-0.9239f, 0.0000f,0.0000f,-1.0000f, 0.0000f,-0.3744f,-0.9273f, 0.3549f,-0.3744f,-0.8567f,
	0.2751f,-0.6952f,-0.6641f, 0.5083f,-0.6952f,-0.5083f, 0.2850f,-0.9152f,-0.2850f, 0.3724f,-0.9152f,-0.1543f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.3724f,0.9152f,-0.1543f, -0.2850f,0.9152f,-0.2850f, -0.5083f,0.6952f,-0.5083f, -0.2751f,0.6952f,-0.6641f, -0.3549f,0.3744f,-0.8567f, 0.0000f,0.3744f,-0.9273f, 0.0000f,0.0000f,-1.0000f, 0.3827f,0.0000f,-0.9239f, 0.3549f,-0.3744f,-0.8567f,
	0.6557f,-0.3744f,-0.6557f, 0.5083f,-0.6952f,-0.5083f, 0.6641f,-0.6952f,-0.2751f, 0.3724f,-0.9152f,-0.1543f, 0.4031f,-0.9152f,0.0000f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.2850f,0.9152f,-0.2850f, -0.1543f,0.9152f,-0.3724f, -0.2751f,0.6952f,-0.6641f, 0.0000f,0.6952f,-0.7189f, 0.0000f,0.3744f,-0.9273f, 0.3549f,0.3744f,-0.8567f, 0.3827f,0.0000f,-0.9239f, 0.7071f,0.0000f,-0.7071f,
	0.6557f,-0.3744f,-0.6557f, 0.8567f,-0.3744f,-0.3549f, 0.6641f,-0.6952f,-0.2751f, 0.7189f,-0.6952f,0.0000f, 0.4031f,-0.9152f,0.0000f, 0.3724f,-0.9152f,0.1543f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.1543f,0.9152f,-0.3724f, 0.0000f,0.9152f,-0.4031f, 0.0000f,0.6952f,-0.7189f, 0.2751f,0.6952f,-0.6641f, 0.3549f,0.3744f,-0.8567f, 0.6557f,0.3744f,-0.6557f, 0.7071f,0.0000f,-0.7071f,
	0.9239f,0.0000f,-0.3827f, 0.8567f,-0.3744f,-0.3549f, 0.9273f,-0.3744f,0.0000f, 0.7189f,-0.6952f,0.0000f, 0.6641f,-0.6952f,0.2751f, 0.3724f,-0.9152f,0.1543f, 0.2850f,-0.9152f,0.2850f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, 0.0000f,0.9152f,-0.4031f, 0.1543f,0.9152f,-0.3724f, 0.2751f,0.6952f,-0.6641f, 0.5083f,0.6952f,-0.5083f, 0.6557f,0.3744f,-0.6557f, 0.8567f,0.3744f,-0.3549f,
	0.9239f,0.0000f,-0.3827f, 1.0000f,-0.0000f,0.0000f, 0.9273f,-0.3744f,0.0000f, 0.8567f,-0.3744f,0.3549f, 0.6641f,-0.6952f,0.2751f, 0.5083f,-0.6952f,0.5083f, 0.2850f,-0.9152f,0.2850f, 0.1543f,-0.9152f,0.3724f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, 0.1543f,0.9152f,-0.3724f, 0.2850f,0.9152f,-0.2850f, 0.5083f,0.6952f,-0.5083f, 0.6641f,0.6952f,-0.2751f, 0.8567f,0.3744f,-0.3549f,
	0.9273f,0.3744f,0.0000f, 1.0000f,-0.0000f,0.0000f, 0.9239f,0.0000f,0.3827f, 0.8567f,-0.3744f,0.3549f, 0.6557f,-0.3744f,0.6557f, 0.5083f,-0.6952f,0.5083f, 0.2751f,-0.6952f,0.6641f, 0.1543f,-0.9152f,0.3724f, -0.0000f,-0.9152f,0.4031f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, 0.2850f,0.9152f,-0.2850f, 0.3724f,0.9152f,-0.1543f, 0.6641f,0.6952f,-0.2751f, 0.7189f,0.6952f,0.0000f,
	0.9273f,0.3744f,0.0000f, 0.8567f,0.3744f,0.3549f, 0.9239f,0.0000f,0.3827f, 0.7071f,-0.0000f,0.7071f, 0.6557f,-0.3744f,0.6557f, 0.3549f,-0.3744f,0.8567f, 0.2751f,-0.6952f,0.6641f, -0.0000f,-0.6952f,0.7189f, -0.0000f,-0.9152f,0.4031f, -0.0000f,1.0000f,0.0000f, 0.3724f,0.9152f,-0.1543f, 0.4031f,0.9152f,0.0000f, 0.7189f,0.6952f,0.0000f, 0.6641f,0.6952f,0.2751f, 0.8567f,0.3744f,0.3549f,
	0.6557f,0.3744f,0.6557f, 0.7071f,-0.0000f,0.7071f, 0.3827f,0.0000f,0.9239f, 0.3549f,-0.3744f,0.8567f, -0.0000f,-0.3744f,0.9273f, -0.0000f,-0.6952f,0.7189f, -0.0000f,1.0000f,0.0000f, 0.4031f,0.9152f,0.0000f, 0.3724f,0.9152f,0.1543f, 0.6641f,0.6952f,0.2751f, 0.5083f,0.6952f,0.5083f, 0.6557f,0.3744f,0.6557f, 0.3549f,0.3744f,0.8567f, 0.3827f,0.0000f,0.9239f, -0.0000f,0.0000f,1.0000f,
	-0.0000f,-0.3744f,0.9273f, -0.0000f,1.0000f,0.0000f, 0.3724f,0.9152f,0.1543f, 0.2850f,0.9152f,0.2850f, 0.5083f,0.6952f,0.5083f, 0.2751f,0.6952f,0.6641f, 0.3549f,0.3744f,0.8567f, -0.0000f,0.3744f,0.9273f, -0.0000f,0.0000f,1.0000f, -0.0000f,1.0000f,0.0000f, 0.2850f,0.9152f,0.2850f, 0.1543f,0.9152f,0.3724f, 0.2751f,0.6952f,0.6641f, -0.0000f,0.6952f,0.7189f, -0.0000f,0.3744f,0.9273f,
	-0.0000f,0.9152f,0.4031f, -0.0000f,0.6952f,0.7189f, -0.2751f,0.6952f,0.6641f, -0.3549f,0.3744f,0.8567f, -0.6557f,0.3744f,0.6557f, -0.7071f,-0.0000f,0.7071f, -0.9239f,0.0000f,0.3827f, -0.8567f,-0.3744f,0.3549f, -0.9273f,-0.3744f,-0.0000f, -0.7189f,-0.6952f,-0.0000f, -0.6641f,-0.6952f,-0.2751f, -0.3724f,-0.9152f,-0.1543f, -0.2850f,-0.9152f,-0.2850f, -0.0000f,-1.0000f,0.0000f, -0.0000f,0.6952f,0.7189f,
	-0.0000f,0.3744f,0.9273f, -0.3549f,0.3744f,0.8567f, -0.3827f,0.0000f,0.9239f, -0.7071f,-0.0000f,0.7071f, -0.6557f,-0.3744f,0.6557f, -0.8567f,-0.3744f,0.3549f, -0.6641f,-0.6952f,0.2751f, -0.7189f,-0.6952f,-0.0000f, -0.4031f,-0.9152f,-0.0000f, -0.3724f,-0.9152f,-0.1543f, -0.0000f,-1.0000f,0.0000f, -0.0000f,0.3744f,0.9273f, -0.0000f,0.0000f,1.0000f, -0.3827f,0.0000f,0.9239f, -0.3549f,-0.3744f,0.8567f,
	-0.6557f,-0.3744f,0.6557f, -0.5083f,-0.6952f,0.5083f, -0.6641f,-0.6952f,0.2751f, -0.3724f,-0.9152f,0.1543f, -0.4031f,-0.9152f,-0.0000f, -0.0000f,-1.0000f,0.0000f, -0.0000f,0.0000f,1.0000f, -0.0000f,-0.3744f,0.9273f, -0.3549f,-0.3744f,0.8567f, -0.2751f,-0.6952f,0.6641f, -0.5083f,-0.6952f,0.5083f, -0.2850f,-0.9152f,0.2850f, -0.3724f,-0.9152f,0.1543f, -0.0000f,-1.0000f,0.0000f, -0.0000f,-0.3744f,0.9273f,
	-0.0000f,-0.6952f,0.7189f, -0.2751f,-0.6952f,0.6641f, -0.1543f,-0.9152f,0.3724f, -0.2850f,-0.9152f,0.2850f, -0.0000f,-1.0000f,0.0000f, -0.0000f,-1.0000f,0.0000f, -0.1543f,-0.9152f,0.3724f, -0.0000f,-0.9152f,0.4031f, -0.0000f,-0.6952f,0.7189f, -0.0000f,0.6952f,0.7189f, -0.0000f,0.9152f,0.4031f, 0.1543f,0.9152f,0.3724f, -0.0000f,1.0000f,0.0000f,
_NULL_ }; /* End of sphere01_Normals */

const unsigned short sphere01_StripLength[] = {
	14,14,14, 14,14,14, 14,14,14, 14,12,10, 8,6,4, 12,10,8, 6,4,2, 2,
_NULL_ }; /* End of sphere01_pStripLength */


/* MESH 1 */

#define sphere02_NumVertex  268
#define sphere02_NumFaces   224
#define sphere02_NumStrips  22
#define sphere02_Flags      0x00020066
#define sphere02_Material   -1

const float sphere02_Vertices[] = {
	39.6344f,69.6473f,0.2444f, 39.6344f,67.3338f,11.8753f, 35.1834f,67.3338f,10.9899f, 31.4101f,60.7454f,20.0995f, 24.4379f,60.7454f,15.4409f,
	19.7792f,50.8852f,20.0995f, 13.6923f,50.8852f,10.9899f, 11.5549f,39.2543f,11.8753f, 9.2414f,39.2543f,0.2444f, 11.5549f,27.6234f,0.2444f,
	13.6923f,27.6234f,-10.5012f, 19.7792f,17.7632f,-7.9799f, 24.4379f,17.7632f,-14.9521f, 31.4101f,11.1748f,-7.9799f, 35.1834f,11.1748f,-10.5012f,
	39.6344f,8.8613f,0.2444f, 39.6344f,69.6473f,0.2444f, 35.1834f,67.3338f,10.9899f, 31.4101f,67.3338f,8.4686f, 24.4379f,60.7454f,15.4409f,
	19.7792f,60.7454f,8.4686f, 13.6923f,50.8852f,10.9899f, 11.5549f,50.8852f,0.2444f, 9.2414f,39.2543f,0.2444f, 11.5549f,39.2543f,-11.3865f,
	13.6923f,27.6234f,-10.5012f, 19.7792f,27.6234f,-19.6108f, 24.4379f,17.7632f,-14.9521f, 31.4101f,17.7632f,-19.6108f, 35.1834f,11.1748f,-10.5012f,
	39.6344f,11.1748f,-11.3865f, 39.6344f,8.8613f,0.2444f, 39.6344f,69.6473f,0.2444f, 31.4101f,67.3338f,8.4686f, 28.8888f,67.3338f,4.6953f,
	19.7792f,60.7454f,8.4686f, 18.1433f,60.7454f,0.2444f, 11.5549f,50.8852f,0.2444f, 13.6923f,50.8852f,-10.5012f, 11.5549f,39.2543f,-11.3865f,
	18.1433f,39.2543f,-21.2467f, 19.7792f,27.6234f,-19.6108f, 28.8888f,27.6234f,-25.6977f, 31.4101f,17.7632f,-19.6108f, 39.6344f,17.7632f,-21.2467f,
	39.6344f,11.1748f,-11.3865f, 44.0853f,11.1748f,-10.5012f, 39.6344f,8.8613f,0.2444f, 39.6344f,69.6473f,0.2444f, 28.8888f,67.3338f,4.6953f,
	28.0035f,67.3338f,0.2444f, 18.1433f,60.7454f,0.2444f, 19.7792f,60.7454f,-7.9799f, 13.6923f,50.8852f,-10.5012f, 19.7792f,50.8852f,-19.6108f,
	18.1433f,39.2543f,-21.2467f, 28.0035f,39.2543f,-27.8351f, 28.8888f,27.6234f,-25.6977f, 39.6344f,27.6234f,-27.8351f, 39.6344f,17.7632f,-21.2467f,
	47.8587f,17.7632f,-19.6108f, 44.0853f,11.1748f,-10.5012f, 47.8587f,11.1748f,-7.9799f, 39.6344f,8.8613f,0.2444f, 39.6344f,69.6473f,0.2444f,
	28.0035f,67.3338f,0.2444f, 28.8888f,67.3338f,-4.2066f, 19.7792f,60.7454f,-7.9799f, 24.4379f,60.7454f,-14.9521f, 19.7792f,50.8852f,-19.6108f,
	28.8888f,50.8852f,-25.6977f, 28.0035f,39.2543f,-27.8351f, 39.6344f,39.2543f,-30.1486f, 39.6344f,27.6234f,-27.8351f, 50.3799f,27.6234f,-25.6977f,
	47.8587f,17.7632f,-19.6108f, 54.8309f,17.7632f,-14.9521f, 47.8587f,11.1748f,-7.9799f, 50.3799f,11.1748f,-4.2066f, 39.6344f,8.8613f,0.2444f,
	39.6344f,69.6473f,0.2444f, 28.8888f,67.3338f,-4.2066f, 31.4101f,67.3338f,-7.9799f, 24.4379f,60.7454f,-14.9521f, 31.4101f,60.7454f,-19.6108f,
	28.8888f,50.8852f,-25.6977f, 39.6344f,50.8852f,-27.8351f, 39.6344f,39.2543f,-30.1486f, 51.2653f,39.2543f,-27.8351f, 50.3799f,27.6234f,-25.6977f,
	59.4896f,27.6234f,-19.6108f, 54.8309f,17.7632f,-14.9521f, 59.4896f,17.7632f,-7.9799f, 50.3799f,11.1748f,-4.2066f, 51.2653f,11.1748f,0.2444f,
	39.6344f,8.8613f,0.2444f, 39.6344f,69.6473f,0.2444f, 31.4101f,67.3338f,-7.9799f, 35.1834f,67.3338f,-10.5012f, 31.4101f,60.7454f,-19.6108f,
	39.6344f,60.7454f,-21.2467f, 39.6344f,50.8852f,-27.8351f, 50.3799f,50.8852f,-25.6977f, 51.2653f,39.2543f,-27.8351f, 61.1255f,39.2543f,-21.2467f,
	59.4896f,27.6234f,-19.6108f, 65.5764f,27.6234f,-10.5012f, 59.4896f,17.7632f,-7.9799f, 61.1255f,17.7632f,0.2444f, 51.2653f,11.1748f,0.2444f,
	50.3799f,11.1748f,4.6953f, 39.6344f,8.8613f,0.2444f, 39.6344f,69.6473f,0.2444f, 35.1834f,67.3338f,-10.5012f, 39.6344f,67.3338f,-11.3865f,
	39.6344f,60.7454f,-21.2467f, 47.8587f,60.7454f,-19.6108f, 50.3799f,50.8852f,-25.6977f, 59.4896f,50.8852f,-19.6108f, 61.1255f,39.2543f,-21.2467f,
	67.7139f,39.2543f,-11.3865f, 65.5764f,27.6234f,-10.5012f, 67.7139f,27.6234f,0.2444f, 61.1255f,17.7632f,0.2444f, 59.4896f,17.7632f,8.4686f,
	50.3799f,11.1748f,4.6953f, 47.8587f,11.1748f,8.4686f, 39.6344f,8.8613f,0.2444f, 39.6344f,69.6473f,0.2444f, 39.6344f,67.3338f,-11.3865f,
	44.0853f,67.3338f,-10.5012f, 47.8587f,60.7454f,-19.6108f, 54.8309f,60.7454f,-14.9521f, 59.4896f,50.8852f,-19.6108f, 65.5764f,50.8852f,-10.5012f,
	67.7139f,39.2543f,-11.3865f, 70.0274f,39.2543f,0.2444f, 67.7139f,27.6234f,0.2444f, 65.5764f,27.6234f,10.9899f, 59.4896f,17.7632f,8.4686f,
	54.8309f,17.7632f,15.4409f, 47.8587f,11.1748f,8.4686f, 44.0853f,11.1748f,10.9899f, 39.6344f,8.8613f,0.2444f, 39.6344f,69.6473f,0.2444f,
	44.0853f,67.3338f,-10.5012f, 47.8587f,67.3338f,-7.9799f, 54.8309f,60.7454f,-14.9521f, 59.4896f,60.7454f,-7.9799f, 65.5764f,50.8852f,-10.5012f,
	67.7139f,50.8852f,0.2444f, 70.0274f,39.2543f,0.2444f, 67.7139f,39.2543f,11.8753f, 65.5764f,27.6234f,10.9899f, 59.4896f,27.6234f,20.0996f,
	54.8309f,17.7632f,15.4409f, 47.8587f,17.7632f,20.0995f, 44.0853f,11.1748f,10.9899f, 39.6344f,11.1748f,11.8753f, 39.6344f,8.8613f,0.2444f,
	39.6344f,69.6473f,0.2444f, 47.8587f,67.3338f,-7.9799f, 50.3799f,67.3338f,-4.2066f, 59.4896f,60.7454f,-7.9799f, 61.1255f,60.7454f,0.2444f,
	67.7139f,50.8852f,0.2444f, 65.5764f,50.8852f,10.9899f, 67.7139f,39.2543f,11.8753f, 61.1255f,39.2543f,21.7355f, 59.4896f,27.6234f,20.0996f,
	50.3799f,27.6234f,26.1864f, 47.8587f,17.7632f,20.0995f, 39.6344f,17.7632f,21.7355f, 39.6344f,11.1748f,11.8753f, 39.6344f,69.6473f,0.2444f,
	50.3799f,67.3338f,-4.2066f, 51.2653f,67.3338f,0.2444f, 61.1255f,60.7454f,0.2444f, 59.4896f,60.7454f,8.4686f, 65.5764f,50.8852f,10.9899f,
	59.4896f,50.8852f,20.0996f, 61.1255f,39.2543f,21.7355f, 51.2653f,39.2543f,28.3238f, 50.3799f,27.6234f,26.1864f, 39.6344f,27.6234f,28.3238f,
	39.6344f,17.7632f,21.7355f, 39.6344f,69.6473f,0.2444f, 51.2653f,67.3338f,0.2444f, 50.3799f,67.3338f,4.6953f, 59.4896f,60.7454f,8.4686f,
	54.8309f,60.7454f,15.4409f, 59.4896f,50.8852f,20.0996f, 50.3799f,50.8852f,26.1864f, 51.2653f,39.2543f,28.3238f, 39.6344f,39.2543f,30.6374f,
	39.6344f,27.6234f,28.3238f, 39.6344f,69.6473f,0.2444f, 50.3799f,67.3338f,4.6953f, 47.8587f,67.3338f,8.4686f, 54.8309f,60.7454f,15.4409f,
	47.8587f,60.7454f,20.0995f, 50.3799f,50.8852f,26.1864f, 39.6344f,50.8852f,28.3238f, 39.6344f,39.2543f,30.6374f, 39.6344f,69.6473f,0.2444f,
	47.8587f,67.3338f,8.4686f, 44.0853f,67.3338f,10.9899f, 47.8587f,60.7454f,20.0995f, 39.6344f,60.7454f,21.7355f, 39.6344f,50.8852f,28.3238f,
	39.6344f,67.3338f,11.8753f, 39.6344f,60.7454f,21.7355f, 31.4101f,60.7454f,20.0995f, 28.8888f,50.8852f,26.1864f, 19.7792f,50.8852f,20.0995f,
	18.1433f,39.2543f,21.7355f, 11.5549f,39.2543f,11.8753f, 13.6923f,27.6234f,10.9899f, 11.5549f,27.6234f,0.2444f, 18.1433f,17.7632f,0.2444f,
	19.7792f,17.7632f,-7.9799f, 28.8888f,11.1748f,-4.2066f, 31.4101f,11.1748f,-7.9799f, 39.6344f,8.8613f,0.2444f, 39.6344f,60.7454f,21.7355f,
	39.6344f,50.8852f,28.3238f, 28.8888f,50.8852f,26.1864f, 28.0035f,39.2543f,28.3238f, 18.1433f,39.2543f,21.7355f, 19.7792f,27.6234f,20.0995f,
	13.6923f,27.6234f,10.9899f, 19.7792f,17.7632f,8.4686f, 18.1433f,17.7632f,0.2444f, 28.0035f,11.1748f,0.2444f, 28.8888f,11.1748f,-4.2066f,
	39.6344f,8.8613f,0.2444f, 39.6344f,50.8852f,28.3238f, 39.6344f,39.2543f,30.6374f, 28.0035f,39.2543f,28.3238f, 28.8888f,27.6234f,26.1864f,
	19.7792f,27.6234f,20.0995f, 24.4379f,17.7632f,15.4409f, 19.7792f,17.7632f,8.4686f, 28.8888f,11.1748f,4.6953f, 28.0035f,11.1748f,0.2444f,
	39.6344f,8.8613f,0.2444f, 39.6344f,39.2543f,30.6374f, 39.6344f,27.6234f,28.3238f, 28.8888f,27.6234f,26.1864f, 31.4101f,17.7632f,20.0995f,
	24.4379f,17.7632f,15.4409f, 31.4101f,11.1748f,8.4686f, 28.8888f,11.1748f,4.6953f, 39.6344f,8.8613f,0.2444f, 39.6344f,27.6234f,28.3238f,
	39.6344f,17.7632f,21.7355f, 31.4101f,17.7632f,20.0995f, 35.1834f,11.1748f,10.9899f, 31.4101f,11.1748f,8.4686f, 39.6344f,8.8613f,0.2444f,
	39.6344f,8.8613f,0.2444f, 35.1834f,11.1748f,10.9899f, 39.6344f,11.1748f,11.8753f, 39.6344f,17.7632f,21.7355f, 39.6344f,60.7454f,21.7355f,
	39.6344f,67.3338f,11.8753f, 44.0853f,67.3338f,10.9899f, 39.6344f,69.6473f,0.2444f,
_NULL_ }; /* End of sphere02_Vertices */

const float sphere02_UV[] = {
	0.0000f,1.0000f, 0.0000f,0.8750f, 0.0625f,0.8750f, 0.0625f,0.7500f, 0.1250f,0.7500f, 0.1250f,0.6250f, 0.1875f,0.6250f, 0.1875f,0.5000f, 0.2500f,0.5000f, 0.2500f,0.3750f, 0.3125f,0.3750f, 0.3125f,0.2500f, 0.3750f,0.2500f, 0.3750f,0.1250f, 0.4375f,0.1250f,
	0.3750f,0.0000f, 0.0625f,1.0000f, 0.0625f,0.8750f, 0.1250f,0.8750f, 0.1250f,0.7500f, 0.1875f,0.7500f, 0.1875f,0.6250f, 0.2500f,0.6250f, 0.2500f,0.5000f, 0.3125f,0.5000f, 0.3125f,0.3750f, 0.3750f,0.3750f, 0.3750f,0.2500f, 0.4375f,0.2500f, 0.4375f,0.1250f,
	0.5000f,0.1250f, 0.4375f,0.0000f, 0.1250f,1.0000f, 0.1250f,0.8750f, 0.1875f,0.8750f, 0.1875f,0.7500f, 0.2500f,0.7500f, 0.2500f,0.6250f, 0.3125f,0.6250f, 0.3125f,0.5000f, 0.3750f,0.5000f, 0.3750f,0.3750f, 0.4375f,0.3750f, 0.4375f,0.2500f, 0.5000f,0.2500f,
	0.5000f,0.1250f, 0.5625f,0.1250f, 0.5000f,0.0000f, 0.1875f,1.0000f, 0.1875f,0.8750f, 0.2500f,0.8750f, 0.2500f,0.7500f, 0.3125f,0.7500f, 0.3125f,0.6250f, 0.3750f,0.6250f, 0.3750f,0.5000f, 0.4375f,0.5000f, 0.4375f,0.3750f, 0.5000f,0.3750f, 0.5000f,0.2500f,
	0.5625f,0.2500f, 0.5625f,0.1250f, 0.6250f,0.1250f, 0.5625f,0.0000f, 0.2500f,1.0000f, 0.2500f,0.8750f, 0.3125f,0.8750f, 0.3125f,0.7500f, 0.3750f,0.7500f, 0.3750f,0.6250f, 0.4375f,0.6250f, 0.4375f,0.5000f, 0.5000f,0.5000f, 0.5000f,0.3750f, 0.5625f,0.3750f,
	0.5625f,0.2500f, 0.6250f,0.2500f, 0.6250f,0.1250f, 0.6875f,0.1250f, 0.6250f,0.0000f, 0.3125f,1.0000f, 0.3125f,0.8750f, 0.3750f,0.8750f, 0.3750f,0.7500f, 0.4375f,0.7500f, 0.4375f,0.6250f, 0.5000f,0.6250f, 0.5000f,0.5000f, 0.5625f,0.5000f, 0.5625f,0.3750f,
	0.6250f,0.3750f, 0.6250f,0.2500f, 0.6875f,0.2500f, 0.6875f,0.1250f, 0.7500f,0.1250f, 0.6875f,0.0000f, 0.3750f,1.0000f, 0.3750f,0.8750f, 0.4375f,0.8750f, 0.4375f,0.7500f, 0.5000f,0.7500f, 0.5000f,0.6250f, 0.5625f,0.6250f, 0.5625f,0.5000f, 0.6250f,0.5000f,
	0.6250f,0.3750f, 0.6875f,0.3750f, 0.6875f,0.2500f, 0.7500f,0.2500f, 0.7500f,0.1250f, 0.8125f,0.1250f, 0.7500f,0.0000f, 0.4375f,1.0000f, 0.4375f,0.8750f, 0.5000f,0.8750f, 0.5000f,0.7500f, 0.5625f,0.7500f, 0.5625f,0.6250f, 0.6250f,0.6250f, 0.6250f,0.5000f,
	0.6875f,0.5000f, 0.6875f,0.3750f, 0.7500f,0.3750f, 0.7500f,0.2500f, 0.8125f,0.2500f, 0.8125f,0.1250f, 0.8750f,0.1250f, 0.8125f,0.0000f, 0.5000f,1.0000f, 0.5000f,0.8750f, 0.5625f,0.8750f, 0.5625f,0.7500f, 0.6250f,0.7500f, 0.6250f,0.6250f, 0.6875f,0.6250f,
	0.6875f,0.5000f, 0.7500f,0.5000f, 0.7500f,0.3750f, 0.8125f,0.3750f, 0.8125f,0.2500f, 0.8750f,0.2500f, 0.8750f,0.1250f, 0.9375f,0.1250f, 0.8750f,0.0000f, 0.5625f,1.0000f, 0.5625f,0.8750f, 0.6250f,0.8750f, 0.6250f,0.7500f, 0.6875f,0.7500f, 0.6875f,0.6250f,
	0.7500f,0.6250f, 0.7500f,0.5000f, 0.8125f,0.5000f, 0.8125f,0.3750f, 0.8750f,0.3750f, 0.8750f,0.2500f, 0.9375f,0.2500f, 0.9375f,0.1250f, 1.0000f,0.1250f, 0.9375f,0.0000f, 0.6250f,1.0000f, 0.6250f,0.8750f, 0.6875f,0.8750f, 0.6875f,0.7500f, 0.7500f,0.7500f,
	0.7500f,0.6250f, 0.8125f,0.6250f, 0.8125f,0.5000f, 0.8750f,0.5000f, 0.8750f,0.3750f, 0.9375f,0.3750f, 0.9375f,0.2500f, 1.0000f,0.2500f, 1.0000f,0.1250f, 0.6875f,1.0000f, 0.6875f,0.8750f, 0.7500f,0.8750f, 0.7500f,0.7500f, 0.8125f,0.7500f, 0.8125f,0.6250f,
	0.8750f,0.6250f, 0.8750f,0.5000f, 0.9375f,0.5000f, 0.9375f,0.3750f, 1.0000f,0.3750f, 1.0000f,0.2500f, 0.7500f,1.0000f, 0.7500f,0.8750f, 0.8125f,0.8750f, 0.8125f,0.7500f, 0.8750f,0.7500f, 0.8750f,0.6250f, 0.9375f,0.6250f, 0.9375f,0.5000f, 1.0000f,0.5000f,
	1.0000f,0.3750f, 0.8125f,1.0000f, 0.8125f,0.8750f, 0.8750f,0.8750f, 0.8750f,0.7500f, 0.9375f,0.7500f, 0.9375f,0.6250f, 1.0000f,0.6250f, 1.0000f,0.5000f, 0.8750f,1.0000f, 0.8750f,0.8750f, 0.9375f,0.8750f, 0.9375f,0.7500f, 1.0000f,0.7500f, 1.0000f,0.6250f,
	0.0000f,0.8750f, 0.0000f,0.7500f, 0.0625f,0.7500f, 0.0625f,0.6250f, 0.1250f,0.6250f, 0.1250f,0.5000f, 0.1875f,0.5000f, 0.1875f,0.3750f, 0.2500f,0.3750f, 0.2500f,0.2500f, 0.3125f,0.2500f, 0.3125f,0.1250f, 0.3750f,0.1250f, 0.3125f,0.0000f, 0.0000f,0.7500f,
	0.0000f,0.6250f, 0.0625f,0.6250f, 0.0625f,0.5000f, 0.1250f,0.5000f, 0.1250f,0.3750f, 0.1875f,0.3750f, 0.1875f,0.2500f, 0.2500f,0.2500f, 0.2500f,0.1250f, 0.3125f,0.1250f, 0.2500f,0.0000f, 0.0000f,0.6250f, 0.0000f,0.5000f, 0.0625f,0.5000f, 0.0625f,0.3750f,
	0.1250f,0.3750f, 0.1250f,0.2500f, 0.1875f,0.2500f, 0.1875f,0.1250f, 0.2500f,0.1250f, 0.1875f,0.0000f, 0.0000f,0.5000f, 0.0000f,0.3750f, 0.0625f,0.3750f, 0.0625f,0.2500f, 0.1250f,0.2500f, 0.1250f,0.1250f, 0.1875f,0.1250f, 0.1250f,0.0000f, 0.0000f,0.3750f,
	0.0000f,0.2500f, 0.0625f,0.2500f, 0.0625f,0.1250f, 0.1250f,0.1250f, 0.0625f,0.0000f, 0.0000f,0.0000f, 0.0625f,0.1250f, 0.0000f,0.1250f, 0.0000f,0.2500f, 1.0000f,0.7500f, 1.0000f,0.8750f, 0.9375f,0.8750f, 0.9375f,1.0000f,
_NULL_ }; /* End of sphere02_UV */

const float sphere02_Normals[] = {
	-0.0000f,1.0000f,0.0000f, -0.0000f,0.9152f,0.4031f, -0.1543f,0.9152f,0.3724f, -0.2751f,0.6952f,0.6641f, -0.5083f,0.6952f,0.5083f, -0.6557f,0.3744f,0.6557f, -0.8567f,0.3744f,0.3549f, -0.9239f,0.0000f,0.3827f, -1.0000f,-0.0000f,-0.0000f, -0.9273f,-0.3744f,-0.0000f, -0.8567f,-0.3744f,-0.3549f, -0.6641f,-0.6952f,-0.2751f, -0.5083f,-0.6952f,-0.5083f, -0.2850f,-0.9152f,-0.2850f, -0.1543f,-0.9152f,-0.3724f,
	-0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.1543f,0.9152f,0.3724f, -0.2850f,0.9152f,0.2850f, -0.5083f,0.6952f,0.5083f, -0.6641f,0.6952f,0.2751f, -0.8567f,0.3744f,0.3549f, -0.9273f,0.3744f,-0.0000f, -1.0000f,-0.0000f,-0.0000f, -0.9239f,-0.0000f,-0.3827f, -0.8567f,-0.3744f,-0.3549f, -0.6557f,-0.3744f,-0.6557f, -0.5083f,-0.6952f,-0.5083f, -0.2751f,-0.6952f,-0.6641f, -0.1543f,-0.9152f,-0.3724f,
	0.0000f,-0.9152f,-0.4031f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.2850f,0.9152f,0.2850f, -0.3724f,0.9152f,0.1543f, -0.6641f,0.6952f,0.2751f, -0.7189f,0.6952f,-0.0000f, -0.9273f,0.3744f,-0.0000f, -0.8567f,0.3744f,-0.3549f, -0.9239f,-0.0000f,-0.3827f, -0.7071f,0.0000f,-0.7071f, -0.6557f,-0.3744f,-0.6557f, -0.3549f,-0.3744f,-0.8567f, -0.2751f,-0.6952f,-0.6641f, 0.0000f,-0.6952f,-0.7189f,
	0.0000f,-0.9152f,-0.4031f, 0.1543f,-0.9152f,-0.3724f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.3724f,0.9152f,0.1543f, -0.4031f,0.9152f,-0.0000f, -0.7189f,0.6952f,-0.0000f, -0.6641f,0.6952f,-0.2751f, -0.8567f,0.3744f,-0.3549f, -0.6557f,0.3744f,-0.6557f, -0.7071f,0.0000f,-0.7071f, -0.3827f,0.0000f,-0.9239f, -0.3549f,-0.3744f,-0.8567f, 0.0000f,-0.3744f,-0.9273f, 0.0000f,-0.6952f,-0.7189f,
	0.2751f,-0.6952f,-0.6641f, 0.1543f,-0.9152f,-0.3724f, 0.2850f,-0.9152f,-0.2850f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.4031f,0.9152f,-0.0000f, -0.3724f,0.9152f,-0.1543f, -0.6641f,0.6952f,-0.2751f, -0.5083f,0.6952f,-0.5083f, -0.6557f,0.3744f,-0.6557f, -0.3549f,0.3744f,-0.8567f, -0.3827f,0.0000f,-0.9239f, 0.0000f,0.0000f,-1.0000f, 0.0000f,-0.3744f,-0.9273f, 0.3549f,-0.3744f,-0.8567f,
	0.2751f,-0.6952f,-0.6641f, 0.5083f,-0.6952f,-0.5083f, 0.2850f,-0.9152f,-0.2850f, 0.3724f,-0.9152f,-0.1543f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.3724f,0.9152f,-0.1543f, -0.2850f,0.9152f,-0.2850f, -0.5083f,0.6952f,-0.5083f, -0.2751f,0.6952f,-0.6641f, -0.3549f,0.3744f,-0.8567f, 0.0000f,0.3744f,-0.9273f, 0.0000f,0.0000f,-1.0000f, 0.3827f,0.0000f,-0.9239f, 0.3549f,-0.3744f,-0.8567f,
	0.6557f,-0.3744f,-0.6557f, 0.5083f,-0.6952f,-0.5083f, 0.6641f,-0.6952f,-0.2751f, 0.3724f,-0.9152f,-0.1543f, 0.4031f,-0.9152f,0.0000f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.2850f,0.9152f,-0.2850f, -0.1543f,0.9152f,-0.3724f, -0.2751f,0.6952f,-0.6641f, 0.0000f,0.6952f,-0.7189f, 0.0000f,0.3744f,-0.9273f, 0.3549f,0.3744f,-0.8567f, 0.3827f,0.0000f,-0.9239f, 0.7071f,0.0000f,-0.7071f,
	0.6557f,-0.3744f,-0.6557f, 0.8567f,-0.3744f,-0.3549f, 0.6641f,-0.6952f,-0.2751f, 0.7189f,-0.6952f,0.0000f, 0.4031f,-0.9152f,0.0000f, 0.3724f,-0.9152f,0.1543f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.1543f,0.9152f,-0.3724f, 0.0000f,0.9152f,-0.4031f, 0.0000f,0.6952f,-0.7189f, 0.2751f,0.6952f,-0.6641f, 0.3549f,0.3744f,-0.8567f, 0.6557f,0.3744f,-0.6557f, 0.7071f,0.0000f,-0.7071f,
	0.9239f,0.0000f,-0.3827f, 0.8567f,-0.3744f,-0.3549f, 0.9273f,-0.3744f,0.0000f, 0.7189f,-0.6952f,0.0000f, 0.6641f,-0.6952f,0.2751f, 0.3724f,-0.9152f,0.1543f, 0.2850f,-0.9152f,0.2850f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, 0.0000f,0.9152f,-0.4031f, 0.1543f,0.9152f,-0.3724f, 0.2751f,0.6952f,-0.6641f, 0.5083f,0.6952f,-0.5083f, 0.6557f,0.3744f,-0.6557f, 0.8567f,0.3744f,-0.3549f,
	0.9239f,0.0000f,-0.3827f, 1.0000f,-0.0000f,0.0000f, 0.9273f,-0.3744f,0.0000f, 0.8567f,-0.3744f,0.3549f, 0.6641f,-0.6952f,0.2751f, 0.5083f,-0.6952f,0.5083f, 0.2850f,-0.9152f,0.2850f, 0.1543f,-0.9152f,0.3724f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, 0.1543f,0.9152f,-0.3724f, 0.2850f,0.9152f,-0.2850f, 0.5083f,0.6952f,-0.5083f, 0.6641f,0.6952f,-0.2751f, 0.8567f,0.3744f,-0.3549f,
	0.9273f,0.3744f,0.0000f, 1.0000f,-0.0000f,0.0000f, 0.9239f,0.0000f,0.3827f, 0.8567f,-0.3744f,0.3549f, 0.6557f,-0.3744f,0.6557f, 0.5083f,-0.6952f,0.5083f, 0.2751f,-0.6952f,0.6641f, 0.1543f,-0.9152f,0.3724f, -0.0000f,-0.9152f,0.4031f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, 0.2850f,0.9152f,-0.2850f, 0.3724f,0.9152f,-0.1543f, 0.6641f,0.6952f,-0.2751f, 0.7189f,0.6952f,0.0000f,
	0.9273f,0.3744f,0.0000f, 0.8567f,0.3744f,0.3549f, 0.9239f,0.0000f,0.3827f, 0.7071f,-0.0000f,0.7071f, 0.6557f,-0.3744f,0.6557f, 0.3549f,-0.3744f,0.8567f, 0.2751f,-0.6952f,0.6641f, -0.0000f,-0.6952f,0.7189f, -0.0000f,-0.9152f,0.4031f, -0.0000f,1.0000f,0.0000f, 0.3724f,0.9152f,-0.1543f, 0.4031f,0.9152f,0.0000f, 0.7189f,0.6952f,0.0000f, 0.6641f,0.6952f,0.2751f, 0.8567f,0.3744f,0.3549f,
	0.6557f,0.3744f,0.6557f, 0.7071f,-0.0000f,0.7071f, 0.3827f,0.0000f,0.9239f, 0.3549f,-0.3744f,0.8567f, -0.0000f,-0.3744f,0.9273f, -0.0000f,-0.6952f,0.7189f, -0.0000f,1.0000f,0.0000f, 0.4031f,0.9152f,0.0000f, 0.3724f,0.9152f,0.1543f, 0.6641f,0.6952f,0.2751f, 0.5083f,0.6952f,0.5083f, 0.6557f,0.3744f,0.6557f, 0.3549f,0.3744f,0.8567f, 0.3827f,0.0000f,0.9239f, -0.0000f,0.0000f,1.0000f,
	-0.0000f,-0.3744f,0.9273f, -0.0000f,1.0000f,0.0000f, 0.3724f,0.9152f,0.1543f, 0.2850f,0.9152f,0.2850f, 0.5083f,0.6952f,0.5083f, 0.2751f,0.6952f,0.6641f, 0.3549f,0.3744f,0.8567f, -0.0000f,0.3744f,0.9273f, -0.0000f,0.0000f,1.0000f, -0.0000f,1.0000f,0.0000f, 0.2850f,0.9152f,0.2850f, 0.1543f,0.9152f,0.3724f, 0.2751f,0.6952f,0.6641f, -0.0000f,0.6952f,0.7189f, -0.0000f,0.3744f,0.9273f,
	-0.0000f,0.9152f,0.4031f, -0.0000f,0.6952f,0.7189f, -0.2751f,0.6952f,0.6641f, -0.3549f,0.3744f,0.8567f, -0.6557f,0.3744f,0.6557f, -0.7071f,-0.0000f,0.7071f, -0.9239f,0.0000f,0.3827f, -0.8567f,-0.3744f,0.3549f, -0.9273f,-0.3744f,-0.0000f, -0.7189f,-0.6952f,-0.0000f, -0.6641f,-0.6952f,-0.2751f, -0.3724f,-0.9152f,-0.1543f, -0.2850f,-0.9152f,-0.2850f, -0.0000f,-1.0000f,0.0000f, -0.0000f,0.6952f,0.7189f,
	-0.0000f,0.3744f,0.9273f, -0.3549f,0.3744f,0.8567f, -0.3827f,0.0000f,0.9239f, -0.7071f,-0.0000f,0.7071f, -0.6557f,-0.3744f,0.6557f, -0.8567f,-0.3744f,0.3549f, -0.6641f,-0.6952f,0.2751f, -0.7189f,-0.6952f,-0.0000f, -0.4031f,-0.9152f,-0.0000f, -0.3724f,-0.9152f,-0.1543f, -0.0000f,-1.0000f,0.0000f, -0.0000f,0.3744f,0.9273f, -0.0000f,0.0000f,1.0000f, -0.3827f,0.0000f,0.9239f, -0.3549f,-0.3744f,0.8567f,
	-0.6557f,-0.3744f,0.6557f, -0.5083f,-0.6952f,0.5083f, -0.6641f,-0.6952f,0.2751f, -0.3724f,-0.9152f,0.1543f, -0.4031f,-0.9152f,-0.0000f, -0.0000f,-1.0000f,0.0000f, -0.0000f,0.0000f,1.0000f, -0.0000f,-0.3744f,0.9273f, -0.3549f,-0.3744f,0.8567f, -0.2751f,-0.6952f,0.6641f, -0.5083f,-0.6952f,0.5083f, -0.2850f,-0.9152f,0.2850f, -0.3724f,-0.9152f,0.1543f, -0.0000f,-1.0000f,0.0000f, -0.0000f,-0.3744f,0.9273f,
	-0.0000f,-0.6952f,0.7189f, -0.2751f,-0.6952f,0.6641f, -0.1543f,-0.9152f,0.3724f, -0.2850f,-0.9152f,0.2850f, -0.0000f,-1.0000f,0.0000f, -0.0000f,-1.0000f,0.0000f, -0.1543f,-0.9152f,0.3724f, -0.0000f,-0.9152f,0.4031f, -0.0000f,-0.6952f,0.7189f, -0.0000f,0.6952f,0.7189f, -0.0000f,0.9152f,0.4031f, 0.1543f,0.9152f,0.3724f, -0.0000f,1.0000f,0.0000f,
_NULL_ }; /* End of sphere02_Normals */

const unsigned short sphere02_StripLength[] = {
	14,14,14, 14,14,14, 14,14,14, 14,12,10, 8,6,4, 12,10,8, 6,4,2, 2,
_NULL_ }; /* End of sphere02_pStripLength */


/* MESH 2 */

#define sphere03_NumVertex  268
#define sphere03_NumFaces   224
#define sphere03_NumStrips  22
#define sphere03_Flags      0x00020066
#define sphere03_Material   -1

const float sphere03_Vertices[] = {
	-77.0022f,-1.1829f,0.2444f, -77.0022f,-3.4965f,11.8753f, -81.4532f,-3.4965f,10.9899f, -85.2265f,-10.0848f,20.0995f, -92.1987f,-10.0848f,15.4409f,
	-96.8574f,-19.9450f,20.0995f, -102.9443f,-19.9450f,10.9899f, -105.0817f,-31.5759f,11.8752f, -107.3952f,-31.5759f,0.2443f, -105.0817f,-43.2068f,0.2443f,
	-102.9443f,-43.2068f,-10.5012f, -96.8574f,-53.0670f,-7.9799f, -92.1987f,-53.0670f,-14.9522f, -85.2265f,-59.6554f,-7.9799f, -81.4532f,-59.6554f,-10.5012f,
	-77.0022f,-61.9689f,0.2444f, -77.0022f,-1.1829f,0.2444f, -81.4532f,-3.4965f,10.9899f, -85.2265f,-3.4965f,8.4686f, -92.1987f,-10.0848f,15.4409f,
	-96.8574f,-10.0848f,8.4686f, -102.9443f,-19.9450f,10.9899f, -105.0817f,-19.9450f,0.2443f, -107.3952f,-31.5759f,0.2443f, -105.0817f,-31.5759f,-11.3866f,
	-102.9443f,-43.2068f,-10.5012f, -96.8574f,-43.2068f,-19.6108f, -92.1987f,-53.0670f,-14.9522f, -85.2265f,-53.0670f,-19.6108f, -81.4532f,-59.6554f,-10.5012f,
	-77.0022f,-59.6554f,-11.3865f, -77.0022f,-61.9689f,0.2444f, -77.0022f,-1.1829f,0.2444f, -85.2265f,-3.4965f,8.4686f, -87.7478f,-3.4965f,4.6953f,
	-96.8574f,-10.0848f,8.4686f, -98.4933f,-10.0848f,0.2443f, -105.0817f,-19.9450f,0.2443f, -102.9443f,-19.9450f,-10.5012f, -105.0817f,-31.5759f,-11.3866f,
	-98.4933f,-31.5759f,-21.2468f, -96.8574f,-43.2068f,-19.6108f, -87.7478f,-43.2068f,-25.6977f, -85.2265f,-53.0670f,-19.6108f, -77.0022f,-53.0670f,-21.2467f,
	-77.0022f,-59.6554f,-11.3865f, -72.5513f,-59.6554f,-10.5012f, -77.0022f,-61.9689f,0.2444f, -77.0022f,-1.1829f,0.2444f, -87.7478f,-3.4965f,4.6953f,
	-88.6331f,-3.4965f,0.2443f, -98.4933f,-10.0848f,0.2443f, -96.8574f,-10.0848f,-7.9799f, -102.9443f,-19.9450f,-10.5012f, -96.8574f,-19.9450f,-19.6108f,
	-98.4933f,-31.5759f,-21.2468f, -88.6331f,-31.5759f,-27.8351f, -87.7478f,-43.2068f,-25.6977f, -77.0022f,-43.2068f,-27.8351f, -77.0022f,-53.0670f,-21.2467f,
	-68.7779f,-53.0670f,-19.6108f, -72.5513f,-59.6554f,-10.5012f, -68.7779f,-59.6554f,-7.9799f, -77.0022f,-61.9689f,0.2444f, -77.0022f,-1.1829f,0.2444f,
	-88.6331f,-3.4965f,0.2443f, -87.7478f,-3.4965f,-4.2066f, -96.8574f,-10.0848f,-7.9799f, -92.1987f,-10.0848f,-14.9522f, -96.8574f,-19.9450f,-19.6108f,
	-87.7478f,-19.9450f,-25.6977f, -88.6331f,-31.5759f,-27.8351f, -77.0022f,-31.5759f,-30.1487f, -77.0022f,-43.2068f,-27.8351f, -66.2567f,-43.2068f,-25.6977f,
	-68.7779f,-53.0670f,-19.6108f, -61.8057f,-53.0670f,-14.9521f, -68.7779f,-59.6554f,-7.9799f, -66.2567f,-59.6554f,-4.2066f, -77.0022f,-61.9689f,0.2444f,
	-77.0022f,-1.1829f,0.2444f, -87.7478f,-3.4965f,-4.2066f, -85.2265f,-3.4965f,-7.9799f, -92.1987f,-10.0848f,-14.9522f, -85.2265f,-10.0848f,-19.6108f,
	-87.7478f,-19.9450f,-25.6977f, -77.0022f,-19.9450f,-27.8351f, -77.0022f,-31.5759f,-30.1487f, -65.3713f,-31.5759f,-27.8351f, -66.2567f,-43.2068f,-25.6977f,
	-57.1470f,-43.2068f,-19.6108f, -61.8057f,-53.0670f,-14.9521f, -57.1470f,-53.0670f,-7.9799f, -66.2567f,-59.6554f,-4.2066f, -65.3713f,-59.6554f,0.2444f,
	-77.0022f,-61.9689f,0.2444f, -77.0022f,-1.1829f,0.2444f, -85.2265f,-3.4965f,-7.9799f, -81.4532f,-3.4965f,-10.5012f, -85.2265f,-10.0848f,-19.6108f,
	-77.0022f,-10.0848f,-21.2467f, -77.0022f,-19.9450f,-27.8351f, -66.2567f,-19.9450f,-25.6977f, -65.3713f,-31.5759f,-27.8351f, -55.5111f,-31.5759f,-21.2467f,
	-57.1470f,-43.2068f,-19.6108f, -51.0602f,-43.2068f,-10.5012f, -57.1470f,-53.0670f,-7.9799f, -55.5111f,-53.0670f,0.2444f, -65.3713f,-59.6554f,0.2444f,
	-66.2567f,-59.6554f,4.6953f, -77.0022f,-61.9689f,0.2444f, -77.0022f,-1.1829f,0.2444f, -81.4532f,-3.4965f,-10.5012f, -77.0022f,-3.4965f,-11.3865f,
	-77.0022f,-10.0848f,-21.2467f, -68.7779f,-10.0848f,-19.6108f, -66.2567f,-19.9450f,-25.6977f, -57.1470f,-19.9450f,-19.6108f, -55.5111f,-31.5759f,-21.2467f,
	-48.9228f,-31.5759f,-11.3865f, -51.0602f,-43.2068f,-10.5012f, -48.9228f,-43.2068f,0.2444f, -55.5111f,-53.0670f,0.2444f, -57.1470f,-53.0670f,8.4686f,
	-66.2567f,-59.6554f,4.6953f, -68.7780f,-59.6554f,8.4686f, -77.0022f,-61.9689f,0.2444f, -77.0022f,-1.1829f,0.2444f, -77.0022f,-3.4965f,-11.3865f,
	-72.5513f,-3.4965f,-10.5012f, -68.7779f,-10.0848f,-19.6108f, -61.8057f,-10.0848f,-14.9522f, -57.1470f,-19.9450f,-19.6108f, -51.0602f,-19.9450f,-10.5012f,
	-48.9228f,-31.5759f,-11.3865f, -46.6092f,-31.5759f,0.2444f, -48.9228f,-43.2068f,0.2444f, -51.0602f,-43.2068f,10.9899f, -57.1470f,-53.0670f,8.4686f,
	-61.8057f,-53.0670f,15.4409f, -68.7780f,-59.6554f,8.4686f, -72.5513f,-59.6554f,10.9899f, -77.0022f,-61.9689f,0.2444f, -77.0022f,-1.1829f,0.2444f,
	-72.5513f,-3.4965f,-10.5012f, -68.7779f,-3.4965f,-7.9799f, -61.8057f,-10.0848f,-14.9522f, -57.1470f,-10.0848f,-7.9799f, -51.0602f,-19.9450f,-10.5012f,
	-48.9228f,-19.9450f,0.2444f, -46.6092f,-31.5759f,0.2444f, -48.9228f,-31.5759f,11.8753f, -51.0602f,-43.2068f,10.9899f, -57.1471f,-43.2068f,20.0995f,
	-61.8057f,-53.0670f,15.4409f, -68.7780f,-53.0670f,20.0995f, -72.5513f,-59.6554f,10.9899f, -77.0022f,-59.6554f,11.8752f, -77.0022f,-61.9689f,0.2444f,
	-77.0022f,-1.1829f,0.2444f, -68.7779f,-3.4965f,-7.9799f, -66.2567f,-3.4965f,-4.2066f, -57.1470f,-10.0848f,-7.9799f, -55.5111f,-10.0848f,0.2444f,
	-48.9228f,-19.9450f,0.2444f, -51.0602f,-19.9450f,10.9899f, -48.9228f,-31.5759f,11.8753f, -55.5111f,-31.5759f,21.7355f, -57.1471f,-43.2068f,20.0995f,
	-66.2567f,-43.2068f,26.1864f, -68.7780f,-53.0670f,20.0995f, -77.0022f,-53.0670f,21.7354f, -77.0022f,-59.6554f,11.8752f, -77.0022f,-1.1829f,0.2444f,
	-66.2567f,-3.4965f,-4.2066f, -65.3713f,-3.4965f,0.2444f, -55.5111f,-10.0848f,0.2444f, -57.1470f,-10.0848f,8.4686f, -51.0602f,-19.9450f,10.9899f,
	-57.1471f,-19.9450f,20.0995f, -55.5111f,-31.5759f,21.7355f, -65.3713f,-31.5759f,28.3238f, -66.2567f,-43.2068f,26.1864f, -77.0022f,-43.2068f,28.3238f,
	-77.0022f,-53.0670f,21.7354f, -77.0022f,-1.1829f,0.2444f, -65.3713f,-3.4965f,0.2444f, -66.2567f,-3.4965f,4.6953f, -57.1470f,-10.0848f,8.4686f,
	-61.8057f,-10.0848f,15.4409f, -57.1471f,-19.9450f,20.0995f, -66.2567f,-19.9450f,26.1864f, -65.3713f,-31.5759f,28.3238f, -77.0022f,-31.5759f,30.6374f,
	-77.0022f,-43.2068f,28.3238f, -77.0022f,-1.1829f,0.2444f, -66.2567f,-3.4965f,4.6953f, -68.7779f,-3.4965f,8.4686f, -61.8057f,-10.0848f,15.4409f,
	-68.7780f,-10.0848f,20.0995f, -66.2567f,-19.9450f,26.1864f, -77.0022f,-19.9450f,28.3238f, -77.0022f,-31.5759f,30.6374f, -77.0022f,-1.1829f,0.2444f,
	-68.7779f,-3.4965f,8.4686f, -72.5513f,-3.4965f,10.9899f, -68.7780f,-10.0848f,20.0995f, -77.0022f,-10.0848f,21.7355f, -77.0022f,-19.9450f,28.3238f,
	-77.0022f,-3.4965f,11.8753f, -77.0022f,-10.0848f,21.7355f, -85.2265f,-10.0848f,20.0995f, -87.7478f,-19.9450f,26.1864f, -96.8574f,-19.9450f,20.0995f,
	-98.4933f,-31.5759f,21.7354f, -105.0817f,-31.5759f,11.8752f, -102.9443f,-43.2068f,10.9899f, -105.0817f,-43.2068f,0.2443f, -98.4933f,-53.0670f,0.2443f,
	-96.8574f,-53.0670f,-7.9799f, -87.7478f,-59.6554f,-4.2066f, -85.2265f,-59.6554f,-7.9799f, -77.0022f,-61.9689f,0.2444f, -77.0022f,-10.0848f,21.7355f,
	-77.0022f,-19.9450f,28.3238f, -87.7478f,-19.9450f,26.1864f, -88.6331f,-31.5759f,28.3238f, -98.4933f,-31.5759f,21.7354f, -96.8574f,-43.2068f,20.0995f,
	-102.9443f,-43.2068f,10.9899f, -96.8574f,-53.0670f,8.4686f, -98.4933f,-53.0670f,0.2443f, -88.6331f,-59.6554f,0.2443f, -87.7478f,-59.6554f,-4.2066f,
	-77.0022f,-61.9689f,0.2444f, -77.0022f,-19.9450f,28.3238f, -77.0022f,-31.5759f,30.6374f, -88.6331f,-31.5759f,28.3238f, -87.7478f,-43.2068f,26.1864f,
	-96.8574f,-43.2068f,20.0995f, -92.1987f,-53.0670f,15.4409f, -96.8574f,-53.0670f,8.4686f, -87.7478f,-59.6554f,4.6953f, -88.6331f,-59.6554f,0.2443f,
	-77.0022f,-61.9689f,0.2444f, -77.0022f,-31.5759f,30.6374f, -77.0022f,-43.2068f,28.3238f, -87.7478f,-43.2068f,26.1864f, -85.2265f,-53.0670f,20.0995f,
	-92.1987f,-53.0670f,15.4409f, -85.2265f,-59.6554f,8.4686f, -87.7478f,-59.6554f,4.6953f, -77.0022f,-61.9689f,0.2444f, -77.0022f,-43.2068f,28.3238f,
	-77.0022f,-53.0670f,21.7354f, -85.2265f,-53.0670f,20.0995f, -81.4532f,-59.6554f,10.9899f, -85.2265f,-59.6554f,8.4686f, -77.0022f,-61.9689f,0.2444f,
	-77.0022f,-61.9689f,0.2444f, -81.4532f,-59.6554f,10.9899f, -77.0022f,-59.6554f,11.8752f, -77.0022f,-53.0670f,21.7354f, -77.0022f,-10.0848f,21.7355f,
	-77.0022f,-3.4965f,11.8753f, -72.5513f,-3.4965f,10.9899f, -77.0022f,-1.1829f,0.2444f,
_NULL_ }; /* End of sphere03_Vertices */

const float sphere03_UV[] = {
	0.0000f,1.0000f, 0.0000f,0.8750f, 0.0625f,0.8750f, 0.0625f,0.7500f, 0.1250f,0.7500f, 0.1250f,0.6250f, 0.1875f,0.6250f, 0.1875f,0.5000f, 0.2500f,0.5000f, 0.2500f,0.3750f, 0.3125f,0.3750f, 0.3125f,0.2500f, 0.3750f,0.2500f, 0.3750f,0.1250f, 0.4375f,0.1250f,
	0.3750f,0.0000f, 0.0625f,1.0000f, 0.0625f,0.8750f, 0.1250f,0.8750f, 0.1250f,0.7500f, 0.1875f,0.7500f, 0.1875f,0.6250f, 0.2500f,0.6250f, 0.2500f,0.5000f, 0.3125f,0.5000f, 0.3125f,0.3750f, 0.3750f,0.3750f, 0.3750f,0.2500f, 0.4375f,0.2500f, 0.4375f,0.1250f,
	0.5000f,0.1250f, 0.4375f,0.0000f, 0.1250f,1.0000f, 0.1250f,0.8750f, 0.1875f,0.8750f, 0.1875f,0.7500f, 0.2500f,0.7500f, 0.2500f,0.6250f, 0.3125f,0.6250f, 0.3125f,0.5000f, 0.3750f,0.5000f, 0.3750f,0.3750f, 0.4375f,0.3750f, 0.4375f,0.2500f, 0.5000f,0.2500f,
	0.5000f,0.1250f, 0.5625f,0.1250f, 0.5000f,0.0000f, 0.1875f,1.0000f, 0.1875f,0.8750f, 0.2500f,0.8750f, 0.2500f,0.7500f, 0.3125f,0.7500f, 0.3125f,0.6250f, 0.3750f,0.6250f, 0.3750f,0.5000f, 0.4375f,0.5000f, 0.4375f,0.3750f, 0.5000f,0.3750f, 0.5000f,0.2500f,
	0.5625f,0.2500f, 0.5625f,0.1250f, 0.6250f,0.1250f, 0.5625f,0.0000f, 0.2500f,1.0000f, 0.2500f,0.8750f, 0.3125f,0.8750f, 0.3125f,0.7500f, 0.3750f,0.7500f, 0.3750f,0.6250f, 0.4375f,0.6250f, 0.4375f,0.5000f, 0.5000f,0.5000f, 0.5000f,0.3750f, 0.5625f,0.3750f,
	0.5625f,0.2500f, 0.6250f,0.2500f, 0.6250f,0.1250f, 0.6875f,0.1250f, 0.6250f,0.0000f, 0.3125f,1.0000f, 0.3125f,0.8750f, 0.3750f,0.8750f, 0.3750f,0.7500f, 0.4375f,0.7500f, 0.4375f,0.6250f, 0.5000f,0.6250f, 0.5000f,0.5000f, 0.5625f,0.5000f, 0.5625f,0.3750f,
	0.6250f,0.3750f, 0.6250f,0.2500f, 0.6875f,0.2500f, 0.6875f,0.1250f, 0.7500f,0.1250f, 0.6875f,0.0000f, 0.3750f,1.0000f, 0.3750f,0.8750f, 0.4375f,0.8750f, 0.4375f,0.7500f, 0.5000f,0.7500f, 0.5000f,0.6250f, 0.5625f,0.6250f, 0.5625f,0.5000f, 0.6250f,0.5000f,
	0.6250f,0.3750f, 0.6875f,0.3750f, 0.6875f,0.2500f, 0.7500f,0.2500f, 0.7500f,0.1250f, 0.8125f,0.1250f, 0.7500f,0.0000f, 0.4375f,1.0000f, 0.4375f,0.8750f, 0.5000f,0.8750f, 0.5000f,0.7500f, 0.5625f,0.7500f, 0.5625f,0.6250f, 0.6250f,0.6250f, 0.6250f,0.5000f,
	0.6875f,0.5000f, 0.6875f,0.3750f, 0.7500f,0.3750f, 0.7500f,0.2500f, 0.8125f,0.2500f, 0.8125f,0.1250f, 0.8750f,0.1250f, 0.8125f,0.0000f, 0.5000f,1.0000f, 0.5000f,0.8750f, 0.5625f,0.8750f, 0.5625f,0.7500f, 0.6250f,0.7500f, 0.6250f,0.6250f, 0.6875f,0.6250f,
	0.6875f,0.5000f, 0.7500f,0.5000f, 0.7500f,0.3750f, 0.8125f,0.3750f, 0.8125f,0.2500f, 0.8750f,0.2500f, 0.8750f,0.1250f, 0.9375f,0.1250f, 0.8750f,0.0000f, 0.5625f,1.0000f, 0.5625f,0.8750f, 0.6250f,0.8750f, 0.6250f,0.7500f, 0.6875f,0.7500f, 0.6875f,0.6250f,
	0.7500f,0.6250f, 0.7500f,0.5000f, 0.8125f,0.5000f, 0.8125f,0.3750f, 0.8750f,0.3750f, 0.8750f,0.2500f, 0.9375f,0.2500f, 0.9375f,0.1250f, 1.0000f,0.1250f, 0.9375f,0.0000f, 0.6250f,1.0000f, 0.6250f,0.8750f, 0.6875f,0.8750f, 0.6875f,0.7500f, 0.7500f,0.7500f,
	0.7500f,0.6250f, 0.8125f,0.6250f, 0.8125f,0.5000f, 0.8750f,0.5000f, 0.8750f,0.3750f, 0.9375f,0.3750f, 0.9375f,0.2500f, 1.0000f,0.2500f, 1.0000f,0.1250f, 0.6875f,1.0000f, 0.6875f,0.8750f, 0.7500f,0.8750f, 0.7500f,0.7500f, 0.8125f,0.7500f, 0.8125f,0.6250f,
	0.8750f,0.6250f, 0.8750f,0.5000f, 0.9375f,0.5000f, 0.9375f,0.3750f, 1.0000f,0.3750f, 1.0000f,0.2500f, 0.7500f,1.0000f, 0.7500f,0.8750f, 0.8125f,0.8750f, 0.8125f,0.7500f, 0.8750f,0.7500f, 0.8750f,0.6250f, 0.9375f,0.6250f, 0.9375f,0.5000f, 1.0000f,0.5000f,
	1.0000f,0.3750f, 0.8125f,1.0000f, 0.8125f,0.8750f, 0.8750f,0.8750f, 0.8750f,0.7500f, 0.9375f,0.7500f, 0.9375f,0.6250f, 1.0000f,0.6250f, 1.0000f,0.5000f, 0.8750f,1.0000f, 0.8750f,0.8750f, 0.9375f,0.8750f, 0.9375f,0.7500f, 1.0000f,0.7500f, 1.0000f,0.6250f,
	0.0000f,0.8750f, 0.0000f,0.7500f, 0.0625f,0.7500f, 0.0625f,0.6250f, 0.1250f,0.6250f, 0.1250f,0.5000f, 0.1875f,0.5000f, 0.1875f,0.3750f, 0.2500f,0.3750f, 0.2500f,0.2500f, 0.3125f,0.2500f, 0.3125f,0.1250f, 0.3750f,0.1250f, 0.3125f,0.0000f, 0.0000f,0.7500f,
	0.0000f,0.6250f, 0.0625f,0.6250f, 0.0625f,0.5000f, 0.1250f,0.5000f, 0.1250f,0.3750f, 0.1875f,0.3750f, 0.1875f,0.2500f, 0.2500f,0.2500f, 0.2500f,0.1250f, 0.3125f,0.1250f, 0.2500f,0.0000f, 0.0000f,0.6250f, 0.0000f,0.5000f, 0.0625f,0.5000f, 0.0625f,0.3750f,
	0.1250f,0.3750f, 0.1250f,0.2500f, 0.1875f,0.2500f, 0.1875f,0.1250f, 0.2500f,0.1250f, 0.1875f,0.0000f, 0.0000f,0.5000f, 0.0000f,0.3750f, 0.0625f,0.3750f, 0.0625f,0.2500f, 0.1250f,0.2500f, 0.1250f,0.1250f, 0.1875f,0.1250f, 0.1250f,0.0000f, 0.0000f,0.3750f,
	0.0000f,0.2500f, 0.0625f,0.2500f, 0.0625f,0.1250f, 0.1250f,0.1250f, 0.0625f,0.0000f, 0.0000f,0.0000f, 0.0625f,0.1250f, 0.0000f,0.1250f, 0.0000f,0.2500f, 1.0000f,0.7500f, 1.0000f,0.8750f, 0.9375f,0.8750f, 0.9375f,1.0000f,
_NULL_ }; /* End of sphere03_UV */

const float sphere03_Normals[] = {
	-0.0000f,1.0000f,0.0000f, -0.0000f,0.9152f,0.4031f, -0.1543f,0.9152f,0.3724f, -0.2751f,0.6952f,0.6641f, -0.5083f,0.6952f,0.5083f, -0.6557f,0.3744f,0.6557f, -0.8567f,0.3744f,0.3549f, -0.9239f,0.0000f,0.3827f, -1.0000f,-0.0000f,-0.0000f, -0.9273f,-0.3744f,-0.0000f, -0.8567f,-0.3744f,-0.3549f, -0.6641f,-0.6952f,-0.2751f, -0.5083f,-0.6952f,-0.5083f, -0.2850f,-0.9152f,-0.2850f, -0.1543f,-0.9152f,-0.3724f,
	-0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.1543f,0.9152f,0.3724f, -0.2850f,0.9152f,0.2850f, -0.5083f,0.6952f,0.5083f, -0.6641f,0.6952f,0.2751f, -0.8567f,0.3744f,0.3549f, -0.9273f,0.3744f,-0.0000f, -1.0000f,-0.0000f,-0.0000f, -0.9239f,-0.0000f,-0.3827f, -0.8567f,-0.3744f,-0.3549f, -0.6557f,-0.3744f,-0.6557f, -0.5083f,-0.6952f,-0.5083f, -0.2751f,-0.6952f,-0.6641f, -0.1543f,-0.9152f,-0.3724f,
	0.0000f,-0.9152f,-0.4031f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.2850f,0.9152f,0.2850f, -0.3724f,0.9152f,0.1543f, -0.6641f,0.6952f,0.2751f, -0.7189f,0.6952f,-0.0000f, -0.9273f,0.3744f,-0.0000f, -0.8567f,0.3744f,-0.3549f, -0.9239f,-0.0000f,-0.3827f, -0.7071f,0.0000f,-0.7071f, -0.6557f,-0.3744f,-0.6557f, -0.3549f,-0.3744f,-0.8567f, -0.2751f,-0.6952f,-0.6641f, 0.0000f,-0.6952f,-0.7189f,
	0.0000f,-0.9152f,-0.4031f, 0.1543f,-0.9152f,-0.3724f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.3724f,0.9152f,0.1543f, -0.4031f,0.9152f,-0.0000f, -0.7189f,0.6952f,-0.0000f, -0.6641f,0.6952f,-0.2751f, -0.8567f,0.3744f,-0.3549f, -0.6557f,0.3744f,-0.6557f, -0.7071f,0.0000f,-0.7071f, -0.3827f,0.0000f,-0.9239f, -0.3549f,-0.3744f,-0.8567f, 0.0000f,-0.3744f,-0.9273f, 0.0000f,-0.6952f,-0.7189f,
	0.2751f,-0.6952f,-0.6641f, 0.1543f,-0.9152f,-0.3724f, 0.2850f,-0.9152f,-0.2850f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.4031f,0.9152f,-0.0000f, -0.3724f,0.9152f,-0.1543f, -0.6641f,0.6952f,-0.2751f, -0.5083f,0.6952f,-0.5083f, -0.6557f,0.3744f,-0.6557f, -0.3549f,0.3744f,-0.8567f, -0.3827f,0.0000f,-0.9239f, 0.0000f,0.0000f,-1.0000f, 0.0000f,-0.3744f,-0.9273f, 0.3549f,-0.3744f,-0.8567f,
	0.2751f,-0.6952f,-0.6641f, 0.5083f,-0.6952f,-0.5083f, 0.2850f,-0.9152f,-0.2850f, 0.3724f,-0.9152f,-0.1543f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.3724f,0.9152f,-0.1543f, -0.2850f,0.9152f,-0.2850f, -0.5083f,0.6952f,-0.5083f, -0.2751f,0.6952f,-0.6641f, -0.3549f,0.3744f,-0.8567f, 0.0000f,0.3744f,-0.9273f, 0.0000f,0.0000f,-1.0000f, 0.3827f,0.0000f,-0.9239f, 0.3549f,-0.3744f,-0.8567f,
	0.6557f,-0.3744f,-0.6557f, 0.5083f,-0.6952f,-0.5083f, 0.6641f,-0.6952f,-0.2751f, 0.3724f,-0.9152f,-0.1543f, 0.4031f,-0.9152f,0.0000f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.2850f,0.9152f,-0.2850f, -0.1543f,0.9152f,-0.3724f, -0.2751f,0.6952f,-0.6641f, 0.0000f,0.6952f,-0.7189f, 0.0000f,0.3744f,-0.9273f, 0.3549f,0.3744f,-0.8567f, 0.3827f,0.0000f,-0.9239f, 0.7071f,0.0000f,-0.7071f,
	0.6557f,-0.3744f,-0.6557f, 0.8567f,-0.3744f,-0.3549f, 0.6641f,-0.6952f,-0.2751f, 0.7189f,-0.6952f,0.0000f, 0.4031f,-0.9152f,0.0000f, 0.3724f,-0.9152f,0.1543f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.1543f,0.9152f,-0.3724f, 0.0000f,0.9152f,-0.4031f, 0.0000f,0.6952f,-0.7189f, 0.2751f,0.6952f,-0.6641f, 0.3549f,0.3744f,-0.8567f, 0.6557f,0.3744f,-0.6557f, 0.7071f,0.0000f,-0.7071f,
	0.9239f,0.0000f,-0.3827f, 0.8567f,-0.3744f,-0.3549f, 0.9273f,-0.3744f,0.0000f, 0.7189f,-0.6952f,0.0000f, 0.6641f,-0.6952f,0.2751f, 0.3724f,-0.9152f,0.1543f, 0.2850f,-0.9152f,0.2850f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, 0.0000f,0.9152f,-0.4031f, 0.1543f,0.9152f,-0.3724f, 0.2751f,0.6952f,-0.6641f, 0.5083f,0.6952f,-0.5083f, 0.6557f,0.3744f,-0.6557f, 0.8567f,0.3744f,-0.3549f,
	0.9239f,0.0000f,-0.3827f, 1.0000f,-0.0000f,0.0000f, 0.9273f,-0.3744f,0.0000f, 0.8567f,-0.3744f,0.3549f, 0.6641f,-0.6952f,0.2751f, 0.5083f,-0.6952f,0.5083f, 0.2850f,-0.9152f,0.2850f, 0.1543f,-0.9152f,0.3724f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, 0.1543f,0.9152f,-0.3724f, 0.2850f,0.9152f,-0.2850f, 0.5083f,0.6952f,-0.5083f, 0.6641f,0.6952f,-0.2751f, 0.8567f,0.3744f,-0.3549f,
	0.9273f,0.3744f,0.0000f, 1.0000f,-0.0000f,0.0000f, 0.9239f,0.0000f,0.3827f, 0.8567f,-0.3744f,0.3549f, 0.6557f,-0.3744f,0.6557f, 0.5083f,-0.6952f,0.5083f, 0.2751f,-0.6952f,0.6641f, 0.1543f,-0.9152f,0.3724f, -0.0000f,-0.9152f,0.4031f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, 0.2850f,0.9152f,-0.2850f, 0.3724f,0.9152f,-0.1543f, 0.6641f,0.6952f,-0.2751f, 0.7189f,0.6952f,0.0000f,
	0.9273f,0.3744f,0.0000f, 0.8567f,0.3744f,0.3549f, 0.9239f,0.0000f,0.3827f, 0.7071f,-0.0000f,0.7071f, 0.6557f,-0.3744f,0.6557f, 0.3549f,-0.3744f,0.8567f, 0.2751f,-0.6952f,0.6641f, -0.0000f,-0.6952f,0.7189f, -0.0000f,-0.9152f,0.4031f, -0.0000f,1.0000f,0.0000f, 0.3724f,0.9152f,-0.1543f, 0.4031f,0.9152f,0.0000f, 0.7189f,0.6952f,0.0000f, 0.6641f,0.6952f,0.2751f, 0.8567f,0.3744f,0.3549f,
	0.6557f,0.3744f,0.6557f, 0.7071f,-0.0000f,0.7071f, 0.3827f,0.0000f,0.9239f, 0.3549f,-0.3744f,0.8567f, -0.0000f,-0.3744f,0.9273f, -0.0000f,-0.6952f,0.7189f, -0.0000f,1.0000f,0.0000f, 0.4031f,0.9152f,0.0000f, 0.3724f,0.9152f,0.1543f, 0.6641f,0.6952f,0.2751f, 0.5083f,0.6952f,0.5083f, 0.6557f,0.3744f,0.6557f, 0.3549f,0.3744f,0.8567f, 0.3827f,0.0000f,0.9239f, -0.0000f,0.0000f,1.0000f,
	-0.0000f,-0.3744f,0.9273f, -0.0000f,1.0000f,0.0000f, 0.3724f,0.9152f,0.1543f, 0.2850f,0.9152f,0.2850f, 0.5083f,0.6952f,0.5083f, 0.2751f,0.6952f,0.6641f, 0.3549f,0.3744f,0.8567f, -0.0000f,0.3744f,0.9273f, -0.0000f,0.0000f,1.0000f, -0.0000f,1.0000f,0.0000f, 0.2850f,0.9152f,0.2850f, 0.1543f,0.9152f,0.3724f, 0.2751f,0.6952f,0.6641f, -0.0000f,0.6952f,0.7189f, -0.0000f,0.3744f,0.9273f,
	-0.0000f,0.9152f,0.4031f, -0.0000f,0.6952f,0.7189f, -0.2751f,0.6952f,0.6641f, -0.3549f,0.3744f,0.8567f, -0.6557f,0.3744f,0.6557f, -0.7071f,-0.0000f,0.7071f, -0.9239f,0.0000f,0.3827f, -0.8567f,-0.3744f,0.3549f, -0.9273f,-0.3744f,-0.0000f, -0.7189f,-0.6952f,-0.0000f, -0.6641f,-0.6952f,-0.2751f, -0.3724f,-0.9152f,-0.1543f, -0.2850f,-0.9152f,-0.2850f, -0.0000f,-1.0000f,0.0000f, -0.0000f,0.6952f,0.7189f,
	-0.0000f,0.3744f,0.9273f, -0.3549f,0.3744f,0.8567f, -0.3827f,0.0000f,0.9239f, -0.7071f,-0.0000f,0.7071f, -0.6557f,-0.3744f,0.6557f, -0.8567f,-0.3744f,0.3549f, -0.6641f,-0.6952f,0.2751f, -0.7189f,-0.6952f,-0.0000f, -0.4031f,-0.9152f,-0.0000f, -0.3724f,-0.9152f,-0.1543f, -0.0000f,-1.0000f,0.0000f, -0.0000f,0.3744f,0.9273f, -0.0000f,0.0000f,1.0000f, -0.3827f,0.0000f,0.9239f, -0.3549f,-0.3744f,0.8567f,
	-0.6557f,-0.3744f,0.6557f, -0.5083f,-0.6952f,0.5083f, -0.6641f,-0.6952f,0.2751f, -0.3724f,-0.9152f,0.1543f, -0.4031f,-0.9152f,-0.0000f, -0.0000f,-1.0000f,0.0000f, -0.0000f,0.0000f,1.0000f, -0.0000f,-0.3744f,0.9273f, -0.3549f,-0.3744f,0.8567f, -0.2751f,-0.6952f,0.6641f, -0.5083f,-0.6952f,0.5083f, -0.2850f,-0.9152f,0.2850f, -0.3724f,-0.9152f,0.1543f, -0.0000f,-1.0000f,0.0000f, -0.0000f,-0.3744f,0.9273f,
	-0.0000f,-0.6952f,0.7189f, -0.2751f,-0.6952f,0.6641f, -0.1543f,-0.9152f,0.3724f, -0.2850f,-0.9152f,0.2850f, -0.0000f,-1.0000f,0.0000f, -0.0000f,-1.0000f,0.0000f, -0.1543f,-0.9152f,0.3724f, -0.0000f,-0.9152f,0.4031f, -0.0000f,-0.6952f,0.7189f, -0.0000f,0.6952f,0.7189f, -0.0000f,0.9152f,0.4031f, 0.1543f,0.9152f,0.3724f, -0.0000f,1.0000f,0.0000f,
_NULL_ }; /* End of sphere03_Normals */

const unsigned short sphere03_StripLength[] = {
	14,14,14, 14,14,14, 14,14,14, 14,12,10, 8,6,4, 12,10,8, 6,4,2, 2,
_NULL_ }; /* End of sphere03_pStripLength */


/* MESH 3 */

#define sphere04_NumVertex  268
#define sphere04_NumFaces   224
#define sphere04_NumStrips  22
#define sphere04_Flags      0x00020066
#define sphere04_Material   -1

const float sphere04_Vertices[] = {
	0.6723f,-0.9917f,0.2444f, 0.6723f,-3.3053f,11.8753f, -3.7787f,-3.3053f,10.9899f, -7.5520f,-9.8936f,20.0995f, -14.5242f,-9.8936f,15.4409f,
	-19.1829f,-19.7538f,20.0995f, -25.2698f,-19.7538f,10.9899f, -27.4072f,-31.3847f,11.8752f, -29.7207f,-31.3847f,0.2443f, -27.4072f,-43.0156f,0.2443f,
	-25.2698f,-43.0156f,-10.5012f, -19.1829f,-52.8758f,-7.9799f, -14.5242f,-52.8758f,-14.9522f, -7.5520f,-59.4642f,-7.9799f, -3.7787f,-59.4642f,-10.5012f,
	0.6723f,-61.7777f,0.2444f, 0.6723f,-0.9917f,0.2444f, -3.7787f,-3.3053f,10.9899f, -7.5520f,-3.3053f,8.4686f, -14.5242f,-9.8936f,15.4409f,
	-19.1829f,-9.8936f,8.4686f, -25.2698f,-19.7538f,10.9899f, -27.4072f,-19.7538f,0.2443f, -29.7207f,-31.3847f,0.2443f, -27.4072f,-31.3847f,-11.3866f,
	-25.2698f,-43.0156f,-10.5012f, -19.1829f,-43.0156f,-19.6108f, -14.5242f,-52.8758f,-14.9522f, -7.5520f,-52.8758f,-19.6108f, -3.7787f,-59.4642f,-10.5012f,
	0.6723f,-59.4642f,-11.3865f, 0.6723f,-61.7777f,0.2444f, 0.6723f,-0.9917f,0.2444f, -7.5520f,-3.3053f,8.4686f, -10.0733f,-3.3053f,4.6953f,
	-19.1829f,-9.8936f,8.4686f, -20.8188f,-9.8936f,0.2443f, -27.4072f,-19.7538f,0.2443f, -25.2698f,-19.7538f,-10.5012f, -27.4072f,-31.3847f,-11.3866f,
	-20.8188f,-31.3847f,-21.2468f, -19.1829f,-43.0156f,-19.6108f, -10.0733f,-43.0156f,-25.6977f, -7.5520f,-52.8758f,-19.6108f, 0.6723f,-52.8758f,-21.2467f,
	0.6723f,-59.4642f,-11.3865f, 5.1232f,-59.4642f,-10.5012f, 0.6723f,-61.7777f,0.2444f, 0.6723f,-0.9917f,0.2444f, -10.0733f,-3.3053f,4.6953f,
	-10.9586f,-3.3053f,0.2443f, -20.8188f,-9.8936f,0.2443f, -19.1829f,-9.8936f,-7.9799f, -25.2698f,-19.7538f,-10.5012f, -19.1829f,-19.7538f,-19.6108f,
	-20.8188f,-31.3847f,-21.2468f, -10.9586f,-31.3847f,-27.8351f, -10.0733f,-43.0156f,-25.6977f, 0.6723f,-43.0156f,-27.8351f, 0.6723f,-52.8758f,-21.2467f,
	8.8966f,-52.8758f,-19.6108f, 5.1232f,-59.4642f,-10.5012f, 8.8966f,-59.4642f,-7.9799f, 0.6723f,-61.7777f,0.2444f, 0.6723f,-0.9917f,0.2444f,
	-10.9586f,-3.3053f,0.2443f, -10.0733f,-3.3053f,-4.2066f, -19.1829f,-9.8936f,-7.9799f, -14.5242f,-9.8936f,-14.9522f, -19.1829f,-19.7538f,-19.6108f,
	-10.0733f,-19.7538f,-25.6977f, -10.9586f,-31.3847f,-27.8351f, 0.6723f,-31.3847f,-30.1487f, 0.6723f,-43.0156f,-27.8351f, 11.4178f,-43.0156f,-25.6977f,
	8.8966f,-52.8758f,-19.6108f, 15.8688f,-52.8758f,-14.9521f, 8.8966f,-59.4642f,-7.9799f, 11.4178f,-59.4642f,-4.2066f, 0.6723f,-61.7777f,0.2444f,
	0.6723f,-0.9917f,0.2444f, -10.0733f,-3.3053f,-4.2066f, -7.5520f,-3.3053f,-7.9799f, -14.5242f,-9.8936f,-14.9522f, -7.5520f,-9.8936f,-19.6108f,
	-10.0733f,-19.7538f,-25.6977f, 0.6723f,-19.7538f,-27.8351f, 0.6723f,-31.3847f,-30.1487f, 12.3032f,-31.3847f,-27.8351f, 11.4178f,-43.0156f,-25.6977f,
	20.5275f,-43.0156f,-19.6108f, 15.8688f,-52.8758f,-14.9521f, 20.5275f,-52.8758f,-7.9799f, 11.4178f,-59.4642f,-4.2066f, 12.3032f,-59.4642f,0.2444f,
	0.6723f,-61.7777f,0.2444f, 0.6723f,-0.9917f,0.2444f, -7.5520f,-3.3053f,-7.9799f, -3.7787f,-3.3053f,-10.5012f, -7.5520f,-9.8936f,-19.6108f,
	0.6723f,-9.8936f,-21.2467f, 0.6723f,-19.7538f,-27.8351f, 11.4178f,-19.7538f,-25.6977f, 12.3032f,-31.3847f,-27.8351f, 22.1634f,-31.3847f,-21.2467f,
	20.5275f,-43.0156f,-19.6108f, 26.6143f,-43.0156f,-10.5012f, 20.5275f,-52.8758f,-7.9799f, 22.1634f,-52.8758f,0.2444f, 12.3032f,-59.4642f,0.2444f,
	11.4178f,-59.4642f,4.6953f, 0.6723f,-61.7777f,0.2444f, 0.6723f,-0.9917f,0.2444f, -3.7787f,-3.3053f,-10.5012f, 0.6723f,-3.3053f,-11.3865f,
	0.6723f,-9.8936f,-21.2467f, 8.8966f,-9.8936f,-19.6108f, 11.4178f,-19.7538f,-25.6977f, 20.5275f,-19.7538f,-19.6108f, 22.1634f,-31.3847f,-21.2467f,
	28.7517f,-31.3847f,-11.3865f, 26.6143f,-43.0156f,-10.5012f, 28.7517f,-43.0156f,0.2444f, 22.1634f,-52.8758f,0.2444f, 20.5275f,-52.8758f,8.4686f,
	11.4178f,-59.4642f,4.6953f, 8.8966f,-59.4642f,8.4686f, 0.6723f,-61.7777f,0.2444f, 0.6723f,-0.9917f,0.2444f, 0.6723f,-3.3053f,-11.3865f,
	5.1232f,-3.3053f,-10.5012f, 8.8966f,-9.8936f,-19.6108f, 15.8688f,-9.8936f,-14.9522f, 20.5275f,-19.7538f,-19.6108f, 26.6143f,-19.7538f,-10.5012f,
	28.7517f,-31.3847f,-11.3865f, 31.0653f,-31.3847f,0.2444f, 28.7517f,-43.0156f,0.2444f, 26.6143f,-43.0156f,10.9899f, 20.5275f,-52.8758f,8.4686f,
	15.8688f,-52.8758f,15.4409f, 8.8966f,-59.4642f,8.4686f, 5.1232f,-59.4642f,10.9899f, 0.6723f,-61.7777f,0.2444f, 0.6723f,-0.9917f,0.2444f,
	5.1232f,-3.3053f,-10.5012f, 8.8966f,-3.3053f,-7.9799f, 15.8688f,-9.8936f,-14.9522f, 20.5275f,-9.8936f,-7.9799f, 26.6143f,-19.7538f,-10.5012f,
	28.7517f,-19.7538f,0.2444f, 31.0653f,-31.3847f,0.2444f, 28.7517f,-31.3847f,11.8753f, 26.6143f,-43.0156f,10.9899f, 20.5275f,-43.0156f,20.0995f,
	15.8688f,-52.8758f,15.4409f, 8.8966f,-52.8758f,20.0995f, 5.1232f,-59.4642f,10.9899f, 0.6723f,-59.4642f,11.8752f, 0.6723f,-61.7777f,0.2444f,
	0.6723f,-0.9917f,0.2444f, 8.8966f,-3.3053f,-7.9799f, 11.4178f,-3.3053f,-4.2066f, 20.5275f,-9.8936f,-7.9799f, 22.1634f,-9.8936f,0.2444f,
	28.7517f,-19.7538f,0.2444f, 26.6143f,-19.7538f,10.9899f, 28.7517f,-31.3847f,11.8753f, 22.1634f,-31.3847f,21.7355f, 20.5275f,-43.0156f,20.0995f,
	11.4178f,-43.0156f,26.1864f, 8.8966f,-52.8758f,20.0995f, 0.6723f,-52.8758f,21.7354f, 0.6723f,-59.4642f,11.8752f, 0.6723f,-0.9917f,0.2444f,
	11.4178f,-3.3053f,-4.2066f, 12.3032f,-3.3053f,0.2444f, 22.1634f,-9.8936f,0.2444f, 20.5275f,-9.8936f,8.4686f, 26.6143f,-19.7538f,10.9899f,
	20.5275f,-19.7538f,20.0995f, 22.1634f,-31.3847f,21.7355f, 12.3032f,-31.3847f,28.3238f, 11.4178f,-43.0156f,26.1864f, 0.6723f,-43.0156f,28.3238f,
	0.6723f,-52.8758f,21.7354f, 0.6723f,-0.9917f,0.2444f, 12.3032f,-3.3053f,0.2444f, 11.4178f,-3.3053f,4.6953f, 20.5275f,-9.8936f,8.4686f,
	15.8688f,-9.8936f,15.4409f, 20.5275f,-19.7538f,20.0995f, 11.4178f,-19.7538f,26.1864f, 12.3032f,-31.3847f,28.3238f, 0.6723f,-31.3847f,30.6374f,
	0.6723f,-43.0156f,28.3238f, 0.6723f,-0.9917f,0.2444f, 11.4178f,-3.3053f,4.6953f, 8.8966f,-3.3053f,8.4686f, 15.8688f,-9.8936f,15.4409f,
	8.8966f,-9.8936f,20.0995f, 11.4178f,-19.7538f,26.1864f, 0.6723f,-19.7538f,28.3238f, 0.6723f,-31.3847f,30.6374f, 0.6723f,-0.9917f,0.2444f,
	8.8966f,-3.3053f,8.4686f, 5.1232f,-3.3053f,10.9899f, 8.8966f,-9.8936f,20.0995f, 0.6723f,-9.8936f,21.7355f, 0.6723f,-19.7538f,28.3238f,
	0.6723f,-3.3053f,11.8753f, 0.6723f,-9.8936f,21.7355f, -7.5520f,-9.8936f,20.0995f, -10.0733f,-19.7538f,26.1864f, -19.1829f,-19.7538f,20.0995f,
	-20.8188f,-31.3847f,21.7354f, -27.4072f,-31.3847f,11.8752f, -25.2698f,-43.0156f,10.9899f, -27.4072f,-43.0156f,0.2443f, -20.8188f,-52.8758f,0.2443f,
	-19.1829f,-52.8758f,-7.9799f, -10.0733f,-59.4642f,-4.2066f, -7.5520f,-59.4642f,-7.9799f, 0.6723f,-61.7777f,0.2444f, 0.6723f,-9.8936f,21.7355f,
	0.6723f,-19.7538f,28.3238f, -10.0733f,-19.7538f,26.1864f, -10.9586f,-31.3847f,28.3238f, -20.8188f,-31.3847f,21.7354f, -19.1829f,-43.0156f,20.0995f,
	-25.2698f,-43.0156f,10.9899f, -19.1829f,-52.8758f,8.4686f, -20.8188f,-52.8758f,0.2443f, -10.9586f,-59.4642f,0.2443f, -10.0733f,-59.4642f,-4.2066f,
	0.6723f,-61.7777f,0.2444f, 0.6723f,-19.7538f,28.3238f, 0.6723f,-31.3847f,30.6374f, -10.9586f,-31.3847f,28.3238f, -10.0733f,-43.0156f,26.1864f,
	-19.1829f,-43.0156f,20.0995f, -14.5242f,-52.8758f,15.4409f, -19.1829f,-52.8758f,8.4686f, -10.0733f,-59.4642f,4.6953f, -10.9586f,-59.4642f,0.2443f,
	0.6723f,-61.7777f,0.2444f, 0.6723f,-31.3847f,30.6374f, 0.6723f,-43.0156f,28.3238f, -10.0733f,-43.0156f,26.1864f, -7.5520f,-52.8758f,20.0995f,
	-14.5242f,-52.8758f,15.4409f, -7.5520f,-59.4642f,8.4686f, -10.0733f,-59.4642f,4.6953f, 0.6723f,-61.7777f,0.2444f, 0.6723f,-43.0156f,28.3238f,
	0.6723f,-52.8758f,21.7354f, -7.5520f,-52.8758f,20.0995f, -3.7787f,-59.4642f,10.9899f, -7.5520f,-59.4642f,8.4686f, 0.6723f,-61.7777f,0.2444f,
	0.6723f,-61.7777f,0.2444f, -3.7787f,-59.4642f,10.9899f, 0.6723f,-59.4642f,11.8752f, 0.6723f,-52.8758f,21.7354f, 0.6723f,-9.8936f,21.7355f,
	0.6723f,-3.3053f,11.8753f, 5.1232f,-3.3053f,10.9899f, 0.6723f,-0.9917f,0.2444f,
_NULL_ }; /* End of sphere04_Vertices */

const float sphere04_UV[] = {
	0.0000f,1.0000f, 0.0000f,0.8750f, 0.0625f,0.8750f, 0.0625f,0.7500f, 0.1250f,0.7500f, 0.1250f,0.6250f, 0.1875f,0.6250f, 0.1875f,0.5000f, 0.2500f,0.5000f, 0.2500f,0.3750f, 0.3125f,0.3750f, 0.3125f,0.2500f, 0.3750f,0.2500f, 0.3750f,0.1250f, 0.4375f,0.1250f,
	0.3750f,0.0000f, 0.0625f,1.0000f, 0.0625f,0.8750f, 0.1250f,0.8750f, 0.1250f,0.7500f, 0.1875f,0.7500f, 0.1875f,0.6250f, 0.2500f,0.6250f, 0.2500f,0.5000f, 0.3125f,0.5000f, 0.3125f,0.3750f, 0.3750f,0.3750f, 0.3750f,0.2500f, 0.4375f,0.2500f, 0.4375f,0.1250f,
	0.5000f,0.1250f, 0.4375f,0.0000f, 0.1250f,1.0000f, 0.1250f,0.8750f, 0.1875f,0.8750f, 0.1875f,0.7500f, 0.2500f,0.7500f, 0.2500f,0.6250f, 0.3125f,0.6250f, 0.3125f,0.5000f, 0.3750f,0.5000f, 0.3750f,0.3750f, 0.4375f,0.3750f, 0.4375f,0.2500f, 0.5000f,0.2500f,
	0.5000f,0.1250f, 0.5625f,0.1250f, 0.5000f,0.0000f, 0.1875f,1.0000f, 0.1875f,0.8750f, 0.2500f,0.8750f, 0.2500f,0.7500f, 0.3125f,0.7500f, 0.3125f,0.6250f, 0.3750f,0.6250f, 0.3750f,0.5000f, 0.4375f,0.5000f, 0.4375f,0.3750f, 0.5000f,0.3750f, 0.5000f,0.2500f,
	0.5625f,0.2500f, 0.5625f,0.1250f, 0.6250f,0.1250f, 0.5625f,0.0000f, 0.2500f,1.0000f, 0.2500f,0.8750f, 0.3125f,0.8750f, 0.3125f,0.7500f, 0.3750f,0.7500f, 0.3750f,0.6250f, 0.4375f,0.6250f, 0.4375f,0.5000f, 0.5000f,0.5000f, 0.5000f,0.3750f, 0.5625f,0.3750f,
	0.5625f,0.2500f, 0.6250f,0.2500f, 0.6250f,0.1250f, 0.6875f,0.1250f, 0.6250f,0.0000f, 0.3125f,1.0000f, 0.3125f,0.8750f, 0.3750f,0.8750f, 0.3750f,0.7500f, 0.4375f,0.7500f, 0.4375f,0.6250f, 0.5000f,0.6250f, 0.5000f,0.5000f, 0.5625f,0.5000f, 0.5625f,0.3750f,
	0.6250f,0.3750f, 0.6250f,0.2500f, 0.6875f,0.2500f, 0.6875f,0.1250f, 0.7500f,0.1250f, 0.6875f,0.0000f, 0.3750f,1.0000f, 0.3750f,0.8750f, 0.4375f,0.8750f, 0.4375f,0.7500f, 0.5000f,0.7500f, 0.5000f,0.6250f, 0.5625f,0.6250f, 0.5625f,0.5000f, 0.6250f,0.5000f,
	0.6250f,0.3750f, 0.6875f,0.3750f, 0.6875f,0.2500f, 0.7500f,0.2500f, 0.7500f,0.1250f, 0.8125f,0.1250f, 0.7500f,0.0000f, 0.4375f,1.0000f, 0.4375f,0.8750f, 0.5000f,0.8750f, 0.5000f,0.7500f, 0.5625f,0.7500f, 0.5625f,0.6250f, 0.6250f,0.6250f, 0.6250f,0.5000f,
	0.6875f,0.5000f, 0.6875f,0.3750f, 0.7500f,0.3750f, 0.7500f,0.2500f, 0.8125f,0.2500f, 0.8125f,0.1250f, 0.8750f,0.1250f, 0.8125f,0.0000f, 0.5000f,1.0000f, 0.5000f,0.8750f, 0.5625f,0.8750f, 0.5625f,0.7500f, 0.6250f,0.7500f, 0.6250f,0.6250f, 0.6875f,0.6250f,
	0.6875f,0.5000f, 0.7500f,0.5000f, 0.7500f,0.3750f, 0.8125f,0.3750f, 0.8125f,0.2500f, 0.8750f,0.2500f, 0.8750f,0.1250f, 0.9375f,0.1250f, 0.8750f,0.0000f, 0.5625f,1.0000f, 0.5625f,0.8750f, 0.6250f,0.8750f, 0.6250f,0.7500f, 0.6875f,0.7500f, 0.6875f,0.6250f,
	0.7500f,0.6250f, 0.7500f,0.5000f, 0.8125f,0.5000f, 0.8125f,0.3750f, 0.8750f,0.3750f, 0.8750f,0.2500f, 0.9375f,0.2500f, 0.9375f,0.1250f, 1.0000f,0.1250f, 0.9375f,0.0000f, 0.6250f,1.0000f, 0.6250f,0.8750f, 0.6875f,0.8750f, 0.6875f,0.7500f, 0.7500f,0.7500f,
	0.7500f,0.6250f, 0.8125f,0.6250f, 0.8125f,0.5000f, 0.8750f,0.5000f, 0.8750f,0.3750f, 0.9375f,0.3750f, 0.9375f,0.2500f, 1.0000f,0.2500f, 1.0000f,0.1250f, 0.6875f,1.0000f, 0.6875f,0.8750f, 0.7500f,0.8750f, 0.7500f,0.7500f, 0.8125f,0.7500f, 0.8125f,0.6250f,
	0.8750f,0.6250f, 0.8750f,0.5000f, 0.9375f,0.5000f, 0.9375f,0.3750f, 1.0000f,0.3750f, 1.0000f,0.2500f, 0.7500f,1.0000f, 0.7500f,0.8750f, 0.8125f,0.8750f, 0.8125f,0.7500f, 0.8750f,0.7500f, 0.8750f,0.6250f, 0.9375f,0.6250f, 0.9375f,0.5000f, 1.0000f,0.5000f,
	1.0000f,0.3750f, 0.8125f,1.0000f, 0.8125f,0.8750f, 0.8750f,0.8750f, 0.8750f,0.7500f, 0.9375f,0.7500f, 0.9375f,0.6250f, 1.0000f,0.6250f, 1.0000f,0.5000f, 0.8750f,1.0000f, 0.8750f,0.8750f, 0.9375f,0.8750f, 0.9375f,0.7500f, 1.0000f,0.7500f, 1.0000f,0.6250f,
	0.0000f,0.8750f, 0.0000f,0.7500f, 0.0625f,0.7500f, 0.0625f,0.6250f, 0.1250f,0.6250f, 0.1250f,0.5000f, 0.1875f,0.5000f, 0.1875f,0.3750f, 0.2500f,0.3750f, 0.2500f,0.2500f, 0.3125f,0.2500f, 0.3125f,0.1250f, 0.3750f,0.1250f, 0.3125f,0.0000f, 0.0000f,0.7500f,
	0.0000f,0.6250f, 0.0625f,0.6250f, 0.0625f,0.5000f, 0.1250f,0.5000f, 0.1250f,0.3750f, 0.1875f,0.3750f, 0.1875f,0.2500f, 0.2500f,0.2500f, 0.2500f,0.1250f, 0.3125f,0.1250f, 0.2500f,0.0000f, 0.0000f,0.6250f, 0.0000f,0.5000f, 0.0625f,0.5000f, 0.0625f,0.3750f,
	0.1250f,0.3750f, 0.1250f,0.2500f, 0.1875f,0.2500f, 0.1875f,0.1250f, 0.2500f,0.1250f, 0.1875f,0.0000f, 0.0000f,0.5000f, 0.0000f,0.3750f, 0.0625f,0.3750f, 0.0625f,0.2500f, 0.1250f,0.2500f, 0.1250f,0.1250f, 0.1875f,0.1250f, 0.1250f,0.0000f, 0.0000f,0.3750f,
	0.0000f,0.2500f, 0.0625f,0.2500f, 0.0625f,0.1250f, 0.1250f,0.1250f, 0.0625f,0.0000f, 0.0000f,0.0000f, 0.0625f,0.1250f, 0.0000f,0.1250f, 0.0000f,0.2500f, 1.0000f,0.7500f, 1.0000f,0.8750f, 0.9375f,0.8750f, 0.9375f,1.0000f,
_NULL_ }; /* End of sphere04_UV */

const float sphere04_Normals[] = {
	-0.0000f,1.0000f,0.0000f, -0.0000f,0.9152f,0.4031f, -0.1543f,0.9152f,0.3724f, -0.2751f,0.6952f,0.6641f, -0.5083f,0.6952f,0.5083f, -0.6557f,0.3744f,0.6557f, -0.8567f,0.3744f,0.3549f, -0.9239f,0.0000f,0.3827f, -1.0000f,-0.0000f,-0.0000f, -0.9273f,-0.3744f,-0.0000f, -0.8567f,-0.3744f,-0.3549f, -0.6641f,-0.6952f,-0.2751f, -0.5083f,-0.6952f,-0.5083f, -0.2850f,-0.9152f,-0.2850f, -0.1543f,-0.9152f,-0.3724f,
	-0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.1543f,0.9152f,0.3724f, -0.2850f,0.9152f,0.2850f, -0.5083f,0.6952f,0.5083f, -0.6641f,0.6952f,0.2751f, -0.8567f,0.3744f,0.3549f, -0.9273f,0.3744f,-0.0000f, -1.0000f,-0.0000f,-0.0000f, -0.9239f,-0.0000f,-0.3827f, -0.8567f,-0.3744f,-0.3549f, -0.6557f,-0.3744f,-0.6557f, -0.5083f,-0.6952f,-0.5083f, -0.2751f,-0.6952f,-0.6641f, -0.1543f,-0.9152f,-0.3724f,
	0.0000f,-0.9152f,-0.4031f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.2850f,0.9152f,0.2850f, -0.3724f,0.9152f,0.1543f, -0.6641f,0.6952f,0.2751f, -0.7189f,0.6952f,-0.0000f, -0.9273f,0.3744f,-0.0000f, -0.8567f,0.3744f,-0.3549f, -0.9239f,-0.0000f,-0.3827f, -0.7071f,0.0000f,-0.7071f, -0.6557f,-0.3744f,-0.6557f, -0.3549f,-0.3744f,-0.8567f, -0.2751f,-0.6952f,-0.6641f, 0.0000f,-0.6952f,-0.7189f,
	0.0000f,-0.9152f,-0.4031f, 0.1543f,-0.9152f,-0.3724f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.3724f,0.9152f,0.1543f, -0.4031f,0.9152f,-0.0000f, -0.7189f,0.6952f,-0.0000f, -0.6641f,0.6952f,-0.2751f, -0.8567f,0.3744f,-0.3549f, -0.6557f,0.3744f,-0.6557f, -0.7071f,0.0000f,-0.7071f, -0.3827f,0.0000f,-0.9239f, -0.3549f,-0.3744f,-0.8567f, 0.0000f,-0.3744f,-0.9273f, 0.0000f,-0.6952f,-0.7189f,
	0.2751f,-0.6952f,-0.6641f, 0.1543f,-0.9152f,-0.3724f, 0.2850f,-0.9152f,-0.2850f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.4031f,0.9152f,-0.0000f, -0.3724f,0.9152f,-0.1543f, -0.6641f,0.6952f,-0.2751f, -0.5083f,0.6952f,-0.5083f, -0.6557f,0.3744f,-0.6557f, -0.3549f,0.3744f,-0.8567f, -0.3827f,0.0000f,-0.9239f, 0.0000f,0.0000f,-1.0000f, 0.0000f,-0.3744f,-0.9273f, 0.3549f,-0.3744f,-0.8567f,
	0.2751f,-0.6952f,-0.6641f, 0.5083f,-0.6952f,-0.5083f, 0.2850f,-0.9152f,-0.2850f, 0.3724f,-0.9152f,-0.1543f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.3724f,0.9152f,-0.1543f, -0.2850f,0.9152f,-0.2850f, -0.5083f,0.6952f,-0.5083f, -0.2751f,0.6952f,-0.6641f, -0.3549f,0.3744f,-0.8567f, 0.0000f,0.3744f,-0.9273f, 0.0000f,0.0000f,-1.0000f, 0.3827f,0.0000f,-0.9239f, 0.3549f,-0.3744f,-0.8567f,
	0.6557f,-0.3744f,-0.6557f, 0.5083f,-0.6952f,-0.5083f, 0.6641f,-0.6952f,-0.2751f, 0.3724f,-0.9152f,-0.1543f, 0.4031f,-0.9152f,0.0000f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.2850f,0.9152f,-0.2850f, -0.1543f,0.9152f,-0.3724f, -0.2751f,0.6952f,-0.6641f, 0.0000f,0.6952f,-0.7189f, 0.0000f,0.3744f,-0.9273f, 0.3549f,0.3744f,-0.8567f, 0.3827f,0.0000f,-0.9239f, 0.7071f,0.0000f,-0.7071f,
	0.6557f,-0.3744f,-0.6557f, 0.8567f,-0.3744f,-0.3549f, 0.6641f,-0.6952f,-0.2751f, 0.7189f,-0.6952f,0.0000f, 0.4031f,-0.9152f,0.0000f, 0.3724f,-0.9152f,0.1543f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.1543f,0.9152f,-0.3724f, 0.0000f,0.9152f,-0.4031f, 0.0000f,0.6952f,-0.7189f, 0.2751f,0.6952f,-0.6641f, 0.3549f,0.3744f,-0.8567f, 0.6557f,0.3744f,-0.6557f, 0.7071f,0.0000f,-0.7071f,
	0.9239f,0.0000f,-0.3827f, 0.8567f,-0.3744f,-0.3549f, 0.9273f,-0.3744f,0.0000f, 0.7189f,-0.6952f,0.0000f, 0.6641f,-0.6952f,0.2751f, 0.3724f,-0.9152f,0.1543f, 0.2850f,-0.9152f,0.2850f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, 0.0000f,0.9152f,-0.4031f, 0.1543f,0.9152f,-0.3724f, 0.2751f,0.6952f,-0.6641f, 0.5083f,0.6952f,-0.5083f, 0.6557f,0.3744f,-0.6557f, 0.8567f,0.3744f,-0.3549f,
	0.9239f,0.0000f,-0.3827f, 1.0000f,-0.0000f,0.0000f, 0.9273f,-0.3744f,0.0000f, 0.8567f,-0.3744f,0.3549f, 0.6641f,-0.6952f,0.2751f, 0.5083f,-0.6952f,0.5083f, 0.2850f,-0.9152f,0.2850f, 0.1543f,-0.9152f,0.3724f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, 0.1543f,0.9152f,-0.3724f, 0.2850f,0.9152f,-0.2850f, 0.5083f,0.6952f,-0.5083f, 0.6641f,0.6952f,-0.2751f, 0.8567f,0.3744f,-0.3549f,
	0.9273f,0.3744f,0.0000f, 1.0000f,-0.0000f,0.0000f, 0.9239f,0.0000f,0.3827f, 0.8567f,-0.3744f,0.3549f, 0.6557f,-0.3744f,0.6557f, 0.5083f,-0.6952f,0.5083f, 0.2751f,-0.6952f,0.6641f, 0.1543f,-0.9152f,0.3724f, -0.0000f,-0.9152f,0.4031f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, 0.2850f,0.9152f,-0.2850f, 0.3724f,0.9152f,-0.1543f, 0.6641f,0.6952f,-0.2751f, 0.7189f,0.6952f,0.0000f,
	0.9273f,0.3744f,0.0000f, 0.8567f,0.3744f,0.3549f, 0.9239f,0.0000f,0.3827f, 0.7071f,-0.0000f,0.7071f, 0.6557f,-0.3744f,0.6557f, 0.3549f,-0.3744f,0.8567f, 0.2751f,-0.6952f,0.6641f, -0.0000f,-0.6952f,0.7189f, -0.0000f,-0.9152f,0.4031f, -0.0000f,1.0000f,0.0000f, 0.3724f,0.9152f,-0.1543f, 0.4031f,0.9152f,0.0000f, 0.7189f,0.6952f,0.0000f, 0.6641f,0.6952f,0.2751f, 0.8567f,0.3744f,0.3549f,
	0.6557f,0.3744f,0.6557f, 0.7071f,-0.0000f,0.7071f, 0.3827f,0.0000f,0.9239f, 0.3549f,-0.3744f,0.8567f, -0.0000f,-0.3744f,0.9273f, -0.0000f,-0.6952f,0.7189f, -0.0000f,1.0000f,0.0000f, 0.4031f,0.9152f,0.0000f, 0.3724f,0.9152f,0.1543f, 0.6641f,0.6952f,0.2751f, 0.5083f,0.6952f,0.5083f, 0.6557f,0.3744f,0.6557f, 0.3549f,0.3744f,0.8567f, 0.3827f,0.0000f,0.9239f, -0.0000f,0.0000f,1.0000f,
	-0.0000f,-0.3744f,0.9273f, -0.0000f,1.0000f,0.0000f, 0.3724f,0.9152f,0.1543f, 0.2850f,0.9152f,0.2850f, 0.5083f,0.6952f,0.5083f, 0.2751f,0.6952f,0.6641f, 0.3549f,0.3744f,0.8567f, -0.0000f,0.3744f,0.9273f, -0.0000f,0.0000f,1.0000f, -0.0000f,1.0000f,0.0000f, 0.2850f,0.9152f,0.2850f, 0.1543f,0.9152f,0.3724f, 0.2751f,0.6952f,0.6641f, -0.0000f,0.6952f,0.7189f, -0.0000f,0.3744f,0.9273f,
	-0.0000f,0.9152f,0.4031f, -0.0000f,0.6952f,0.7189f, -0.2751f,0.6952f,0.6641f, -0.3549f,0.3744f,0.8567f, -0.6557f,0.3744f,0.6557f, -0.7071f,-0.0000f,0.7071f, -0.9239f,0.0000f,0.3827f, -0.8567f,-0.3744f,0.3549f, -0.9273f,-0.3744f,-0.0000f, -0.7189f,-0.6952f,-0.0000f, -0.6641f,-0.6952f,-0.2751f, -0.3724f,-0.9152f,-0.1543f, -0.2850f,-0.9152f,-0.2850f, -0.0000f,-1.0000f,0.0000f, -0.0000f,0.6952f,0.7189f,
	-0.0000f,0.3744f,0.9273f, -0.3549f,0.3744f,0.8567f, -0.3827f,0.0000f,0.9239f, -0.7071f,-0.0000f,0.7071f, -0.6557f,-0.3744f,0.6557f, -0.8567f,-0.3744f,0.3549f, -0.6641f,-0.6952f,0.2751f, -0.7189f,-0.6952f,-0.0000f, -0.4031f,-0.9152f,-0.0000f, -0.3724f,-0.9152f,-0.1543f, -0.0000f,-1.0000f,0.0000f, -0.0000f,0.3744f,0.9273f, -0.0000f,0.0000f,1.0000f, -0.3827f,0.0000f,0.9239f, -0.3549f,-0.3744f,0.8567f,
	-0.6557f,-0.3744f,0.6557f, -0.5083f,-0.6952f,0.5083f, -0.6641f,-0.6952f,0.2751f, -0.3724f,-0.9152f,0.1543f, -0.4031f,-0.9152f,-0.0000f, -0.0000f,-1.0000f,0.0000f, -0.0000f,0.0000f,1.0000f, -0.0000f,-0.3744f,0.9273f, -0.3549f,-0.3744f,0.8567f, -0.2751f,-0.6952f,0.6641f, -0.5083f,-0.6952f,0.5083f, -0.2850f,-0.9152f,0.2850f, -0.3724f,-0.9152f,0.1543f, -0.0000f,-1.0000f,0.0000f, -0.0000f,-0.3744f,0.9273f,
	-0.0000f,-0.6952f,0.7189f, -0.2751f,-0.6952f,0.6641f, -0.1543f,-0.9152f,0.3724f, -0.2850f,-0.9152f,0.2850f, -0.0000f,-1.0000f,0.0000f, -0.0000f,-1.0000f,0.0000f, -0.1543f,-0.9152f,0.3724f, -0.0000f,-0.9152f,0.4031f, -0.0000f,-0.6952f,0.7189f, -0.0000f,0.6952f,0.7189f, -0.0000f,0.9152f,0.4031f, 0.1543f,0.9152f,0.3724f, -0.0000f,1.0000f,0.0000f,
_NULL_ }; /* End of sphere04_Normals */

const unsigned short sphere04_StripLength[] = {
	14,14,14, 14,14,14, 14,14,14, 14,12,10, 8,6,4, 12,10,8, 6,4,2, 2,
_NULL_ }; /* End of sphere04_pStripLength */


/* MESH 4 */

#define sphere05_NumVertex  268
#define sphere05_NumFaces   224
#define sphere05_NumStrips  22
#define sphere05_Flags      0x00020066
#define sphere05_Material   -1

const float sphere05_Vertices[] = {
	76.7274f,-0.0630f,0.2444f, 76.7274f,-2.3765f,11.8753f, 72.2765f,-2.3765f,10.9899f, 68.5032f,-8.9649f,20.0995f, 61.5309f,-8.9649f,15.4409f,
	56.8723f,-18.8251f,20.0995f, 50.7854f,-18.8251f,10.9899f, 48.6480f,-30.4560f,11.8752f, 46.3344f,-30.4560f,0.2443f, 48.6480f,-42.0869f,0.2443f,
	50.7854f,-42.0869f,-10.5012f, 56.8723f,-51.9471f,-7.9799f, 61.5309f,-51.9471f,-14.9522f, 68.5032f,-58.5355f,-7.9799f, 72.2765f,-58.5355f,-10.5012f,
	76.7274f,-60.8490f,0.2444f, 76.7274f,-0.0630f,0.2444f, 72.2765f,-2.3765f,10.9899f, 68.5032f,-2.3765f,8.4686f, 61.5309f,-8.9649f,15.4409f,
	56.8723f,-8.9649f,8.4686f, 50.7854f,-18.8251f,10.9899f, 48.6480f,-18.8251f,0.2443f, 46.3344f,-30.4560f,0.2443f, 48.6480f,-30.4560f,-11.3866f,
	50.7854f,-42.0869f,-10.5012f, 56.8723f,-42.0869f,-19.6108f, 61.5309f,-51.9471f,-14.9522f, 68.5032f,-51.9471f,-19.6108f, 72.2765f,-58.5355f,-10.5012f,
	76.7274f,-58.5355f,-11.3865f, 76.7274f,-60.8490f,0.2444f, 76.7274f,-0.0630f,0.2444f, 68.5032f,-2.3765f,8.4686f, 65.9819f,-2.3765f,4.6953f,
	56.8723f,-8.9649f,8.4686f, 55.2363f,-8.9649f,0.2443f, 48.6480f,-18.8251f,0.2443f, 50.7854f,-18.8251f,-10.5012f, 48.6480f,-30.4560f,-11.3866f,
	55.2363f,-30.4560f,-21.2468f, 56.8723f,-42.0869f,-19.6108f, 65.9819f,-42.0869f,-25.6977f, 68.5032f,-51.9471f,-19.6108f, 76.7274f,-51.9471f,-21.2467f,
	76.7274f,-58.5355f,-11.3865f, 81.1784f,-58.5355f,-10.5012f, 76.7274f,-60.8490f,0.2444f, 76.7274f,-0.0630f,0.2444f, 65.9819f,-2.3765f,4.6953f,
	65.0965f,-2.3765f,0.2443f, 55.2363f,-8.9649f,0.2443f, 56.8723f,-8.9649f,-7.9799f, 50.7854f,-18.8251f,-10.5012f, 56.8723f,-18.8251f,-19.6108f,
	55.2363f,-30.4560f,-21.2468f, 65.0965f,-30.4560f,-27.8351f, 65.9819f,-42.0869f,-25.6977f, 76.7274f,-42.0869f,-27.8351f, 76.7274f,-51.9471f,-21.2467f,
	84.9517f,-51.9471f,-19.6108f, 81.1784f,-58.5355f,-10.5012f, 84.9517f,-58.5355f,-7.9799f, 76.7274f,-60.8490f,0.2444f, 76.7274f,-0.0630f,0.2444f,
	65.0965f,-2.3765f,0.2443f, 65.9819f,-2.3765f,-4.2066f, 56.8723f,-8.9649f,-7.9799f, 61.5309f,-8.9649f,-14.9522f, 56.8723f,-18.8251f,-19.6108f,
	65.9819f,-18.8251f,-25.6977f, 65.0965f,-30.4560f,-27.8351f, 76.7274f,-30.4560f,-30.1487f, 76.7274f,-42.0869f,-27.8351f, 87.4730f,-42.0869f,-25.6977f,
	84.9517f,-51.9471f,-19.6108f, 91.9239f,-51.9471f,-14.9521f, 84.9517f,-58.5355f,-7.9799f, 87.4730f,-58.5355f,-4.2066f, 76.7274f,-60.8490f,0.2444f,
	76.7274f,-0.0630f,0.2444f, 65.9819f,-2.3765f,-4.2066f, 68.5032f,-2.3765f,-7.9799f, 61.5309f,-8.9649f,-14.9522f, 68.5032f,-8.9649f,-19.6108f,
	65.9819f,-18.8251f,-25.6977f, 76.7274f,-18.8251f,-27.8351f, 76.7274f,-30.4560f,-30.1487f, 88.3583f,-30.4560f,-27.8351f, 87.4730f,-42.0869f,-25.6977f,
	96.5826f,-42.0869f,-19.6108f, 91.9239f,-51.9471f,-14.9521f, 96.5826f,-51.9471f,-7.9799f, 87.4730f,-58.5355f,-4.2066f, 88.3583f,-58.5355f,0.2444f,
	76.7274f,-60.8490f,0.2444f, 76.7274f,-0.0630f,0.2444f, 68.5032f,-2.3765f,-7.9799f, 72.2765f,-2.3765f,-10.5012f, 68.5032f,-8.9649f,-19.6108f,
	76.7274f,-8.9649f,-21.2467f, 76.7274f,-18.8251f,-27.8351f, 87.4730f,-18.8251f,-25.6977f, 88.3583f,-30.4560f,-27.8351f, 98.2185f,-30.4560f,-21.2467f,
	96.5826f,-42.0869f,-19.6108f, 102.6695f,-42.0869f,-10.5012f, 96.5826f,-51.9471f,-7.9799f, 98.2185f,-51.9471f,0.2444f, 88.3583f,-58.5355f,0.2444f,
	87.4730f,-58.5355f,4.6953f, 76.7274f,-60.8490f,0.2444f, 76.7274f,-0.0630f,0.2444f, 72.2765f,-2.3765f,-10.5012f, 76.7274f,-2.3765f,-11.3865f,
	76.7274f,-8.9649f,-21.2467f, 84.9517f,-8.9649f,-19.6108f, 87.4730f,-18.8251f,-25.6977f, 96.5826f,-18.8251f,-19.6108f, 98.2185f,-30.4560f,-21.2467f,
	104.8069f,-30.4560f,-11.3865f, 102.6695f,-42.0869f,-10.5012f, 104.8069f,-42.0869f,0.2444f, 98.2185f,-51.9471f,0.2444f, 96.5826f,-51.9471f,8.4686f,
	87.4730f,-58.5355f,4.6953f, 84.9517f,-58.5355f,8.4686f, 76.7274f,-60.8490f,0.2444f, 76.7274f,-0.0630f,0.2444f, 76.7274f,-2.3765f,-11.3865f,
	81.1784f,-2.3765f,-10.5012f, 84.9517f,-8.9649f,-19.6108f, 91.9239f,-8.9649f,-14.9522f, 96.5826f,-18.8251f,-19.6108f, 102.6695f,-18.8251f,-10.5012f,
	104.8069f,-30.4560f,-11.3865f, 107.1204f,-30.4560f,0.2444f, 104.8069f,-42.0869f,0.2444f, 102.6695f,-42.0869f,10.9899f, 96.5826f,-51.9471f,8.4686f,
	91.9239f,-51.9471f,15.4409f, 84.9517f,-58.5355f,8.4686f, 81.1784f,-58.5355f,10.9899f, 76.7274f,-60.8490f,0.2444f, 76.7274f,-0.0630f,0.2444f,
	81.1784f,-2.3765f,-10.5012f, 84.9517f,-2.3765f,-7.9799f, 91.9239f,-8.9649f,-14.9522f, 96.5826f,-8.9649f,-7.9799f, 102.6695f,-18.8251f,-10.5012f,
	104.8069f,-18.8251f,0.2444f, 107.1204f,-30.4560f,0.2444f, 104.8069f,-30.4560f,11.8753f, 102.6695f,-42.0869f,10.9899f, 96.5826f,-42.0869f,20.0995f,
	91.9239f,-51.9471f,15.4409f, 84.9517f,-51.9471f,20.0995f, 81.1784f,-58.5355f,10.9899f, 76.7274f,-58.5355f,11.8752f, 76.7274f,-60.8490f,0.2444f,
	76.7274f,-0.0630f,0.2444f, 84.9517f,-2.3765f,-7.9799f, 87.4730f,-2.3765f,-4.2066f, 96.5826f,-8.9649f,-7.9799f, 98.2185f,-8.9649f,0.2444f,
	104.8069f,-18.8251f,0.2444f, 102.6695f,-18.8251f,10.9899f, 104.8069f,-30.4560f,11.8753f, 98.2185f,-30.4560f,21.7355f, 96.5826f,-42.0869f,20.0995f,
	87.4730f,-42.0869f,26.1864f, 84.9517f,-51.9471f,20.0995f, 76.7274f,-51.9471f,21.7354f, 76.7274f,-58.5355f,11.8752f, 76.7274f,-0.0630f,0.2444f,
	87.4730f,-2.3765f,-4.2066f, 88.3583f,-2.3765f,0.2444f, 98.2185f,-8.9649f,0.2444f, 96.5826f,-8.9649f,8.4686f, 102.6695f,-18.8251f,10.9899f,
	96.5826f,-18.8251f,20.0995f, 98.2185f,-30.4560f,21.7355f, 88.3583f,-30.4560f,28.3238f, 87.4730f,-42.0869f,26.1864f, 76.7274f,-42.0869f,28.3238f,
	76.7274f,-51.9471f,21.7354f, 76.7274f,-0.0630f,0.2444f, 88.3583f,-2.3765f,0.2444f, 87.4730f,-2.3765f,4.6953f, 96.5826f,-8.9649f,8.4686f,
	91.9239f,-8.9649f,15.4409f, 96.5826f,-18.8251f,20.0995f, 87.4730f,-18.8251f,26.1864f, 88.3583f,-30.4560f,28.3238f, 76.7274f,-30.4560f,30.6374f,
	76.7274f,-42.0869f,28.3238f, 76.7274f,-0.0630f,0.2444f, 87.4730f,-2.3765f,4.6953f, 84.9517f,-2.3765f,8.4686f, 91.9239f,-8.9649f,15.4409f,
	84.9517f,-8.9649f,20.0995f, 87.4730f,-18.8251f,26.1864f, 76.7274f,-18.8251f,28.3238f, 76.7274f,-30.4560f,30.6374f, 76.7274f,-0.0630f,0.2444f,
	84.9517f,-2.3765f,8.4686f, 81.1784f,-2.3765f,10.9899f, 84.9517f,-8.9649f,20.0995f, 76.7274f,-8.9649f,21.7355f, 76.7274f,-18.8251f,28.3238f,
	76.7274f,-2.3765f,11.8753f, 76.7274f,-8.9649f,21.7355f, 68.5032f,-8.9649f,20.0995f, 65.9819f,-18.8251f,26.1864f, 56.8723f,-18.8251f,20.0995f,
	55.2363f,-30.4560f,21.7354f, 48.6480f,-30.4560f,11.8752f, 50.7854f,-42.0869f,10.9899f, 48.6480f,-42.0869f,0.2443f, 55.2363f,-51.9471f,0.2443f,
	56.8723f,-51.9471f,-7.9799f, 65.9819f,-58.5355f,-4.2066f, 68.5032f,-58.5355f,-7.9799f, 76.7274f,-60.8490f,0.2444f, 76.7274f,-8.9649f,21.7355f,
	76.7274f,-18.8251f,28.3238f, 65.9819f,-18.8251f,26.1864f, 65.0965f,-30.4560f,28.3238f, 55.2363f,-30.4560f,21.7354f, 56.8723f,-42.0869f,20.0995f,
	50.7854f,-42.0869f,10.9899f, 56.8723f,-51.9471f,8.4686f, 55.2363f,-51.9471f,0.2443f, 65.0965f,-58.5355f,0.2443f, 65.9819f,-58.5355f,-4.2066f,
	76.7274f,-60.8490f,0.2444f, 76.7274f,-18.8251f,28.3238f, 76.7274f,-30.4560f,30.6374f, 65.0965f,-30.4560f,28.3238f, 65.9819f,-42.0869f,26.1864f,
	56.8723f,-42.0869f,20.0995f, 61.5309f,-51.9471f,15.4409f, 56.8723f,-51.9471f,8.4686f, 65.9819f,-58.5355f,4.6953f, 65.0965f,-58.5355f,0.2443f,
	76.7274f,-60.8490f,0.2444f, 76.7274f,-30.4560f,30.6374f, 76.7274f,-42.0869f,28.3238f, 65.9819f,-42.0869f,26.1864f, 68.5032f,-51.9471f,20.0995f,
	61.5309f,-51.9471f,15.4409f, 68.5032f,-58.5355f,8.4686f, 65.9819f,-58.5355f,4.6953f, 76.7274f,-60.8490f,0.2444f, 76.7274f,-42.0869f,28.3238f,
	76.7274f,-51.9471f,21.7354f, 68.5032f,-51.9471f,20.0995f, 72.2765f,-58.5355f,10.9899f, 68.5032f,-58.5355f,8.4686f, 76.7274f,-60.8490f,0.2444f,
	76.7274f,-60.8490f,0.2444f, 72.2765f,-58.5355f,10.9899f, 76.7274f,-58.5355f,11.8752f, 76.7274f,-51.9471f,21.7354f, 76.7274f,-8.9649f,21.7355f,
	76.7274f,-2.3765f,11.8753f, 81.1784f,-2.3765f,10.9899f, 76.7274f,-0.0630f,0.2444f,
_NULL_ }; /* End of sphere05_Vertices */

const float sphere05_UV[] = {
	0.0000f,1.0000f, 0.0000f,0.8750f, 0.0625f,0.8750f, 0.0625f,0.7500f, 0.1250f,0.7500f, 0.1250f,0.6250f, 0.1875f,0.6250f, 0.1875f,0.5000f, 0.2500f,0.5000f, 0.2500f,0.3750f, 0.3125f,0.3750f, 0.3125f,0.2500f, 0.3750f,0.2500f, 0.3750f,0.1250f, 0.4375f,0.1250f,
	0.3750f,0.0000f, 0.0625f,1.0000f, 0.0625f,0.8750f, 0.1250f,0.8750f, 0.1250f,0.7500f, 0.1875f,0.7500f, 0.1875f,0.6250f, 0.2500f,0.6250f, 0.2500f,0.5000f, 0.3125f,0.5000f, 0.3125f,0.3750f, 0.3750f,0.3750f, 0.3750f,0.2500f, 0.4375f,0.2500f, 0.4375f,0.1250f,
	0.5000f,0.1250f, 0.4375f,0.0000f, 0.1250f,1.0000f, 0.1250f,0.8750f, 0.1875f,0.8750f, 0.1875f,0.7500f, 0.2500f,0.7500f, 0.2500f,0.6250f, 0.3125f,0.6250f, 0.3125f,0.5000f, 0.3750f,0.5000f, 0.3750f,0.3750f, 0.4375f,0.3750f, 0.4375f,0.2500f, 0.5000f,0.2500f,
	0.5000f,0.1250f, 0.5625f,0.1250f, 0.5000f,0.0000f, 0.1875f,1.0000f, 0.1875f,0.8750f, 0.2500f,0.8750f, 0.2500f,0.7500f, 0.3125f,0.7500f, 0.3125f,0.6250f, 0.3750f,0.6250f, 0.3750f,0.5000f, 0.4375f,0.5000f, 0.4375f,0.3750f, 0.5000f,0.3750f, 0.5000f,0.2500f,
	0.5625f,0.2500f, 0.5625f,0.1250f, 0.6250f,0.1250f, 0.5625f,0.0000f, 0.2500f,1.0000f, 0.2500f,0.8750f, 0.3125f,0.8750f, 0.3125f,0.7500f, 0.3750f,0.7500f, 0.3750f,0.6250f, 0.4375f,0.6250f, 0.4375f,0.5000f, 0.5000f,0.5000f, 0.5000f,0.3750f, 0.5625f,0.3750f,
	0.5625f,0.2500f, 0.6250f,0.2500f, 0.6250f,0.1250f, 0.6875f,0.1250f, 0.6250f,0.0000f, 0.3125f,1.0000f, 0.3125f,0.8750f, 0.3750f,0.8750f, 0.3750f,0.7500f, 0.4375f,0.7500f, 0.4375f,0.6250f, 0.5000f,0.6250f, 0.5000f,0.5000f, 0.5625f,0.5000f, 0.5625f,0.3750f,
	0.6250f,0.3750f, 0.6250f,0.2500f, 0.6875f,0.2500f, 0.6875f,0.1250f, 0.7500f,0.1250f, 0.6875f,0.0000f, 0.3750f,1.0000f, 0.3750f,0.8750f, 0.4375f,0.8750f, 0.4375f,0.7500f, 0.5000f,0.7500f, 0.5000f,0.6250f, 0.5625f,0.6250f, 0.5625f,0.5000f, 0.6250f,0.5000f,
	0.6250f,0.3750f, 0.6875f,0.3750f, 0.6875f,0.2500f, 0.7500f,0.2500f, 0.7500f,0.1250f, 0.8125f,0.1250f, 0.7500f,0.0000f, 0.4375f,1.0000f, 0.4375f,0.8750f, 0.5000f,0.8750f, 0.5000f,0.7500f, 0.5625f,0.7500f, 0.5625f,0.6250f, 0.6250f,0.6250f, 0.6250f,0.5000f,
	0.6875f,0.5000f, 0.6875f,0.3750f, 0.7500f,0.3750f, 0.7500f,0.2500f, 0.8125f,0.2500f, 0.8125f,0.1250f, 0.8750f,0.1250f, 0.8125f,0.0000f, 0.5000f,1.0000f, 0.5000f,0.8750f, 0.5625f,0.8750f, 0.5625f,0.7500f, 0.6250f,0.7500f, 0.6250f,0.6250f, 0.6875f,0.6250f,
	0.6875f,0.5000f, 0.7500f,0.5000f, 0.7500f,0.3750f, 0.8125f,0.3750f, 0.8125f,0.2500f, 0.8750f,0.2500f, 0.8750f,0.1250f, 0.9375f,0.1250f, 0.8750f,0.0000f, 0.5625f,1.0000f, 0.5625f,0.8750f, 0.6250f,0.8750f, 0.6250f,0.7500f, 0.6875f,0.7500f, 0.6875f,0.6250f,
	0.7500f,0.6250f, 0.7500f,0.5000f, 0.8125f,0.5000f, 0.8125f,0.3750f, 0.8750f,0.3750f, 0.8750f,0.2500f, 0.9375f,0.2500f, 0.9375f,0.1250f, 1.0000f,0.1250f, 0.9375f,0.0000f, 0.6250f,1.0000f, 0.6250f,0.8750f, 0.6875f,0.8750f, 0.6875f,0.7500f, 0.7500f,0.7500f,
	0.7500f,0.6250f, 0.8125f,0.6250f, 0.8125f,0.5000f, 0.8750f,0.5000f, 0.8750f,0.3750f, 0.9375f,0.3750f, 0.9375f,0.2500f, 1.0000f,0.2500f, 1.0000f,0.1250f, 0.6875f,1.0000f, 0.6875f,0.8750f, 0.7500f,0.8750f, 0.7500f,0.7500f, 0.8125f,0.7500f, 0.8125f,0.6250f,
	0.8750f,0.6250f, 0.8750f,0.5000f, 0.9375f,0.5000f, 0.9375f,0.3750f, 1.0000f,0.3750f, 1.0000f,0.2500f, 0.7500f,1.0000f, 0.7500f,0.8750f, 0.8125f,0.8750f, 0.8125f,0.7500f, 0.8750f,0.7500f, 0.8750f,0.6250f, 0.9375f,0.6250f, 0.9375f,0.5000f, 1.0000f,0.5000f,
	1.0000f,0.3750f, 0.8125f,1.0000f, 0.8125f,0.8750f, 0.8750f,0.8750f, 0.8750f,0.7500f, 0.9375f,0.7500f, 0.9375f,0.6250f, 1.0000f,0.6250f, 1.0000f,0.5000f, 0.8750f,1.0000f, 0.8750f,0.8750f, 0.9375f,0.8750f, 0.9375f,0.7500f, 1.0000f,0.7500f, 1.0000f,0.6250f,
	0.0000f,0.8750f, 0.0000f,0.7500f, 0.0625f,0.7500f, 0.0625f,0.6250f, 0.1250f,0.6250f, 0.1250f,0.5000f, 0.1875f,0.5000f, 0.1875f,0.3750f, 0.2500f,0.3750f, 0.2500f,0.2500f, 0.3125f,0.2500f, 0.3125f,0.1250f, 0.3750f,0.1250f, 0.3125f,0.0000f, 0.0000f,0.7500f,
	0.0000f,0.6250f, 0.0625f,0.6250f, 0.0625f,0.5000f, 0.1250f,0.5000f, 0.1250f,0.3750f, 0.1875f,0.3750f, 0.1875f,0.2500f, 0.2500f,0.2500f, 0.2500f,0.1250f, 0.3125f,0.1250f, 0.2500f,0.0000f, 0.0000f,0.6250f, 0.0000f,0.5000f, 0.0625f,0.5000f, 0.0625f,0.3750f,
	0.1250f,0.3750f, 0.1250f,0.2500f, 0.1875f,0.2500f, 0.1875f,0.1250f, 0.2500f,0.1250f, 0.1875f,0.0000f, 0.0000f,0.5000f, 0.0000f,0.3750f, 0.0625f,0.3750f, 0.0625f,0.2500f, 0.1250f,0.2500f, 0.1250f,0.1250f, 0.1875f,0.1250f, 0.1250f,0.0000f, 0.0000f,0.3750f,
	0.0000f,0.2500f, 0.0625f,0.2500f, 0.0625f,0.1250f, 0.1250f,0.1250f, 0.0625f,0.0000f, 0.0000f,0.0000f, 0.0625f,0.1250f, 0.0000f,0.1250f, 0.0000f,0.2500f, 1.0000f,0.7500f, 1.0000f,0.8750f, 0.9375f,0.8750f, 0.9375f,1.0000f,
_NULL_ }; /* End of sphere05_UV */

const float sphere05_Normals[] = {
	-0.0000f,1.0000f,0.0000f, -0.0000f,0.9152f,0.4031f, -0.1543f,0.9152f,0.3724f, -0.2751f,0.6952f,0.6641f, -0.5083f,0.6952f,0.5083f, -0.6557f,0.3744f,0.6557f, -0.8567f,0.3744f,0.3549f, -0.9239f,0.0000f,0.3827f, -1.0000f,-0.0000f,-0.0000f, -0.9273f,-0.3744f,-0.0000f, -0.8567f,-0.3744f,-0.3549f, -0.6641f,-0.6952f,-0.2751f, -0.5083f,-0.6952f,-0.5083f, -0.2850f,-0.9152f,-0.2850f, -0.1543f,-0.9152f,-0.3724f,
	-0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.1543f,0.9152f,0.3724f, -0.2850f,0.9152f,0.2850f, -0.5083f,0.6952f,0.5083f, -0.6641f,0.6952f,0.2751f, -0.8567f,0.3744f,0.3549f, -0.9273f,0.3744f,-0.0000f, -1.0000f,-0.0000f,-0.0000f, -0.9239f,-0.0000f,-0.3827f, -0.8567f,-0.3744f,-0.3549f, -0.6557f,-0.3744f,-0.6557f, -0.5083f,-0.6952f,-0.5083f, -0.2751f,-0.6952f,-0.6641f, -0.1543f,-0.9152f,-0.3724f,
	0.0000f,-0.9152f,-0.4031f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.2850f,0.9152f,0.2850f, -0.3724f,0.9152f,0.1543f, -0.6641f,0.6952f,0.2751f, -0.7189f,0.6952f,-0.0000f, -0.9273f,0.3744f,-0.0000f, -0.8567f,0.3744f,-0.3549f, -0.9239f,-0.0000f,-0.3827f, -0.7071f,0.0000f,-0.7071f, -0.6557f,-0.3744f,-0.6557f, -0.3549f,-0.3744f,-0.8567f, -0.2751f,-0.6952f,-0.6641f, 0.0000f,-0.6952f,-0.7189f,
	0.0000f,-0.9152f,-0.4031f, 0.1543f,-0.9152f,-0.3724f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.3724f,0.9152f,0.1543f, -0.4031f,0.9152f,-0.0000f, -0.7189f,0.6952f,-0.0000f, -0.6641f,0.6952f,-0.2751f, -0.8567f,0.3744f,-0.3549f, -0.6557f,0.3744f,-0.6557f, -0.7071f,0.0000f,-0.7071f, -0.3827f,0.0000f,-0.9239f, -0.3549f,-0.3744f,-0.8567f, 0.0000f,-0.3744f,-0.9273f, 0.0000f,-0.6952f,-0.7189f,
	0.2751f,-0.6952f,-0.6641f, 0.1543f,-0.9152f,-0.3724f, 0.2850f,-0.9152f,-0.2850f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.4031f,0.9152f,-0.0000f, -0.3724f,0.9152f,-0.1543f, -0.6641f,0.6952f,-0.2751f, -0.5083f,0.6952f,-0.5083f, -0.6557f,0.3744f,-0.6557f, -0.3549f,0.3744f,-0.8567f, -0.3827f,0.0000f,-0.9239f, 0.0000f,0.0000f,-1.0000f, 0.0000f,-0.3744f,-0.9273f, 0.3549f,-0.3744f,-0.8567f,
	0.2751f,-0.6952f,-0.6641f, 0.5083f,-0.6952f,-0.5083f, 0.2850f,-0.9152f,-0.2850f, 0.3724f,-0.9152f,-0.1543f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.3724f,0.9152f,-0.1543f, -0.2850f,0.9152f,-0.2850f, -0.5083f,0.6952f,-0.5083f, -0.2751f,0.6952f,-0.6641f, -0.3549f,0.3744f,-0.8567f, 0.0000f,0.3744f,-0.9273f, 0.0000f,0.0000f,-1.0000f, 0.3827f,0.0000f,-0.9239f, 0.3549f,-0.3744f,-0.8567f,
	0.6557f,-0.3744f,-0.6557f, 0.5083f,-0.6952f,-0.5083f, 0.6641f,-0.6952f,-0.2751f, 0.3724f,-0.9152f,-0.1543f, 0.4031f,-0.9152f,0.0000f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.2850f,0.9152f,-0.2850f, -0.1543f,0.9152f,-0.3724f, -0.2751f,0.6952f,-0.6641f, 0.0000f,0.6952f,-0.7189f, 0.0000f,0.3744f,-0.9273f, 0.3549f,0.3744f,-0.8567f, 0.3827f,0.0000f,-0.9239f, 0.7071f,0.0000f,-0.7071f,
	0.6557f,-0.3744f,-0.6557f, 0.8567f,-0.3744f,-0.3549f, 0.6641f,-0.6952f,-0.2751f, 0.7189f,-0.6952f,0.0000f, 0.4031f,-0.9152f,0.0000f, 0.3724f,-0.9152f,0.1543f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, -0.1543f,0.9152f,-0.3724f, 0.0000f,0.9152f,-0.4031f, 0.0000f,0.6952f,-0.7189f, 0.2751f,0.6952f,-0.6641f, 0.3549f,0.3744f,-0.8567f, 0.6557f,0.3744f,-0.6557f, 0.7071f,0.0000f,-0.7071f,
	0.9239f,0.0000f,-0.3827f, 0.8567f,-0.3744f,-0.3549f, 0.9273f,-0.3744f,0.0000f, 0.7189f,-0.6952f,0.0000f, 0.6641f,-0.6952f,0.2751f, 0.3724f,-0.9152f,0.1543f, 0.2850f,-0.9152f,0.2850f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, 0.0000f,0.9152f,-0.4031f, 0.1543f,0.9152f,-0.3724f, 0.2751f,0.6952f,-0.6641f, 0.5083f,0.6952f,-0.5083f, 0.6557f,0.3744f,-0.6557f, 0.8567f,0.3744f,-0.3549f,
	0.9239f,0.0000f,-0.3827f, 1.0000f,-0.0000f,0.0000f, 0.9273f,-0.3744f,0.0000f, 0.8567f,-0.3744f,0.3549f, 0.6641f,-0.6952f,0.2751f, 0.5083f,-0.6952f,0.5083f, 0.2850f,-0.9152f,0.2850f, 0.1543f,-0.9152f,0.3724f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, 0.1543f,0.9152f,-0.3724f, 0.2850f,0.9152f,-0.2850f, 0.5083f,0.6952f,-0.5083f, 0.6641f,0.6952f,-0.2751f, 0.8567f,0.3744f,-0.3549f,
	0.9273f,0.3744f,0.0000f, 1.0000f,-0.0000f,0.0000f, 0.9239f,0.0000f,0.3827f, 0.8567f,-0.3744f,0.3549f, 0.6557f,-0.3744f,0.6557f, 0.5083f,-0.6952f,0.5083f, 0.2751f,-0.6952f,0.6641f, 0.1543f,-0.9152f,0.3724f, -0.0000f,-0.9152f,0.4031f, -0.0000f,-1.0000f,0.0000f, -0.0000f,1.0000f,0.0000f, 0.2850f,0.9152f,-0.2850f, 0.3724f,0.9152f,-0.1543f, 0.6641f,0.6952f,-0.2751f, 0.7189f,0.6952f,0.0000f,
	0.9273f,0.3744f,0.0000f, 0.8567f,0.3744f,0.3549f, 0.9239f,0.0000f,0.3827f, 0.7071f,-0.0000f,0.7071f, 0.6557f,-0.3744f,0.6557f, 0.3549f,-0.3744f,0.8567f, 0.2751f,-0.6952f,0.6641f, -0.0000f,-0.6952f,0.7189f, -0.0000f,-0.9152f,0.4031f, -0.0000f,1.0000f,0.0000f, 0.3724f,0.9152f,-0.1543f, 0.4031f,0.9152f,0.0000f, 0.7189f,0.6952f,0.0000f, 0.6641f,0.6952f,0.2751f, 0.8567f,0.3744f,0.3549f,
	0.6557f,0.3744f,0.6557f, 0.7071f,-0.0000f,0.7071f, 0.3827f,0.0000f,0.9239f, 0.3549f,-0.3744f,0.8567f, -0.0000f,-0.3744f,0.9273f, -0.0000f,-0.6952f,0.7189f, -0.0000f,1.0000f,0.0000f, 0.4031f,0.9152f,0.0000f, 0.3724f,0.9152f,0.1543f, 0.6641f,0.6952f,0.2751f, 0.5083f,0.6952f,0.5083f, 0.6557f,0.3744f,0.6557f, 0.3549f,0.3744f,0.8567f, 0.3827f,0.0000f,0.9239f, -0.0000f,0.0000f,1.0000f,
	-0.0000f,-0.3744f,0.9273f, -0.0000f,1.0000f,0.0000f, 0.3724f,0.9152f,0.1543f, 0.2850f,0.9152f,0.2850f, 0.5083f,0.6952f,0.5083f, 0.2751f,0.6952f,0.6641f, 0.3549f,0.3744f,0.8567f, -0.0000f,0.3744f,0.9273f, -0.0000f,0.0000f,1.0000f, -0.0000f,1.0000f,0.0000f, 0.2850f,0.9152f,0.2850f, 0.1543f,0.9152f,0.3724f, 0.2751f,0.6952f,0.6641f, -0.0000f,0.6952f,0.7189f, -0.0000f,0.3744f,0.9273f,
	-0.0000f,0.9152f,0.4031f, -0.0000f,0.6952f,0.7189f, -0.2751f,0.6952f,0.6641f, -0.3549f,0.3744f,0.8567f, -0.6557f,0.3744f,0.6557f, -0.7071f,-0.0000f,0.7071f, -0.9239f,0.0000f,0.3827f, -0.8567f,-0.3744f,0.3549f, -0.9273f,-0.3744f,-0.0000f, -0.7189f,-0.6952f,-0.0000f, -0.6641f,-0.6952f,-0.2751f, -0.3724f,-0.9152f,-0.1543f, -0.2850f,-0.9152f,-0.2850f, -0.0000f,-1.0000f,0.0000f, -0.0000f,0.6952f,0.7189f,
	-0.0000f,0.3744f,0.9273f, -0.3549f,0.3744f,0.8567f, -0.3827f,0.0000f,0.9239f, -0.7071f,-0.0000f,0.7071f, -0.6557f,-0.3744f,0.6557f, -0.8567f,-0.3744f,0.3549f, -0.6641f,-0.6952f,0.2751f, -0.7189f,-0.6952f,-0.0000f, -0.4031f,-0.9152f,-0.0000f, -0.3724f,-0.9152f,-0.1543f, -0.0000f,-1.0000f,0.0000f, -0.0000f,0.3744f,0.9273f, -0.0000f,0.0000f,1.0000f, -0.3827f,0.0000f,0.9239f, -0.3549f,-0.3744f,0.8567f,
	-0.6557f,-0.3744f,0.6557f, -0.5083f,-0.6952f,0.5083f, -0.6641f,-0.6952f,0.2751f, -0.3724f,-0.9152f,0.1543f, -0.4031f,-0.9152f,-0.0000f, -0.0000f,-1.0000f,0.0000f, -0.0000f,0.0000f,1.0000f, -0.0000f,-0.3744f,0.9273f, -0.3549f,-0.3744f,0.8567f, -0.2751f,-0.6952f,0.6641f, -0.5083f,-0.6952f,0.5083f, -0.2850f,-0.9152f,0.2850f, -0.3724f,-0.9152f,0.1543f, -0.0000f,-1.0000f,0.0000f, -0.0000f,-0.3744f,0.9273f,
	-0.0000f,-0.6952f,0.7189f, -0.2751f,-0.6952f,0.6641f, -0.1543f,-0.9152f,0.3724f, -0.2850f,-0.9152f,0.2850f, -0.0000f,-1.0000f,0.0000f, -0.0000f,-1.0000f,0.0000f, -0.1543f,-0.9152f,0.3724f, -0.0000f,-0.9152f,0.4031f, -0.0000f,-0.6952f,0.7189f, -0.0000f,0.6952f,0.7189f, -0.0000f,0.9152f,0.4031f, 0.1543f,0.9152f,0.3724f, -0.0000f,1.0000f,0.0000f,
_NULL_ }; /* End of sphere05_Normals */

const unsigned short sphere05_StripLength[] = {
	14,14,14, 14,14,14, 14,14,14, 14,12,10, 8,6,4, 12,10,8, 6,4,2, 2,
_NULL_ }; /* End of sphere05_pStripLength */



/**********************************************************
 * MESHES
 **********************************************************/

const Struct_Mesh
   Mesh[NUM_MESHES] = {

/* MESH 0 */
	/* NumVertex      */ sphere01_NumVertex,
	/* NumFaces       */ sphere01_NumFaces,
	/* NumStrips      */ sphere01_NumStrips,
	/* Flags          */ sphere01_Flags,
	/* Material       */ sphere01_Material,
	/* Center         */  -37.228745f, 39.235840f, 0.244358f,
	/* Vertices       */ sphere01_Vertices,
	/* UV             */ sphere01_UV,
	/* Normals        */ sphere01_Normals,
	/* Packed Vertices*/ (const float *) _NULL_,
	/* VertexColor    */ (const unsigned int *)_NULL_,
	/* VertexMaterial */ (const unsigned int *)_NULL_,
	/* Faces          */ (const unsigned short *)_NULL_,
	/* Strips         */ (const unsigned short *)_NULL_,
	/* StripLength    */ (const unsigned short *)sphere01_StripLength,
	/* Patch type     */ 0,
	/* NumPatches     */ 0,
	/* NumPVertices   */ 0,
	/* NumSubdivisions*/ 0,
	/* ControlPoints  */ _NULL_,
	/* PatchUVs       */ _NULL_,

/* MESH 1 */
	/* NumVertex      */ sphere02_NumVertex,
	/* NumFaces       */ sphere02_NumFaces,
	/* NumStrips      */ sphere02_NumStrips,
	/* Flags          */ sphere02_Flags,
	/* Material       */ sphere02_Material,
	/* Center         */  39.634377f, 39.254303f, 0.244358f,
	/* Vertices       */ sphere02_Vertices,
	/* UV             */ sphere02_UV,
	/* Normals        */ sphere02_Normals,
	/* Packed Vertices*/ (const float *) _NULL_,
	/* VertexColor    */ (const unsigned int *)_NULL_,
	/* VertexMaterial */ (const unsigned int *)_NULL_,
	/* Faces          */ (const unsigned short *)_NULL_,
	/* Strips         */ (const unsigned short *)_NULL_,
	/* StripLength    */ (const unsigned short *)sphere02_StripLength,
	/* Patch type     */ 0,
	/* NumPatches     */ 0,
	/* NumPVertices   */ 0,
	/* NumSubdivisions*/ 0,
	/* ControlPoints  */ _NULL_,
	/* PatchUVs       */ _NULL_,

/* MESH 2 */
	/* NumVertex      */ sphere03_NumVertex,
	/* NumFaces       */ sphere03_NumFaces,
	/* NumStrips      */ sphere03_NumStrips,
	/* Flags          */ sphere03_Flags,
	/* Material       */ sphere03_Material,
	/* Center         */  -77.002235f, -31.575943f, 0.244350f,
	/* Vertices       */ sphere03_Vertices,
	/* UV             */ sphere03_UV,
	/* Normals        */ sphere03_Normals,
	/* Packed Vertices*/ (const float *) _NULL_,
	/* VertexColor    */ (const unsigned int *)_NULL_,
	/* VertexMaterial */ (const unsigned int *)_NULL_,
	/* Faces          */ (const unsigned short *)_NULL_,
	/* Strips         */ (const unsigned short *)_NULL_,
	/* StripLength    */ (const unsigned short *)sphere03_StripLength,
	/* Patch type     */ 0,
	/* NumPatches     */ 0,
	/* NumPVertices   */ 0,
	/* NumSubdivisions*/ 0,
	/* ControlPoints  */ _NULL_,
	/* PatchUVs       */ _NULL_,

/* MESH 3 */
	/* NumVertex      */ sphere04_NumVertex,
	/* NumFaces       */ sphere04_NumFaces,
	/* NumStrips      */ sphere04_NumStrips,
	/* Flags          */ sphere04_Flags,
	/* Material       */ sphere04_Material,
	/* Center         */  0.672268f, -31.384735f, 0.244350f,
	/* Vertices       */ sphere04_Vertices,
	/* UV             */ sphere04_UV,
	/* Normals        */ sphere04_Normals,
	/* Packed Vertices*/ (const float *) _NULL_,
	/* VertexColor    */ (const unsigned int *)_NULL_,
	/* VertexMaterial */ (const unsigned int *)_NULL_,
	/* Faces          */ (const unsigned short *)_NULL_,
	/* Strips         */ (const unsigned short *)_NULL_,
	/* StripLength    */ (const unsigned short *)sphere04_StripLength,
	/* Patch type     */ 0,
	/* NumPatches     */ 0,
	/* NumPVertices   */ 0,
	/* NumSubdivisions*/ 0,
	/* ControlPoints  */ _NULL_,
	/* PatchUVs       */ _NULL_,

/* MESH 4 */
	/* NumVertex      */ sphere05_NumVertex,
	/* NumFaces       */ sphere05_NumFaces,
	/* NumStrips      */ sphere05_NumStrips,
	/* Flags          */ sphere05_Flags,
	/* Material       */ sphere05_Material,
	/* Center         */  76.727440f, -30.455986f, 0.244350f,
	/* Vertices       */ sphere05_Vertices,
	/* UV             */ sphere05_UV,
	/* Normals        */ sphere05_Normals,
	/* Packed Vertices*/ (const float *) _NULL_,
	/* VertexColor    */ (const unsigned int *)_NULL_,
	/* VertexMaterial */ (const unsigned int *)_NULL_,
	/* Faces          */ (const unsigned short *)_NULL_,
	/* Strips         */ (const unsigned short *)_NULL_,
	/* StripLength    */ (const unsigned short *)sphere05_StripLength,
	/* Patch type     */ 0,
	/* NumPatches     */ 0,
	/* NumPVertices   */ 0,
	/* NumSubdivisions*/ 0,
	/* ControlPoints  */ _NULL_,
	/* PatchUVs       */ _NULL_

	}; /* End of Meshes */
