/**********************************************************
 * This file has been created with PowerVR Exporter v3.4
 * Date: 17 December 2004   Time: 10:56
 * Original File: Lighting.max 
 *
 * Options: 
 *
 *   Meshes        = ON
 *   Mesh Anim     = OFF
 *   Materials     = OFF
 *   Cameras       = OFF
 *   Camera Anim   = OFF
 *   Lights        = OFF
 *   Paths         = OFF
 *   Bones         = OFF
 *
 *   UVs           = ON
 *   UVs Layer2    = OFF
 *   Normals       = ON
 *   Colors        = OFF
 *   Materials     = OFF
 *   Weights       = OFF
 *
 *   Strips        = OFF
 *   No Face-list  = OFF
 *   DWORD List    = OFF
 *   Packed Format = OFF
 *   OpenGL Format = ON
 *   Transform UVs = OFF
 *   Vertex Format = FLOAT
 *
 *   Patches       = OFF
 *   PatchTriToQuad= OFF
 *   Patch Mesh    = OFF
 *   Patch UVs     = OFF
 *
 **********************************************************/

#define STRUCT_MESH_DEFINED 

typedef struct { unsigned int      nNumVertex;
                 unsigned int      nNumFaces;
                 unsigned int      nNumStrips;
                 unsigned int      nFlags;
                 int               nMaterial;
                 float             fCenter[3];
                 const float             *pVertex;
                 const float             *pUV;
                 const float             *pNormals;
                 const float             *pPackedVertex;
                 const unsigned int      *pVertexColor;
                 const unsigned int      *pVertexMaterial;
                 const unsigned short    *pFaces;
                 const unsigned short    *pStrips;
                 const unsigned short    *pStripLength;
                 struct
                 {
                     unsigned int  nType;
                     unsigned int  nNumPatches;
                     unsigned int  nNumVertices;
                     unsigned int  nNumSubdivisions;
                     const float         *pControlPoints;
                     const float         *pUVs;
                 } Patch;
               }   Struct_Mesh;


/**********************************************************
 * GENERAL DEFINITIONS
 **********************************************************/

#ifndef _NULL_
#define _NULL_ 0
#endif

#define NUM_MESHES     1
#define NUM_BONES	   0
#define NUM_MATERIALS  0
#define NUM_LIGHTS     0
#define NUM_CAMERAS    0
#define NUM_PATHS      0
#define NUM_FRAMES     0

/* MESH FLAGS */

#ifndef MF_MATERIAL
#define MF_MATERIAL        1
#define MF_UV              2
#define MF_NORMALS         4
#define MF_VERTEXCOLOR     8
#define MF_VERTEXMATERIAL  16
#define MF_STRIPS          32
#define MF_NOFACELIST      64
#define MF_UV2             128
#define MF_VERTEXWEIGHTS   256

#define MF_NOPATCH         0
#define MF_RECTPATCH       1
#define MF_TRIPATCH        2
#define MF_MIXPATCH        3

#endif


/* MESHES */
#define M_SPHERE01  0


/**********************************************************
 * MESHES DATA 
 **********************************************************/

/* MESH 0 */

#define sphere01_NumVertex  1324
#define sphere01_NumFaces   2400
#define sphere01_NumStrips  0
#define sphere01_Flags      0x00020006
#define sphere01_Material   -1

const float sphere01_Vertices[] = {
	-5.0760f,51.7370f,-5.2599f, -4.2944f,51.7652f,-4.9090f, -2.4427f,50.4894f,1.3020f, -5.8321f,51.6550f,-5.5671f, -2.4427f,50.4894f,1.3020f, 
	-6.5381f,51.6205f,-5.8350f, -2.4427f,50.4894f,1.3020f, -7.1797f,51.7165f,-5.9417f, -2.4427f,50.4894f,1.3020f, -7.7608f,51.7773f,-5.8574f, 
	-2.4427f,50.4894f,1.3020f, -8.3053f,51.5957f,-5.5153f, -2.4427f,50.4894f,1.3020f, -8.8339f,51.3344f,-4.9473f, -2.4427f,50.4894f,1.3020f, 
	-9.3112f,51.2250f,-4.2548f, -2.4427f,50.4894f,1.3020f, -9.5795f,51.2396f,-3.5282f, -2.4427f,50.4894f,1.3020f, -9.5647f,51.3878f,-2.7512f, 
	-2.4427f,50.4894f,1.3020f, -9.3387f,51.5565f,-1.9402f, -2.4427f,50.4894f,1.3020f, -8.9721f,51.7186f,-1.1315f, -2.4427f,50.4894f,1.3020f, 
	-8.5525f,51.8978f,-0.3445f, -2.4427f,50.4894f,1.3020f, -8.0371f,52.1109f,0.4084f, -2.4427f,50.4894f,1.3020f, -7.3488f,52.3067f,1.1218f, 
	-2.4427f,50.4894f,1.3020f, -6.5649f,52.3999f,1.8082f, -2.4427f,50.4894f,1.3020f, -5.7947f,52.4509f,2.4609f, -2.4427f,50.4894f,1.3020f, 
	-5.0784f,52.6325f,3.0417f, -2.4427f,50.4894f,1.3020f, -4.4666f,52.8679f,3.6211f, -2.4427f,50.4894f,1.3020f, -3.8976f,52.9432f,4.2823f, 
	-2.4427f,50.4894f,1.3020f, -3.2865f,52.7794f,5.0413f, -2.4427f,50.4894f,1.3020f, -2.6071f,52.6153f,5.8182f, -2.4427f,50.4894f,1.3020f, 
	-1.9106f,52.5126f,6.5724f, -2.4427f,50.4894f,1.3020f, -1.1774f,52.3899f,7.1746f, -2.4427f,50.4894f,1.3020f, -0.4062f,52.1253f,7.6244f, 
	-2.4427f,50.4894f,1.3020f, 0.3934f,51.7217f,8.0268f, -2.4427f,50.4894f,1.3020f, 1.2064f,51.4854f,8.3337f, -2.4427f,50.4894f,1.3020f, 
	2.0067f,51.5066f,8.4610f, -2.4427f,50.4894f,1.3020f, 2.7515f,51.5625f,8.3462f, -2.4427f,50.4894f,1.3020f, 3.4693f,51.4439f,7.9446f, 
	-2.4427f,50.4894f,1.3020f, 4.1131f,50.9973f,7.4311f, -2.4427f,50.4894f,1.3020f, 4.5787f,50.4302f,6.8951f, -2.4427f,50.4894f,1.3020f, 
	4.7876f,50.0646f,6.3361f, -2.4427f,50.4894f,1.3020f, 4.7755f,49.9852f,5.7263f, -2.4427f,50.4894f,1.3020f, 4.5711f,50.0268f,5.0521f, 
	-2.4427f,50.4894f,1.3020f, 4.2742f,49.9990f,4.3181f, -2.4427f,50.4894f,1.3020f, 3.9561f,49.9423f,3.5463f, -2.4427f,50.4894f,1.3020f, 
	3.5365f,50.1167f,2.7594f, -2.4427f,50.4894f,1.3020f, 2.9726f,50.5009f,1.9696f, -2.4427f,50.4894f,1.3020f, 2.3552f,50.7848f,1.1791f, 
	-2.4427f,50.4894f,1.3020f, 1.7610f,50.8301f,0.3898f, -2.4427f,50.4894f,1.3020f, 1.2710f,50.7014f,-0.3796f, -2.4427f,50.4894f,1.3020f, 
	0.8232f,50.7297f,-1.0939f, -2.4427f,50.4894f,1.3020f, 0.2743f,50.9964f,-1.7053f, -2.4427f,50.4894f,1.3020f, -0.3939f,51.2930f,-2.1951f, 
	-2.4427f,50.4894f,1.3020f, -1.1417f,51.5141f,-2.6368f, -2.4427f,50.4894f,1.3020f, -1.9243f,51.7056f,-3.1922f, -2.4427f,50.4894f,1.3020f, 
	-2.7152f,51.7498f,-3.8059f, -2.4427f,50.4894f,1.3020f, -3.5052f,51.7452f,-4.4077f, -2.4427f,50.4894f,1.3020f, -4.2944f,51.7652f,-4.9090f, 
	-2.4427f,50.4894f,1.3020f, -3.7050f,51.5400f,-11.3222f, -2.1287f,51.6954f,-10.8745f, -5.2902f,51.4121f,-11.8665f, -6.8741f,51.2447f,-11.8172f, 
	-8.4857f,50.7085f,-11.5000f, -9.9971f,50.2684f,-10.6167f, -11.5849f,49.9961f,-9.2526f, -13.4752f,49.6836f,-7.8673f, -15.1120f,49.2358f,-6.3090f, 
	-15.6766f,49.5109f,-4.6319f, -15.9577f,49.6543f,-2.9659f, -16.2030f,49.8004f,-1.3110f, -15.5555f,50.3370f,0.3161f, -14.8413f,50.7374f,1.8776f, 
	-13.9647f,50.9790f,3.3490f, -12.8705f,51.1578f,4.7191f, -11.9881f,50.9718f,5.9568f, -10.9810f,51.1292f,7.0165f, -10.3530f,51.4846f,7.9848f, 
	-9.5908f,51.8864f,8.8761f, -8.6471f,51.6407f,9.5027f, -7.6451f,51.1342f,10.2928f, -6.5000f,50.6398f,11.3054f, -5.1881f,50.5709f,12.2212f, 
	-3.7661f,50.7940f,13.3507f, -2.2477f,50.7951f,13.9945f, -0.6492f,50.6072f,14.8206f, 0.9966f,50.8090f,15.0464f, 2.6548f,51.2470f,14.6374f, 
	4.3356f,50.8368f,14.3451f, 5.9705f,50.6074f,13.2808f, 7.4332f,50.2206f,11.3426f, 8.8089f,49.9161f,9.6235f, 10.0165f,50.0008f,8.1081f, 
	10.5140f,49.7087f,6.5432f, 10.7814f,49.7857f,4.9400f, 10.4638f,49.8463f,3.3573f, 9.9786f,49.5114f,1.7733f, 9.2644f,49.4733f,0.2117f, 
	8.2254f,50.0459f,-1.3027f, 7.6941f,50.3682f,-2.7449f, 6.8255f,50.5216f,-4.0455f, 5.8856f,50.5901f,-5.2174f, 5.6867f,50.3222f,-6.2286f, 
	5.4391f,50.6666f,-6.7861f, 4.6206f,51.1414f,-6.8387f, 3.4950f,51.0212f,-7.4478f, 2.2808f,50.3705f,-8.4852f, 0.8945f,50.6515f,-9.0413f, 
	-0.5881f,51.5824f,-9.8523f, -2.1287f,51.6954f,-10.8745f, -2.6273f,50.8706f,-16.9333f, -0.2937f,51.1727f,-16.3003f, -4.9233f,50.5024f,-17.7585f, 
	-7.0386f,50.2125f,-17.5894f, -9.0684f,49.8289f,-15.9151f, -11.3057f,49.0506f,-14.3448f, -13.8894f,48.9558f,-12.0260f, -16.4134f,48.2074f,-9.4455f, 
	-18.2720f,47.9066f,-7.1812f, -20.4854f,47.4010f,-5.3607f, -22.1814f,47.7112f,-3.5049f, -22.6004f,47.9728f,-1.4282f, -22.0368f,48.4758f,0.8217f, 
	-21.3950f,48.6063f,3.1332f, -19.8111f,48.3722f,5.4698f, -18.3208f,48.8802f,7.8708f, -17.6480f,49.0375f,10.3133f, -17.0602f,48.4712f,12.5439f, 
	-16.2203f,48.4493f,14.0197f, -15.6240f,48.8724f,14.8091f, -14.5357f,49.0782f,15.4371f, -12.6283f,48.5470f,16.3439f, -10.2426f,48.3689f,16.6380f, 
	-7.7989f,47.9628f,17.8974f, -5.4381f,47.3778f,19.5889f, -3.1146f,48.0798f,20.5122f, -0.8243f,48.0472f,21.3358f, 1.3560f,48.2486f,21.2763f, 
	3.3090f,48.8302f,20.4500f, 5.1062f,49.4495f,18.1728f, 7.1021f,49.6819f,16.2192f, 9.5759f,49.1134f,14.0789f, 12.1442f,48.4548f,11.4270f, 
	14.0216f,47.5930f,8.9988f, 15.6609f,47.0006f,6.9090f, 16.6899f,45.7117f,4.8672f, 16.3493f,46.0375f,2.6490f, 15.3448f,46.7790f,0.3163f, 
	14.7030f,47.3451f,-1.9952f, 13.5600f,47.1862f,-4.2490f, 12.8294f,48.1896f,-6.5085f, 12.8235f,49.9257f,-8.7650f, 12.8098f,50.2161f,-10.7263f, 
	11.9511f,50.0520f,-12.0381f, 11.3105f,49.5368f,-12.7562f, 10.3321f,49.2682f,-13.5627f, 8.6661f,49.0380f,-14.0862f, 6.5130f,49.1753f,-13.7774f, 
	4.2316f,50.1626f,-14.3797f, 1.9865f,50.5636f,-15.1864f, -0.2937f,51.1727f,-16.3003f, -3.9437f,46.0438f,-23.8342f, -1.0534f,46.1034f,-22.5941f, 
	-6.5537f,45.6066f,-23.8682f, -9.0593f,45.1925f,-22.7704f, -11.5771f,44.7459f,-19.8619f, -14.3164f,45.4385f,-17.4803f, -16.6723f,45.8778f,-15.3000f, 
	-19.1611f,45.6685f,-13.8594f, -22.2517f,45.0531f,-11.8060f, -24.7907f,44.2906f,-9.8556f, -27.5191f,43.9280f,-7.8507f, -28.7828f,43.8014f,-5.3956f, 
	-27.3451f,43.2219f,-2.5513f, -26.2392f,44.4308f,0.4736f, -24.3370f,46.1465f,3.6315f, -23.3162f,46.7697f,7.0363f, -23.4265f,47.1374f,10.6565f, 
	-23.2854f,46.1689f,14.0076f, -21.9619f,45.4927f,16.8488f, -19.4834f,45.0372f,19.8183f, -16.6081f,44.3194f,21.4944f, -13.5584f,44.0779f,22.3545f, 
	-9.9731f,44.1922f,22.0219f, -6.4345f,45.9752f,22.7937f, -3.1726f,46.9480f,23.9613f, -0.0864f,47.0209f,25.5813f, 2.8654f,47.6865f,27.1625f, 
	5.5462f,48.0726f,27.3750f, 7.7614f,48.3517f,25.2302f, 9.6503f,48.6164f,22.4759f, 11.7086f,48.2457f,19.5105f, 13.4949f,47.4708f,16.6164f, 
	15.1578f,45.8459f,14.4424f, 17.3904f,43.6993f,11.7877f, 20.1639f,43.0722f,9.1736f, 22.5013f,42.8582f,6.6491f, 22.9850f,41.9121f,4.1407f, 
	21.8411f,41.1407f,1.3928f, 20.7352f,42.0835f,-1.6321f, 18.5393f,42.9085f,-4.8864f, 18.2984f,43.6185f,-8.2379f, 18.7997f,44.4051f,-11.3385f, 
	18.4242f,46.5332f,-14.0259f, 17.9587f,46.4931f,-16.2658f, 16.3061f,46.5322f,-18.5019f, 14.0004f,46.2954f,-19.4641f, 11.6316f,45.9886f,-19.7405f, 
	8.6752f,46.3819f,-19.5621f, 5.4270f,45.9370f,-19.2868f, 2.0943f,45.4018f,-20.6330f, -1.0534f,46.1034f,-22.5941f, -5.9785f,40.2021f,-29.9517f, 
	-2.3125f,40.4816f,-27.8302f, -9.5274f,39.7537f,-28.6950f, -12.9746f,39.3260f,-26.4323f, -16.0510f,39.9386f,-24.5417f, -18.8302f,40.8292f,-22.7017f, 
	-22.1525f,41.4313f,-20.5555f, -24.0006f,41.9956f,-18.1388f, -25.5709f,42.1186f,-16.2438f, -28.7379f,42.6202f,-13.0435f, -31.3356f,41.5037f,-10.1458f, 
	-33.1655f,40.8497f,-7.2211f, -32.7157f,40.5695f,-3.9270f, -30.5776f,41.0659f,-0.2363f, -29.2584f,42.3805f,3.7929f, -29.2871f,43.2669f,8.0178f, 
	-28.9369f,43.4495f,11.9832f, -27.3705f,42.9199f,15.2513f, -24.6735f,41.4911f,19.3280f, -22.2064f,40.5203f,22.2922f, -18.2942f,40.0891f,24.8512f, 
	-14.7558f,40.2530f,26.9663f, -11.2359f,40.9520f,28.2186f, -7.0387f,42.0782f,28.2369f, -2.8819f,44.4490f,28.3633f, 0.9877f,46.9906f,30.9483f, 
	4.4850f,47.2514f,31.9568f, 7.5789f,46.6042f,30.9664f, 10.4019f,45.0608f,29.0041f, 13.5609f,45.4457f,25.8723f, 16.2550f,44.7372f,23.5269f, 
	18.0303f,42.9755f,22.2018f, 20.6162f,41.7751f,19.4027f, 22.2578f,41.4387f,16.2105f, 24.2475f,40.9754f,13.4492f, 26.6146f,39.8785f,10.1269f, 
	28.4790f,38.4321f,6.6312f, 28.0849f,37.9189f,3.0135f, 25.9468f,37.6741f,-0.6772f, 24.5719f,38.3861f,-4.3828f, 24.5661f,39.6746f,-8.0367f, 
	24.4465f,39.9097f,-11.5774f, 24.0574f,41.2773f,-15.2846f, 21.2890f,39.9828f,-18.0641f, 18.0842f,39.7414f,-20.6459f, 15.7190f,40.8117f,-24.0259f, 
	12.2658f,41.2467f,-25.6357f, 8.6632f,40.4984f,-25.6467f, 5.0902f,40.3827f,-25.9655f, 1.3884f,40.2697f,-26.3582f, -2.3125f,40.4816f,-27.8302f, 
	-5.3043f,35.0187f,-34.3690f, -0.9545f,34.3514f,-33.5790f, -9.7872f,34.7178f,-32.9385f, -13.8592f,34.7600f,-31.0480f, -17.5897f,34.8303f,-28.5057f, 
	-21.4491f,36.1818f,-26.8160f, -24.3686f,37.1358f,-25.0383f, -27.8661f,38.2575f,-22.1484f, -30.1518f,38.8947f,-19.3009f, -32.9017f,39.7626f,-16.7056f, 
	-34.8960f,38.8684f,-13.7870f, -36.5153f,38.2801f,-9.6699f, -36.4327f,38.5684f,-5.3568f, -35.1969f,38.0969f,-1.0584f, -34.3216f,37.9778f,3.1572f, 
	-34.0174f,37.9310f,7.3667f, -33.4936f,37.1758f,12.4410f, -31.5663f,35.3912f,17.3790f, -28.0238f,34.3294f,21.4863f, -24.2420f,34.7883f,24.8630f, 
	-20.8904f,35.0444f,28.5650f, -16.1416f,35.4822f,31.4817f, -10.9045f,36.4766f,32.5996f, -6.3595f,39.0239f,33.3656f, -2.2106f,41.8301f,33.5460f, 
	2.0639f,44.8078f,34.8758f, 6.3691f,44.9128f,35.8145f, 10.6645f,42.6816f,34.8121f, 14.2953f,39.7707f,32.7006f, 16.8367f,38.9421f,30.3896f, 
	19.3462f,36.9862f,28.1314f, 22.6184f,35.4954f,24.6253f, 24.7214f,34.6676f,21.9999f, 26.2319f,34.1945f,18.2744f, 28.4461f,35.0511f,14.5936f, 
	31.0869f,33.1673f,10.7698f, 32.9206f,32.8228f,6.4105f, 33.1228f,33.3370f,1.9745f, 31.8869f,34.1019f,-2.3238f, 30.7269f,35.4574f,-6.4166f, 
	30.2083f,36.5477f,-10.3839f, 29.0379f,36.2985f,-14.5530f, 27.6464f,36.3971f,-18.4055f, 24.8792f,35.0320f,-21.6348f, 22.4919f,34.2887f,-25.2760f, 
	18.7875f,35.4525f,-27.2497f, 15.3886f,36.3983f,-29.5977f, 11.3407f,35.6339f,-30.9470f, 7.2368f,33.7323f,-31.4920f, 3.2754f,33.9309f,-32.1005f, 
	-0.9545f,34.3514f,-33.5790f, -5.8861f,30.8524f,-38.8837f, -1.0553f,29.5195f,-38.4671f, -10.7277f,30.0915f,-37.3024f, -15.4549f,29.3098f,-35.4987f, 
	-19.8077f,29.5903f,-33.6406f, -23.4712f,30.9521f,-31.6288f, -26.8137f,32.7717f,-29.3897f, -29.7072f,33.7444f,-27.3832f, -32.6346f,34.7472f,-24.1652f, 
	-34.5545f,35.7386f,-20.6352f, -37.2947f,33.9264f,-15.0561f, -39.9640f,32.4492f,-9.4917f, -39.4311f,32.5712f,-4.2611f, -39.0120f,31.9322f,0.5770f, 
	-38.7907f,31.6906f,4.9463f, -37.9304f,30.5285f,8.7541f, -36.1931f,29.9820f,12.1717f, -33.5903f,29.3412f,17.1210f, -30.0273f,29.1296f,21.7312f, 
	-25.2488f,29.0121f,26.7783f, -20.5766f,29.6321f,30.7070f, -15.6583f,31.2195f,33.8800f, -11.5537f,33.2545f,36.1418f, -8.0589f,34.8876f,37.3282f, 
	-3.9689f,38.1903f,37.5601f, 0.6497f,39.8635f,38.5843f, 5.6881f,40.2754f,38.2851f, 11.1030f,37.9574f,37.3671f, 16.8108f,33.6036f,34.7143f, 
	21.4614f,32.2187f,32.3289f, 24.7130f,32.1568f,30.1114f, 27.4965f,29.6035f,27.3826f, 29.3417f,27.6779f,23.8089f, 31.4663f,27.6461f,20.4704f, 
	33.5250f,27.6046f,16.6755f, 35.3498f,28.2263f,11.9554f, 36.8958f,28.1647f,7.1642f, 37.8873f,29.2545f,2.3321f, 37.4682f,30.1669f,-2.5060f, 
	35.7225f,32.5662f,-7.2738f, 35.9855f,33.1220f,-11.8548f, 35.1636f,32.4530f,-16.1314f, 32.4220f,32.1026f,-20.8157f, 29.6618f,29.3591f,-25.3055f, 
	25.9315f,29.7680f,-28.7854f, 21.8185f,31.2912f,-32.2244f, 17.3121f,31.1209f,-35.1917f, 12.9096f,29.7701f,-36.9262f, 8.4342f,28.9501f,-37.2636f, 
	3.7710f,27.7505f,-38.1587f, -1.0553f,29.5195f,-38.4671f, -5.8526f,26.3225f,-43.8634f, -0.6567f,23.8497f,-44.7231f, -11.1011f,24.5710f,-41.5498f, 
	-16.4440f,23.7674f,-40.2896f, -21.3971f,24.4224f,-38.3767f, -26.5596f,25.9736f,-36.4476f, -31.2605f,28.2926f,-34.4510f, -34.4483f,28.9875f,-30.5891f, 
	-37.0075f,28.6270f,-26.8805f, -37.8537f,29.2370f,-20.5172f, -38.9275f,28.8919f,-15.0027f, -40.5939f,27.5638f,-9.6460f, -40.9996f,26.2935f,-4.1761f, 
	-40.7289f,25.6672f,1.1254f, -41.7507f,25.9873f,6.1752f, -40.9253f,24.4261f,11.0885f, -37.8650f,25.7045f,15.4326f, -35.2491f,25.1513f,18.3609f, 
	-30.5702f,23.6870f,23.2304f, -26.4356f,23.3312f,27.0978f, -21.5763f,23.7174f,31.8600f, -18.0867f,25.1627f,35.6123f, -14.5959f,28.4180f,38.2140f, 
	-9.7702f,30.0365f,40.2304f, -4.8248f,32.3616f,39.9036f, 0.3583f,33.7729f,39.7097f, 5.7575f,33.2328f,40.0496f, 11.2274f,31.5597f,39.0953f, 
	16.4859f,29.2693f,36.9799f, 22.5891f,27.0490f,36.8273f, 28.0520f,26.3539f,34.8351f, 31.3626f,23.7734f,31.9311f, 34.4864f,21.8055f,27.5226f, 
	36.0398f,21.8970f,23.1362f, 38.5321f,22.7603f,17.6518f, 39.3751f,23.2376f,12.7048f, 41.1866f,24.3356f,7.2969f, 43.5373f,26.2486f,2.1371f, 
	43.2666f,27.0966f,-3.1645f, 42.3433f,29.1287f,-8.5242f, 41.3729f,29.1673f,-13.3864f, 38.5433f,28.0571f,-18.2979f, 34.2814f,26.6266f,-22.1051f, 
	30.6083f,24.6775f,-26.2969f, 26.5377f,25.7392f,-29.6177f, 23.0687f,25.6882f,-33.4725f, 19.2787f,24.6551f,-37.1617f, 14.6378f,25.2103f,-41.5237f, 
	9.8964f,23.5452f,-42.6848f, 4.7296f,21.5061f,-43.7175f, -0.6567f,23.8497f,-44.7231f, -5.5485f,20.2453f,-49.6797f, -0.1717f,17.6701f,-50.6119f, 
	-10.3772f,18.6926f,-46.2958f, -15.3564f,18.2040f,-44.8130f, -20.3425f,18.7612f,-42.5571f, -25.9570f,20.0580f,-39.9888f, -30.4453f,22.4938f,-36.9818f, 
	-36.1280f,24.1154f,-32.7082f, -39.9058f,22.6430f,-27.1429f, -40.5151f,23.1495f,-22.5140f, -40.6783f,23.5049f,-16.9869f, -40.9488f,21.9284f,-11.1583f, 
	-41.5996f,20.0585f,-5.4811f, -40.4811f,20.1224f,0.2004f, -41.9834f,20.7102f,5.7964f, -41.3676f,19.5187f,10.9738f, -39.7278f,20.6446f,16.0117f, 
	-35.7818f,20.0394f,21.3402f, -32.3366f,18.6838f,24.9677f, -27.9473f,18.2174f,28.9773f, -24.3986f,18.2637f,33.2132f, -19.7177f,19.8668f,36.7335f, 
	-14.7319f,23.0545f,39.3157f, -9.5432f,23.7996f,41.3442f, -4.1885f,25.2357f,40.0895f, 1.5068f,27.0175f,39.8708f, 7.1520f,26.1000f,39.7456f, 
	12.9589f,25.0960f,40.1021f, 18.5770f,23.6560f,39.5698f, 23.8727f,21.6597f,39.7966f, 28.7858f,20.0943f,36.3714f, 33.9924f,18.0203f,32.2070f, 
	37.3815f,15.9465f,26.9609f, 40.6153f,16.9253f,22.3785f, 42.1434f,16.9288f,16.5037f, 44.6866f,17.4595f,11.7075f, 46.8966f,18.5228f,6.8499f, 
	49.8231f,21.7520f,1.8064f, 48.7046f,22.5095f,-3.8750f, 47.9312f,23.5222f,-10.1048f, 45.3758f,24.0033f,-16.2532f, 41.3561f,23.4050f,-22.0220f, 
	36.4913f,20.4788f,-26.1046f, 33.5901f,18.9241f,-30.7150f, 31.4944f,20.4049f,-33.7520f, 27.2273f,19.5415f,-36.8306f, 23.2478f,19.1210f,-39.4940f, 
	17.9525f,20.6743f,-44.5589f, 12.1249f,18.3303f,-47.5379f, 5.7919f,15.9500f,-50.0236f, -0.1717f,17.6701f,-50.6119f, -3.4056f,14.2675f,-52.1404f, 
	2.5665f,12.1708f,-53.3359f, -9.2487f,13.0471f,-50.1717f, -14.6778f,11.9839f,-47.5920f, -19.4137f,14.0721f,-44.8784f, -25.1916f,14.5633f,-42.3222f, 
	-31.5620f,16.7642f,-40.0888f, -36.6113f,17.1984f,-35.2930f, -39.4255f,16.7290f,-29.4652f, -40.5592f,17.0521f,-24.0554f, -41.5077f,17.7401f,-18.5195f, 
	-43.6912f,15.6712f,-13.1559f, -43.8232f,14.6708f,-7.4742f, -42.7612f,13.9335f,-1.5024f, -43.0422f,15.0879f,4.6651f, -42.9345f,14.2188f,10.8698f, 
	-40.8666f,14.3777f,16.4386f, -37.9366f,14.3689f,21.4950f, -33.4165f,13.7198f,25.3296f, -28.1212f,12.9882f,29.2402f, -24.7255f,13.2864f,34.6199f, 
	-20.3547f,15.0213f,38.4633f, -14.8397f,17.1409f,40.8350f, -8.9455f,17.1612f,41.9461f, -2.6942f,18.3893f,42.2153f, 3.3706f,20.2463f,41.7698f, 
	9.2257f,18.7657f,42.9650f, 14.7063f,17.9653f,41.7288f, 20.1710f,17.9201f,39.6895f, 25.4628f,16.2226f,38.5094f, 31.1762f,14.3216f,37.4897f, 
	36.9831f,12.2324f,32.6907f, 39.8637f,10.4200f,27.5738f, 42.3637f,12.1110f,20.7623f, 45.1876f,12.1167f,16.0367f, 47.5163f,12.5023f,10.8655f, 
	50.3789f,13.1535f,5.2215f, 52.1568f,16.2713f,-0.7182f, 51.0948f,17.2270f,-6.6900f, 49.7299f,17.5534f,-12.5995f, 48.9431f,17.7700f,-18.5238f, 
	45.4949f,16.7718f,-24.4573f, 40.8748f,14.8555f,-30.1978f, 36.6689f,13.5379f,-33.0488f, 33.5423f,14.3443f,-36.6384f, 30.7101f,13.5764f,-39.4524f, 
	26.4038f,13.6619f,-44.8324f, 20.3329f,14.8945f,-48.7375f, 14.4031f,12.7763f,-50.3889f, 8.5143f,10.3730f,-51.3907f, 2.5665f,12.1708f,-53.3359f, 
	-3.4836f,8.5327f,-51.8862f, 2.5905f,6.4129f,-53.4939f, -9.5797f,6.6441f,-49.8044f, -15.3922f,5.8990f,-47.6349f, -20.8387f,8.6503f,-44.9957f, 
	-26.4803f,9.1545f,-42.6474f, -32.1234f,11.0707f,-39.0514f, -38.0581f,10.2076f,-34.3482f, -41.9816f,9.8372f,-29.3635f, -43.0402f,10.6113f,-23.3400f, 
	-42.8093f,12.0743f,-17.1646f, -45.8407f,10.2860f,-11.7347f, -46.6780f,9.1961f,-5.9324f, -46.4299f,7.8539f,0.2354f, -46.3838f,9.6767f,6.6715f, 
	-45.1752f,8.2530f,13.1897f, -43.5089f,8.5257f,18.4838f, -40.1611f,8.6467f,23.2701f, -35.5978f,7.7056f,28.2651f, -31.5661f,7.3907f,32.5543f, 
	-27.0444f,7.7870f,36.8213f, -22.0313f,9.7474f,41.0828f, -17.2170f,11.1299f,43.6958f, -11.0455f,10.7715f,45.3383f, -4.5607f,12.1657f,45.5680f, 
	1.7414f,13.9177f,44.7349f, 7.7506f,12.2018f,44.7397f, 13.3830f,11.6108f,43.7420f, 18.9434f,11.7664f,40.9817f, 25.2908f,10.6483f,42.1868f, 
	30.6930f,8.2939f,38.8104f, 35.6761f,5.7444f,34.0992f, 40.0887f,4.8891f,28.5695f, 42.7762f,6.6967f,22.1786f, 45.3711f,7.0678f,16.9736f, 
	48.2459f,7.2127f,11.4687f, 50.1051f,7.9820f,5.3783f, 51.6050f,10.8473f,-0.6746f, 51.3569f,12.0200f,-6.8424f, 50.6481f,11.6771f,-13.0279f, 
	50.6118f,11.5151f,-18.8857f, 45.8398f,9.7741f,-24.8502f, 40.9557f,8.6618f,-30.4550f, 37.6284f,7.7565f,-34.0439f, 35.1188f,7.8928f,-37.5065f, 
	31.2571f,7.0246f,-40.6583f, 26.4833f,8.0308f,-43.8917f, 20.7682f,8.8325f,-50.3491f, 14.8488f,7.0028f,-51.4006f, 8.8277f,4.4494f,-52.7145f, 
	2.5905f,6.4129f,-53.4939f, -2.9958f,2.3533f,-52.6865f, 3.3659f,0.3032f,-53.1876f, -9.7704f,0.4925f,-51.0015f, -16.4821f,-0.3530f,-49.3906f, 
	-22.6846f,2.6504f,-44.7729f, -29.4269f,3.6412f,-41.9234f, -35.3795f,4.8255f,-39.8096f, -40.9002f,3.4642f,-33.7660f, -43.4369f,3.1721f,-27.7991f, 
	-44.6196f,4.2654f,-21.4981f, -46.0812f,6.0984f,-16.1584f, -46.9568f,4.4589f,-10.7065f, -48.1717f,3.3366f,-4.8529f, -47.5172f,1.6156f,1.4138f, 
	-47.2331f,3.5585f,7.9947f, -45.6422f,2.1284f,14.6823f, -44.4577f,2.6566f,20.9958f, -42.2932f,2.7250f,25.6778f, -36.8529f,1.5730f,29.8506f, 
	-32.4254f,1.3285f,32.9434f, -28.9214f,2.0995f,38.8186f, -24.9147f,3.8055f,42.6849f, -18.9791f,5.1360f,43.4035f, -12.5550f,4.5750f,45.6657f, 
	-5.7931f,5.8324f,46.3292f, 0.6111f,7.3709f,46.6151f, 6.7155f,5.5468f,46.7977f, 12.2649f,5.5551f,45.0882f, 17.7607f,5.8963f,44.2781f, 
	23.1656f,4.3960f,43.3576f, 29.7411f,2.0831f,41.4917f, 35.8942f,-0.8309f,37.1610f, 40.0464f,-1.3022f,31.7592f, 41.9730f,0.8464f,24.9703f, 
	45.8464f,1.1051f,18.3815f, 49.2758f,1.1942f,12.1093f, 50.8018f,2.1609f,5.1670f, 52.0885f,5.0016f,-1.3522f, 51.4340f,6.1018f,-7.6188f, 
	51.0781f,5.3794f,-13.5341f, 48.8368f,5.3260f,-18.7315f, 45.6845f,2.6914f,-24.1125f, 40.8293f,2.1602f,-28.5067f, 35.9991f,1.6896f,-31.8574f, 
	32.9401f,1.7907f,-35.5920f, 29.2356f,0.4779f,-39.2504f, 25.3957f,1.7227f,-44.1002f, 20.2577f,2.4867f,-48.5161f, 15.0495f,0.6445f,-51.5790f, 
	9.5128f,-1.5624f,-52.2180f, 3.3659f,0.3032f,-53.1876f, -4.1631f,-3.9258f,-53.8805f, 2.2892f,-5.9759f,-52.4313f, -10.8923f,-5.7866f,-52.4005f, 
	-17.4661f,-6.6321f,-49.7125f, -23.3765f,-3.6287f,-46.9399f, -30.5052f,-2.6378f,-43.0846f, -37.1229f,-1.4535f,-39.4868f, -41.4197f,-2.8148f,-33.5230f, 
	-44.2303f,-3.1070f,-27.0938f, -45.9651f,-2.0137f,-21.6350f, -46.9601f,-0.1807f,-15.4351f, -48.0747f,-1.8202f,-9.3624f, -49.0220f,-2.9424f,-3.1314f, 
	-46.7625f,-4.6635f,3.1353f, -45.7944f,-2.7205f,9.3388f, -44.2741f,-4.1506f,15.4056f, -42.2451f,-3.6225f,20.8589f, -40.7914f,-3.5541f,26.3831f, 
	-36.7903f,-4.7060f,30.0936f, -32.4273f,-4.9506f,33.2662f, -29.6000f,-4.1795f,37.6575f, -24.5893f,-2.4736f,40.5178f, -19.4090f,-1.1431f,43.0817f, 
	-13.5625f,-1.7041f,44.2667f, -7.3838f,-0.4467f,45.1352f, -1.1490f,1.0918f,47.3714f, 5.1248f,-0.7323f,47.6109f, 11.2574f,-0.7240f,45.2674f, 
	17.3308f,-0.3827f,45.2223f, 23.4910f,-1.8830f,44.8929f, 29.0626f,-4.1960f,41.3500f, 35.8923f,-7.1100f,38.0980f, 40.1090f,-7.5813f,33.0595f, 
	43.4748f,-5.4326f,25.7478f, 48.0591f,-5.1740f,19.3155f, 50.6438f,-5.0848f,13.1204f, 52.2404f,-4.1182f,6.3673f, 52.8433f,-1.2775f,-0.2478f, 
	50.5838f,-0.1773f,-6.5145f, 49.9602f,-0.8997f,-12.3339f, 47.9579f,-0.9530f,-17.7203f, 44.3390f,-3.5876f,-23.1784f, 40.0359f,-4.1189f,-27.7292f, 
	35.4795f,-4.5894f,-30.5571f, 31.1968f,-4.4883f,-34.6550f, 28.1573f,-5.8012f,-39.3920f, 24.7038f,-4.5564f,-42.5648f, 19.2737f,-3.7923f,-47.5719f, 
	13.9276f,-5.6345f,-51.3998f, 8.3455f,-7.8415f,-51.4048f, 2.2892f,-5.9759f,-52.4313f, -6.8940f,-10.2054f,-53.0170f, -0.5668f,-12.3252f,-54.2946f, 
	-13.7336f,-12.0940f,-51.8991f, -20.4423f,-12.8392f,-49.1412f, -26.3939f,-10.0878f,-48.1860f, -31.7510f,-9.5837f,-43.8108f, -37.2357f,-7.6674f,-38.2101f, 
	-40.4174f,-8.5305f,-32.4924f, -41.3274f,-8.9009f,-27.3043f, -44.6580f,-8.1268f,-21.5676f, -45.1906f,-6.6639f,-16.4191f, -45.9247f,-8.4521f,-11.0964f, 
	-45.8382f,-9.5421f,-5.0315f, -45.6085f,-10.8842f,1.1364f, -44.1454f,-9.0614f,7.3098f, -44.1750f,-10.4851f,13.9352f, -40.9436f,-10.2124f,20.2562f, 
	-37.7005f,-10.0914f,25.3293f, -35.3342f,-11.0325f,30.1210f, -32.8582f,-11.3474f,33.3956f, -28.6414f,-10.9512f,35.6579f, -24.1434f,-8.9907f,37.8925f, 
	-18.4117f,-7.6083f,42.1895f, -11.6573f,-7.9666f,43.2436f, -5.3476f,-6.5724f,44.4372f, 0.8008f,-4.8204f,43.9341f, 6.9638f,-6.5363f,44.8665f, 
	12.7712f,-7.1274f,43.7846f, 17.7487f,-6.9717f,44.1524f, 23.1787f,-8.0898f,41.7957f, 29.0960f,-10.4443f,39.0990f, 34.3840f,-12.9938f,38.5045f, 
	40.3523f,-13.8490f,33.7403f, 45.2368f,-12.0415f,27.8324f, 47.9364f,-11.6703f,22.4057f, 49.2461f,-11.5255f,16.0619f, 52.3434f,-10.7561f,9.0938f, 
	52.4264f,-7.8908f,2.5473f, 52.1967f,-6.7181f,-3.6205f, 50.5641f,-7.0611f,-9.3124f, 48.2304f,-7.2230f,-14.2925f, 44.2220f,-8.9640f,-19.4181f, 
	41.6098f,-10.0764f,-24.8012f, 35.2691f,-10.9816f,-28.8730f, 30.0065f,-10.8454f,-33.1011f, 25.9864f,-11.7136f,-40.3697f, 20.9282f,-10.7073f,-44.2828f, 
	15.7181f,-9.9057f,-47.1784f, 10.6949f,-11.7353f,-51.3581f, 5.4173f,-14.2888f,-52.5877f, -0.5668f,-12.3252f,-54.2946f, -7.5770f,-16.6342f,-50.4154f, 
	-1.5480f,-18.7309f,-50.2298f, -13.8718f,-17.8546f,-49.7535f, -20.6592f,-18.9178f,-47.4322f, -26.5304f,-16.8296f,-45.1636f, -31.1865f,-16.3384f,-41.3275f, 
	-36.0537f,-14.1375f,-35.7412f, -37.4357f,-13.7033f,-29.8527f, -38.9996f,-14.1727f,-24.8577f, -41.1233f,-13.8496f,-19.8895f, -42.0052f,-13.1616f,-14.9584f, 
	-43.3359f,-15.2305f,-9.2421f, -45.5284f,-16.2309f,-3.4848f, -45.6184f,-16.9682f,2.4870f, -43.9057f,-15.8138f,8.5789f, -43.6975f,-16.6829f,14.4308f, 
	-41.0820f,-16.5240f,20.6045f, -37.2435f,-16.5328f,26.1025f, -35.7252f,-17.1819f,30.7699f, -33.8011f,-17.9135f,33.5879f, -29.5055f,-17.6153f,35.6146f, 
	-24.5689f,-15.8804f,38.1781f, -18.7228f,-13.7608f,40.9948f, -12.6472f,-13.7405f,42.3642f, -6.6916f,-12.5124f,43.9404f, -0.6035f,-10.6554f,44.8759f, 
	5.2283f,-12.1360f,43.7143f, 11.0046f,-12.9364f,41.4707f, 16.2879f,-12.9816f,40.4285f, 21.2486f,-14.6791f,39.2302f, 26.3962f,-16.5801f,37.3768f, 
	31.3032f,-18.6693f,36.0163f, 37.5550f,-20.4817f,32.5324f, 43.0568f,-18.7907f,27.7763f, 44.9722f,-18.7850f,22.6062f, 46.7533f,-18.3994f,16.1489f, 
	49.5153f,-17.7482f,9.5115f, 49.2996f,-14.6304f,3.4099f, 49.3896f,-13.6747f,-2.5618f, 50.0852f,-13.3483f,-8.3096f, 48.4456f,-13.1317f,-13.2404f, 
	44.9308f,-14.1299f,-17.8878f, 41.3008f,-16.0462f,-23.1839f, 35.8444f,-17.3638f,-28.0902f, 29.0506f,-16.5574f,-33.3128f, 24.7152f,-17.3253f,-39.5653f, 
	19.2871f,-17.2398f,-44.1115f, 14.3515f,-16.0072f,-47.9985f, 9.7800f,-18.1254f,-50.6471f, 4.3429f,-20.5287f,-50.6414f, -1.5480f,-18.7309f,-50.2298f, 
	-7.3311f,-22.3326f,-47.8219f, -1.6278f,-24.9079f,-49.0494f, -13.1876f,-23.8853f,-45.6078f, -19.6733f,-24.3739f,-43.6856f, -25.6536f,-23.8167f,-41.4673f, 
	-31.3607f,-22.5199f,-36.1910f, -34.9669f,-20.0841f,-32.2159f, -38.0975f,-18.4626f,-28.3530f, -37.8421f,-19.9349f,-24.3119f, -37.4502f,-19.4284f,-19.9627f, 
	-37.9093f,-19.0730f,-14.7679f, -39.6814f,-20.6495f,-9.3397f, -41.9709f,-22.5194f,-3.8960f, -42.4929f,-22.4555f,1.7854f, -43.5292f,-21.8677f,7.6150f, 
	-42.0481f,-23.0593f,13.1928f, -40.4978f,-21.9333f,18.5630f, -38.3095f,-22.5386f,24.1711f, -36.5091f,-23.8941f,29.3229f, -33.1067f,-24.3606f,33.7431f, 
	-27.9405f,-24.3142f,37.0110f, -22.3086f,-22.7111f,37.8233f, -17.0944f,-19.5234f,40.4431f, -11.5873f,-18.7784f,42.0322f, -5.8488f,-17.3422f,41.9473f, 
	-0.0487f,-15.5605f,41.4333f, 5.4917f,-16.4779f,40.1673f, 10.9148f,-17.4820f,37.4826f, 16.2145f,-18.9219f,35.9606f, 21.2818f,-20.9182f,36.6729f, 
	25.2439f,-22.4836f,36.9325f, 28.8330f,-24.5576f,35.8649f, 33.2090f,-26.6314f,32.1037f, 38.0875f,-25.6526f,27.4504f, 41.3734f,-25.6492f,21.7654f, 
	44.0061f,-25.1185f,15.2401f, 45.3508f,-24.0551f,9.0649f, 47.8112f,-20.8259f,3.3375f, 48.3333f,-20.0685f,-2.3440f, 49.1986f,-19.0558f,-7.8898f, 
	48.1449f,-18.5746f,-12.7206f, 44.4210f,-19.1730f,-16.7603f, 38.5549f,-22.0992f,-21.0327f, 31.6206f,-23.6538f,-25.5721f, 26.9727f,-22.1730f,-30.0942f, 
	21.8237f,-23.0365f,-36.2695f, 17.9368f,-23.4570f,-42.6177f, 13.6356f,-21.9037f,-48.1681f, 9.3145f,-24.2477f,-50.1574f, 4.0093f,-26.6279f,-49.6019f, 
	-1.6278f,-24.9079f,-49.0494f, -7.3612f,-27.2602f,-45.7748f, -1.8698f,-29.7329f,-48.8350f, -13.2416f,-29.0117f,-42.8813f, -19.4470f,-29.8152f,-40.1278f, 
	-25.0515f,-29.1603f,-37.4468f, -30.1273f,-27.6090f,-33.4208f, -33.0851f,-25.2901f,-29.2597f, -35.1434f,-24.5952f,-25.3511f, -35.4937f,-24.9557f,-21.8648f, 
	-35.3173f,-24.3457f,-18.2533f, -35.2314f,-24.6908f,-13.6657f, -35.3498f,-26.0189f,-8.6812f, -36.4356f,-27.2892f,-3.7479f, -37.8164f,-27.9155f,1.5537f, 
	-39.9256f,-27.5954f,7.1399f, -40.0307f,-29.1566f,12.4255f, -38.8234f,-27.8782f,17.6965f, -37.1860f,-28.4314f,23.3766f, -34.8206f,-29.8956f,28.4683f, 
	-31.5837f,-30.2515f,32.2892f, -27.3863f,-29.8653f,34.8868f, -21.7434f,-28.4200f,36.5422f, -16.0442f,-25.1647f,38.3758f, -11.0110f,-23.5461f,38.8989f, 
	-5.4749f,-21.2211f,37.9921f, 0.0068f,-19.8098f,35.5978f, 5.1073f,-20.3499f,34.7097f, 9.9865f,-22.0230f,34.6422f, 15.0376f,-24.3134f,33.7281f, 
	18.9324f,-26.5337f,34.9134f, 22.2420f,-27.2288f,34.2025f, 26.2145f,-29.8093f,33.6820f, 30.2360f,-31.7772f,30.4056f, 34.1030f,-31.6857f,26.6491f, 
	37.5737f,-30.8223f,21.2575f, 40.2697f,-30.3451f,15.2083f, 43.0117f,-29.2471f,9.1054f, 46.4498f,-27.3341f,3.4292f, 47.8306f,-26.4861f,-1.8723f, 
	47.5875f,-24.4540f,-6.7157f, 45.0689f,-24.4154f,-10.8828f, 41.0797f,-25.5256f,-14.6923f, 35.7952f,-26.9561f,-18.5923f, 29.9132f,-28.9052f,-23.4138f, 
	24.7131f,-27.8435f,-27.8668f, 19.5011f,-27.8945f,-34.1050f, 15.6243f,-28.9276f,-39.0757f, 11.6348f,-28.3724f,-44.7755f, 7.7560f,-30.0375f,-47.1380f, 
	3.2210f,-32.0766f,-49.0573f, -1.8698f,-29.7329f,-48.8350f, -8.9012f,-32.8900f,-43.7855f, -4.0720f,-34.2229f,-47.7565f, -13.7491f,-33.6509f,-40.7608f, 
	-18.3522f,-34.4326f,-37.1016f, -22.1908f,-34.1521f,-34.3859f, -25.7310f,-32.7904f,-30.5321f, -28.3722f,-30.9707f,-26.3610f, -29.5833f,-29.9980f,-22.7477f, 
	-31.4245f,-28.9952f,-18.8790f, -32.9712f,-28.0038f,-14.6550f, -32.3815f,-29.8160f,-11.0826f, -30.8899f,-31.2932f,-6.9353f, -30.2596f,-31.1712f,-2.3632f, 
	-31.9754f,-31.8102f,2.4749f, -34.8160f,-32.0518f,7.5027f, -35.7748f,-33.2139f,12.7276f, -35.0671f,-33.7604f,18.1519f, -33.7470f,-34.4012f,22.4072f, 
	-32.2905f,-34.6128f,26.3666f, -29.5684f,-34.7303f,29.8070f, -25.5101f,-34.1103f,31.8037f, -21.4897f,-32.5229f,33.1347f, -16.6775f,-30.4879f,34.5389f, 
	-11.2100f,-28.8548f,33.8698f, -6.1121f,-25.5521f,32.6583f, -1.1668f,-23.8789f,29.2948f, 3.5450f,-23.4670f,29.2536f, 7.9518f,-25.7850f,30.2948f, 
	11.6870f,-30.1388f,31.8577f, 15.6301f,-31.5237f,31.1906f, 19.7795f,-31.5856f,29.1076f, 23.1769f,-34.1389f,28.0757f, 27.0786f,-36.0645f,25.9522f, 
	31.3095f,-36.0963f,23.0379f, 34.6510f,-36.1378f,19.1997f, 37.5053f,-35.5161f,15.0124f, 40.8705f,-35.5778f,10.1744f, 44.9239f,-34.4879f,5.3493f, 
	46.6396f,-33.5755f,0.5112f, 44.7966f,-31.1762f,-4.2636f, 40.8987f,-30.6204f,-8.7977f, 36.7469f,-31.2894f,-13.6071f, 33.6321f,-31.6398f,-18.2483f, 
	29.7858f,-34.3833f,-23.1622f, 24.3730f,-33.9744f,-28.0923f, 19.5586f,-32.4512f,-33.2283f, 14.9290f,-32.6215f,-36.3300f, 10.0123f,-33.9723f,-39.7828f, 
	5.4128f,-34.7923f,-44.3358f, 0.7559f,-35.9919f,-47.1902f, -4.0720f,-34.2229f,-47.7565f, -7.7862f,-37.8782f,-41.8800f, -3.6375f,-38.5454f,-44.3797f, 
	-11.6141f,-38.1790f,-38.2087f, -15.1451f,-38.1368f,-35.3932f, -18.6445f,-38.0665f,-32.1863f, -21.4855f,-36.7151f,-27.7165f, -23.6941f,-35.7611f,-24.0333f, 
	-25.9524f,-34.6393f,-20.2662f, -27.7992f,-34.0021f,-16.8892f, -28.9590f,-33.1343f,-13.9821f, -27.1353f,-34.0285f,-10.2738f, -25.2807f,-34.6168f,-6.0784f, 
	-24.8502f,-34.3285f,-1.8687f, -25.8720f,-34.8000f,2.4296f, -28.5661f,-34.9191f,6.7488f, -29.6227f,-34.9658f,10.8799f, -29.0214f,-35.7211f,15.1645f, 
	-29.0042f,-37.5057f,19.7907f, -28.3640f,-38.5674f,23.3685f, -25.8837f,-38.1086f,25.8680f, -22.6895f,-37.8525f,27.6645f, -18.7756f,-37.4147f,27.8011f, 
	-14.0733f,-36.4202f,28.2544f, -9.9972f,-33.8730f,28.0953f, -5.7160f,-31.0668f,26.0349f, -1.4231f,-28.0891f,24.0750f, 2.8636f,-27.9841f,23.8142f, 
	7.0268f,-30.2153f,24.6670f, 11.1265f,-33.1261f,27.1134f, 14.2027f,-33.9547f,27.6815f, 17.5472f,-35.9106f,26.0125f, 20.9768f,-37.4015f,23.4831f, 
	24.3813f,-38.2292f,21.4705f, 28.7940f,-38.7024f,18.9849f, 32.9183f,-37.8458f,15.8262f, 35.4816f,-39.7296f,12.2301f, 38.6761f,-40.0741f,8.6192f, 
	42.4477f,-39.5598f,4.6099f, 43.4694f,-38.7950f,0.3116f, 41.9615f,-37.4394f,-4.2080f, 37.9689f,-36.3491f,-8.9236f, 32.9807f,-36.5983f,-13.3204f, 
	29.9990f,-36.4998f,-17.6950f, 26.7928f,-37.8649f,-22.1642f, 23.1664f,-38.6082f,-26.4182f, 18.7512f,-37.4444f,-29.3685f, 14.3338f,-36.4985f,-32.3058f, 
	10.0547f,-37.2630f,-36.5342f, 5.4099f,-39.1646f,-41.6371f, 0.7934f,-38.9660f,-44.1007f, -3.6375f,-38.5454f,-44.3797f, -4.3249f,-40.6996f,-37.5486f, 
	-0.6693f,-40.4201f,-38.7879f, -7.8282f,-41.1480f,-33.8859f, -11.0955f,-41.5757f,-31.9934f, -14.3858f,-40.9631f,-29.7310f, -16.8412f,-40.0726f,-26.4803f, 
	-19.2613f,-39.4704f,-22.2101f, -21.1968f,-38.9061f,-19.1871f, -21.8983f,-38.7831f,-16.2704f, -22.3274f,-38.2815f,-12.6646f, -21.4970f,-39.3980f,-9.1135f, 
	-21.2229f,-40.0520f,-5.8078f, -21.3163f,-40.3322f,-2.3798f, -21.3558f,-39.8358f,1.3109f, -23.1306f,-38.5212f,5.2062f, -23.9659f,-37.6348f,9.0501f, 
	-23.2893f,-37.4522f,12.3621f, -22.5625f,-37.9818f,15.2247f, -22.2917f,-39.4106f,18.2797f, -20.8679f,-40.3814f,20.6376f, -17.7634f,-40.8126f,21.0725f, 
	-14.9702f,-40.6487f,21.7770f, -11.9308f,-39.9497f,22.6575f, -8.2946f,-38.8235f,23.0460f, -4.3858f,-36.4527f,20.7664f, -0.5720f,-33.9111f,19.9906f, 
	2.9811f,-33.6503f,20.1612f, 6.3231f,-34.2975f,19.9077f, 9.7070f,-35.8410f,21.1294f, 13.3466f,-35.4560f,21.1611f, 16.7858f,-36.1645f,20.6929f, 
	19.3688f,-37.9262f,19.1146f, 22.9979f,-39.1266f,16.9437f, 27.0659f,-39.4630f,14.5181f, 29.8951f,-39.9263f,11.6483f, 31.9358f,-41.0232f,8.3074f, 
	34.6068f,-42.4696f,4.9664f, 37.3068f,-42.9828f,1.3673f, 37.3462f,-43.2276f,-2.3235f, 36.5145f,-42.5156f,-6.0476f, 34.4047f,-41.2271f,-9.8562f, 
	30.8569f,-40.9920f,-13.3783f, 27.7300f,-39.6244f,-16.9770f, 24.0928f,-40.9189f,-20.5231f, 20.9754f,-41.1603f,-23.7331f, 17.7079f,-40.0900f,-26.8600f, 
	13.9310f,-39.6550f,-30.3469f, 10.5423f,-40.4033f,-33.5215f, 6.7894f,-40.5190f,-37.0241f, 3.0420f,-40.6320f,-38.1539f, -0.6693f,-40.4201f,-38.7879f, 
	-1.2923f,-41.5868f,-30.8199f, 1.6248f,-41.5272f,-31.9538f, -4.0249f,-42.0241f,-29.2895f, -6.8020f,-42.4381f,-27.1618f, -9.3410f,-42.8847f,-25.1623f, 
	-11.6058f,-42.1922f,-23.6036f, -13.7129f,-41.7529f,-21.2740f, -14.9235f,-41.9622f,-17.8898f, -16.7617f,-42.5776f,-14.8477f, -17.6567f,-43.3401f,-12.1669f, 
	-18.3554f,-43.7027f,-9.5708f, -17.1981f,-43.8292f,-6.7254f, -17.4173f,-44.4088f,-3.7415f, -17.5294f,-43.1998f,-0.7166f, -18.2899f,-41.4841f,2.3018f, 
	-18.9755f,-40.8609f,5.3162f, -18.6227f,-40.4932f,8.3452f, -17.1963f,-41.4618f,10.9660f, -15.7324f,-42.1379f,12.8183f, -14.4656f,-42.5934f,13.8444f, 
	-13.1335f,-43.3113f,15.3711f, -10.8890f,-43.5528f,17.0541f, -7.9793f,-43.4384f,17.6305f, -4.9476f,-41.6555f,17.3723f, -1.9353f,-40.6827f,16.9756f, 
	1.0895f,-40.6098f,16.2216f, 4.1027f,-39.9442f,15.8791f, 7.0331f,-39.5581f,16.6853f, 9.7552f,-39.2790f,17.3287f, 12.3197f,-39.0143f,15.8986f, 
	15.1833f,-39.3850f,14.8199f, 18.5127f,-40.1599f,13.1652f, 21.3873f,-41.7848f,11.6991f, 23.4795f,-43.9314f,9.3129f, 24.9677f,-44.5584f,7.0031f, 
	26.8420f,-44.7725f,4.2441f, 29.0321f,-45.7185f,1.5329f, 30.5509f,-46.4900f,-1.2793f, 30.6630f,-45.5472f,-4.3042f, 30.1240f,-44.7222f,-7.4943f, 
	27.4621f,-44.0121f,-10.6429f, 25.9337f,-43.2255f,-13.5090f, 23.9141f,-41.0975f,-16.5008f, 22.1963f,-41.1376f,-19.0090f, 19.2654f,-41.0985f,-21.9532f, 
	16.7110f,-41.3353f,-24.1548f, 13.8677f,-41.6421f,-26.3178f, 10.9326f,-41.2488f,-27.4636f, 7.9558f,-41.6937f,-29.9766f, 4.7456f,-42.2288f,-31.9164f, 
	1.6248f,-41.5272f,-31.9538f, 0.8953f,-42.1070f,-24.4972f, 3.1905f,-41.8049f,-24.9960f, -1.3424f,-42.4753f,-23.1683f, -3.4966f,-42.7651f,-21.3317f, 
	-5.5995f,-43.1487f,-19.8123f, -7.9176f,-43.9270f,-18.1462f, -10.0412f,-44.0218f,-16.5797f, -11.4495f,-44.7703f,-14.7434f, -12.9080f,-45.0710f,-13.1136f, 
	-13.3422f,-45.5766f,-11.3142f, -13.4951f,-45.2665f,-9.1473f, -12.7433f,-45.0049f,-6.9619f, -13.1427f,-44.5019f,-4.7010f, -12.9260f,-44.3713f,-2.3895f, 
	-13.3681f,-44.6055f,-0.0640f, -13.8487f,-44.0975f,2.2284f, -13.9636f,-43.9401f,4.3598f, -13.1603f,-44.5064f,6.6115f, -12.1681f,-44.5283f,8.7218f, 
	-10.6674f,-44.1052f,10.2554f, -8.8676f,-43.8995f,11.6357f, -6.6031f,-44.4306f,12.4467f, -4.4637f,-44.6087f,12.8956f, -2.2324f,-45.0148f,12.4876f, 
	0.0858f,-45.5999f,12.0250f, 2.4084f,-44.8979f,11.8165f, 4.6996f,-44.9305f,11.7708f, 6.9225f,-44.7291f,11.9320f, 9.0879f,-44.1475f,12.3099f, 
	11.1314f,-43.5281f,12.1368f, 12.7702f,-43.2958f,11.0342f, 14.5324f,-43.8643f,9.6705f, 16.1963f,-44.5228f,7.9431f, 17.9215f,-45.3847f,5.5806f, 
	19.3453f,-45.9771f,3.4013f, 21.1620f,-47.2659f,1.2902f, 22.7923f,-46.9401f,-0.9081f, 23.8138f,-46.1986f,-3.1785f, 23.5971f,-45.6326f,-5.4899f, 
	23.4171f,-45.7914f,-7.8061f, 21.5156f,-44.7881f,-10.0855f, 19.9667f,-43.0520f,-12.2727f, 18.1737f,-42.7615f,-14.1445f, 16.9150f,-42.9257f,-15.5220f, 
	15.1586f,-43.4409f,-17.1646f, 13.7203f,-43.7095f,-18.7477f, 12.1350f,-43.9396f,-20.1222f, 10.0549f,-43.8024f,-21.9174f, 7.8125f,-42.8151f,-23.7239f, 
	5.5092f,-42.4140f,-24.7514f, 3.1905f,-41.8049f,-24.9960f, 1.2355f,-45.3183f,-18.1888f, 2.8343f,-45.1629f,-18.6238f, -0.4175f,-45.4462f,-17.2113f, 
	-2.0782f,-45.6136f,-16.5569f, -3.6652f,-46.1498f,-15.2940f, -5.1654f,-46.5899f,-13.8590f, -6.2593f,-46.8622f,-12.7285f, -6.8843f,-47.1747f,-11.4278f, 
	-7.2904f,-47.6225f,-9.8189f, -7.6779f,-47.3474f,-8.1707f, -7.5414f,-47.2040f,-6.7026f, -7.6074f,-47.0579f,-5.2578f, -7.5686f,-46.5213f,-3.7517f, 
	-7.3975f,-46.1209f,-2.1902f, -7.9106f,-45.8793f,-0.5979f, -7.8784f,-45.7005f,0.9824f, -7.6230f,-45.8865f,2.4180f, -7.6117f,-45.7291f,3.5065f, 
	-7.0108f,-45.3738f,4.4243f, -6.0474f,-44.9719f,5.4002f, -5.1073f,-45.2176f,6.2604f, -4.1431f,-45.7241f,6.4988f, -2.8747f,-46.2185f,6.5657f, 
	-1.3392f,-46.2874f,6.8763f, 0.2554f,-46.0644f,6.4841f, 1.8358f,-46.0632f,6.2452f, 3.3723f,-46.2511f,6.5333f, 4.8455f,-46.0493f,6.3753f, 
	6.2802f,-45.6113f,6.4960f, 7.8376f,-46.0215f,6.3821f, 9.5103f,-46.2509f,5.9415f, 10.9766f,-46.6378f,5.4761f, 12.1511f,-46.9422f,4.6402f, 
	13.3858f,-46.8575f,3.3029f, 14.8792f,-47.1497f,1.7378f, 15.7734f,-47.0726f,0.1111f, 16.5179f,-47.0120f,-1.5544f, 17.4224f,-47.3469f,-3.1841f, 
	17.2513f,-47.3850f,-4.7457f, 16.8211f,-46.8124f,-6.2144f, 16.1104f,-46.4901f,-7.5739f, 14.8242f,-46.3368f,-8.8509f, 13.7072f,-46.2682f,-10.0225f, 
	12.2776f,-46.5361f,-11.2119f, 10.7647f,-46.1918f,-12.6526f, 9.4522f,-45.7169f,-14.1780f, 8.3155f,-45.8371f,-15.4108f, 7.0767f,-46.4878f,-16.6266f, 
	5.7672f,-46.2068f,-17.7124f, 4.3524f,-45.2759f,-18.1396f, 2.8343f,-45.1629f,-18.6238f, 1.9630f,-47.4745f,-12.0724f, 2.7300f,-47.4463f,-12.1618f, 
	1.2448f,-47.5565f,-11.7117f, 0.5819f,-47.5909f,-11.1684f, -0.0347f,-47.4950f,-10.5751f, -0.5744f,-47.4342f,-10.0587f, -1.0093f,-47.6158f,-9.5001f, 
	-1.3239f,-47.8771f,-8.8245f, -1.5075f,-47.9865f,-8.0329f, -1.5582f,-47.9719f,-7.1637f, -1.5514f,-47.8237f,-6.2792f, -1.5442f,-47.6550f,-5.4173f, 
	-1.5330f,-47.4929f,-4.5888f, -1.4949f,-47.3137f,-3.8018f, -1.5304f,-47.1006f,-3.0688f, -1.6051f,-46.9048f,-2.4062f, -1.6140f,-46.8115f,-1.8273f, 
	-1.4095f,-46.7605f,-1.3172f, -1.0061f,-46.5790f,-0.8355f, -0.5422f,-46.3436f,-0.3637f, -0.0663f,-46.2683f,0.0809f, 0.4262f,-46.4321f,0.4079f, 
	0.9652f,-46.5961f,0.4848f, 1.5870f,-46.6989f,0.4279f, 2.2869f,-46.8216f,0.3621f, 3.0488f,-47.0862f,0.3715f, 3.8578f,-47.4897f,0.4004f, 
	4.7039f,-47.7260f,0.4064f, 5.5790f,-47.7049f,0.4155f, 6.4642f,-47.6489f,0.4079f, 7.3006f,-47.7676f,0.2918f, 8.0375f,-48.2142f,0.0418f, 
	8.6510f,-48.7813f,-0.3347f, 9.1727f,-49.1469f,-0.8242f, 9.7265f,-49.2263f,-1.4089f, 10.3148f,-49.1847f,-2.0473f, 10.7809f,-49.2125f,-2.7379f, 
	11.0136f,-49.2691f,-3.4818f, 10.9756f,-49.0948f,-4.2688f, 10.7671f,-48.7106f,-5.0864f, 10.3685f,-48.4266f,-5.9203f, 9.7823f,-48.3814f,-6.7453f, 
	9.0748f,-48.5101f,-7.5398f, 8.3332f,-48.4817f,-8.3237f, 7.5704f,-48.2150f,-9.0946f, 6.7925f,-47.9185f,-9.8479f, 6.0032f,-47.6974f,-10.5751f, 
	5.1957f,-47.5059f,-11.2377f, 4.3617f,-47.4617f,-11.7332f, 3.5338f,-47.4662f,-12.0340f, 2.7300f,-47.4463f,-12.1618f, 4.5588f,-49.5106f,-5.6995f, 
	4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 
	4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 
	4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 
	4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 
	4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 
	4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 
	4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 
	4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 
	4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 
	4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 4.5588f,-49.5106f,-5.6995f, 
_NULL_ }; /* End of sphere01_Vertices */

const float sphere01_UV[] = {
	0.0200f,0.9600f,0.0000f,0.9600f,0.0000f,1.0000f,0.0400f,0.9600f,0.0200f,1.0000f,0.0600f,0.9600f,0.0400f,1.0000f,0.0800f,0.9600f,0.0600f,1.0000f,0.1000f,0.9600f,0.0800f,1.0000f,0.1200f,0.9600f,0.1000f,1.0000f,0.1400f,0.9600f,0.1200f,1.0000f,
	0.1600f,0.9600f,0.1400f,1.0000f,0.1800f,0.9600f,0.1600f,1.0000f,0.2000f,0.9600f,0.1800f,1.0000f,0.2200f,0.9600f,0.2000f,1.0000f,0.2400f,0.9600f,0.2200f,1.0000f,0.2600f,0.9600f,0.2400f,1.0000f,0.2800f,0.9600f,0.2600f,1.0000f,0.3000f,0.9600f,
	0.2800f,1.0000f,0.3200f,0.9600f,0.3000f,1.0000f,0.3400f,0.9600f,0.3200f,1.0000f,0.3600f,0.9600f,0.3400f,1.0000f,0.3800f,0.9600f,0.3600f,1.0000f,0.4000f,0.9600f,0.3800f,1.0000f,0.4200f,0.9600f,0.4000f,1.0000f,0.4400f,0.9600f,0.4200f,1.0000f,
	0.4600f,0.9600f,0.4400f,1.0000f,0.4800f,0.9600f,0.4600f,1.0000f,0.5000f,0.9600f,0.4800f,1.0000f,0.5200f,0.9600f,0.5000f,1.0000f,0.5400f,0.9600f,0.5200f,1.0000f,0.5600f,0.9600f,0.5400f,1.0000f,0.5800f,0.9600f,0.5600f,1.0000f,0.6000f,0.9600f,
	0.5800f,1.0000f,0.6200f,0.9600f,0.6000f,1.0000f,0.6400f,0.9600f,0.6200f,1.0000f,0.6600f,0.9600f,0.6400f,1.0000f,0.6800f,0.9600f,0.6600f,1.0000f,0.7000f,0.9600f,0.6800f,1.0000f,0.7200f,0.9600f,0.7000f,1.0000f,0.7400f,0.9600f,0.7200f,1.0000f,
	0.7600f,0.9600f,0.7400f,1.0000f,0.7800f,0.9600f,0.7600f,1.0000f,0.8000f,0.9600f,0.7800f,1.0000f,0.8200f,0.9600f,0.8000f,1.0000f,0.8400f,0.9600f,0.8200f,1.0000f,0.8600f,0.9600f,0.8400f,1.0000f,0.8800f,0.9600f,0.8600f,1.0000f,0.9000f,0.9600f,
	0.8800f,1.0000f,0.9200f,0.9600f,0.9000f,1.0000f,0.9400f,0.9600f,0.9200f,1.0000f,0.9600f,0.9600f,0.9400f,1.0000f,0.9800f,0.9600f,0.9600f,1.0000f,1.0000f,0.9600f,0.9800f,1.0000f,0.0200f,0.9200f,0.0000f,0.9200f,0.0400f,0.9200f,0.0600f,0.9200f,
	0.0800f,0.9200f,0.1000f,0.9200f,0.1200f,0.9200f,0.1400f,0.9200f,0.1600f,0.9200f,0.1800f,0.9200f,0.2000f,0.9200f,0.2200f,0.9200f,0.2400f,0.9200f,0.2600f,0.9200f,0.2800f,0.9200f,0.3000f,0.9200f,0.3200f,0.9200f,0.3400f,0.9200f,0.3600f,0.9200f,
	0.3800f,0.9200f,0.4000f,0.9200f,0.4200f,0.9200f,0.4400f,0.9200f,0.4600f,0.9200f,0.4800f,0.9200f,0.5000f,0.9200f,0.5200f,0.9200f,0.5400f,0.9200f,0.5600f,0.9200f,0.5800f,0.9200f,0.6000f,0.9200f,0.6200f,0.9200f,0.6400f,0.9200f,0.6600f,0.9200f,
	0.6800f,0.9200f,0.7000f,0.9200f,0.7200f,0.9200f,0.7400f,0.9200f,0.7600f,0.9200f,0.7800f,0.9200f,0.8000f,0.9200f,0.8200f,0.9200f,0.8400f,0.9200f,0.8600f,0.9200f,0.8800f,0.9200f,0.9000f,0.9200f,0.9200f,0.9200f,0.9400f,0.9200f,0.9600f,0.9200f,
	0.9800f,0.9200f,1.0000f,0.9200f,0.0200f,0.8800f,0.0000f,0.8800f,0.0400f,0.8800f,0.0600f,0.8800f,0.0800f,0.8800f,0.1000f,0.8800f,0.1200f,0.8800f,0.1400f,0.8800f,0.1600f,0.8800f,0.1800f,0.8800f,0.2000f,0.8800f,0.2200f,0.8800f,0.2400f,0.8800f,
	0.2600f,0.8800f,0.2800f,0.8800f,0.3000f,0.8800f,0.3200f,0.8800f,0.3400f,0.8800f,0.3600f,0.8800f,0.3800f,0.8800f,0.4000f,0.8800f,0.4200f,0.8800f,0.4400f,0.8800f,0.4600f,0.8800f,0.4800f,0.8800f,0.5000f,0.8800f,0.5200f,0.8800f,0.5400f,0.8800f,
	0.5600f,0.8800f,0.5800f,0.8800f,0.6000f,0.8800f,0.6200f,0.8800f,0.6400f,0.8800f,0.6600f,0.8800f,0.6800f,0.8800f,0.7000f,0.8800f,0.7200f,0.8800f,0.7400f,0.8800f,0.7600f,0.8800f,0.7800f,0.8800f,0.8000f,0.8800f,0.8200f,0.8800f,0.8400f,0.8800f,
	0.8600f,0.8800f,0.8800f,0.8800f,0.9000f,0.8800f,0.9200f,0.8800f,0.9400f,0.8800f,0.9600f,0.8800f,0.9800f,0.8800f,1.0000f,0.8800f,0.0200f,0.8400f,0.0000f,0.8400f,0.0400f,0.8400f,0.0600f,0.8400f,0.0800f,0.8400f,0.1000f,0.8400f,0.1200f,0.8400f,
	0.1400f,0.8400f,0.1600f,0.8400f,0.1800f,0.8400f,0.2000f,0.8400f,0.2200f,0.8400f,0.2400f,0.8400f,0.2600f,0.8400f,0.2800f,0.8400f,0.3000f,0.8400f,0.3200f,0.8400f,0.3400f,0.8400f,0.3600f,0.8400f,0.3800f,0.8400f,0.4000f,0.8400f,0.4200f,0.8400f,
	0.4400f,0.8400f,0.4600f,0.8400f,0.4800f,0.8400f,0.5000f,0.8400f,0.5200f,0.8400f,0.5400f,0.8400f,0.5600f,0.8400f,0.5800f,0.8400f,0.6000f,0.8400f,0.6200f,0.8400f,0.6400f,0.8400f,0.6600f,0.8400f,0.6800f,0.8400f,0.7000f,0.8400f,0.7200f,0.8400f,
	0.7400f,0.8400f,0.7600f,0.8400f,0.7800f,0.8400f,0.8000f,0.8400f,0.8200f,0.8400f,0.8400f,0.8400f,0.8600f,0.8400f,0.8800f,0.8400f,0.9000f,0.8400f,0.9200f,0.8400f,0.9400f,0.8400f,0.9600f,0.8400f,0.9800f,0.8400f,1.0000f,0.8400f,0.0200f,0.8000f,
	0.0000f,0.8000f,0.0400f,0.8000f,0.0600f,0.8000f,0.0800f,0.8000f,0.1000f,0.8000f,0.1200f,0.8000f,0.1400f,0.8000f,0.1600f,0.8000f,0.1800f,0.8000f,0.2000f,0.8000f,0.2200f,0.8000f,0.2400f,0.8000f,0.2600f,0.8000f,0.2800f,0.8000f,0.3000f,0.8000f,
	0.3200f,0.8000f,0.3400f,0.8000f,0.3600f,0.8000f,0.3800f,0.8000f,0.4000f,0.8000f,0.4200f,0.8000f,0.4400f,0.8000f,0.4600f,0.8000f,0.4800f,0.8000f,0.5000f,0.8000f,0.5200f,0.8000f,0.5400f,0.8000f,0.5600f,0.8000f,0.5800f,0.8000f,0.6000f,0.8000f,
	0.6200f,0.8000f,0.6400f,0.8000f,0.6600f,0.8000f,0.6800f,0.8000f,0.7000f,0.8000f,0.7200f,0.8000f,0.7400f,0.8000f,0.7600f,0.8000f,0.7800f,0.8000f,0.8000f,0.8000f,0.8200f,0.8000f,0.8400f,0.8000f,0.8600f,0.8000f,0.8800f,0.8000f,0.9000f,0.8000f,
	0.9200f,0.8000f,0.9400f,0.8000f,0.9600f,0.8000f,0.9800f,0.8000f,1.0000f,0.8000f,0.0200f,0.7600f,0.0000f,0.7600f,0.0400f,0.7600f,0.0600f,0.7600f,0.0800f,0.7600f,0.1000f,0.7600f,0.1200f,0.7600f,0.1400f,0.7600f,0.1600f,0.7600f,0.1800f,0.7600f,
	0.2000f,0.7600f,0.2200f,0.7600f,0.2400f,0.7600f,0.2600f,0.7600f,0.2800f,0.7600f,0.3000f,0.7600f,0.3200f,0.7600f,0.3400f,0.7600f,0.3600f,0.7600f,0.3800f,0.7600f,0.4000f,0.7600f,0.4200f,0.7600f,0.4400f,0.7600f,0.4600f,0.7600f,0.4800f,0.7600f,
	0.5000f,0.7600f,0.5200f,0.7600f,0.5400f,0.7600f,0.5600f,0.7600f,0.5800f,0.7600f,0.6000f,0.7600f,0.6200f,0.7600f,0.6400f,0.7600f,0.6600f,0.7600f,0.6800f,0.7600f,0.7000f,0.7600f,0.7200f,0.7600f,0.7400f,0.7600f,0.7600f,0.7600f,0.7800f,0.7600f,
	0.8000f,0.7600f,0.8200f,0.7600f,0.8400f,0.7600f,0.8600f,0.7600f,0.8800f,0.7600f,0.9000f,0.7600f,0.9200f,0.7600f,0.9400f,0.7600f,0.9600f,0.7600f,0.9800f,0.7600f,1.0000f,0.7600f,0.0200f,0.7200f,0.0000f,0.7200f,0.0400f,0.7200f,0.0600f,0.7200f,
	0.0800f,0.7200f,0.1000f,0.7200f,0.1200f,0.7200f,0.1400f,0.7200f,0.1600f,0.7200f,0.1800f,0.7200f,0.2000f,0.7200f,0.2200f,0.7200f,0.2400f,0.7200f,0.2600f,0.7200f,0.2800f,0.7200f,0.3000f,0.7200f,0.3200f,0.7200f,0.3400f,0.7200f,0.3600f,0.7200f,
	0.3800f,0.7200f,0.4000f,0.7200f,0.4200f,0.7200f,0.4400f,0.7200f,0.4600f,0.7200f,0.4800f,0.7200f,0.5000f,0.7200f,0.5200f,0.7200f,0.5400f,0.7200f,0.5600f,0.7200f,0.5800f,0.7200f,0.6000f,0.7200f,0.6200f,0.7200f,0.6400f,0.7200f,0.6600f,0.7200f,
	0.6800f,0.7200f,0.7000f,0.7200f,0.7200f,0.7200f,0.7400f,0.7200f,0.7600f,0.7200f,0.7800f,0.7200f,0.8000f,0.7200f,0.8200f,0.7200f,0.8400f,0.7200f,0.8600f,0.7200f,0.8800f,0.7200f,0.9000f,0.7200f,0.9200f,0.7200f,0.9400f,0.7200f,0.9600f,0.7200f,
	0.9800f,0.7200f,1.0000f,0.7200f,0.0200f,0.6800f,0.0000f,0.6800f,0.0400f,0.6800f,0.0600f,0.6800f,0.0800f,0.6800f,0.1000f,0.6800f,0.1200f,0.6800f,0.1400f,0.6800f,0.1600f,0.6800f,0.1800f,0.6800f,0.2000f,0.6800f,0.2200f,0.6800f,0.2400f,0.6800f,
	0.2600f,0.6800f,0.2800f,0.6800f,0.3000f,0.6800f,0.3200f,0.6800f,0.3400f,0.6800f,0.3600f,0.6800f,0.3800f,0.6800f,0.4000f,0.6800f,0.4200f,0.6800f,0.4400f,0.6800f,0.4600f,0.6800f,0.4800f,0.6800f,0.5000f,0.6800f,0.5200f,0.6800f,0.5400f,0.6800f,
	0.5600f,0.6800f,0.5800f,0.6800f,0.6000f,0.6800f,0.6200f,0.6800f,0.6400f,0.6800f,0.6600f,0.6800f,0.6800f,0.6800f,0.7000f,0.6800f,0.7200f,0.6800f,0.7400f,0.6800f,0.7600f,0.6800f,0.7800f,0.6800f,0.8000f,0.6800f,0.8200f,0.6800f,0.8400f,0.6800f,
	0.8600f,0.6800f,0.8800f,0.6800f,0.9000f,0.6800f,0.9200f,0.6800f,0.9400f,0.6800f,0.9600f,0.6800f,0.9800f,0.6800f,1.0000f,0.6800f,0.0200f,0.6400f,0.0000f,0.6400f,0.0400f,0.6400f,0.0600f,0.6400f,0.0800f,0.6400f,0.1000f,0.6400f,0.1200f,0.6400f,
	0.1400f,0.6400f,0.1600f,0.6400f,0.1800f,0.6400f,0.2000f,0.6400f,0.2200f,0.6400f,0.2400f,0.6400f,0.2600f,0.6400f,0.2800f,0.6400f,0.3000f,0.6400f,0.3200f,0.6400f,0.3400f,0.6400f,0.3600f,0.6400f,0.3800f,0.6400f,0.4000f,0.6400f,0.4200f,0.6400f,
	0.4400f,0.6400f,0.4600f,0.6400f,0.4800f,0.6400f,0.5000f,0.6400f,0.5200f,0.6400f,0.5400f,0.6400f,0.5600f,0.6400f,0.5800f,0.6400f,0.6000f,0.6400f,0.6200f,0.6400f,0.6400f,0.6400f,0.6600f,0.6400f,0.6800f,0.6400f,0.7000f,0.6400f,0.7200f,0.6400f,
	0.7400f,0.6400f,0.7600f,0.6400f,0.7800f,0.6400f,0.8000f,0.6400f,0.8200f,0.6400f,0.8400f,0.6400f,0.8600f,0.6400f,0.8800f,0.6400f,0.9000f,0.6400f,0.9200f,0.6400f,0.9400f,0.6400f,0.9600f,0.6400f,0.9800f,0.6400f,1.0000f,0.6400f,0.0200f,0.6000f,
	0.0000f,0.6000f,0.0400f,0.6000f,0.0600f,0.6000f,0.0800f,0.6000f,0.1000f,0.6000f,0.1200f,0.6000f,0.1400f,0.6000f,0.1600f,0.6000f,0.1800f,0.6000f,0.2000f,0.6000f,0.2200f,0.6000f,0.2400f,0.6000f,0.2600f,0.6000f,0.2800f,0.6000f,0.3000f,0.6000f,
	0.3200f,0.6000f,0.3400f,0.6000f,0.3600f,0.6000f,0.3800f,0.6000f,0.4000f,0.6000f,0.4200f,0.6000f,0.4400f,0.6000f,0.4600f,0.6000f,0.4800f,0.6000f,0.5000f,0.6000f,0.5200f,0.6000f,0.5400f,0.6000f,0.5600f,0.6000f,0.5800f,0.6000f,0.6000f,0.6000f,
	0.6200f,0.6000f,0.6400f,0.6000f,0.6600f,0.6000f,0.6800f,0.6000f,0.7000f,0.6000f,0.7200f,0.6000f,0.7400f,0.6000f,0.7600f,0.6000f,0.7800f,0.6000f,0.8000f,0.6000f,0.8200f,0.6000f,0.8400f,0.6000f,0.8600f,0.6000f,0.8800f,0.6000f,0.9000f,0.6000f,
	0.9200f,0.6000f,0.9400f,0.6000f,0.9600f,0.6000f,0.9800f,0.6000f,1.0000f,0.6000f,0.0200f,0.5600f,0.0000f,0.5600f,0.0400f,0.5600f,0.0600f,0.5600f,0.0800f,0.5600f,0.1000f,0.5600f,0.1200f,0.5600f,0.1400f,0.5600f,0.1600f,0.5600f,0.1800f,0.5600f,
	0.2000f,0.5600f,0.2200f,0.5600f,0.2400f,0.5600f,0.2600f,0.5600f,0.2800f,0.5600f,0.3000f,0.5600f,0.3200f,0.5600f,0.3400f,0.5600f,0.3600f,0.5600f,0.3800f,0.5600f,0.4000f,0.5600f,0.4200f,0.5600f,0.4400f,0.5600f,0.4600f,0.5600f,0.4800f,0.5600f,
	0.5000f,0.5600f,0.5200f,0.5600f,0.5400f,0.5600f,0.5600f,0.5600f,0.5800f,0.5600f,0.6000f,0.5600f,0.6200f,0.5600f,0.6400f,0.5600f,0.6600f,0.5600f,0.6800f,0.5600f,0.7000f,0.5600f,0.7200f,0.5600f,0.7400f,0.5600f,0.7600f,0.5600f,0.7800f,0.5600f,
	0.8000f,0.5600f,0.8200f,0.5600f,0.8400f,0.5600f,0.8600f,0.5600f,0.8800f,0.5600f,0.9000f,0.5600f,0.9200f,0.5600f,0.9400f,0.5600f,0.9600f,0.5600f,0.9800f,0.5600f,1.0000f,0.5600f,0.0200f,0.5200f,0.0000f,0.5200f,0.0400f,0.5200f,0.0600f,0.5200f,
	0.0800f,0.5200f,0.1000f,0.5200f,0.1200f,0.5200f,0.1400f,0.5200f,0.1600f,0.5200f,0.1800f,0.5200f,0.2000f,0.5200f,0.2200f,0.5200f,0.2400f,0.5200f,0.2600f,0.5200f,0.2800f,0.5200f,0.3000f,0.5200f,0.3200f,0.5200f,0.3400f,0.5200f,0.3600f,0.5200f,
	0.3800f,0.5200f,0.4000f,0.5200f,0.4200f,0.5200f,0.4400f,0.5200f,0.4600f,0.5200f,0.4800f,0.5200f,0.5000f,0.5200f,0.5200f,0.5200f,0.5400f,0.5200f,0.5600f,0.5200f,0.5800f,0.5200f,0.6000f,0.5200f,0.6200f,0.5200f,0.6400f,0.5200f,0.6600f,0.5200f,
	0.6800f,0.5200f,0.7000f,0.5200f,0.7200f,0.5200f,0.7400f,0.5200f,0.7600f,0.5200f,0.7800f,0.5200f,0.8000f,0.5200f,0.8200f,0.5200f,0.8400f,0.5200f,0.8600f,0.5200f,0.8800f,0.5200f,0.9000f,0.5200f,0.9200f,0.5200f,0.9400f,0.5200f,0.9600f,0.5200f,
	0.9800f,0.5200f,1.0000f,0.5200f,0.0200f,0.4800f,0.0000f,0.4800f,0.0400f,0.4800f,0.0600f,0.4800f,0.0800f,0.4800f,0.1000f,0.4800f,0.1200f,0.4800f,0.1400f,0.4800f,0.1600f,0.4800f,0.1800f,0.4800f,0.2000f,0.4800f,0.2200f,0.4800f,0.2400f,0.4800f,
	0.2600f,0.4800f,0.2800f,0.4800f,0.3000f,0.4800f,0.3200f,0.4800f,0.3400f,0.4800f,0.3600f,0.4800f,0.3800f,0.4800f,0.4000f,0.4800f,0.4200f,0.4800f,0.4400f,0.4800f,0.4600f,0.4800f,0.4800f,0.4800f,0.5000f,0.4800f,0.5200f,0.4800f,0.5400f,0.4800f,
	0.5600f,0.4800f,0.5800f,0.4800f,0.6000f,0.4800f,0.6200f,0.4800f,0.6400f,0.4800f,0.6600f,0.4800f,0.6800f,0.4800f,0.7000f,0.4800f,0.7200f,0.4800f,0.7400f,0.4800f,0.7600f,0.4800f,0.7800f,0.4800f,0.8000f,0.4800f,0.8200f,0.4800f,0.8400f,0.4800f,
	0.8600f,0.4800f,0.8800f,0.4800f,0.9000f,0.4800f,0.9200f,0.4800f,0.9400f,0.4800f,0.9600f,0.4800f,0.9800f,0.4800f,1.0000f,0.4800f,0.0200f,0.4400f,0.0000f,0.4400f,0.0400f,0.4400f,0.0600f,0.4400f,0.0800f,0.4400f,0.1000f,0.4400f,0.1200f,0.4400f,
	0.1400f,0.4400f,0.1600f,0.4400f,0.1800f,0.4400f,0.2000f,0.4400f,0.2200f,0.4400f,0.2400f,0.4400f,0.2600f,0.4400f,0.2800f,0.4400f,0.3000f,0.4400f,0.3200f,0.4400f,0.3400f,0.4400f,0.3600f,0.4400f,0.3800f,0.4400f,0.4000f,0.4400f,0.4200f,0.4400f,
	0.4400f,0.4400f,0.4600f,0.4400f,0.4800f,0.4400f,0.5000f,0.4400f,0.5200f,0.4400f,0.5400f,0.4400f,0.5600f,0.4400f,0.5800f,0.4400f,0.6000f,0.4400f,0.6200f,0.4400f,0.6400f,0.4400f,0.6600f,0.4400f,0.6800f,0.4400f,0.7000f,0.4400f,0.7200f,0.4400f,
	0.7400f,0.4400f,0.7600f,0.4400f,0.7800f,0.4400f,0.8000f,0.4400f,0.8200f,0.4400f,0.8400f,0.4400f,0.8600f,0.4400f,0.8800f,0.4400f,0.9000f,0.4400f,0.9200f,0.4400f,0.9400f,0.4400f,0.9600f,0.4400f,0.9800f,0.4400f,1.0000f,0.4400f,0.0200f,0.4000f,
	0.0000f,0.4000f,0.0400f,0.4000f,0.0600f,0.4000f,0.0800f,0.4000f,0.1000f,0.4000f,0.1200f,0.4000f,0.1400f,0.4000f,0.1600f,0.4000f,0.1800f,0.4000f,0.2000f,0.4000f,0.2200f,0.4000f,0.2400f,0.4000f,0.2600f,0.4000f,0.2800f,0.4000f,0.3000f,0.4000f,
	0.3200f,0.4000f,0.3400f,0.4000f,0.3600f,0.4000f,0.3800f,0.4000f,0.4000f,0.4000f,0.4200f,0.4000f,0.4400f,0.4000f,0.4600f,0.4000f,0.4800f,0.4000f,0.5000f,0.4000f,0.5200f,0.4000f,0.5400f,0.4000f,0.5600f,0.4000f,0.5800f,0.4000f,0.6000f,0.4000f,
	0.6200f,0.4000f,0.6400f,0.4000f,0.6600f,0.4000f,0.6800f,0.4000f,0.7000f,0.4000f,0.7200f,0.4000f,0.7400f,0.4000f,0.7600f,0.4000f,0.7800f,0.4000f,0.8000f,0.4000f,0.8200f,0.4000f,0.8400f,0.4000f,0.8600f,0.4000f,0.8800f,0.4000f,0.9000f,0.4000f,
	0.9200f,0.4000f,0.9400f,0.4000f,0.9600f,0.4000f,0.9800f,0.4000f,1.0000f,0.4000f,0.0200f,0.3600f,0.0000f,0.3600f,0.0400f,0.3600f,0.0600f,0.3600f,0.0800f,0.3600f,0.1000f,0.3600f,0.1200f,0.3600f,0.1400f,0.3600f,0.1600f,0.3600f,0.1800f,0.3600f,
	0.2000f,0.3600f,0.2200f,0.3600f,0.2400f,0.3600f,0.2600f,0.3600f,0.2800f,0.3600f,0.3000f,0.3600f,0.3200f,0.3600f,0.3400f,0.3600f,0.3600f,0.3600f,0.3800f,0.3600f,0.4000f,0.3600f,0.4200f,0.3600f,0.4400f,0.3600f,0.4600f,0.3600f,0.4800f,0.3600f,
	0.5000f,0.3600f,0.5200f,0.3600f,0.5400f,0.3600f,0.5600f,0.3600f,0.5800f,0.3600f,0.6000f,0.3600f,0.6200f,0.3600f,0.6400f,0.3600f,0.6600f,0.3600f,0.6800f,0.3600f,0.7000f,0.3600f,0.7200f,0.3600f,0.7400f,0.3600f,0.7600f,0.3600f,0.7800f,0.3600f,
	0.8000f,0.3600f,0.8200f,0.3600f,0.8400f,0.3600f,0.8600f,0.3600f,0.8800f,0.3600f,0.9000f,0.3600f,0.9200f,0.3600f,0.9400f,0.3600f,0.9600f,0.3600f,0.9800f,0.3600f,1.0000f,0.3600f,0.0200f,0.3200f,0.0000f,0.3200f,0.0400f,0.3200f,0.0600f,0.3200f,
	0.0800f,0.3200f,0.1000f,0.3200f,0.1200f,0.3200f,0.1400f,0.3200f,0.1600f,0.3200f,0.1800f,0.3200f,0.2000f,0.3200f,0.2200f,0.3200f,0.2400f,0.3200f,0.2600f,0.3200f,0.2800f,0.3200f,0.3000f,0.3200f,0.3200f,0.3200f,0.3400f,0.3200f,0.3600f,0.3200f,
	0.3800f,0.3200f,0.4000f,0.3200f,0.4200f,0.3200f,0.4400f,0.3200f,0.4600f,0.3200f,0.4800f,0.3200f,0.5000f,0.3200f,0.5200f,0.3200f,0.5400f,0.3200f,0.5600f,0.3200f,0.5800f,0.3200f,0.6000f,0.3200f,0.6200f,0.3200f,0.6400f,0.3200f,0.6600f,0.3200f,
	0.6800f,0.3200f,0.7000f,0.3200f,0.7200f,0.3200f,0.7400f,0.3200f,0.7600f,0.3200f,0.7800f,0.3200f,0.8000f,0.3200f,0.8200f,0.3200f,0.8400f,0.3200f,0.8600f,0.3200f,0.8800f,0.3200f,0.9000f,0.3200f,0.9200f,0.3200f,0.9400f,0.3200f,0.9600f,0.3200f,
	0.9800f,0.3200f,1.0000f,0.3200f,0.0200f,0.2800f,0.0000f,0.2800f,0.0400f,0.2800f,0.0600f,0.2800f,0.0800f,0.2800f,0.1000f,0.2800f,0.1200f,0.2800f,0.1400f,0.2800f,0.1600f,0.2800f,0.1800f,0.2800f,0.2000f,0.2800f,0.2200f,0.2800f,0.2400f,0.2800f,
	0.2600f,0.2800f,0.2800f,0.2800f,0.3000f,0.2800f,0.3200f,0.2800f,0.3400f,0.2800f,0.3600f,0.2800f,0.3800f,0.2800f,0.4000f,0.2800f,0.4200f,0.2800f,0.4400f,0.2800f,0.4600f,0.2800f,0.4800f,0.2800f,0.5000f,0.2800f,0.5200f,0.2800f,0.5400f,0.2800f,
	0.5600f,0.2800f,0.5800f,0.2800f,0.6000f,0.2800f,0.6200f,0.2800f,0.6400f,0.2800f,0.6600f,0.2800f,0.6800f,0.2800f,0.7000f,0.2800f,0.7200f,0.2800f,0.7400f,0.2800f,0.7600f,0.2800f,0.7800f,0.2800f,0.8000f,0.2800f,0.8200f,0.2800f,0.8400f,0.2800f,
	0.8600f,0.2800f,0.8800f,0.2800f,0.9000f,0.2800f,0.9200f,0.2800f,0.9400f,0.2800f,0.9600f,0.2800f,0.9800f,0.2800f,1.0000f,0.2800f,0.0200f,0.2400f,0.0000f,0.2400f,0.0400f,0.2400f,0.0600f,0.2400f,0.0800f,0.2400f,0.1000f,0.2400f,0.1200f,0.2400f,
	0.1400f,0.2400f,0.1600f,0.2400f,0.1800f,0.2400f,0.2000f,0.2400f,0.2200f,0.2400f,0.2400f,0.2400f,0.2600f,0.2400f,0.2800f,0.2400f,0.3000f,0.2400f,0.3200f,0.2400f,0.3400f,0.2400f,0.3600f,0.2400f,0.3800f,0.2400f,0.4000f,0.2400f,0.4200f,0.2400f,
	0.4400f,0.2400f,0.4600f,0.2400f,0.4800f,0.2400f,0.5000f,0.2400f,0.5200f,0.2400f,0.5400f,0.2400f,0.5600f,0.2400f,0.5800f,0.2400f,0.6000f,0.2400f,0.6200f,0.2400f,0.6400f,0.2400f,0.6600f,0.2400f,0.6800f,0.2400f,0.7000f,0.2400f,0.7200f,0.2400f,
	0.7400f,0.2400f,0.7600f,0.2400f,0.7800f,0.2400f,0.8000f,0.2400f,0.8200f,0.2400f,0.8400f,0.2400f,0.8600f,0.2400f,0.8800f,0.2400f,0.9000f,0.2400f,0.9200f,0.2400f,0.9400f,0.2400f,0.9600f,0.2400f,0.9800f,0.2400f,1.0000f,0.2400f,0.0200f,0.2000f,
	0.0000f,0.2000f,0.0400f,0.2000f,0.0600f,0.2000f,0.0800f,0.2000f,0.1000f,0.2000f,0.1200f,0.2000f,0.1400f,0.2000f,0.1600f,0.2000f,0.1800f,0.2000f,0.2000f,0.2000f,0.2200f,0.2000f,0.2400f,0.2000f,0.2600f,0.2000f,0.2800f,0.2000f,0.3000f,0.2000f,
	0.3200f,0.2000f,0.3400f,0.2000f,0.3600f,0.2000f,0.3800f,0.2000f,0.4000f,0.2000f,0.4200f,0.2000f,0.4400f,0.2000f,0.4600f,0.2000f,0.4800f,0.2000f,0.5000f,0.2000f,0.5200f,0.2000f,0.5400f,0.2000f,0.5600f,0.2000f,0.5800f,0.2000f,0.6000f,0.2000f,
	0.6200f,0.2000f,0.6400f,0.2000f,0.6600f,0.2000f,0.6800f,0.2000f,0.7000f,0.2000f,0.7200f,0.2000f,0.7400f,0.2000f,0.7600f,0.2000f,0.7800f,0.2000f,0.8000f,0.2000f,0.8200f,0.2000f,0.8400f,0.2000f,0.8600f,0.2000f,0.8800f,0.2000f,0.9000f,0.2000f,
	0.9200f,0.2000f,0.9400f,0.2000f,0.9600f,0.2000f,0.9800f,0.2000f,1.0000f,0.2000f,0.0200f,0.1600f,0.0000f,0.1600f,0.0400f,0.1600f,0.0600f,0.1600f,0.0800f,0.1600f,0.1000f,0.1600f,0.1200f,0.1600f,0.1400f,0.1600f,0.1600f,0.1600f,0.1800f,0.1600f,
	0.2000f,0.1600f,0.2200f,0.1600f,0.2400f,0.1600f,0.2600f,0.1600f,0.2800f,0.1600f,0.3000f,0.1600f,0.3200f,0.1600f,0.3400f,0.1600f,0.3600f,0.1600f,0.3800f,0.1600f,0.4000f,0.1600f,0.4200f,0.1600f,0.4400f,0.1600f,0.4600f,0.1600f,0.4800f,0.1600f,
	0.5000f,0.1600f,0.5200f,0.1600f,0.5400f,0.1600f,0.5600f,0.1600f,0.5800f,0.1600f,0.6000f,0.1600f,0.6200f,0.1600f,0.6400f,0.1600f,0.6600f,0.1600f,0.6800f,0.1600f,0.7000f,0.1600f,0.7200f,0.1600f,0.7400f,0.1600f,0.7600f,0.1600f,0.7800f,0.1600f,
	0.8000f,0.1600f,0.8200f,0.1600f,0.8400f,0.1600f,0.8600f,0.1600f,0.8800f,0.1600f,0.9000f,0.1600f,0.9200f,0.1600f,0.9400f,0.1600f,0.9600f,0.1600f,0.9800f,0.1600f,1.0000f,0.1600f,0.0200f,0.1200f,0.0000f,0.1200f,0.0400f,0.1200f,0.0600f,0.1200f,
	0.0800f,0.1200f,0.1000f,0.1200f,0.1200f,0.1200f,0.1400f,0.1200f,0.1600f,0.1200f,0.1800f,0.1200f,0.2000f,0.1200f,0.2200f,0.1200f,0.2400f,0.1200f,0.2600f,0.1200f,0.2800f,0.1200f,0.3000f,0.1200f,0.3200f,0.1200f,0.3400f,0.1200f,0.3600f,0.1200f,
	0.3800f,0.1200f,0.4000f,0.1200f,0.4200f,0.1200f,0.4400f,0.1200f,0.4600f,0.1200f,0.4800f,0.1200f,0.5000f,0.1200f,0.5200f,0.1200f,0.5400f,0.1200f,0.5600f,0.1200f,0.5800f,0.1200f,0.6000f,0.1200f,0.6200f,0.1200f,0.6400f,0.1200f,0.6600f,0.1200f,
	0.6800f,0.1200f,0.7000f,0.1200f,0.7200f,0.1200f,0.7400f,0.1200f,0.7600f,0.1200f,0.7800f,0.1200f,0.8000f,0.1200f,0.8200f,0.1200f,0.8400f,0.1200f,0.8600f,0.1200f,0.8800f,0.1200f,0.9000f,0.1200f,0.9200f,0.1200f,0.9400f,0.1200f,0.9600f,0.1200f,
	0.9800f,0.1200f,1.0000f,0.1200f,0.0200f,0.0800f,0.0000f,0.0800f,0.0400f,0.0800f,0.0600f,0.0800f,0.0800f,0.0800f,0.1000f,0.0800f,0.1200f,0.0800f,0.1400f,0.0800f,0.1600f,0.0800f,0.1800f,0.0800f,0.2000f,0.0800f,0.2200f,0.0800f,0.2400f,0.0800f,
	0.2600f,0.0800f,0.2800f,0.0800f,0.3000f,0.0800f,0.3200f,0.0800f,0.3400f,0.0800f,0.3600f,0.0800f,0.3800f,0.0800f,0.4000f,0.0800f,0.4200f,0.0800f,0.4400f,0.0800f,0.4600f,0.0800f,0.4800f,0.0800f,0.5000f,0.0800f,0.5200f,0.0800f,0.5400f,0.0800f,
	0.5600f,0.0800f,0.5800f,0.0800f,0.6000f,0.0800f,0.6200f,0.0800f,0.6400f,0.0800f,0.6600f,0.0800f,0.6800f,0.0800f,0.7000f,0.0800f,0.7200f,0.0800f,0.7400f,0.0800f,0.7600f,0.0800f,0.7800f,0.0800f,0.8000f,0.0800f,0.8200f,0.0800f,0.8400f,0.0800f,
	0.8600f,0.0800f,0.8800f,0.0800f,0.9000f,0.0800f,0.9200f,0.0800f,0.9400f,0.0800f,0.9600f,0.0800f,0.9800f,0.0800f,1.0000f,0.0800f,0.0200f,0.0400f,0.0000f,0.0400f,0.0400f,0.0400f,0.0600f,0.0400f,0.0800f,0.0400f,0.1000f,0.0400f,0.1200f,0.0400f,
	0.1400f,0.0400f,0.1600f,0.0400f,0.1800f,0.0400f,0.2000f,0.0400f,0.2200f,0.0400f,0.2400f,0.0400f,0.2600f,0.0400f,0.2800f,0.0400f,0.3000f,0.0400f,0.3200f,0.0400f,0.3400f,0.0400f,0.3600f,0.0400f,0.3800f,0.0400f,0.4000f,0.0400f,0.4200f,0.0400f,
	0.4400f,0.0400f,0.4600f,0.0400f,0.4800f,0.0400f,0.5000f,0.0400f,0.5200f,0.0400f,0.5400f,0.0400f,0.5600f,0.0400f,0.5800f,0.0400f,0.6000f,0.0400f,0.6200f,0.0400f,0.6400f,0.0400f,0.6600f,0.0400f,0.6800f,0.0400f,0.7000f,0.0400f,0.7200f,0.0400f,
	0.7400f,0.0400f,0.7600f,0.0400f,0.7800f,0.0400f,0.8000f,0.0400f,0.8200f,0.0400f,0.8400f,0.0400f,0.8600f,0.0400f,0.8800f,0.0400f,0.9000f,0.0400f,0.9200f,0.0400f,0.9400f,0.0400f,0.9600f,0.0400f,0.9800f,0.0400f,1.0000f,0.0400f,0.0000f,0.0000f,
	0.0200f,0.0000f,0.0400f,0.0000f,0.0600f,0.0000f,0.0800f,0.0000f,0.1000f,0.0000f,0.1200f,0.0000f,0.1400f,0.0000f,0.1600f,0.0000f,0.1800f,0.0000f,0.2000f,0.0000f,0.2200f,0.0000f,0.2400f,0.0000f,0.2600f,0.0000f,0.2800f,0.0000f,0.3000f,0.0000f,
	0.3200f,0.0000f,0.3400f,0.0000f,0.3600f,0.0000f,0.3800f,0.0000f,0.4000f,0.0000f,0.4200f,0.0000f,0.4400f,0.0000f,0.4600f,0.0000f,0.4800f,0.0000f,0.5000f,0.0000f,0.5200f,0.0000f,0.5400f,0.0000f,0.5600f,0.0000f,0.5800f,0.0000f,0.6000f,0.0000f,
	0.6200f,0.0000f,0.6400f,0.0000f,0.6600f,0.0000f,0.6800f,0.0000f,0.7000f,0.0000f,0.7200f,0.0000f,0.7400f,0.0000f,0.7600f,0.0000f,0.7800f,0.0000f,0.8000f,0.0000f,0.8200f,0.0000f,0.8400f,0.0000f,0.8600f,0.0000f,0.8800f,0.0000f,0.9000f,0.0000f,
	0.9200f,0.0000f,0.9400f,0.0000f,0.9600f,0.0000f,0.9800f,0.0000f,
_NULL_ }; /* End of sphere01_UV */

const float sphere01_Normals[] = {
	-0.1208f,0.9868f,0.1074f, -0.0663f,0.9922f,0.1052f, 0.1861f,0.9761f,-0.1118f, -0.1122f,0.9893f,0.0938f, 0.1861f,0.9761f,-0.1118f, 0.0425f,0.9991f,-0.0050f, 0.1861f,0.9761f,-0.1118f, 0.1056f,0.9898f,-0.0961f, 0.1861f,0.9761f,-0.1118f, -0.0971f,0.9946f,-0.0358f, 0.1861f,0.9761f,-0.1118f, -0.2664f,0.9572f,0.1129f, 0.1861f,0.9761f,-0.1118f, -0.2278f,0.9667f,0.1163f, 0.1861f,0.9761f,-0.1118f, 
	-0.1389f,0.9903f,-0.0094f, 0.1861f,0.9761f,-0.1118f, -0.0802f,0.9911f,-0.1064f, 0.1861f,0.9761f,-0.1118f, -0.0275f,0.9828f,-0.1828f, 0.1861f,0.9761f,-0.1118f, 0.0047f,0.9795f,-0.2013f, 0.1861f,0.9761f,-0.1118f, 0.0313f,0.9748f,-0.2208f, 0.1861f,0.9761f,-0.1118f, 0.0329f,0.9671f,-0.2521f, 0.1861f,0.9761f,-0.1118f, 0.0302f,0.9608f,-0.2755f, 0.1861f,0.9761f,-0.1118f, 0.0537f,0.9679f,-0.2456f, 
	0.1861f,0.9761f,-0.1118f, 0.0782f,0.9765f,-0.2011f, 0.1861f,0.9761f,-0.1118f, 0.0550f,0.9662f,-0.2519f, 0.1861f,0.9761f,-0.1118f, 0.0053f,0.9368f,-0.3498f, 0.1861f,0.9761f,-0.1118f, 0.0682f,0.9564f,-0.2840f, 0.1861f,0.9761f,-0.1118f, 0.2206f,0.9684f,-0.1162f, 0.1861f,0.9761f,-0.1118f, 0.2848f,0.9582f,-0.0285f, 0.1861f,0.9761f,-0.1118f, 0.2292f,0.9724f,-0.0430f, 0.1861f,0.9761f,-0.1118f, 
	0.1759f,0.9831f,-0.0516f, 0.1861f,0.9761f,-0.1118f, 0.2629f,0.9636f,-0.0474f, 0.1861f,0.9761f,-0.1118f, 0.4055f,0.9118f,-0.0644f, 0.1861f,0.9761f,-0.1118f, 0.3692f,0.9257f,-0.0821f, 0.1861f,0.9761f,-0.1118f, 0.1055f,0.9934f,-0.0461f, 0.1861f,0.9761f,-0.1118f, -0.0392f,0.9992f,-0.0032f, 0.1861f,0.9761f,-0.1118f, 0.0420f,0.9990f,-0.0124f, 0.1861f,0.9761f,-0.1118f, 0.2540f,0.9520f,-0.1711f, 
	0.1861f,0.9761f,-0.1118f, 0.3797f,0.8528f,-0.3585f, 0.1861f,0.9761f,-0.1118f, 0.3238f,0.8345f,-0.4459f, 0.1861f,0.9761f,-0.1118f, 0.1895f,0.9305f,-0.3136f, 0.1861f,0.9761f,-0.1118f, 0.0829f,0.9952f,-0.0520f, 0.1861f,0.9761f,-0.1118f, 0.0414f,0.9991f,0.0091f, 0.1861f,0.9761f,-0.1118f, 0.0711f,0.9937f,-0.0869f, 0.1861f,0.9761f,-0.1118f, 0.1016f,0.9947f,-0.0133f, 0.1861f,0.9761f,-0.1118f, 
	0.1053f,0.9649f,0.2408f, 0.1861f,0.9761f,-0.1118f, 0.0887f,0.9372f,0.3374f, 0.1861f,0.9761f,-0.1118f, 0.0450f,0.9798f,0.1949f, 0.1861f,0.9761f,-0.1118f, -0.0360f,0.9993f,-0.0060f, 0.1861f,0.9761f,-0.1118f, -0.0502f,0.9974f,-0.0511f, 0.1861f,0.9761f,-0.1118f, 0.1113f,0.9854f,0.1289f, 0.1861f,0.9761f,-0.1118f, 0.2107f,0.9425f,0.2594f, 0.1861f,0.9761f,-0.1118f, 0.1819f,0.9571f,0.2257f, 
	0.1861f,0.9761f,-0.1118f, 0.1403f,0.9795f,0.1446f, 0.1861f,0.9761f,-0.1118f, 0.0645f,0.9934f,0.0946f, 0.1861f,0.9761f,-0.1118f, -0.0272f,0.9948f,0.0978f, 0.1861f,0.9761f,-0.1118f, -0.0582f,0.9922f,0.1106f, 0.1861f,0.9761f,-0.1118f, -0.0663f,0.9922f,0.1052f, 0.1861f,0.9761f,-0.1118f, -0.0636f,0.9938f,-0.0912f, 0.0077f,0.9982f,-0.0593f, -0.0775f,0.9908f,-0.1110f, -0.2174f,0.9704f,-0.1050f, 
	-0.3377f,0.9342f,-0.1148f, -0.3042f,0.9402f,-0.1531f, -0.2969f,0.9433f,-0.1485f, -0.3221f,0.9353f,-0.1468f, -0.3210f,0.9329f,-0.1631f, -0.2868f,0.9360f,-0.2039f, -0.2661f,0.9553f,-0.1289f, -0.2692f,0.9496f,-0.1606f, -0.2763f,0.9498f,-0.1468f, -0.2837f,0.9585f,-0.0295f, -0.2774f,0.9599f,0.0411f, -0.1886f,0.9727f,0.1353f, -0.1785f,0.9700f,0.1649f, -0.3239f,0.9459f,0.0187f, -0.4039f,0.9122f,-0.0685f, 
	-0.1946f,0.9722f,0.1305f, 0.0750f,0.9286f,0.3633f, 0.0874f,0.9130f,0.3984f, -0.0460f,0.9375f,0.3449f, -0.2294f,0.9321f,0.2803f, -0.2537f,0.9247f,0.2838f, -0.0757f,0.9552f,0.2862f, -0.0862f,0.9548f,0.2843f, -0.1592f,0.9493f,0.2712f, 0.0263f,0.9796f,0.1992f, 0.2312f,0.9585f,0.1666f, 0.2762f,0.9552f,0.1063f, 0.3098f,0.9495f,0.0505f, 0.2676f,0.9584f,0.0996f, 0.2827f,0.9544f,0.0958f, 
	0.3022f,0.9531f,-0.0150f, 0.3365f,0.9408f,0.0412f, 0.2551f,0.9591f,-0.1225f, 0.2030f,0.9646f,-0.1683f, 0.2680f,0.9633f,-0.0117f, 0.3214f,0.9388f,0.1241f, 0.2478f,0.9644f,0.0923f, 0.0934f,0.9953f,0.0256f, -0.0684f,0.9916f,-0.1099f, 0.1437f,0.9882f,0.0529f, 0.4499f,0.8524f,0.2666f, 0.2423f,0.9671f,0.0777f, -0.0952f,0.9656f,-0.2419f, 0.0214f,0.9853f,-0.1697f, 0.3272f,0.9444f,0.0343f, 
	0.2940f,0.9549f,0.0408f, 0.0077f,0.9982f,-0.0593f, -0.0272f,0.9286f,-0.3700f, 0.2132f,0.9058f,-0.3661f, -0.0635f,0.8949f,-0.4417f, -0.3033f,0.8543f,-0.4221f, -0.4380f,0.8397f,-0.3210f, -0.4090f,0.8595f,-0.3067f, -0.3617f,0.8995f,-0.2450f, -0.3905f,0.9008f,-0.1899f, -0.3740f,0.9086f,-0.1859f, -0.3369f,0.8808f,-0.3327f, -0.3462f,0.8979f,-0.2718f, -0.4941f,0.8662f,-0.0741f, -0.5000f,0.8660f,0.0073f, 
	-0.4614f,0.8617f,0.2111f, -0.3872f,0.9111f,0.1411f, -0.3627f,0.9314f,0.0296f, -0.2445f,0.9511f,0.1887f, -0.2669f,0.9333f,0.2401f, -0.4494f,0.8856f,0.1172f, -0.4688f,0.8627f,0.1898f, -0.2025f,0.8853f,0.4187f, -0.0015f,0.8515f,0.5244f, -0.0528f,0.8788f,0.4744f, -0.0620f,0.9263f,0.3717f, -0.0503f,0.9785f,0.2002f, -0.2911f,0.8832f,0.3676f, -0.0630f,0.9762f,0.2073f, -0.1054f,0.9649f,0.2407f, 
	-0.0781f,0.9526f,0.2942f, 0.1180f,0.9554f,0.2706f, 0.2403f,0.9508f,0.1957f, 0.3740f,0.9210f,0.1093f, 0.4822f,0.8678f,0.1202f, 0.5396f,0.8188f,0.1961f, 0.5223f,0.8521f,-0.0328f, 0.5212f,0.8465f,-0.1087f, 0.5846f,0.8110f,-0.0213f, 0.5790f,0.8153f,0.0085f, 0.5073f,0.8495f,-0.1449f, 0.5530f,0.8325f,-0.0335f, 0.6395f,0.7002f,0.3174f, 0.5049f,0.8152f,0.2838f, 0.3102f,0.9494f,-0.0496f, 
	-0.0029f,0.9434f,-0.3315f, -0.0848f,0.9160f,-0.3921f, 0.0110f,0.9329f,-0.3599f, 0.0037f,0.9243f,-0.3817f, 0.1580f,0.9325f,-0.3247f, 0.3405f,0.9016f,-0.2669f, 0.3532f,0.8763f,-0.3276f, 0.2132f,0.9058f,-0.3661f, 0.0652f,0.7454f,-0.6635f, 0.4033f,0.6360f,-0.6579f, -0.2342f,0.7353f,-0.6360f, -0.4425f,0.7241f,-0.5290f, -0.4378f,0.7549f,-0.4883f, -0.3174f,0.7869f,-0.5292f, -0.3221f,0.8265f,-0.4616f, 
	-0.3551f,0.8685f,-0.3459f, -0.3699f,0.8965f,-0.2439f, -0.3632f,0.9129f,-0.1864f, -0.4085f,0.8756f,-0.2580f, -0.5444f,0.8354f,0.0761f, -0.6280f,0.7489f,0.2116f, -0.6437f,0.7639f,-0.0447f, -0.5765f,0.8171f,-0.0051f, -0.4599f,0.8869f,-0.0441f, -0.4412f,0.8927f,0.0921f, -0.4240f,0.8382f,0.3428f, -0.4377f,0.7878f,0.4332f, -0.3350f,0.7582f,0.5593f, -0.1869f,0.7557f,0.6277f, -0.0728f,0.8158f,0.5737f, 
	-0.2244f,0.8130f,0.5373f, -0.4204f,0.7712f,0.4780f, -0.2753f,0.9154f,0.2936f, -0.2314f,0.9484f,0.2168f, -0.1967f,0.9584f,0.2066f, 0.0390f,0.9542f,0.2967f, 0.1801f,0.9425f,0.2817f, 0.2561f,0.9491f,0.1833f, 0.4027f,0.9112f,0.0869f, 0.5191f,0.8540f,-0.0344f, 0.6007f,0.7975f,-0.0561f, 0.5391f,0.8356f,0.1055f, 0.4467f,0.8547f,0.2645f, 0.5094f,0.8603f,0.0207f, 0.5404f,0.7901f,-0.2894f, 
	0.5956f,0.7713f,-0.2244f, 0.6408f,0.7606f,-0.1043f, 0.6195f,0.7839f,-0.0417f, 0.6159f,0.7635f,0.1942f, 0.6622f,0.6706f,0.3342f, 0.6896f,0.7231f,0.0408f, 0.6488f,0.6866f,-0.3281f, 0.4507f,0.7237f,-0.5226f, 0.0977f,0.8113f,-0.5764f, -0.0052f,0.8201f,-0.5722f, -0.0215f,0.8258f,-0.5636f, 0.0102f,0.7960f,-0.6052f, 0.3276f,0.6845f,-0.6512f, 0.4033f,0.6360f,-0.6579f, -0.0136f,0.6901f,-0.7236f, 
	0.3408f,0.6394f,-0.6892f, -0.3758f,0.6751f,-0.6348f, -0.3804f,0.6660f,-0.6417f, -0.2517f,0.7031f,-0.6650f, -0.2097f,0.7658f,-0.6080f, -0.2713f,0.8140f,-0.5135f, -0.3333f,0.8535f,-0.4006f, -0.3130f,0.8708f,-0.3790f, -0.3652f,0.9091f,-0.2004f, -0.4836f,0.8673f,-0.1176f, -0.5441f,0.8388f,-0.0194f, -0.5359f,0.8200f,0.2008f, -0.5739f,0.8168f,0.0590f, -0.6453f,0.7589f,-0.0870f, -0.6611f,0.7496f,-0.0327f, 
	-0.6589f,0.7199f,0.2182f, -0.5800f,0.6574f,0.4810f, -0.5504f,0.5894f,0.5913f, -0.4941f,0.5872f,0.6411f, -0.3802f,0.6611f,0.6468f, -0.3471f,0.7075f,0.6156f, -0.3001f,0.7665f,0.5678f, -0.3638f,0.7990f,0.4787f, -0.5532f,0.7020f,0.4485f, -0.3860f,0.8584f,0.3380f, 0.0435f,0.9389f,0.3413f, 0.4122f,0.8648f,0.2869f, 0.5110f,0.7611f,0.3994f, 0.4990f,0.7484f,0.4368f, 0.6508f,0.7202f,0.2403f, 
	0.6996f,0.6768f,0.2291f, 0.6691f,0.6900f,0.2761f, 0.6090f,0.7558f,0.2404f, 0.5802f,0.7822f,0.2271f, 0.6630f,0.7252f,0.1856f, 0.6929f,0.7210f,-0.0080f, 0.5656f,0.7915f,-0.2317f, 0.5230f,0.8374f,-0.1588f, 0.5587f,0.8259f,0.0759f, 0.5526f,0.8208f,0.1443f, 0.6391f,0.7645f,0.0842f, 0.6504f,0.7274f,-0.2190f, 0.4414f,0.6425f,-0.6263f, 0.6234f,0.5808f,-0.5235f, 0.5674f,0.6251f,-0.5361f, 
	0.0889f,0.7356f,-0.6715f, -0.0524f,0.7055f,-0.7068f, 0.0426f,0.7089f,-0.7040f, 0.1960f,0.7079f,-0.6785f, 0.3408f,0.6394f,-0.6892f, -0.0022f,0.6999f,-0.7142f, 0.2700f,0.6872f,-0.6745f, -0.3036f,0.6465f,-0.6999f, -0.3556f,0.6722f,-0.6494f, -0.2403f,0.6927f,-0.6800f, -0.1365f,0.6967f,-0.7042f, -0.2099f,0.7480f,-0.6297f, -0.3120f,0.7933f,-0.5228f, -0.3284f,0.7998f,-0.5025f, -0.5209f,0.7715f,-0.3653f, 
	-0.6993f,0.6762f,-0.2318f, -0.7489f,0.6529f,-0.1136f, -0.7324f,0.6725f,0.1063f, -0.6787f,0.7036f,0.2104f, -0.7213f,0.6830f,0.1154f, -0.8100f,0.5759f,0.1110f, -0.8319f,0.4611f,0.3086f, -0.7364f,0.3896f,0.5531f, -0.6504f,0.3903f,0.6517f, -0.6530f,0.4029f,0.6413f, -0.5920f,0.4410f,0.6746f, -0.4267f,0.5709f,0.7014f, -0.3881f,0.6868f,0.6146f, -0.4806f,0.7098f,0.5150f, -0.5275f,0.7012f,0.4797f, 
	-0.3400f,0.7023f,0.6254f, 0.1907f,0.7223f,0.6648f, 0.5846f,0.6279f,0.5138f, 0.6485f,0.5946f,0.4753f, 0.6549f,0.6341f,0.4111f, 0.6956f,0.6695f,0.2607f, 0.7071f,0.6128f,0.3530f, 0.7404f,0.5836f,0.3335f, 0.7175f,0.5886f,0.3724f, 0.7152f,0.5879f,0.3781f, 0.7484f,0.6192f,0.2378f, 0.7361f,0.6466f,0.2000f, 0.6628f,0.7483f,0.0261f, 0.5646f,0.8246f,0.0353f, 0.5036f,0.8530f,0.1373f, 
	0.4893f,0.8721f,-0.0087f, 0.5154f,0.8367f,-0.1850f, 0.5109f,0.7555f,-0.4101f, 0.4385f,0.7134f,-0.5466f, 0.4870f,0.7519f,-0.4444f, 0.5054f,0.7327f,-0.4559f, 0.3277f,0.7099f,-0.6234f, -0.0603f,0.7034f,-0.7082f, -0.0509f,0.7046f,-0.7078f, 0.2126f,0.6847f,-0.6972f, 0.2700f,0.6872f,-0.6745f, -0.0691f,0.7190f,-0.6916f, 0.2731f,0.7006f,-0.6592f, -0.3280f,0.6515f,-0.6841f, -0.2953f,0.6648f,-0.6862f, 
	-0.1853f,0.7042f,-0.6854f, -0.0720f,0.7181f,-0.6923f, -0.1541f,0.7431f,-0.6512f, -0.3180f,0.7285f,-0.6067f, -0.5315f,0.6767f,-0.5095f, -0.6983f,0.5798f,-0.4198f, -0.8721f,0.3812f,-0.3069f, -0.9368f,0.3174f,-0.1472f, -0.9239f,0.3703f,0.0965f, -0.9016f,0.4246f,0.0829f, -0.8108f,0.5448f,0.2141f, -0.7647f,0.5286f,0.3685f, -0.7563f,0.4798f,0.4447f, -0.7690f,0.3357f,0.5440f, -0.7201f,0.2551f,0.6453f, 
	-0.6725f,0.2636f,0.6916f, -0.6427f,0.2948f,0.7071f, -0.6105f,0.4271f,0.6670f, -0.4919f,0.6057f,0.6254f, -0.4391f,0.5960f,0.6723f, -0.4042f,0.5723f,0.7135f, -0.2223f,0.4701f,0.8542f, 0.1270f,0.3906f,0.9118f, 0.4533f,0.3540f,0.8181f, 0.5207f,0.4459f,0.7280f, 0.4705f,0.6002f,0.6468f, 0.6250f,0.7206f,0.3002f, 0.7408f,0.6624f,0.1113f, 0.7164f,0.6536f,0.2441f, 0.6557f,0.6583f,0.3697f, 
	0.6727f,0.6553f,0.3436f, 0.7059f,0.6456f,0.2912f, 0.6475f,0.7092f,0.2789f, 0.5647f,0.8043f,0.1848f, 0.5354f,0.8307f,0.1525f, 0.5277f,0.8366f,0.1472f, 0.5573f,0.8271f,-0.0723f, 0.5861f,0.7322f,-0.3469f, 0.5808f,0.6123f,-0.5364f, 0.6148f,0.4726f,-0.6315f, 0.6419f,0.5008f,-0.5806f, 0.5309f,0.5986f,-0.5999f, 0.3188f,0.6466f,-0.6931f, -0.0108f,0.7126f,-0.7015f, -0.0849f,0.7127f,-0.6963f, 
	0.1579f,0.7031f,-0.6934f, 0.2731f,0.7006f,-0.6592f, -0.1510f,0.6978f,-0.7002f, 0.3014f,0.6820f,-0.6664f, -0.3593f,0.5834f,-0.7284f, -0.2576f,0.5997f,-0.7576f, -0.1825f,0.6047f,-0.7753f, -0.1325f,0.5697f,-0.8111f, -0.3339f,0.6033f,-0.7243f, -0.5929f,0.6467f,-0.4798f, -0.7679f,0.5463f,-0.3346f, -0.8721f,0.4576f,-0.1733f, -0.9330f,0.3106f,-0.1818f, -0.9765f,0.1387f,-0.1651f, -0.9900f,0.1332f,0.0463f, 
	-0.9892f,0.1157f,-0.0897f, -0.9615f,0.2683f,0.0599f, -0.8976f,0.3015f,0.3217f, -0.6820f,0.5024f,0.5315f, -0.6123f,0.4669f,0.6381f, -0.6240f,0.3695f,0.6885f, -0.6648f,0.3277f,0.6714f, -0.6918f,0.3451f,0.6342f, -0.6947f,0.3279f,0.6403f, -0.5960f,0.3761f,0.7094f, -0.2559f,0.3440f,0.9034f, -0.0931f,0.2608f,0.9609f, -0.0584f,0.1426f,0.9881f, 0.0634f,0.1185f,0.9909f, 0.3209f,0.2551f,0.9121f, 
	0.3758f,0.4462f,0.8122f, 0.3351f,0.5338f,0.7764f, 0.5765f,0.5081f,0.6399f, 0.7727f,0.5095f,0.3787f, 0.7682f,0.5451f,0.3358f, 0.6970f,0.6447f,0.3140f, 0.7306f,0.5968f,0.3317f, 0.7061f,0.6453f,0.2916f, 0.6249f,0.6493f,0.4335f, 0.5488f,0.7903f,0.2726f, 0.5845f,0.8006f,0.1318f, 0.5965f,0.8020f,0.0334f, 0.5896f,0.7654f,-0.2580f, 0.4612f,0.6914f,-0.5561f, 0.5247f,0.5290f,-0.6670f, 
	0.5694f,0.5579f,-0.6038f, 0.6217f,0.4925f,-0.6090f, 0.5931f,0.4660f,-0.6565f, 0.5752f,0.5248f,-0.6275f, 0.2225f,0.6813f,-0.6973f, -0.0823f,0.6899f,-0.7192f, 0.1268f,0.7120f,-0.6906f, 0.3014f,0.6820f,-0.6664f, -0.2297f,0.5455f,-0.8060f, 0.1672f,0.5734f,-0.8020f, -0.4609f,0.4757f,-0.7491f, -0.3077f,0.4624f,-0.8316f, -0.3048f,0.4537f,-0.8374f, -0.2539f,0.4496f,-0.8564f, -0.3986f,0.4132f,-0.8188f, 
	-0.7145f,0.3463f,-0.6079f, -0.9195f,0.2355f,-0.3148f, -0.9582f,0.2598f,-0.1197f, -0.9514f,0.3030f,-0.0557f, -0.9631f,0.2675f,-0.0280f, -0.9703f,0.2241f,0.0906f, -0.9867f,0.1574f,-0.0410f, -0.9904f,0.1231f,-0.0626f, -0.9568f,0.1732f,0.2336f, -0.8538f,0.2542f,0.4544f, -0.6507f,0.3547f,0.6714f, -0.6180f,0.3006f,0.7265f, -0.7065f,0.2624f,0.6573f, -0.6868f,0.3494f,0.6374f, -0.6120f,0.3486f,0.7099f, 
	-0.4797f,0.2063f,0.8529f, -0.1497f,0.1609f,0.9755f, 0.0642f,0.1885f,0.9800f, 0.0053f,0.1453f,0.9894f, 0.0221f,0.1770f,0.9840f, 0.0907f,0.1730f,0.9807f, 0.1498f,0.2305f,0.9615f, 0.2482f,0.1691f,0.9538f, 0.6123f,0.3521f,0.7079f, 0.7652f,0.3938f,0.5093f, 0.8103f,0.3530f,0.4677f, 0.8173f,0.3966f,0.4180f, 0.8085f,0.4676f,0.3574f, 0.7724f,0.4615f,0.4364f, 0.7396f,0.4367f,0.5121f, 
	0.7949f,0.5241f,0.3056f, 0.7813f,0.6229f,-0.0394f, 0.8183f,0.5659f,-0.1005f, 0.6797f,0.6361f,-0.3652f, 0.4291f,0.6625f,-0.6139f, 0.4010f,0.6398f,-0.6556f, 0.6817f,0.5763f,-0.4508f, 0.5910f,0.6294f,-0.5045f, 0.4141f,0.6543f,-0.6328f, 0.4679f,0.6810f,-0.5634f, 0.4014f,0.6452f,-0.6501f, 0.1048f,0.5696f,-0.8152f, 0.2224f,0.5527f,-0.8031f, 0.1672f,0.5734f,-0.8020f, -0.1940f,0.1930f,-0.9618f, 
	0.1058f,0.2307f,-0.9673f, -0.4165f,0.1740f,-0.8923f, -0.4144f,0.2080f,-0.8860f, -0.3808f,0.2575f,-0.8881f, -0.3612f,0.2146f,-0.9074f, -0.4698f,0.2119f,-0.8569f, -0.7417f,0.2275f,-0.6310f, -0.9118f,0.2272f,-0.3422f, -0.9699f,0.1713f,-0.1732f, -0.9606f,0.1654f,-0.2235f, -0.9316f,0.3466f,-0.1097f, -0.8971f,0.4283f,0.1089f, -0.8961f,0.4389f,0.0663f, -0.9298f,0.3643f,-0.0526f, -0.9241f,0.3353f,0.1834f, 
	-0.8526f,0.3466f,0.3910f, -0.7054f,0.3624f,0.6092f, -0.5616f,0.3870f,0.7313f, -0.6686f,0.3663f,0.6472f, -0.7371f,0.3642f,0.5693f, -0.5888f,0.4209f,0.6900f, -0.3429f,0.3859f,0.8565f, -0.1595f,0.3318f,0.9298f, -0.0382f,0.3655f,0.9300f, -0.0688f,0.3052f,0.9498f, 0.1019f,0.3316f,0.9379f, 0.2965f,0.2562f,0.9200f, 0.2362f,0.1936f,0.9522f, 0.2575f,0.1383f,0.9563f, 0.5280f,0.2273f,0.8183f, 
	0.7891f,0.2436f,0.5638f, 0.8772f,0.2520f,0.4088f, 0.8619f,0.1777f,0.4749f, 0.8588f,0.2763f,0.4315f, 0.8677f,0.2627f,0.4220f, 0.9105f,0.1449f,0.3873f, 0.9784f,0.1690f,0.1187f, 0.9458f,0.2845f,-0.1568f, 0.9524f,0.2764f,-0.1285f, 0.8503f,0.3756f,-0.3687f, 0.7329f,0.3351f,-0.5921f, 0.5542f,0.3859f,-0.7376f, 0.6037f,0.4323f,-0.6698f, 0.6699f,0.4015f,-0.6245f, 0.6417f,0.3452f,-0.6849f, 
	0.6709f,0.3423f,-0.6578f, 0.3436f,0.4904f,-0.8009f, 0.1023f,0.3524f,-0.9302f, 0.1851f,0.2700f,-0.9449f, 0.1058f,0.2307f,-0.9673f, -0.2715f,0.0370f,-0.9617f, -0.0004f,0.0416f,-0.9991f, -0.3400f,0.0973f,-0.9354f, -0.4070f,0.1688f,-0.8977f, -0.3958f,0.0970f,-0.9132f, -0.4069f,0.1401f,-0.9027f, -0.5425f,0.1230f,-0.8310f, -0.7301f,0.1217f,-0.6724f, -0.8952f,0.1771f,-0.4090f, -0.9410f,0.2971f,-0.1621f, 
	-0.9296f,0.2690f,-0.2521f, -0.9405f,0.2151f,-0.2630f, -0.9361f,0.3496f,0.0389f, -0.9475f,0.3190f,0.0205f, -0.9203f,0.3794f,0.0956f, -0.9307f,0.2911f,0.2213f, -0.8360f,0.4018f,0.3737f, -0.6746f,0.4498f,0.5853f, -0.6286f,0.3861f,0.6751f, -0.6601f,0.4215f,0.6218f, -0.6635f,0.4951f,0.5609f, -0.5528f,0.4156f,0.7223f, -0.3861f,0.3215f,0.8646f, -0.1628f,0.2883f,0.9436f, -0.0628f,0.3347f,0.9402f, 
	0.0405f,0.3691f,0.9285f, 0.1294f,0.2659f,0.9553f, 0.2751f,0.2335f,0.9326f, 0.1759f,0.2720f,0.9461f, 0.2780f,0.3134f,0.9080f, 0.6196f,0.2295f,0.7507f, 0.7489f,0.1729f,0.6397f, 0.8759f,0.1342f,0.4635f, 0.8888f,0.1437f,0.4352f, 0.8702f,0.1604f,0.4658f, 0.9153f,0.1646f,0.3676f, 0.9533f,0.0573f,0.2964f, 0.9948f,-0.0222f,0.0990f, 0.9954f,0.0248f,-0.0923f, 0.9909f,0.0633f,-0.1187f, 
	0.9450f,0.0121f,-0.3267f, 0.7689f,-0.0051f,-0.6394f, 0.7351f,-0.1114f,-0.6687f, 0.7558f,-0.1405f,-0.6395f, 0.7328f,-0.0617f,-0.6776f, 0.6369f,-0.0639f,-0.7683f, 0.6686f,-0.0643f,-0.7409f, 0.4604f,0.0281f,-0.8873f, 0.1540f,0.1101f,-0.9819f, 0.1676f,0.0516f,-0.9845f, -0.0004f,0.0416f,-0.9991f, -0.1822f,0.1265f,-0.9751f, 0.0704f,-0.0548f,-0.9960f, -0.2974f,0.2019f,-0.9332f, -0.3541f,0.2051f,-0.9124f, 
	-0.4106f,0.2172f,-0.8856f, -0.3588f,0.1259f,-0.9249f, -0.5791f,0.2298f,-0.7822f, -0.8315f,0.1867f,-0.5232f, -0.9332f,0.1427f,-0.3297f, -0.9541f,0.1686f,-0.2474f, -0.9458f,0.2910f,-0.1445f, -0.9718f,0.1738f,-0.1596f, -0.9862f,0.1652f,0.0105f, -0.9965f,0.0142f,0.0828f, -0.9899f,0.0176f,0.1406f, -0.9743f,-0.0589f,0.2174f, -0.9507f,-0.0084f,0.3101f, -0.7584f,0.1819f,0.6259f, -0.5822f,0.1867f,0.7913f, 
	-0.7389f,0.1112f,0.6645f, -0.7338f,0.1009f,0.6719f, -0.4977f,0.1121f,0.8601f, -0.2761f,0.0584f,0.9594f, -0.2059f,-0.0565f,0.9769f, -0.1195f,0.0328f,0.9923f, -0.0026f,0.1900f,0.9818f, 0.1777f,0.1521f,0.9723f, 0.1852f,0.1221f,0.9751f, 0.2139f,0.2709f,0.9385f, 0.2503f,0.2021f,0.9468f, 0.4593f,0.0878f,0.8839f, 0.7118f,0.1893f,0.6763f, 0.8489f,0.1957f,0.4910f, 0.8824f,0.1917f,0.4296f, 
	0.8494f,0.2487f,0.4655f, 0.9067f,0.2258f,0.3564f, 0.9524f,0.1840f,0.2430f, 0.9981f,0.0566f,0.0230f, 0.9957f,-0.0538f,-0.0753f, 0.9693f,-0.0658f,-0.2369f, 0.9124f,-0.1963f,-0.3591f, 0.7898f,-0.1843f,-0.5850f, 0.6354f,-0.1897f,-0.7485f, 0.6597f,-0.2926f,-0.6922f, 0.7344f,-0.3469f,-0.5833f, 0.7051f,-0.2406f,-0.6670f, 0.6577f,-0.1948f,-0.7276f, 0.6148f,-0.2123f,-0.7596f, 0.3059f,-0.0736f,-0.9492f, 
	0.1518f,-0.1072f,-0.9826f, 0.0704f,-0.0548f,-0.9960f, -0.0515f,0.0235f,-0.9984f, 0.1411f,-0.0089f,-0.9900f, -0.3124f,0.1478f,-0.9384f, -0.3315f,0.1323f,-0.9341f, -0.4066f,0.2887f,-0.8668f, -0.4718f,0.1825f,-0.8626f, -0.6658f,0.0243f,-0.7457f, -0.8623f,-0.1084f,-0.4946f, -0.9181f,-0.1528f,-0.3658f, -0.9798f,-0.0301f,-0.1978f, -0.9822f,-0.0208f,-0.1869f, -0.9836f,-0.0842f,-0.1595f, -0.9932f,-0.0791f,0.0855f, 
	-0.9549f,-0.1710f,0.2427f, -0.9693f,-0.1852f,0.1618f, -0.9394f,-0.1436f,0.3112f, -0.9052f,-0.2869f,0.3137f, -0.8311f,-0.2657f,0.4886f, -0.6545f,-0.0542f,0.7542f, -0.6850f,-0.0162f,0.7284f, -0.6479f,-0.1869f,0.7384f, -0.4433f,-0.2778f,0.8522f, -0.2568f,-0.1518f,0.9545f, -0.1872f,-0.1739f,0.9668f, -0.1177f,-0.1997f,0.9728f, -0.1515f,-0.1883f,0.9704f, 0.0721f,-0.1797f,0.9811f, 0.1947f,-0.0744f,0.9780f, 
	0.0756f,-0.0434f,0.9962f, 0.2759f,-0.0996f,0.9560f, 0.3844f,-0.1368f,0.9130f, 0.6106f,0.0157f,0.7918f, 0.8021f,0.1409f,0.5803f, 0.8321f,0.2715f,0.4836f, 0.8751f,0.2240f,0.4290f, 0.9248f,0.1478f,0.3504f, 0.9767f,0.1353f,0.1666f, 0.9954f,0.0834f,-0.0466f, 0.9801f,-0.0166f,-0.1977f, 0.9622f,-0.1313f,-0.2387f, 0.8796f,-0.2153f,-0.4242f, 0.8143f,-0.2473f,-0.5251f, 0.6138f,-0.1970f,-0.7645f, 
	0.5995f,-0.2227f,-0.7688f, 0.7733f,-0.2770f,-0.5703f, 0.7498f,-0.1781f,-0.6372f, 0.6398f,-0.2018f,-0.7416f, 0.6198f,-0.2941f,-0.7276f, 0.3674f,-0.1649f,-0.9153f, 0.0695f,0.0607f,-0.9957f, 0.1411f,-0.0089f,-0.9900f, -0.1192f,-0.1560f,-0.9805f, -0.0123f,-0.1317f,-0.9912f, -0.2456f,-0.1421f,-0.9589f, -0.3188f,-0.1527f,-0.9354f, -0.4655f,0.0038f,-0.8851f, -0.6667f,-0.0536f,-0.7434f, -0.7785f,-0.2057f,-0.5930f, 
	-0.8420f,-0.3919f,-0.3708f, -0.8492f,-0.4356f,-0.2986f, -0.8936f,-0.4014f,-0.2010f, -0.9394f,-0.3193f,-0.1250f, -0.9327f,-0.3089f,-0.1860f, -0.9764f,-0.2120f,-0.0419f, -0.9803f,-0.1263f,0.1518f, -0.9772f,-0.1644f,0.1348f, -0.9719f,-0.0903f,0.2173f, -0.8676f,-0.0771f,0.4913f, -0.8820f,-0.1998f,0.4268f, -0.8375f,-0.0632f,0.5428f, -0.6185f,0.0459f,0.7844f, -0.4922f,-0.0521f,0.8689f, -0.4535f,-0.1776f,0.8734f, 
	-0.3364f,-0.1865f,0.9231f, -0.1744f,-0.1411f,0.9745f, -0.0522f,-0.0548f,0.9971f, -0.0911f,-0.2523f,0.9634f, 0.0173f,-0.3497f,0.9367f, 0.0727f,-0.3569f,0.9313f, 0.1439f,-0.3166f,0.9376f, 0.2276f,-0.3950f,0.8901f, 0.1096f,-0.3597f,0.9266f, 0.3100f,-0.2929f,0.9045f, 0.6998f,-0.1731f,0.6930f, 0.8632f,0.0172f,0.5046f, 0.9288f,-0.0576f,0.3661f, 0.9379f,-0.1656f,0.3047f, 0.9727f,-0.1948f,0.1261f, 
	0.9763f,-0.2116f,-0.0456f, 0.9783f,-0.1214f,-0.1681f, 0.9504f,-0.0440f,-0.3078f, 0.8672f,-0.1267f,-0.4815f, 0.8504f,-0.1821f,-0.4936f, 0.7561f,-0.1952f,-0.6247f, 0.5794f,-0.1393f,-0.8030f, 0.7461f,-0.1961f,-0.6362f, 0.7341f,-0.2005f,-0.6488f, 0.5460f,-0.1011f,-0.8317f, 0.5969f,-0.2181f,-0.7721f, 0.4613f,-0.2192f,-0.8598f, 0.2103f,-0.2268f,-0.9510f, -0.0123f,-0.1317f,-0.9912f, -0.1126f,-0.4285f,-0.8965f, 
	-0.1355f,-0.3550f,-0.9250f, -0.1218f,-0.4608f,-0.8791f, -0.3311f,-0.4267f,-0.8416f, -0.5260f,-0.3817f,-0.7600f, -0.6849f,-0.3897f,-0.6156f, -0.8548f,-0.3099f,-0.4163f, -0.9199f,-0.2824f,-0.2722f, -0.8727f,-0.4125f,-0.2612f, -0.8174f,-0.5457f,-0.1846f, -0.8255f,-0.5192f,-0.2214f, -0.8015f,-0.4616f,-0.3801f, -0.9376f,-0.3044f,-0.1680f, -0.9754f,-0.2052f,0.0809f, -0.9855f,-0.0680f,0.1554f, -0.9657f,-0.1603f,0.2045f, 
	-0.8802f,-0.0737f,0.4688f, -0.9053f,0.0037f,0.4248f, -0.8779f,0.0349f,0.4776f, -0.6695f,0.0325f,0.7421f, -0.4156f,0.0480f,0.9083f, -0.4269f,-0.0596f,0.9023f, -0.3578f,-0.1281f,0.9250f, -0.1720f,-0.1485f,0.9738f, -0.0933f,-0.2606f,0.9609f, 0.0630f,-0.2071f,0.9763f, 0.1253f,-0.4115f,0.9028f, 0.1789f,-0.5207f,0.8348f, 0.0498f,-0.5216f,0.8517f, 0.1297f,-0.3848f,0.9139f, 0.2172f,-0.2405f,0.9460f, 
	0.2638f,-0.3253f,0.9081f, 0.5519f,-0.4368f,0.7104f, 0.7860f,-0.4004f,0.4711f, 0.8700f,-0.3968f,0.2925f, 0.8886f,-0.3903f,0.2410f, 0.9017f,-0.4178f,0.1109f, 0.9409f,-0.3230f,-0.1020f, 0.9602f,-0.2783f,0.0258f, 0.9757f,-0.1706f,-0.1376f, 0.8743f,-0.0997f,-0.4750f, 0.8001f,-0.1678f,-0.5759f, 0.7606f,-0.3539f,-0.5443f, 0.5992f,-0.3752f,-0.7072f, 0.6892f,-0.3362f,-0.6419f, 0.7248f,-0.3864f,-0.5704f, 
	0.6200f,-0.2193f,-0.7533f, 0.5358f,-0.0440f,-0.8432f, 0.3050f,-0.1171f,-0.9451f, -0.0156f,-0.2059f,-0.9784f, -0.1355f,-0.3550f,-0.9250f, -0.2518f,-0.3673f,-0.8954f, -0.2547f,-0.1422f,-0.9565f, -0.1927f,-0.5053f,-0.8411f, -0.2715f,-0.5624f,-0.7810f, -0.5110f,-0.5130f,-0.6897f, -0.7332f,-0.4442f,-0.5149f, -0.7767f,-0.4614f,-0.4287f, -0.9656f,-0.1970f,-0.1696f, -0.9515f,-0.3072f,-0.0154f, -0.9083f,-0.4184f,-0.0022f, 
	-0.8275f,-0.5258f,-0.1970f, -0.7066f,-0.5693f,-0.4201f, -0.7494f,-0.5966f,-0.2871f, -0.8285f,-0.5502f,-0.1041f, -0.9413f,-0.3289f,0.0764f, -0.9310f,-0.2830f,0.2306f, -0.9078f,-0.2631f,0.3265f, -0.9185f,-0.1388f,0.3704f, -0.8846f,-0.1581f,0.4387f, -0.6639f,-0.1966f,0.7215f, -0.3207f,-0.1344f,0.9376f, -0.2305f,-0.1810f,0.9561f, -0.2394f,-0.2855f,0.9280f, -0.0157f,-0.3568f,0.9340f, 0.1705f,-0.5245f,0.8341f, 
	0.1284f,-0.6551f,0.7445f, 0.0987f,-0.6904f,0.7167f, 0.1456f,-0.5851f,0.7978f, -0.1109f,-0.4729f,0.8741f, -0.1759f,-0.3635f,0.9148f, 0.0181f,-0.2875f,0.9576f, 0.3102f,-0.3291f,0.8919f, 0.5400f,-0.4566f,0.7071f, 0.6900f,-0.5270f,0.4962f, 0.7730f,-0.5354f,0.3404f, 0.8553f,-0.4713f,0.2153f, 0.8856f,-0.4126f,0.2133f, 0.9621f,-0.2597f,0.0833f, 0.9858f,-0.1587f,0.0557f, 0.9576f,-0.2706f,-0.0990f, 
	0.8399f,-0.3061f,-0.4481f, 0.6919f,-0.3559f,-0.6282f, 0.6302f,-0.5246f,-0.5723f, 0.5305f,-0.5137f,-0.6743f, 0.5865f,-0.5339f,-0.6091f, 0.6995f,-0.5619f,-0.4415f, 0.6808f,-0.4827f,-0.5509f, 0.5766f,-0.2575f,-0.7753f, 0.3098f,-0.2684f,-0.9121f, -0.0784f,-0.1039f,-0.9915f, -0.2547f,-0.1422f,-0.9565f, -0.4186f,-0.2553f,-0.8715f, -0.3029f,-0.0730f,-0.9502f, -0.3283f,-0.4135f,-0.8493f, -0.3522f,-0.5513f,-0.7564f, 
	-0.5209f,-0.6049f,-0.6022f, -0.7145f,-0.5870f,-0.3806f, -0.7657f,-0.5835f,-0.2707f, -0.7612f,-0.6142f,-0.2082f, -0.8161f,-0.5768f,-0.0340f, -0.9011f,-0.4303f,0.0539f, -0.8729f,-0.4828f,-0.0702f, -0.7134f,-0.6579f,-0.2412f, -0.5588f,-0.7711f,-0.3052f, -0.6282f,-0.7446f,-0.2256f, -0.7473f,-0.6344f,-0.1976f, -0.8281f,-0.5590f,0.0417f, -0.8777f,-0.3989f,0.2657f, -0.8851f,-0.3746f,0.2763f, -0.7980f,-0.4288f,0.4234f, 
	-0.5682f,-0.4688f,0.6764f, -0.2827f,-0.5068f,0.8144f, -0.0600f,-0.4715f,0.8798f, 0.0125f,-0.4765f,0.8791f, 0.2246f,-0.5905f,0.7752f, 0.3960f,-0.6783f,0.6190f, 0.1984f,-0.8128f,0.5478f, -0.1617f,-0.7978f,0.5809f, -0.1564f,-0.5744f,0.8035f, -0.1814f,-0.3485f,0.9196f, -0.1284f,-0.4583f,0.8794f, -0.1172f,-0.5518f,0.8257f, 0.0175f,-0.6093f,0.7927f, 0.3842f,-0.6637f,0.6418f, 0.6255f,-0.6076f,0.4894f, 
	0.7509f,-0.5490f,0.3671f, 0.8117f,-0.4768f,0.3374f, 0.8715f,-0.2978f,0.3897f, 0.9338f,-0.1672f,0.3165f, 0.9739f,-0.2222f,-0.0469f, 0.8789f,-0.3713f,-0.2993f, 0.7094f,-0.5320f,-0.4623f, 0.6371f,-0.5334f,-0.5564f, 0.6516f,-0.4535f,-0.6081f, 0.6256f,-0.2465f,-0.7402f, 0.6647f,-0.2717f,-0.6959f, 0.7154f,-0.3868f,-0.5819f, 0.6674f,-0.5614f,-0.4892f, 0.6084f,-0.5659f,-0.5564f, 0.5569f,-0.5551f,-0.6178f, 
	0.2237f,-0.4072f,-0.8855f, -0.3029f,-0.0730f,-0.9502f, -0.5592f,-0.2712f,-0.7834f, -0.4102f,-0.2945f,-0.8631f, -0.4675f,-0.4487f,-0.7616f, -0.4528f,-0.6071f,-0.6530f, -0.5597f,-0.6899f,-0.4591f, -0.6440f,-0.7248f,-0.2449f, -0.7205f,-0.6837f,-0.1156f, -0.7218f,-0.6787f,-0.1353f, -0.7172f,-0.6843f,-0.1317f, -0.7260f,-0.6721f,-0.1458f, -0.7616f,-0.6465f,-0.0437f, -0.6447f,-0.7644f,0.0110f, -0.5227f,-0.8436f,-0.1230f, 
	-0.4556f,-0.8448f,-0.2805f, -0.5045f,-0.8239f,-0.2584f, -0.5228f,-0.8421f,-0.1325f, -0.6546f,-0.7542f,0.0520f, -0.7173f,-0.6806f,0.1492f, -0.6493f,-0.6796f,0.3413f, -0.4178f,-0.7133f,0.5627f, -0.1233f,-0.6899f,0.7134f, 0.0306f,-0.6718f,0.7401f, 0.1730f,-0.6415f,0.7474f, 0.3982f,-0.6378f,0.6593f, 0.5382f,-0.6508f,0.5355f, 0.3164f,-0.7719f,0.5515f, -0.2056f,-0.7801f,0.5909f, -0.5712f,-0.5695f,0.5911f, 
	-0.3817f,-0.5427f,0.7482f, 0.0275f,-0.6544f,0.7556f, 0.0325f,-0.7052f,0.7083f, -0.1824f,-0.7527f,0.6326f, 0.1042f,-0.8493f,0.5176f, 0.4012f,-0.8104f,0.4270f, 0.5364f,-0.7452f,0.3961f, 0.7239f,-0.5281f,0.4439f, 0.7612f,-0.3915f,0.5170f, 0.8628f,-0.2926f,0.4123f, 0.9402f,-0.3343f,-0.0661f, 0.7609f,-0.3842f,-0.5229f, 0.6709f,-0.4760f,-0.5686f, 0.6818f,-0.5595f,-0.4712f, 0.7438f,-0.5107f,-0.4312f, 
	0.7353f,-0.4216f,-0.5306f, 0.6237f,-0.2577f,-0.7379f, 0.5864f,-0.3573f,-0.7269f, 0.5868f,-0.5461f,-0.5979f, 0.6347f,-0.5490f,-0.5438f, 0.5619f,-0.5521f,-0.6159f, 0.1862f,-0.6063f,-0.7731f, -0.4102f,-0.2945f,-0.8631f, -0.4899f,-0.6778f,-0.5482f, -0.2461f,-0.7923f,-0.5583f, -0.3988f,-0.7356f,-0.5476f, -0.4264f,-0.7516f,-0.5033f, -0.5230f,-0.7892f,-0.3219f, -0.5931f,-0.7866f,-0.1720f, -0.6288f,-0.7601f,-0.1635f, 
	-0.6618f,-0.7272f,-0.1824f, -0.6860f,-0.7164f,-0.1274f, -0.7416f,-0.6686f,0.0544f, -0.6940f,-0.7039f,0.1516f, -0.7054f,-0.6943f,0.1425f, -0.6892f,-0.7235f,-0.0399f, -0.5850f,-0.7646f,-0.2706f, -0.4717f,-0.8591f,-0.1983f, -0.3744f,-0.9194f,-0.1207f, -0.3465f,-0.9158f,-0.2029f, -0.4291f,-0.8747f,-0.2254f, -0.4024f,-0.9035f,0.1474f, -0.2272f,-0.8861f,0.4041f, -0.0559f,-0.8446f,0.5325f, 0.0800f,-0.7891f,0.6090f, 
	0.2335f,-0.7064f,0.6682f, 0.5019f,-0.5553f,0.6631f, 0.6020f,-0.5183f,0.6074f, 0.3502f,-0.6241f,0.6985f, -0.1684f,-0.6748f,0.7185f, -0.5622f,-0.6085f,0.5601f, -0.4809f,-0.7534f,0.4485f, -0.2568f,-0.8583f,0.4442f, -0.1218f,-0.8742f,0.4701f, -0.0795f,-0.9043f,0.4194f, 0.0005f,-0.9441f,0.3296f, 0.1992f,-0.9426f,0.2679f, 0.1672f,-0.9202f,0.3539f, 0.2477f,-0.8530f,0.4593f, 0.4872f,-0.7591f,0.4317f, 
	0.6875f,-0.6720f,0.2753f, 0.7722f,-0.6216f,-0.1312f, 0.7234f,-0.4502f,-0.5235f, 0.6600f,-0.3326f,-0.6736f, 0.6736f,-0.4181f,-0.6094f, 0.6950f,-0.5923f,-0.4075f, 0.6364f,-0.6938f,-0.3371f, 0.4750f,-0.6447f,-0.5989f, 0.3923f,-0.6125f,-0.6862f, 0.5154f,-0.5703f,-0.6397f, 0.6464f,-0.5369f,-0.5421f, 0.4475f,-0.7146f,-0.5377f, 0.1503f,-0.8252f,-0.5445f, -0.2461f,-0.7923f,-0.5583f, -0.1144f,-0.9586f,-0.2606f, 
	-0.0202f,-0.9737f,-0.2270f, -0.1067f,-0.9514f,-0.2888f, -0.2015f,-0.9343f,-0.2942f, -0.3822f,-0.9054f,-0.1850f, -0.4536f,-0.8846f,-0.1082f, -0.4790f,-0.8648f,-0.1505f, -0.5561f,-0.8155f,-0.1602f, -0.6326f,-0.7703f,-0.0805f, -0.6735f,-0.7377f,-0.0461f, -0.7238f,-0.6897f,-0.0223f, -0.7375f,-0.6724f,-0.0627f, -0.7630f,-0.6451f,0.0418f, -0.6721f,-0.7393f,0.0415f, -0.5872f,-0.8089f,-0.0301f, -0.4638f,-0.8813f,0.0904f, 
	-0.4345f,-0.9006f,0.0127f, -0.4512f,-0.8689f,-0.2037f, -0.3952f,-0.8860f,-0.2424f, -0.2655f,-0.9613f,0.0738f, -0.1191f,-0.9345f,0.3354f, -0.0087f,-0.8722f,0.4891f, 0.1269f,-0.8123f,0.5692f, 0.4097f,-0.6519f,0.6382f, 0.5366f,-0.4239f,0.7296f, 0.2692f,-0.5114f,0.8161f, -0.0192f,-0.5531f,0.8329f, -0.2740f,-0.5991f,0.7523f, -0.2509f,-0.7857f,0.5654f, -0.0421f,-0.9100f,0.4124f, -0.3027f,-0.9062f,0.2953f, 
	-0.2848f,-0.9137f,0.2899f, -0.0043f,-0.9366f,0.3503f, 0.1419f,-0.9332f,0.3301f, 0.2339f,-0.8990f,0.3701f, 0.1097f,-0.8976f,0.4269f, 0.2124f,-0.8972f,0.3871f, 0.4060f,-0.8970f,0.1745f, 0.4870f,-0.8658f,-0.1151f, 0.5395f,-0.7355f,-0.4100f, 0.5523f,-0.5937f,-0.5852f, 0.5149f,-0.5974f,-0.6148f, 0.5126f,-0.7115f,-0.4807f, 0.3797f,-0.9074f,-0.1801f, 0.2322f,-0.9376f,-0.2588f, 0.2797f,-0.8246f,-0.4917f, 
	0.4182f,-0.7516f,-0.5101f, 0.4797f,-0.7742f,-0.4129f, 0.3821f,-0.8477f,-0.3680f, 0.0361f,-0.9673f,-0.2512f, -0.0202f,-0.9737f,-0.2270f, 0.0318f,-0.9915f,-0.1258f, -0.1024f,-0.9889f,-0.1078f, 0.0478f,-0.9888f,-0.1416f, 0.0474f,-0.9879f,-0.1477f, -0.1180f,-0.9867f,-0.1122f, -0.3254f,-0.9411f,-0.0916f, -0.3523f,-0.9214f,-0.1640f, -0.3970f,-0.8744f,-0.2791f, -0.4097f,-0.8369f,-0.3628f, -0.5022f,-0.8230f,-0.2654f, 
	-0.5866f,-0.8099f,-0.0029f, -0.4564f,-0.8897f,-0.0143f, -0.3950f,-0.9172f,0.0525f, -0.4396f,-0.8524f,0.2832f, -0.4942f,-0.8511f,0.1775f, -0.4886f,-0.8657f,0.1086f, -0.5193f,-0.8507f,0.0817f, -0.5295f,-0.8469f,0.0494f, -0.4228f,-0.9048f,0.0499f, -0.3470f,-0.9373f,-0.0317f, -0.2764f,-0.9610f,0.0063f, -0.1185f,-0.9546f,0.2733f, 0.1818f,-0.8299f,0.5275f, 0.3356f,-0.6871f,0.6444f, 0.2879f,-0.6114f,0.7371f, 
	0.2147f,-0.5712f,0.7923f, 0.0315f,-0.5924f,0.8050f, -0.1089f,-0.6211f,0.7761f, 0.1167f,-0.6867f,0.7175f, 0.2566f,-0.7472f,0.6131f, 0.0923f,-0.8130f,0.5749f, -0.0885f,-0.8433f,0.5301f, -0.1748f,-0.8289f,0.5313f, 0.0865f,-0.8775f,0.4718f, 0.2586f,-0.8973f,0.3577f, 0.2511f,-0.8966f,0.3647f, 0.1344f,-0.9288f,0.3454f, 0.2318f,-0.9726f,0.0174f, 0.2723f,-0.9299f,-0.2474f, 0.2882f,-0.8802f,-0.3771f, 
	0.2051f,-0.8989f,-0.3872f, 0.1512f,-0.8670f,-0.4747f, 0.2239f,-0.8936f,-0.3890f, 0.2007f,-0.9745f,-0.1007f, 0.1530f,-0.9835f,-0.0963f, 0.2350f,-0.9362f,-0.2612f, 0.1929f,-0.9090f,-0.3694f, 0.1688f,-0.9412f,-0.2928f, 0.2220f,-0.9649f,-0.1404f, 0.0112f,-0.9915f,-0.1294f, -0.1024f,-0.9889f,-0.1078f, 0.0338f,-0.9658f,-0.2571f, -0.0885f,-0.9703f,-0.2253f, -0.0330f,-0.9633f,-0.2664f, -0.0772f,-0.9531f,-0.2927f, 
	-0.0037f,-0.9456f,-0.3253f, -0.0964f,-0.9389f,-0.3305f, -0.1553f,-0.9180f,-0.3650f, -0.2112f,-0.8913f,-0.4011f, -0.2964f,-0.8903f,-0.3457f, -0.3351f,-0.9327f,-0.1331f, -0.3676f,-0.9207f,0.1311f, -0.3501f,-0.9158f,0.1970f, -0.2163f,-0.9724f,0.0874f, -0.2147f,-0.9765f,0.0173f, -0.3025f,-0.9527f,0.0301f, -0.3944f,-0.9157f,0.0773f, -0.4375f,-0.8992f,0.0092f, -0.3727f,-0.9273f,0.0335f, -0.1952f,-0.9561f,0.2184f, 
	-0.0826f,-0.9623f,0.2590f, -0.1732f,-0.9817f,0.0794f, -0.1715f,-0.9806f,0.0951f, -0.1283f,-0.9778f,0.1656f, -0.0953f,-0.9369f,0.3364f, 0.0793f,-0.9119f,0.4026f, 0.1247f,-0.8619f,0.4916f, 0.0428f,-0.8654f,0.4992f, 0.1060f,-0.8774f,0.4678f, 0.1858f,-0.8510f,0.4913f, 0.3579f,-0.7907f,0.4967f, 0.2713f,-0.8040f,0.5291f, 0.1766f,-0.8236f,0.5389f, 0.1487f,-0.8692f,0.4715f, 0.0812f,-0.9226f,0.3770f, 
	0.0052f,-0.9294f,0.3691f, 0.0694f,-0.9799f,0.1872f, 0.1914f,-0.9796f,-0.0622f, 0.1391f,-0.9715f,-0.1921f, 0.1089f,-0.9890f,-0.0997f, 0.1227f,-0.9575f,-0.2611f, 0.0741f,-0.8357f,-0.5442f, 0.0686f,-0.9189f,-0.3886f, 0.2463f,-0.9302f,-0.2723f, 0.3371f,-0.9287f,-0.1546f, 0.3312f,-0.9315f,-0.1502f, 0.3123f,-0.9345f,-0.1710f, 0.2729f,-0.9322f,-0.2377f, 0.1014f,-0.9154f,-0.3895f, -0.0096f,-0.9300f,-0.3673f, 
	-0.0966f,-0.9637f,-0.2488f, -0.0885f,-0.9703f,-0.2253f, -0.0887f,-0.9142f,-0.3954f, -0.0014f,-0.9185f,-0.3954f, -0.1016f,-0.9198f,-0.3789f, -0.0627f,-0.9129f,-0.4032f, -0.0705f,-0.9177f,-0.3909f, -0.0860f,-0.9327f,-0.3502f, -0.1491f,-0.9354f,-0.3207f, -0.1355f,-0.9439f,-0.3013f, -0.2045f,-0.9744f,-0.0936f, -0.2593f,-0.9611f,0.0955f, -0.2207f,-0.9701f,0.1013f, -0.2569f,-0.9400f,0.2243f, -0.2609f,-0.9226f,0.2840f, 
	-0.2247f,-0.9614f,0.1588f, -0.2029f,-0.9759f,0.0807f, -0.2144f,-0.9767f,0.0130f, -0.1826f,-0.9820f,0.0491f, -0.0735f,-0.9703f,0.2305f, 0.0566f,-0.9505f,0.3055f, -0.0702f,-0.9879f,0.1385f, -0.3215f,-0.9445f,-0.0678f, -0.3877f,-0.9179f,-0.0845f, -0.2217f,-0.9746f,0.0307f, 0.0414f,-0.9846f,0.1696f, 0.0794f,-0.9847f,0.1552f, -0.0471f,-0.9845f,0.1690f, -0.0148f,-0.9754f,0.2198f, 0.1966f,-0.9534f,0.2290f, 
	0.0566f,-0.9657f,0.2535f, -0.1138f,-0.9377f,0.3282f, -0.0557f,-0.9196f,0.3888f, -0.0192f,-0.8998f,0.4359f, 0.1742f,-0.9243f,0.3396f, 0.2270f,-0.9298f,0.2897f, 0.2090f,-0.9517f,0.2249f, 0.1900f,-0.9757f,0.1094f, 0.1463f,-0.9797f,0.1371f, 0.1659f,-0.9815f,0.0958f, 0.2182f,-0.9506f,-0.2208f, 0.1701f,-0.9281f,-0.3312f, 0.1697f,-0.9344f,-0.3131f, 0.2432f,-0.9044f,-0.3506f, 0.3304f,-0.8941f,-0.3024f, 
	0.2848f,-0.9015f,-0.3259f, 0.1743f,-0.9014f,-0.3964f, 0.2263f,-0.9330f,-0.2800f, 0.3752f,-0.9223f,-0.0921f, 0.2293f,-0.9571f,-0.1773f, -0.1657f,-0.9009f,-0.4011f, -0.1508f,-0.8960f,-0.4177f, -0.0014f,-0.9185f,-0.3954f, -0.0268f,-0.9487f,-0.3150f, 0.0118f,-0.9469f,-0.3214f, -0.1170f,-0.9501f,-0.2892f, -0.2311f,-0.9496f,-0.2120f, -0.2469f,-0.9570f,-0.1522f, -0.1092f,-0.9665f,-0.2323f, 0.0006f,-0.9429f,-0.3331f, 
	-0.0525f,-0.9642f,-0.2601f, -0.1276f,-0.9882f,-0.0848f, -0.1816f,-0.9793f,0.0896f, -0.1991f,-0.9643f,0.1746f, -0.1903f,-0.9638f,0.1869f, -0.1900f,-0.9578f,0.2155f, -0.1946f,-0.9492f,0.2472f, -0.1859f,-0.9486f,0.2562f, -0.1928f,-0.9599f,0.2038f, -0.1831f,-0.9707f,0.1557f, -0.0854f,-0.9606f,0.2646f, 0.0141f,-0.9208f,0.3898f, -0.0372f,-0.9372f,0.3467f, -0.2320f,-0.9600f,0.1570f, -0.3263f,-0.9445f,0.0382f, 
	-0.2334f,-0.9671f,0.1011f, -0.1460f,-0.9736f,0.1754f, -0.2258f,-0.9575f,0.1794f, -0.3728f,-0.9141f,0.1593f, -0.3469f,-0.9176f,0.1939f, -0.1075f,-0.9606f,0.2564f, 0.0508f,-0.9571f,0.2852f, -0.0283f,-0.9534f,0.3004f, -0.2380f,-0.9060f,0.3500f, -0.3995f,-0.8129f,0.4237f, -0.3212f,-0.8443f,0.4289f, -0.0566f,-0.9514f,0.3027f, 0.1223f,-0.9804f,0.1544f, 0.1654f,-0.9793f,0.1163f, 0.1734f,-0.9753f,0.1365f, 
	0.1944f,-0.9807f,-0.0228f, 0.1918f,-0.9275f,-0.3209f, 0.1818f,-0.8860f,-0.4265f, 0.2001f,-0.9301f,-0.3080f, 0.2418f,-0.9576f,-0.1565f, 0.2405f,-0.9566f,-0.1646f, 0.1456f,-0.9407f,-0.3064f, 0.0571f,-0.9185f,-0.3912f, 0.0623f,-0.9224f,-0.3813f, 0.0789f,-0.9350f,-0.3458f, 0.1020f,-0.9543f,-0.2810f, 0.0890f,-0.9646f,-0.2484f, 0.0356f,-0.9555f,-0.2928f, 0.0118f,-0.9469f,-0.3214f, -0.0906f,-0.9958f,-0.0151f, 
	-0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, 
	-0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, 
	-0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, 
	-0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, -0.0906f,-0.9958f,-0.0151f, 
_NULL_ }; /* End of sphere01_Normals */

const unsigned short sphere01_Faces[] = {
	0, 2, 1, 3, 4, 0, 5, 6, 3, 7, 8, 5, 9, 10, 7, 11, 12, 9, 13, 14, 11, 15, 16, 13, 17, 18, 15, 19, 20, 17, 
	21, 22, 19, 23, 24, 21, 25, 26, 23, 27, 28, 25, 29, 30, 27, 31, 32, 29, 33, 34, 31, 35, 36, 33, 37, 38, 35, 39, 40, 37, 
	41, 42, 39, 43, 44, 41, 45, 46, 43, 47, 48, 45, 49, 50, 47, 51, 52, 49, 53, 54, 51, 55, 56, 53, 57, 58, 55, 59, 60, 57, 
	61, 62, 59, 63, 64, 61, 65, 66, 63, 67, 68, 65, 69, 70, 67, 71, 72, 69, 73, 74, 71, 75, 76, 73, 77, 78, 75, 79, 80, 77, 
	81, 82, 79, 83, 84, 81, 85, 86, 83, 87, 88, 85, 89, 90, 87, 91, 92, 89, 93, 94, 91, 95, 96, 93, 97, 98, 95, 99, 100, 97, 
	101, 1, 102, 0, 1, 101, 103, 0, 101, 3, 0, 103, 104, 3, 103, 5, 3, 104, 105, 5, 104, 7, 5, 105, 106, 7, 105, 9, 7, 106, 
	107, 9, 106, 11, 9, 107, 108, 11, 107, 13, 11, 108, 109, 13, 108, 15, 13, 109, 110, 15, 109, 17, 15, 110, 111, 17, 110, 19, 17, 111, 
	112, 19, 111, 21, 19, 112, 113, 21, 112, 23, 21, 113, 114, 23, 113, 25, 23, 114, 115, 25, 114, 27, 25, 115, 116, 27, 115, 29, 27, 116, 
	117, 29, 116, 31, 29, 117, 118, 31, 117, 33, 31, 118, 119, 33, 118, 35, 33, 119, 120, 35, 119, 37, 35, 120, 121, 37, 120, 39, 37, 121, 
	122, 39, 121, 41, 39, 122, 123, 41, 122, 43, 41, 123, 124, 43, 123, 45, 43, 124, 125, 45, 124, 47, 45, 125, 126, 47, 125, 49, 47, 126, 
	127, 49, 126, 51, 49, 127, 128, 51, 127, 53, 51, 128, 129, 53, 128, 55, 53, 129, 130, 55, 129, 57, 55, 130, 131, 57, 130, 59, 57, 131, 
	132, 59, 131, 61, 59, 132, 133, 61, 132, 63, 61, 133, 134, 63, 133, 65, 63, 134, 135, 65, 134, 67, 65, 135, 136, 67, 135, 69, 67, 136, 
	137, 69, 136, 71, 69, 137, 138, 71, 137, 73, 71, 138, 139, 73, 138, 75, 73, 139, 140, 75, 139, 77, 75, 140, 141, 77, 140, 79, 77, 141, 
	142, 79, 141, 81, 79, 142, 143, 81, 142, 83, 81, 143, 144, 83, 143, 85, 83, 144, 145, 85, 144, 87, 85, 145, 146, 87, 145, 89, 87, 146, 
	147, 89, 146, 91, 89, 147, 148, 91, 147, 93, 91, 148, 149, 93, 148, 95, 93, 149, 150, 95, 149, 97, 95, 150, 151, 97, 150, 99, 97, 151, 
	152, 102, 153, 101, 102, 152, 154, 101, 152, 103, 101, 154, 155, 103, 154, 104, 103, 155, 156, 104, 155, 105, 104, 156, 157, 105, 156, 106, 105, 157, 
	158, 106, 157, 107, 106, 158, 159, 107, 158, 108, 107, 159, 160, 108, 159, 109, 108, 160, 161, 109, 160, 110, 109, 161, 162, 110, 161, 111, 110, 162, 
	163, 111, 162, 112, 111, 163, 164, 112, 163, 113, 112, 164, 165, 113, 164, 114, 113, 165, 166, 114, 165, 115, 114, 166, 167, 115, 166, 116, 115, 167, 
	168, 116, 167, 117, 116, 168, 169, 117, 168, 118, 117, 169, 170, 118, 169, 119, 118, 170, 171, 119, 170, 120, 119, 171, 172, 120, 171, 121, 120, 172, 
	173, 121, 172, 122, 121, 173, 174, 122, 173, 123, 122, 174, 175, 123, 174, 124, 123, 175, 176, 124, 175, 125, 124, 176, 177, 125, 176, 126, 125, 177, 
	178, 126, 177, 127, 126, 178, 179, 127, 178, 128, 127, 179, 180, 128, 179, 129, 128, 180, 181, 129, 180, 130, 129, 181, 182, 130, 181, 131, 130, 182, 
	183, 131, 182, 132, 131, 183, 184, 132, 183, 133, 132, 184, 185, 133, 184, 134, 133, 185, 186, 134, 185, 135, 134, 186, 187, 135, 186, 136, 135, 187, 
	188, 136, 187, 137, 136, 188, 189, 137, 188, 138, 137, 189, 190, 138, 189, 139, 138, 190, 191, 139, 190, 140, 139, 191, 192, 140, 191, 141, 140, 192, 
	193, 141, 192, 142, 141, 193, 194, 142, 193, 143, 142, 194, 195, 143, 194, 144, 143, 195, 196, 144, 195, 145, 144, 196, 197, 145, 196, 146, 145, 197, 
	198, 146, 197, 147, 146, 198, 199, 147, 198, 148, 147, 199, 200, 148, 199, 149, 148, 200, 201, 149, 200, 150, 149, 201, 202, 150, 201, 151, 150, 202, 
	203, 153, 204, 152, 153, 203, 205, 152, 203, 154, 152, 205, 206, 154, 205, 155, 154, 206, 207, 155, 206, 156, 155, 207, 208, 156, 207, 157, 156, 208, 
	209, 157, 208, 158, 157, 209, 210, 158, 209, 159, 158, 210, 211, 159, 210, 160, 159, 211, 212, 160, 211, 161, 160, 212, 213, 161, 212, 162, 161, 213, 
	214, 162, 213, 163, 162, 214, 215, 163, 214, 164, 163, 215, 216, 164, 215, 165, 164, 216, 217, 165, 216, 166, 165, 217, 218, 166, 217, 167, 166, 218, 
	219, 167, 218, 168, 167, 219, 220, 168, 219, 169, 168, 220, 221, 169, 220, 170, 169, 221, 222, 170, 221, 171, 170, 222, 223, 171, 222, 172, 171, 223, 
	224, 172, 223, 173, 172, 224, 225, 173, 224, 174, 173, 225, 226, 174, 225, 175, 174, 226, 227, 175, 226, 176, 175, 227, 228, 176, 227, 177, 176, 228, 
	229, 177, 228, 178, 177, 229, 230, 178, 229, 179, 178, 230, 231, 179, 230, 180, 179, 231, 232, 180, 231, 181, 180, 232, 233, 181, 232, 182, 181, 233, 
	234, 182, 233, 183, 182, 234, 235, 183, 234, 184, 183, 235, 236, 184, 235, 185, 184, 236, 237, 185, 236, 186, 185, 237, 238, 186, 237, 187, 186, 238, 
	239, 187, 238, 188, 187, 239, 240, 188, 239, 189, 188, 240, 241, 189, 240, 190, 189, 241, 242, 190, 241, 191, 190, 242, 243, 191, 242, 192, 191, 243, 
	244, 192, 243, 193, 192, 244, 245, 193, 244, 194, 193, 245, 246, 194, 245, 195, 194, 246, 247, 195, 246, 196, 195, 247, 248, 196, 247, 197, 196, 248, 
	249, 197, 248, 198, 197, 249, 250, 198, 249, 199, 198, 250, 251, 199, 250, 200, 199, 251, 252, 200, 251, 201, 200, 252, 253, 201, 252, 202, 201, 253, 
	254, 204, 255, 203, 204, 254, 256, 203, 254, 205, 203, 256, 257, 205, 256, 206, 205, 257, 258, 206, 257, 207, 206, 258, 259, 207, 258, 208, 207, 259, 
	260, 208, 259, 209, 208, 260, 261, 209, 260, 210, 209, 261, 262, 210, 261, 211, 210, 262, 263, 211, 262, 212, 211, 263, 264, 212, 263, 213, 212, 264, 
	265, 213, 264, 214, 213, 265, 266, 214, 265, 215, 214, 266, 267, 215, 266, 216, 215, 267, 268, 216, 267, 217, 216, 268, 269, 217, 268, 218, 217, 269, 
	270, 218, 269, 219, 218, 270, 271, 219, 270, 220, 219, 271, 272, 220, 271, 221, 220, 272, 273, 221, 272, 222, 221, 273, 274, 222, 273, 223, 222, 274, 
	275, 223, 274, 224, 223, 275, 276, 224, 275, 225, 224, 276, 277, 225, 276, 226, 225, 277, 278, 226, 277, 227, 226, 278, 279, 227, 278, 228, 227, 279, 
	280, 228, 279, 229, 228, 280, 281, 229, 280, 230, 229, 281, 282, 230, 281, 231, 230, 282, 283, 231, 282, 232, 231, 283, 284, 232, 283, 233, 232, 284, 
	285, 233, 284, 234, 233, 285, 286, 234, 285, 235, 234, 286, 287, 235, 286, 236, 235, 287, 288, 236, 287, 237, 236, 288, 289, 237, 288, 238, 237, 289, 
	290, 238, 289, 239, 238, 290, 291, 239, 290, 240, 239, 291, 292, 240, 291, 241, 240, 292, 293, 241, 292, 242, 241, 293, 294, 242, 293, 243, 242, 294, 
	295, 243, 294, 244, 243, 295, 296, 244, 295, 245, 244, 296, 297, 245, 296, 246, 245, 297, 298, 246, 297, 247, 246, 298, 299, 247, 298, 248, 247, 299, 
	300, 248, 299, 249, 248, 300, 301, 249, 300, 250, 249, 301, 302, 250, 301, 251, 250, 302, 303, 251, 302, 252, 251, 303, 304, 252, 303, 253, 252, 304, 
	305, 255, 306, 254, 255, 305, 307, 254, 305, 256, 254, 307, 308, 256, 307, 257, 256, 308, 309, 257, 308, 258, 257, 309, 310, 258, 309, 259, 258, 310, 
	311, 259, 310, 260, 259, 311, 312, 260, 311, 261, 260, 312, 313, 261, 312, 262, 261, 313, 314, 262, 313, 263, 262, 314, 315, 263, 314, 264, 263, 315, 
	316, 264, 315, 265, 264, 316, 317, 265, 316, 266, 265, 317, 318, 266, 317, 267, 266, 318, 319, 267, 318, 268, 267, 319, 320, 268, 319, 269, 268, 320, 
	321, 269, 320, 270, 269, 321, 322, 270, 321, 271, 270, 322, 323, 271, 322, 272, 271, 323, 324, 272, 323, 273, 272, 324, 325, 273, 324, 274, 273, 325, 
	326, 274, 325, 275, 274, 326, 327, 275, 326, 276, 275, 327, 328, 276, 327, 277, 276, 328, 329, 277, 328, 278, 277, 329, 330, 278, 329, 279, 278, 330, 
	331, 279, 330, 280, 279, 331, 332, 280, 331, 281, 280, 332, 333, 281, 332, 282, 281, 333, 334, 282, 333, 283, 282, 334, 335, 283, 334, 284, 283, 335, 
	336, 284, 335, 285, 284, 336, 337, 285, 336, 286, 285, 337, 338, 286, 337, 287, 286, 338, 339, 287, 338, 288, 287, 339, 340, 288, 339, 289, 288, 340, 
	341, 289, 340, 290, 289, 341, 342, 290, 341, 291, 290, 342, 343, 291, 342, 292, 291, 343, 344, 292, 343, 293, 292, 344, 345, 293, 344, 294, 293, 345, 
	346, 294, 345, 295, 294, 346, 347, 295, 346, 296, 295, 347, 348, 296, 347, 297, 296, 348, 349, 297, 348, 298, 297, 349, 350, 298, 349, 299, 298, 350, 
	351, 299, 350, 300, 299, 351, 352, 300, 351, 301, 300, 352, 353, 301, 352, 302, 301, 353, 354, 302, 353, 303, 302, 354, 355, 303, 354, 304, 303, 355, 
	356, 306, 357, 305, 306, 356, 358, 305, 356, 307, 305, 358, 359, 307, 358, 308, 307, 359, 360, 308, 359, 309, 308, 360, 361, 309, 360, 310, 309, 361, 
	362, 310, 361, 311, 310, 362, 363, 311, 362, 312, 311, 363, 364, 312, 363, 313, 312, 364, 365, 313, 364, 314, 313, 365, 366, 314, 365, 315, 314, 366, 
	367, 315, 366, 316, 315, 367, 368, 316, 367, 317, 316, 368, 369, 317, 368, 318, 317, 369, 370, 318, 369, 319, 318, 370, 371, 319, 370, 320, 319, 371, 
	372, 320, 371, 321, 320, 372, 373, 321, 372, 322, 321, 373, 374, 322, 373, 323, 322, 374, 375, 323, 374, 324, 323, 375, 376, 324, 375, 325, 324, 376, 
	377, 325, 376, 326, 325, 377, 378, 326, 377, 327, 326, 378, 379, 327, 378, 328, 327, 379, 380, 328, 379, 329, 328, 380, 381, 329, 380, 330, 329, 381, 
	382, 330, 381, 331, 330, 382, 383, 331, 382, 332, 331, 383, 384, 332, 383, 333, 332, 384, 385, 333, 384, 334, 333, 385, 386, 334, 385, 335, 334, 386, 
	387, 335, 386, 336, 335, 387, 388, 336, 387, 337, 336, 388, 389, 337, 388, 338, 337, 389, 390, 338, 389, 339, 338, 390, 391, 339, 390, 340, 339, 391, 
	392, 340, 391, 341, 340, 392, 393, 341, 392, 342, 341, 393, 394, 342, 393, 343, 342, 394, 395, 343, 394, 344, 343, 395, 396, 344, 395, 345, 344, 396, 
	397, 345, 396, 346, 345, 397, 398, 346, 397, 347, 346, 398, 399, 347, 398, 348, 347, 399, 400, 348, 399, 349, 348, 400, 401, 349, 400, 350, 349, 401, 
	402, 350, 401, 351, 350, 402, 403, 351, 402, 352, 351, 403, 404, 352, 403, 353, 352, 404, 405, 353, 404, 354, 353, 405, 406, 354, 405, 355, 354, 406, 
	407, 357, 408, 356, 357, 407, 409, 356, 407, 358, 356, 409, 410, 358, 409, 359, 358, 410, 411, 359, 410, 360, 359, 411, 412, 360, 411, 361, 360, 412, 
	413, 361, 412, 362, 361, 413, 414, 362, 413, 363, 362, 414, 415, 363, 414, 364, 363, 415, 416, 364, 415, 365, 364, 416, 417, 365, 416, 366, 365, 417, 
	418, 366, 417, 367, 366, 418, 419, 367, 418, 368, 367, 419, 420, 368, 419, 369, 368, 420, 421, 369, 420, 370, 369, 421, 422, 370, 421, 371, 370, 422, 
	423, 371, 422, 372, 371, 423, 424, 372, 423, 373, 372, 424, 425, 373, 424, 374, 373, 425, 426, 374, 425, 375, 374, 426, 427, 375, 426, 376, 375, 427, 
	428, 376, 427, 377, 376, 428, 429, 377, 428, 378, 377, 429, 430, 378, 429, 379, 378, 430, 431, 379, 430, 380, 379, 431, 432, 380, 431, 381, 380, 432, 
	433, 381, 432, 382, 381, 433, 434, 382, 433, 383, 382, 434, 435, 383, 434, 384, 383, 435, 436, 384, 435, 385, 384, 436, 437, 385, 436, 386, 385, 437, 
	438, 386, 437, 387, 386, 438, 439, 387, 438, 388, 387, 439, 440, 388, 439, 389, 388, 440, 441, 389, 440, 390, 389, 441, 442, 390, 441, 391, 390, 442, 
	443, 391, 442, 392, 391, 443, 444, 392, 443, 393, 392, 444, 445, 393, 444, 394, 393, 445, 446, 394, 445, 395, 394, 446, 447, 395, 446, 396, 395, 447, 
	448, 396, 447, 397, 396, 448, 449, 397, 448, 398, 397, 449, 450, 398, 449, 399, 398, 450, 451, 399, 450, 400, 399, 451, 452, 400, 451, 401, 400, 452, 
	453, 401, 452, 402, 401, 453, 454, 402, 453, 403, 402, 454, 455, 403, 454, 404, 403, 455, 456, 404, 455, 405, 404, 456, 457, 405, 456, 406, 405, 457, 
	458, 408, 459, 407, 408, 458, 460, 407, 458, 409, 407, 460, 461, 409, 460, 410, 409, 461, 462, 410, 461, 411, 410, 462, 463, 411, 462, 412, 411, 463, 
	464, 412, 463, 413, 412, 464, 465, 413, 464, 414, 413, 465, 466, 414, 465, 415, 414, 466, 467, 415, 466, 416, 415, 467, 468, 416, 467, 417, 416, 468, 
	469, 417, 468, 418, 417, 469, 470, 418, 469, 419, 418, 470, 471, 419, 470, 420, 419, 471, 472, 420, 471, 421, 420, 472, 473, 421, 472, 422, 421, 473, 
	474, 422, 473, 423, 422, 474, 475, 423, 474, 424, 423, 475, 476, 424, 475, 425, 424, 476, 477, 425, 476, 426, 425, 477, 478, 426, 477, 427, 426, 478, 
	479, 427, 478, 428, 427, 479, 480, 428, 479, 429, 428, 480, 481, 429, 480, 430, 429, 481, 482, 430, 481, 431, 430, 482, 483, 431, 482, 432, 431, 483, 
	484, 432, 483, 433, 432, 484, 485, 433, 484, 434, 433, 485, 486, 434, 485, 435, 434, 486, 487, 435, 486, 436, 435, 487, 488, 436, 487, 437, 436, 488, 
	489, 437, 488, 438, 437, 489, 490, 438, 489, 439, 438, 490, 491, 439, 490, 440, 439, 491, 492, 440, 491, 441, 440, 492, 493, 441, 492, 442, 441, 493, 
	494, 442, 493, 443, 442, 494, 495, 443, 494, 444, 443, 495, 496, 444, 495, 445, 444, 496, 497, 445, 496, 446, 445, 497, 498, 446, 497, 447, 446, 498, 
	499, 447, 498, 448, 447, 499, 500, 448, 499, 449, 448, 500, 501, 449, 500, 450, 449, 501, 502, 450, 501, 451, 450, 502, 503, 451, 502, 452, 451, 503, 
	504, 452, 503, 453, 452, 504, 505, 453, 504, 454, 453, 505, 506, 454, 505, 455, 454, 506, 507, 455, 506, 456, 455, 507, 508, 456, 507, 457, 456, 508, 
	509, 459, 510, 458, 459, 509, 511, 458, 509, 460, 458, 511, 512, 460, 511, 461, 460, 512, 513, 461, 512, 462, 461, 513, 514, 462, 513, 463, 462, 514, 
	515, 463, 514, 464, 463, 515, 516, 464, 515, 465, 464, 516, 517, 465, 516, 466, 465, 517, 518, 466, 517, 467, 466, 518, 519, 467, 518, 468, 467, 519, 
	520, 468, 519, 469, 468, 520, 521, 469, 520, 470, 469, 521, 522, 470, 521, 471, 470, 522, 523, 471, 522, 472, 471, 523, 524, 472, 523, 473, 472, 524, 
	525, 473, 524, 474, 473, 525, 526, 474, 525, 475, 474, 526, 527, 475, 526, 476, 475, 527, 528, 476, 527, 477, 476, 528, 529, 477, 528, 478, 477, 529, 
	530, 478, 529, 479, 478, 530, 531, 479, 530, 480, 479, 531, 532, 480, 531, 481, 480, 532, 533, 481, 532, 482, 481, 533, 534, 482, 533, 483, 482, 534, 
	535, 483, 534, 484, 483, 535, 536, 484, 535, 485, 484, 536, 537, 485, 536, 486, 485, 537, 538, 486, 537, 487, 486, 538, 539, 487, 538, 488, 487, 539, 
	540, 488, 539, 489, 488, 540, 541, 489, 540, 490, 489, 541, 542, 490, 541, 491, 490, 542, 543, 491, 542, 492, 491, 543, 544, 492, 543, 493, 492, 544, 
	545, 493, 544, 494, 493, 545, 546, 494, 545, 495, 494, 546, 547, 495, 546, 496, 495, 547, 548, 496, 547, 497, 496, 548, 549, 497, 548, 498, 497, 549, 
	550, 498, 549, 499, 498, 550, 551, 499, 550, 500, 499, 551, 552, 500, 551, 501, 500, 552, 553, 501, 552, 502, 501, 553, 554, 502, 553, 503, 502, 554, 
	555, 503, 554, 504, 503, 555, 556, 504, 555, 505, 504, 556, 557, 505, 556, 506, 505, 557, 558, 506, 557, 507, 506, 558, 559, 507, 558, 508, 507, 559, 
	560, 510, 561, 509, 510, 560, 562, 509, 560, 511, 509, 562, 563, 511, 562, 512, 511, 563, 564, 512, 563, 513, 512, 564, 565, 513, 564, 514, 513, 565, 
	566, 514, 565, 515, 514, 566, 567, 515, 566, 516, 515, 567, 568, 516, 567, 517, 516, 568, 569, 517, 568, 518, 517, 569, 570, 518, 569, 519, 518, 570, 
	571, 519, 570, 520, 519, 571, 572, 520, 571, 521, 520, 572, 573, 521, 572, 522, 521, 573, 574, 522, 573, 523, 522, 574, 575, 523, 574, 524, 523, 575, 
	576, 524, 575, 525, 524, 576, 577, 525, 576, 526, 525, 577, 578, 526, 577, 527, 526, 578, 579, 527, 578, 528, 527, 579, 580, 528, 579, 529, 528, 580, 
	581, 529, 580, 530, 529, 581, 582, 530, 581, 531, 530, 582, 583, 531, 582, 532, 531, 583, 584, 532, 583, 533, 532, 584, 585, 533, 584, 534, 533, 585, 
	586, 534, 585, 535, 534, 586, 587, 535, 586, 536, 535, 587, 588, 536, 587, 537, 536, 588, 589, 537, 588, 538, 537, 589, 590, 538, 589, 539, 538, 590, 
	591, 539, 590, 540, 539, 591, 592, 540, 591, 541, 540, 592, 593, 541, 592, 542, 541, 593, 594, 542, 593, 543, 542, 594, 595, 543, 594, 544, 543, 595, 
	596, 544, 595, 545, 544, 596, 597, 545, 596, 546, 545, 597, 598, 546, 597, 547, 546, 598, 599, 547, 598, 548, 547, 599, 600, 548, 599, 549, 548, 600, 
	601, 549, 600, 550, 549, 601, 602, 550, 601, 551, 550, 602, 603, 551, 602, 552, 551, 603, 604, 552, 603, 553, 552, 604, 605, 553, 604, 554, 553, 605, 
	606, 554, 605, 555, 554, 606, 607, 555, 606, 556, 555, 607, 608, 556, 607, 557, 556, 608, 609, 557, 608, 558, 557, 609, 610, 558, 609, 559, 558, 610, 
	611, 561, 612, 560, 561, 611, 613, 560, 611, 562, 560, 613, 614, 562, 613, 563, 562, 614, 615, 563, 614, 564, 563, 615, 616, 564, 615, 565, 564, 616, 
	617, 565, 616, 566, 565, 617, 618, 566, 617, 567, 566, 618, 619, 567, 618, 568, 567, 619, 620, 568, 619, 569, 568, 620, 621, 569, 620, 570, 569, 621, 
	622, 570, 621, 571, 570, 622, 623, 571, 622, 572, 571, 623, 624, 572, 623, 573, 572, 624, 625, 573, 624, 574, 573, 625, 626, 574, 625, 575, 574, 626, 
	627, 575, 626, 576, 575, 627, 628, 576, 627, 577, 576, 628, 629, 577, 628, 578, 577, 629, 630, 578, 629, 579, 578, 630, 631, 579, 630, 580, 579, 631, 
	632, 580, 631, 581, 580, 632, 633, 581, 632, 582, 581, 633, 634, 582, 633, 583, 582, 634, 635, 583, 634, 584, 583, 635, 636, 584, 635, 585, 584, 636, 
	637, 585, 636, 586, 585, 637, 638, 586, 637, 587, 586, 638, 639, 587, 638, 588, 587, 639, 640, 588, 639, 589, 588, 640, 641, 589, 640, 590, 589, 641, 
	642, 590, 641, 591, 590, 642, 643, 591, 642, 592, 591, 643, 644, 592, 643, 593, 592, 644, 645, 593, 644, 594, 593, 645, 646, 594, 645, 595, 594, 646, 
	647, 595, 646, 596, 595, 647, 648, 596, 647, 597, 596, 648, 649, 597, 648, 598, 597, 649, 650, 598, 649, 599, 598, 650, 651, 599, 650, 600, 599, 651, 
	652, 600, 651, 601, 600, 652, 653, 601, 652, 602, 601, 653, 654, 602, 653, 603, 602, 654, 655, 603, 654, 604, 603, 655, 656, 604, 655, 605, 604, 656, 
	657, 605, 656, 606, 605, 657, 658, 606, 657, 607, 606, 658, 659, 607, 658, 608, 607, 659, 660, 608, 659, 609, 608, 660, 661, 609, 660, 610, 609, 661, 
	662, 612, 663, 611, 612, 662, 664, 611, 662, 613, 611, 664, 665, 613, 664, 614, 613, 665, 666, 614, 665, 615, 614, 666, 667, 615, 666, 616, 615, 667, 
	668, 616, 667, 617, 616, 668, 669, 617, 668, 618, 617, 669, 670, 618, 669, 619, 618, 670, 671, 619, 670, 620, 619, 671, 672, 620, 671, 621, 620, 672, 
	673, 621, 672, 622, 621, 673, 674, 622, 673, 623, 622, 674, 675, 623, 674, 624, 623, 675, 676, 624, 675, 625, 624, 676, 677, 625, 676, 626, 625, 677, 
	678, 626, 677, 627, 626, 678, 679, 627, 678, 628, 627, 679, 680, 628, 679, 629, 628, 680, 681, 629, 680, 630, 629, 681, 682, 630, 681, 631, 630, 682, 
	683, 631, 682, 632, 631, 683, 684, 632, 683, 633, 632, 684, 685, 633, 684, 634, 633, 685, 686, 634, 685, 635, 634, 686, 687, 635, 686, 636, 635, 687, 
	688, 636, 687, 637, 636, 688, 689, 637, 688, 638, 637, 689, 690, 638, 689, 639, 638, 690, 691, 639, 690, 640, 639, 691, 692, 640, 691, 641, 640, 692, 
	693, 641, 692, 642, 641, 693, 694, 642, 693, 643, 642, 694, 695, 643, 694, 644, 643, 695, 696, 644, 695, 645, 644, 696, 697, 645, 696, 646, 645, 697, 
	698, 646, 697, 647, 646, 698, 699, 647, 698, 648, 647, 699, 700, 648, 699, 649, 648, 700, 701, 649, 700, 650, 649, 701, 702, 650, 701, 651, 650, 702, 
	703, 651, 702, 652, 651, 703, 704, 652, 703, 653, 652, 704, 705, 653, 704, 654, 653, 705, 706, 654, 705, 655, 654, 706, 707, 655, 706, 656, 655, 707, 
	708, 656, 707, 657, 656, 708, 709, 657, 708, 658, 657, 709, 710, 658, 709, 659, 658, 710, 711, 659, 710, 660, 659, 711, 712, 660, 711, 661, 660, 712, 
	713, 663, 714, 662, 663, 713, 715, 662, 713, 664, 662, 715, 716, 664, 715, 665, 664, 716, 717, 665, 716, 666, 665, 717, 718, 666, 717, 667, 666, 718, 
	719, 667, 718, 668, 667, 719, 720, 668, 719, 669, 668, 720, 721, 669, 720, 670, 669, 721, 722, 670, 721, 671, 670, 722, 723, 671, 722, 672, 671, 723, 
	724, 672, 723, 673, 672, 724, 725, 673, 724, 674, 673, 725, 726, 674, 725, 675, 674, 726, 727, 675, 726, 676, 675, 727, 728, 676, 727, 677, 676, 728, 
	729, 677, 728, 678, 677, 729, 730, 678, 729, 679, 678, 730, 731, 679, 730, 680, 679, 731, 732, 680, 731, 681, 680, 732, 733, 681, 732, 682, 681, 733, 
	734, 682, 733, 683, 682, 734, 735, 683, 734, 684, 683, 735, 736, 684, 735, 685, 684, 736, 737, 685, 736, 686, 685, 737, 738, 686, 737, 687, 686, 738, 
	739, 687, 738, 688, 687, 739, 740, 688, 739, 689, 688, 740, 741, 689, 740, 690, 689, 741, 742, 690, 741, 691, 690, 742, 743, 691, 742, 692, 691, 743, 
	744, 692, 743, 693, 692, 744, 745, 693, 744, 694, 693, 745, 746, 694, 745, 695, 694, 746, 747, 695, 746, 696, 695, 747, 748, 696, 747, 697, 696, 748, 
	749, 697, 748, 698, 697, 749, 750, 698, 749, 699, 698, 750, 751, 699, 750, 700, 699, 751, 752, 700, 751, 701, 700, 752, 753, 701, 752, 702, 701, 753, 
	754, 702, 753, 703, 702, 754, 755, 703, 754, 704, 703, 755, 756, 704, 755, 705, 704, 756, 757, 705, 756, 706, 705, 757, 758, 706, 757, 707, 706, 758, 
	759, 707, 758, 708, 707, 759, 760, 708, 759, 709, 708, 760, 761, 709, 760, 710, 709, 761, 762, 710, 761, 711, 710, 762, 763, 711, 762, 712, 711, 763, 
	764, 714, 765, 713, 714, 764, 766, 713, 764, 715, 713, 766, 767, 715, 766, 716, 715, 767, 768, 716, 767, 717, 716, 768, 769, 717, 768, 718, 717, 769, 
	770, 718, 769, 719, 718, 770, 771, 719, 770, 720, 719, 771, 772, 720, 771, 721, 720, 772, 773, 721, 772, 722, 721, 773, 774, 722, 773, 723, 722, 774, 
	775, 723, 774, 724, 723, 775, 776, 724, 775, 725, 724, 776, 777, 725, 776, 726, 725, 777, 778, 726, 777, 727, 726, 778, 779, 727, 778, 728, 727, 779, 
	780, 728, 779, 729, 728, 780, 781, 729, 780, 730, 729, 781, 782, 730, 781, 731, 730, 782, 783, 731, 782, 732, 731, 783, 784, 732, 783, 733, 732, 784, 
	785, 733, 784, 734, 733, 785, 786, 734, 785, 735, 734, 786, 787, 735, 786, 736, 735, 787, 788, 736, 787, 737, 736, 788, 789, 737, 788, 738, 737, 789, 
	790, 738, 789, 739, 738, 790, 791, 739, 790, 740, 739, 791, 792, 740, 791, 741, 740, 792, 793, 741, 792, 742, 741, 793, 794, 742, 793, 743, 742, 794, 
	795, 743, 794, 744, 743, 795, 796, 744, 795, 745, 744, 796, 797, 745, 796, 746, 745, 797, 798, 746, 797, 747, 746, 798, 799, 747, 798, 748, 747, 799, 
	800, 748, 799, 749, 748, 800, 801, 749, 800, 750, 749, 801, 802, 750, 801, 751, 750, 802, 803, 751, 802, 752, 751, 803, 804, 752, 803, 753, 752, 804, 
	805, 753, 804, 754, 753, 805, 806, 754, 805, 755, 754, 806, 807, 755, 806, 756, 755, 807, 808, 756, 807, 757, 756, 808, 809, 757, 808, 758, 757, 809, 
	810, 758, 809, 759, 758, 810, 811, 759, 810, 760, 759, 811, 812, 760, 811, 761, 760, 812, 813, 761, 812, 762, 761, 813, 814, 762, 813, 763, 762, 814, 
	815, 765, 816, 764, 765, 815, 817, 764, 815, 766, 764, 817, 818, 766, 817, 767, 766, 818, 819, 767, 818, 768, 767, 819, 820, 768, 819, 769, 768, 820, 
	821, 769, 820, 770, 769, 821, 822, 770, 821, 771, 770, 822, 823, 771, 822, 772, 771, 823, 824, 772, 823, 773, 772, 824, 825, 773, 824, 774, 773, 825, 
	826, 774, 825, 775, 774, 826, 827, 775, 826, 776, 775, 827, 828, 776, 827, 777, 776, 828, 829, 777, 828, 778, 777, 829, 830, 778, 829, 779, 778, 830, 
	831, 779, 830, 780, 779, 831, 832, 780, 831, 781, 780, 832, 833, 781, 832, 782, 781, 833, 834, 782, 833, 783, 782, 834, 835, 783, 834, 784, 783, 835, 
	836, 784, 835, 785, 784, 836, 837, 785, 836, 786, 785, 837, 838, 786, 837, 787, 786, 838, 839, 787, 838, 788, 787, 839, 840, 788, 839, 789, 788, 840, 
	841, 789, 840, 790, 789, 841, 842, 790, 841, 791, 790, 842, 843, 791, 842, 792, 791, 843, 844, 792, 843, 793, 792, 844, 845, 793, 844, 794, 793, 845, 
	846, 794, 845, 795, 794, 846, 847, 795, 846, 796, 795, 847, 848, 796, 847, 797, 796, 848, 849, 797, 848, 798, 797, 849, 850, 798, 849, 799, 798, 850, 
	851, 799, 850, 800, 799, 851, 852, 800, 851, 801, 800, 852, 853, 801, 852, 802, 801, 853, 854, 802, 853, 803, 802, 854, 855, 803, 854, 804, 803, 855, 
	856, 804, 855, 805, 804, 856, 857, 805, 856, 806, 805, 857, 858, 806, 857, 807, 806, 858, 859, 807, 858, 808, 807, 859, 860, 808, 859, 809, 808, 860, 
	861, 809, 860, 810, 809, 861, 862, 810, 861, 811, 810, 862, 863, 811, 862, 812, 811, 863, 864, 812, 863, 813, 812, 864, 865, 813, 864, 814, 813, 865, 
	866, 816, 867, 815, 816, 866, 868, 815, 866, 817, 815, 868, 869, 817, 868, 818, 817, 869, 870, 818, 869, 819, 818, 870, 871, 819, 870, 820, 819, 871, 
	872, 820, 871, 821, 820, 872, 873, 821, 872, 822, 821, 873, 874, 822, 873, 823, 822, 874, 875, 823, 874, 824, 823, 875, 876, 824, 875, 825, 824, 876, 
	877, 825, 876, 826, 825, 877, 878, 826, 877, 827, 826, 878, 879, 827, 878, 828, 827, 879, 880, 828, 879, 829, 828, 880, 881, 829, 880, 830, 829, 881, 
	882, 830, 881, 831, 830, 882, 883, 831, 882, 832, 831, 883, 884, 832, 883, 833, 832, 884, 885, 833, 884, 834, 833, 885, 886, 834, 885, 835, 834, 886, 
	887, 835, 886, 836, 835, 887, 888, 836, 887, 837, 836, 888, 889, 837, 888, 838, 837, 889, 890, 838, 889, 839, 838, 890, 891, 839, 890, 840, 839, 891, 
	892, 840, 891, 841, 840, 892, 893, 841, 892, 842, 841, 893, 894, 842, 893, 843, 842, 894, 895, 843, 894, 844, 843, 895, 896, 844, 895, 845, 844, 896, 
	897, 845, 896, 846, 845, 897, 898, 846, 897, 847, 846, 898, 899, 847, 898, 848, 847, 899, 900, 848, 899, 849, 848, 900, 901, 849, 900, 850, 849, 901, 
	902, 850, 901, 851, 850, 902, 903, 851, 902, 852, 851, 903, 904, 852, 903, 853, 852, 904, 905, 853, 904, 854, 853, 905, 906, 854, 905, 855, 854, 906, 
	907, 855, 906, 856, 855, 907, 908, 856, 907, 857, 856, 908, 909, 857, 908, 858, 857, 909, 910, 858, 909, 859, 858, 910, 911, 859, 910, 860, 859, 911, 
	912, 860, 911, 861, 860, 912, 913, 861, 912, 862, 861, 913, 914, 862, 913, 863, 862, 914, 915, 863, 914, 864, 863, 915, 916, 864, 915, 865, 864, 916, 
	917, 867, 918, 866, 867, 917, 919, 866, 917, 868, 866, 919, 920, 868, 919, 869, 868, 920, 921, 869, 920, 870, 869, 921, 922, 870, 921, 871, 870, 922, 
	923, 871, 922, 872, 871, 923, 924, 872, 923, 873, 872, 924, 925, 873, 924, 874, 873, 925, 926, 874, 925, 875, 874, 926, 927, 875, 926, 876, 875, 927, 
	928, 876, 927, 877, 876, 928, 929, 877, 928, 878, 877, 929, 930, 878, 929, 879, 878, 930, 931, 879, 930, 880, 879, 931, 932, 880, 931, 881, 880, 932, 
	933, 881, 932, 882, 881, 933, 934, 882, 933, 883, 882, 934, 935, 883, 934, 884, 883, 935, 936, 884, 935, 885, 884, 936, 937, 885, 936, 886, 885, 937, 
	938, 886, 937, 887, 886, 938, 939, 887, 938, 888, 887, 939, 940, 888, 939, 889, 888, 940, 941, 889, 940, 890, 889, 941, 942, 890, 941, 891, 890, 942, 
	943, 891, 942, 892, 891, 943, 944, 892, 943, 893, 892, 944, 945, 893, 944, 894, 893, 945, 946, 894, 945, 895, 894, 946, 947, 895, 946, 896, 895, 947, 
	948, 896, 947, 897, 896, 948, 949, 897, 948, 898, 897, 949, 950, 898, 949, 899, 898, 950, 951, 899, 950, 900, 899, 951, 952, 900, 951, 901, 900, 952, 
	953, 901, 952, 902, 901, 953, 954, 902, 953, 903, 902, 954, 955, 903, 954, 904, 903, 955, 956, 904, 955, 905, 904, 956, 957, 905, 956, 906, 905, 957, 
	958, 906, 957, 907, 906, 958, 959, 907, 958, 908, 907, 959, 960, 908, 959, 909, 908, 960, 961, 909, 960, 910, 909, 961, 962, 910, 961, 911, 910, 962, 
	963, 911, 962, 912, 911, 963, 964, 912, 963, 913, 912, 964, 965, 913, 964, 914, 913, 965, 966, 914, 965, 915, 914, 966, 967, 915, 966, 916, 915, 967, 
	968, 918, 969, 917, 918, 968, 970, 917, 968, 919, 917, 970, 971, 919, 970, 920, 919, 971, 972, 920, 971, 921, 920, 972, 973, 921, 972, 922, 921, 973, 
	974, 922, 973, 923, 922, 974, 975, 923, 974, 924, 923, 975, 976, 924, 975, 925, 924, 976, 977, 925, 976, 926, 925, 977, 978, 926, 977, 927, 926, 978, 
	979, 927, 978, 928, 927, 979, 980, 928, 979, 929, 928, 980, 981, 929, 980, 930, 929, 981, 982, 930, 981, 931, 930, 982, 983, 931, 982, 932, 931, 983, 
	984, 932, 983, 933, 932, 984, 985, 933, 984, 934, 933, 985, 986, 934, 985, 935, 934, 986, 987, 935, 986, 936, 935, 987, 988, 936, 987, 937, 936, 988, 
	989, 937, 988, 938, 937, 989, 990, 938, 989, 939, 938, 990, 991, 939, 990, 940, 939, 991, 992, 940, 991, 941, 940, 992, 993, 941, 992, 942, 941, 993, 
	994, 942, 993, 943, 942, 994, 995, 943, 994, 944, 943, 995, 996, 944, 995, 945, 944, 996, 997, 945, 996, 946, 945, 997, 998, 946, 997, 947, 946, 998, 
	999, 947, 998, 948, 947, 999, 1000, 948, 999, 949, 948, 1000, 1001, 949, 1000, 950, 949, 1001, 1002, 950, 1001, 951, 950, 1002, 1003, 951, 1002, 952, 951, 1003, 
	1004, 952, 1003, 953, 952, 1004, 1005, 953, 1004, 954, 953, 1005, 1006, 954, 1005, 955, 954, 1006, 1007, 955, 1006, 956, 955, 1007, 1008, 956, 1007, 957, 956, 1008, 
	1009, 957, 1008, 958, 957, 1009, 1010, 958, 1009, 959, 958, 1010, 1011, 959, 1010, 960, 959, 1011, 1012, 960, 1011, 961, 960, 1012, 1013, 961, 1012, 962, 961, 1013, 
	1014, 962, 1013, 963, 962, 1014, 1015, 963, 1014, 964, 963, 1015, 1016, 964, 1015, 965, 964, 1016, 1017, 965, 1016, 966, 965, 1017, 1018, 966, 1017, 967, 966, 1018, 
	1019, 969, 1020, 968, 969, 1019, 1021, 968, 1019, 970, 968, 1021, 1022, 970, 1021, 971, 970, 1022, 1023, 971, 1022, 972, 971, 1023, 1024, 972, 1023, 973, 972, 1024, 
	1025, 973, 1024, 974, 973, 1025, 1026, 974, 1025, 975, 974, 1026, 1027, 975, 1026, 976, 975, 1027, 1028, 976, 1027, 977, 976, 1028, 1029, 977, 1028, 978, 977, 1029, 
	1030, 978, 1029, 979, 978, 1030, 1031, 979, 1030, 980, 979, 1031, 1032, 980, 1031, 981, 980, 1032, 1033, 981, 1032, 982, 981, 1033, 1034, 982, 1033, 983, 982, 1034, 
	1035, 983, 1034, 984, 983, 1035, 1036, 984, 1035, 985, 984, 1036, 1037, 985, 1036, 986, 985, 1037, 1038, 986, 1037, 987, 986, 1038, 1039, 987, 1038, 988, 987, 1039, 
	1040, 988, 1039, 989, 988, 1040, 1041, 989, 1040, 990, 989, 1041, 1042, 990, 1041, 991, 990, 1042, 1043, 991, 1042, 992, 991, 1043, 1044, 992, 1043, 993, 992, 1044, 
	1045, 993, 1044, 994, 993, 1045, 1046, 994, 1045, 995, 994, 1046, 1047, 995, 1046, 996, 995, 1047, 1048, 996, 1047, 997, 996, 1048, 1049, 997, 1048, 998, 997, 1049, 
	1050, 998, 1049, 999, 998, 1050, 1051, 999, 1050, 1000, 999, 1051, 1052, 1000, 1051, 1001, 1000, 1052, 1053, 1001, 1052, 1002, 1001, 1053, 1054, 1002, 1053, 1003, 1002, 1054, 
	1055, 1003, 1054, 1004, 1003, 1055, 1056, 1004, 1055, 1005, 1004, 1056, 1057, 1005, 1056, 1006, 1005, 1057, 1058, 1006, 1057, 1007, 1006, 1058, 1059, 1007, 1058, 1008, 1007, 1059, 
	1060, 1008, 1059, 1009, 1008, 1060, 1061, 1009, 1060, 1010, 1009, 1061, 1062, 1010, 1061, 1011, 1010, 1062, 1063, 1011, 1062, 1012, 1011, 1063, 1064, 1012, 1063, 1013, 1012, 1064, 
	1065, 1013, 1064, 1014, 1013, 1065, 1066, 1014, 1065, 1015, 1014, 1066, 1067, 1015, 1066, 1016, 1015, 1067, 1068, 1016, 1067, 1017, 1016, 1068, 1069, 1017, 1068, 1018, 1017, 1069, 
	1070, 1020, 1071, 1019, 1020, 1070, 1072, 1019, 1070, 1021, 1019, 1072, 1073, 1021, 1072, 1022, 1021, 1073, 1074, 1022, 1073, 1023, 1022, 1074, 1075, 1023, 1074, 1024, 1023, 1075, 
	1076, 1024, 1075, 1025, 1024, 1076, 1077, 1025, 1076, 1026, 1025, 1077, 1078, 1026, 1077, 1027, 1026, 1078, 1079, 1027, 1078, 1028, 1027, 1079, 1080, 1028, 1079, 1029, 1028, 1080, 
	1081, 1029, 1080, 1030, 1029, 1081, 1082, 1030, 1081, 1031, 1030, 1082, 1083, 1031, 1082, 1032, 1031, 1083, 1084, 1032, 1083, 1033, 1032, 1084, 1085, 1033, 1084, 1034, 1033, 1085, 
	1086, 1034, 1085, 1035, 1034, 1086, 1087, 1035, 1086, 1036, 1035, 1087, 1088, 1036, 1087, 1037, 1036, 1088, 1089, 1037, 1088, 1038, 1037, 1089, 1090, 1038, 1089, 1039, 1038, 1090, 
	1091, 1039, 1090, 1040, 1039, 1091, 1092, 1040, 1091, 1041, 1040, 1092, 1093, 1041, 1092, 1042, 1041, 1093, 1094, 1042, 1093, 1043, 1042, 1094, 1095, 1043, 1094, 1044, 1043, 1095, 
	1096, 1044, 1095, 1045, 1044, 1096, 1097, 1045, 1096, 1046, 1045, 1097, 1098, 1046, 1097, 1047, 1046, 1098, 1099, 1047, 1098, 1048, 1047, 1099, 1100, 1048, 1099, 1049, 1048, 1100, 
	1101, 1049, 1100, 1050, 1049, 1101, 1102, 1050, 1101, 1051, 1050, 1102, 1103, 1051, 1102, 1052, 1051, 1103, 1104, 1052, 1103, 1053, 1052, 1104, 1105, 1053, 1104, 1054, 1053, 1105, 
	1106, 1054, 1105, 1055, 1054, 1106, 1107, 1055, 1106, 1056, 1055, 1107, 1108, 1056, 1107, 1057, 1056, 1108, 1109, 1057, 1108, 1058, 1057, 1109, 1110, 1058, 1109, 1059, 1058, 1110, 
	1111, 1059, 1110, 1060, 1059, 1111, 1112, 1060, 1111, 1061, 1060, 1112, 1113, 1061, 1112, 1062, 1061, 1113, 1114, 1062, 1113, 1063, 1062, 1114, 1115, 1063, 1114, 1064, 1063, 1115, 
	1116, 1064, 1115, 1065, 1064, 1116, 1117, 1065, 1116, 1066, 1065, 1117, 1118, 1066, 1117, 1067, 1066, 1118, 1119, 1067, 1118, 1068, 1067, 1119, 1120, 1068, 1119, 1069, 1068, 1120, 
	1121, 1071, 1122, 1070, 1071, 1121, 1123, 1070, 1121, 1072, 1070, 1123, 1124, 1072, 1123, 1073, 1072, 1124, 1125, 1073, 1124, 1074, 1073, 1125, 1126, 1074, 1125, 1075, 1074, 1126, 
	1127, 1075, 1126, 1076, 1075, 1127, 1128, 1076, 1127, 1077, 1076, 1128, 1129, 1077, 1128, 1078, 1077, 1129, 1130, 1078, 1129, 1079, 1078, 1130, 1131, 1079, 1130, 1080, 1079, 1131, 
	1132, 1080, 1131, 1081, 1080, 1132, 1133, 1081, 1132, 1082, 1081, 1133, 1134, 1082, 1133, 1083, 1082, 1134, 1135, 1083, 1134, 1084, 1083, 1135, 1136, 1084, 1135, 1085, 1084, 1136, 
	1137, 1085, 1136, 1086, 1085, 1137, 1138, 1086, 1137, 1087, 1086, 1138, 1139, 1087, 1138, 1088, 1087, 1139, 1140, 1088, 1139, 1089, 1088, 1140, 1141, 1089, 1140, 1090, 1089, 1141, 
	1142, 1090, 1141, 1091, 1090, 1142, 1143, 1091, 1142, 1092, 1091, 1143, 1144, 1092, 1143, 1093, 1092, 1144, 1145, 1093, 1144, 1094, 1093, 1145, 1146, 1094, 1145, 1095, 1094, 1146, 
	1147, 1095, 1146, 1096, 1095, 1147, 1148, 1096, 1147, 1097, 1096, 1148, 1149, 1097, 1148, 1098, 1097, 1149, 1150, 1098, 1149, 1099, 1098, 1150, 1151, 1099, 1150, 1100, 1099, 1151, 
	1152, 1100, 1151, 1101, 1100, 1152, 1153, 1101, 1152, 1102, 1101, 1153, 1154, 1102, 1153, 1103, 1102, 1154, 1155, 1103, 1154, 1104, 1103, 1155, 1156, 1104, 1155, 1105, 1104, 1156, 
	1157, 1105, 1156, 1106, 1105, 1157, 1158, 1106, 1157, 1107, 1106, 1158, 1159, 1107, 1158, 1108, 1107, 1159, 1160, 1108, 1159, 1109, 1108, 1160, 1161, 1109, 1160, 1110, 1109, 1161, 
	1162, 1110, 1161, 1111, 1110, 1162, 1163, 1111, 1162, 1112, 1111, 1163, 1164, 1112, 1163, 1113, 1112, 1164, 1165, 1113, 1164, 1114, 1113, 1165, 1166, 1114, 1165, 1115, 1114, 1166, 
	1167, 1115, 1166, 1116, 1115, 1167, 1168, 1116, 1167, 1117, 1116, 1168, 1169, 1117, 1168, 1118, 1117, 1169, 1170, 1118, 1169, 1119, 1118, 1170, 1171, 1119, 1170, 1120, 1119, 1171, 
	1172, 1122, 1173, 1121, 1122, 1172, 1174, 1121, 1172, 1123, 1121, 1174, 1175, 1123, 1174, 1124, 1123, 1175, 1176, 1124, 1175, 1125, 1124, 1176, 1177, 1125, 1176, 1126, 1125, 1177, 
	1178, 1126, 1177, 1127, 1126, 1178, 1179, 1127, 1178, 1128, 1127, 1179, 1180, 1128, 1179, 1129, 1128, 1180, 1181, 1129, 1180, 1130, 1129, 1181, 1182, 1130, 1181, 1131, 1130, 1182, 
	1183, 1131, 1182, 1132, 1131, 1183, 1184, 1132, 1183, 1133, 1132, 1184, 1185, 1133, 1184, 1134, 1133, 1185, 1186, 1134, 1185, 1135, 1134, 1186, 1187, 1135, 1186, 1136, 1135, 1187, 
	1188, 1136, 1187, 1137, 1136, 1188, 1189, 1137, 1188, 1138, 1137, 1189, 1190, 1138, 1189, 1139, 1138, 1190, 1191, 1139, 1190, 1140, 1139, 1191, 1192, 1140, 1191, 1141, 1140, 1192, 
	1193, 1141, 1192, 1142, 1141, 1193, 1194, 1142, 1193, 1143, 1142, 1194, 1195, 1143, 1194, 1144, 1143, 1195, 1196, 1144, 1195, 1145, 1144, 1196, 1197, 1145, 1196, 1146, 1145, 1197, 
	1198, 1146, 1197, 1147, 1146, 1198, 1199, 1147, 1198, 1148, 1147, 1199, 1200, 1148, 1199, 1149, 1148, 1200, 1201, 1149, 1200, 1150, 1149, 1201, 1202, 1150, 1201, 1151, 1150, 1202, 
	1203, 1151, 1202, 1152, 1151, 1203, 1204, 1152, 1203, 1153, 1152, 1204, 1205, 1153, 1204, 1154, 1153, 1205, 1206, 1154, 1205, 1155, 1154, 1206, 1207, 1155, 1206, 1156, 1155, 1207, 
	1208, 1156, 1207, 1157, 1156, 1208, 1209, 1157, 1208, 1158, 1157, 1209, 1210, 1158, 1209, 1159, 1158, 1210, 1211, 1159, 1210, 1160, 1159, 1211, 1212, 1160, 1211, 1161, 1160, 1212, 
	1213, 1161, 1212, 1162, 1161, 1213, 1214, 1162, 1213, 1163, 1162, 1214, 1215, 1163, 1214, 1164, 1163, 1215, 1216, 1164, 1215, 1165, 1164, 1216, 1217, 1165, 1216, 1166, 1165, 1217, 
	1218, 1166, 1217, 1167, 1166, 1218, 1219, 1167, 1218, 1168, 1167, 1219, 1220, 1168, 1219, 1169, 1168, 1220, 1221, 1169, 1220, 1170, 1169, 1221, 1222, 1170, 1221, 1171, 1170, 1222, 
	1223, 1173, 1224, 1172, 1173, 1223, 1225, 1172, 1223, 1174, 1172, 1225, 1226, 1174, 1225, 1175, 1174, 1226, 1227, 1175, 1226, 1176, 1175, 1227, 1228, 1176, 1227, 1177, 1176, 1228, 
	1229, 1177, 1228, 1178, 1177, 1229, 1230, 1178, 1229, 1179, 1178, 1230, 1231, 1179, 1230, 1180, 1179, 1231, 1232, 1180, 1231, 1181, 1180, 1232, 1233, 1181, 1232, 1182, 1181, 1233, 
	1234, 1182, 1233, 1183, 1182, 1234, 1235, 1183, 1234, 1184, 1183, 1235, 1236, 1184, 1235, 1185, 1184, 1236, 1237, 1185, 1236, 1186, 1185, 1237, 1238, 1186, 1237, 1187, 1186, 1238, 
	1239, 1187, 1238, 1188, 1187, 1239, 1240, 1188, 1239, 1189, 1188, 1240, 1241, 1189, 1240, 1190, 1189, 1241, 1242, 1190, 1241, 1191, 1190, 1242, 1243, 1191, 1242, 1192, 1191, 1243, 
	1244, 1192, 1243, 1193, 1192, 1244, 1245, 1193, 1244, 1194, 1193, 1245, 1246, 1194, 1245, 1195, 1194, 1246, 1247, 1195, 1246, 1196, 1195, 1247, 1248, 1196, 1247, 1197, 1196, 1248, 
	1249, 1197, 1248, 1198, 1197, 1249, 1250, 1198, 1249, 1199, 1198, 1250, 1251, 1199, 1250, 1200, 1199, 1251, 1252, 1200, 1251, 1201, 1200, 1252, 1253, 1201, 1252, 1202, 1201, 1253, 
	1254, 1202, 1253, 1203, 1202, 1254, 1255, 1203, 1254, 1204, 1203, 1255, 1256, 1204, 1255, 1205, 1204, 1256, 1257, 1205, 1256, 1206, 1205, 1257, 1258, 1206, 1257, 1207, 1206, 1258, 
	1259, 1207, 1258, 1208, 1207, 1259, 1260, 1208, 1259, 1209, 1208, 1260, 1261, 1209, 1260, 1210, 1209, 1261, 1262, 1210, 1261, 1211, 1210, 1262, 1263, 1211, 1262, 1212, 1211, 1263, 
	1264, 1212, 1263, 1213, 1212, 1264, 1265, 1213, 1264, 1214, 1213, 1265, 1266, 1214, 1265, 1215, 1214, 1266, 1267, 1215, 1266, 1216, 1215, 1267, 1268, 1216, 1267, 1217, 1216, 1268, 
	1269, 1217, 1268, 1218, 1217, 1269, 1270, 1218, 1269, 1219, 1218, 1270, 1271, 1219, 1270, 1220, 1219, 1271, 1272, 1220, 1271, 1221, 1220, 1272, 1273, 1221, 1272, 1222, 1221, 1273, 
	1224, 1274, 1223, 1223, 1275, 1225, 1225, 1276, 1226, 1226, 1277, 1227, 1227, 1278, 1228, 1228, 1279, 1229, 1229, 1280, 1230, 1230, 1281, 1231, 1231, 1282, 1232, 1232, 1283, 1233, 
	1233, 1284, 1234, 1234, 1285, 1235, 1235, 1286, 1236, 1236, 1287, 1237, 1237, 1288, 1238, 1238, 1289, 1239, 1239, 1290, 1240, 1240, 1291, 1241, 1241, 1292, 1242, 1242, 1293, 1243, 
	1243, 1294, 1244, 1244, 1295, 1245, 1245, 1296, 1246, 1246, 1297, 1247, 1247, 1298, 1248, 1248, 1299, 1249, 1249, 1300, 1250, 1250, 1301, 1251, 1251, 1302, 1252, 1252, 1303, 1253, 
	1253, 1304, 1254, 1254, 1305, 1255, 1255, 1306, 1256, 1256, 1307, 1257, 1257, 1308, 1258, 1258, 1309, 1259, 1259, 1310, 1260, 1260, 1311, 1261, 1261, 1312, 1262, 1262, 1313, 1263, 
	1263, 1314, 1264, 1264, 1315, 1265, 1265, 1316, 1266, 1266, 1317, 1267, 1267, 1318, 1268, 1268, 1319, 1269, 1269, 1320, 1270, 1270, 1321, 1271, 1271, 1322, 1272, 1272, 1323, 1273, 
	
_NULL_ }; /* End of sphere01_Faces */



/**********************************************************
 * MESHES 
 **********************************************************/

const Struct_Mesh 
   Mesh[NUM_MESHES] = {

/* MESH 0 */
	/* NumVertex      */ sphere01_NumVertex,
	/* NumFaces       */ sphere01_NumFaces,
	/* NumStrips      */ sphere01_NumStrips,
	/* Flags          */ sphere01_Flags,
	/* Material       */ sphere01_Material,
	/* Center         */  0.380228f, 0.000000f, 1.520913f,
	/* Vertices       */ sphere01_Vertices,
	/* UV             */ sphere01_UV,
	/* Normals        */ sphere01_Normals,
	/* Packed Vertices*/ (const float *) _NULL_,
	/* VertexColor    */ (const unsigned int *)_NULL_,
	/* VertexMaterial */ (const unsigned int *)_NULL_,
	/* Faces          */ (const unsigned short *)sphere01_Faces,
	/* Strips         */ (const unsigned short *)_NULL_,
	/* StripLength    */ (const unsigned short *)_NULL_,
	/* Patch type     */ 0,
	/* NumPatches     */ 0,
	/* NumPVertices   */ 0,
	/* NumSubdivisions*/ 0,
	/* ControlPoints  */ _NULL_,
	/* PatchUVs       */ _NULL_

	}; /* End of Meshes */
